# Linux 中国旗下贡献者组织 LCTT 七年回顾和展望

> 这是一篇 LCTT 七周年的纪念文章，也是 LCTT 承前启后的一个里程碑。

### 写在 LCTT 七年之际

在 7 年前的今天，我并没有想到，在一个偶然的机会下诞生的 LCTT，它能走过这么长的时间，留下这么多的印痕。是的，一些老朋友或许记得，LCTT 这个 Linux 中国旗下的最主要的开源活动/组成部分，最初只是我发心想完善 man 的中文翻译而产生的副产品。结果，man 中文翻译项目没有做成，而 LCTT 却持续地运营了下来。

虽然，这些年 LCTT 屡有改进和完善，但是总体来说还是相对保守。当然，LCTT 这些年已经陆续有 400 多位贡献者实质性的参与了贡献，并在此基础上创建了几个 SIG（特别兴趣小组），如[红帽代码英雄 SIG](https://linux.cn/article-12436-1.html)、漫画 SIG、LFS SIG 等。

作为回顾，我来介绍一下 LCTT 这 7 年间在主项目（TranslateProject）上取得的成就：

- 贡献者： [435 位](https://linux.cn/lctt-list)
- 翻译文章：[5687 篇](https://linux.cn/)
- GitHub 提交：[54629 次](https://github.com/LCTT/TranslateProject)
- GitHub 拉取请求：[19243 次](https://github.com/LCTT/TranslateProject/pulls)

这是 LCTT 主项目的提交图：

![](https://postimg.aliavv.com/mbp/uglsc.png)

这其中，[钻石级的贡献者有 5 名，五星级贡献者有 6 名，13 位 4 星贡献者](https://linux.cn/lctt-list)。那么，请让我来用一段视频展示一下 LCTT 七年来的历程：

![](https://img.linux.net.cn/static/video/LCTT%207%20Years.mp4)

当然，整体的贡献水平呈现长尾分布，大部分贡献者浅尝辄止，我想除了贡献者存在着体验的心态之外，也与 LCTT 没有建立起来合适的社区引导和激励机制有关。此外，就开源社区/开源项目而言，我们也存在一些不足，比如，按 GitHub 建议，我们在如下社区建设方面还缺乏：

- 社区行为准则
- 贡献指南
- 议题模板
- 拉取请求模板

因此，在写这篇文章时，我也要宣布一件事，就是我会逐渐淡出 LCTT 的日常管理，改组 LCTT 管理团队，将更多未来的可能交给社区成员来建设，也希望新的社区管理团队可以为 LCTT 创造出一个不同的明天。

以下，请我们的 Linux 中国的核心合伙人 Bestony 来介绍一下今后 LCTT 的发展计划。

---

大家好，我是 Bestony，感谢老王数年来的坚持不懈的投入，正是有老王的坚守，才能有我们如今的成就。在接下来的时间里，我将会帮助老王，更好的运作 LCTT，让老王可以喘口气，也为 LCTT 带来一些新的气象。

在过去的七年里，我们 LCTT 做了很多事情，我们翻译了数千篇文章，有数百位技能精湛的贡献者。如今，到了 7 年的这个节点上，我也在思考，我们下一步应该怎么走。

其实，在过去的一年里，LCTT 的问题在不断的浮现：选题方向单一、译者进入门槛较高、大家翻译的质量水平参差不齐、校对的人手不足、译稿外发的反馈不足，这些问题都是我们在过去遇见，但一直没有足够的精力和人力来解决的问题。不过，如今我将加入到 LCTT 的管理团队中，配合老王，一起一个个的解决这些过去遇见的问题。

![](https://postimg.aliavv.com/mbp/3kfwy.png)

对于这些问题，有一些我们已经在解决，比如“**选题方向单一**”，在今年的年初，LCTT 与红帽公司（RedHat）[联合建立了 LCRH SIG](https://linux.cn/article-12436-1.html)，面向红帽旗下的原创播客《<ruby>[代码英雄](https://www.redhat.com/en/command-line-heroes) <rt>Command Line Heroes</rt></ruby>》进行定向的翻译，目前，第一季度的翻译成功已经全部在 Linux 中国公众号上发布，而第二、三季度的内容，也正在不断的发布过程中。

![](https://postimg.aliavv.com/mbp/71eup.png)

LCTT - SIG 将是后续的新的发展方向。**我们将会在保留 LCTT 主体的基础上，鼓励各位译者探索更多的兴趣方向，通过建立起不同的 SIG，引入更多的翻译内容，来帮助大家更好的达成自己想要的翻译目标。** 并且，通过 LCTT 的技术和经验，赋能每一位译者，帮助译者更好的学习、了解各种不同领域的知识。

而在“**进入门槛较高**”方面，一直以来 Github 的访问慢问题、Git 的概念不熟悉等问题，都是困扰不少新同学的点。而也正是这些点，在不断制约着 LCTT 的发展。在将来，我希望 LCTT 可以打造出自己的翻译工具（也将会为之而奋斗），通过工具辅助的方式，帮助更多人走上翻译的道路，让更多的爱好者们，可以为中文的技术环境贡献一份力。

![](https://postimg.aliavv.com/mbp/8183e.png)

后续，我们将会引入翻译工具、自建关键词表、多轮校对手段等方案，帮助更多的译者完成自己的翻译文章，通过翻译，学到自己想要的知识。

当然，问题并不止我点出来的这些，我们能发展到今天，一定有很多做对了的地方，但同样，我们也有做错了的地方。欢迎你随时联系我，讨论你对于 LCTT 下一步的想法，我相信，你的意见能够帮助 LCTT 变得更好。

![](https://postimg.aliavv.com/mbp/aq5m9.png)

最后，**千里之行，始于足下**，刚刚走过 7 年的 LCTT， 希望我们可以在下一个七年，再次相遇。

