全球化思考:怎样克服交流中的文化差异
======

> 这有一些建议帮助你的全球化开发团队能够更好地理解你们的讨论并能参与其中。

![](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/people_remote_teams_world.png?itok=_9DCHEel)

几周前，我见证了两位同事之间一次有趣的互动，他们分别是 Jason，我们的一位美国员工，和 Raj，一位来自印度的访问工作人员。

Raj 在印度时，他一般会通过电话参加美国中部时间上午 9 点的每日立会，现在他到美国工作了，就可以和组员们坐在同一间会议室里开会了。Jason 拦下了 Raj，说：“Raj 你要去哪？你不是一直和我们开电话会议吗？你突然出现在会议室里我还不太适应。” Raj 听了说，“是这样吗？没问题。”就回到自己工位前准备和以前一样参加电话会议了。

我去找 Raj，问他为什么不去参加每日立会，Raj 说 Jason 让自己给组员们打电话参会，而与此同时，Jason 也在会议室等着 Raj 来参加立会。

到底是哪里出的问题？Jason 明显只是调侃 Raj 终于能来一起开会了，为什么 Raj 没能听懂呢？

Jason 明显是在开玩笑，但 Raj 把它当真了。这就是在两人互相不了解对方文化语境时发生的一个典型误会。

我经常会遇到有人在电子邮件的末尾写“请复原”，最开始我很迷惑，“这有什么需要我复原的内容？”后来我才搞懂，“请复原”其实是“请回复”的意思。

在 Ricardo Fernandez 的TED 演讲“[如何管理跨文化团队][1]” 中，他提到了自己与一位南非同事发生的小故事。那位同事用一句“我一会给你打电话。”结束了两人的 IM 会话，Ricardo 回到办公室后就开始等这位同事的电话，十五分钟后他忍不住主动给这位同事打了电话，问他:“你不是说要给我打电话吗？”，这位同事答到:“是啊，我是说以后有机会给你打电话。”这时 Ricardo 才理解那位同事说的“一会”是“以后”的意思。

现在是全球化时代，我们的同事很可能不跟我们面对面接触，甚至不在同一座城市，来自不同的国家。越来越多的技术公司拥有全球化的工作场所，和来自世界各地的员工，他们有着不同的背景和经历。这种多样性使得技术公司能够在这个快速发展的科技大环境下拥有更强的竞争力。

但是这种地域的多样性也会给团队带来挑战。管理和维持高性能的团队发展对于同地协作的团队来说就有着很大难度，对于有着多样背景成员的全球化团队来说，无疑更加困难。成员之间的交流会发生延迟，误解时有发生，成员之间甚至会互相怀疑，这些都会影响着公司的成功。

到底是什么因素让全球化交流间发生误解呢？我们可以参照 Erin Meyer 的书《[文化地图][2]》，她在书中将全球文化分为八个类型，其中美国文化被分为低语境文化，与之相对的，日本为高语境文化。

看到这里你可能会问，高、低语境文化到底是什么意思？美国人从小就教育孩子们简洁表达，“直言不讳”是他们的表达准则；另一边，日本人从小学习在高效处理社交线索的同时进行交流，“察言观色”是他们的交流习惯。

大部分亚洲国家的文化都属于高语境文化。作为一个年轻的移民国家，美国毫不意外地拥有着低语境文化。移民来自于世界各地，拥有着不同的文化背景，他们不得不选择简洁而直接的交流方式，这或许就是其拥有低语境文化的原因。

### 从文化语境的角度与异国同事交流的三个步骤：

怎样面临跨文化交流中遇到的挑战？比如说一位美国人与他的日本同事交流，他更应该注重日本同事的非语言线索，同样的日本同事应当更关注美国人直接表达出的信息。如果你也面临类似的挑战，按照下面这三个步骤做，可以帮助你更有效地和异国同事交流，增进与他们的感情。

#### 认识到文化语境的差异

跨文化交流的第一步是认识到文化差异，跨文化交流从认识其他文化开始。

#### 尊重文化语境的差异

一旦你意识到了文化语境的差异会影响跨文化交流，你要做的就是尊重这些差异。在你遇到一种不同的交流方式时，学会接受差异，学会积极听取他人意见。

#### 调和文化语境的差异

只是认识和尊重差异还远远不够，你还需要学会如何调和这些差异。互相理解和换位思考可以增进差异的调和，你还要学着用它们去提高同事间的交流效率，推动生产力。

### 五种促进不同文化语境间交流的方法

为了加强组员们之间关系，这么多年来我一直在收集各种各样的方法和建议。这些方法帮助我解决了与外国组员间产生的很多交流问题，下面有其中一些例子：

#### 与外国组员交流时尽量使用视频会议的形式

研究表明，交流中约 55% 的内容不是靠语言传递的。肢体语言传达着一种十分微妙的信息，你可以根据它们理解对方的意思，而视频会议中处于异地的组员们能够看到对方的肢体语言。因此，组织远程会议时我一般都会采用视频会议的形式。

#### 确保每位成员都有机会分享他们的想法

我虽然喜欢开视频会议，但不是每次都能开的成。如果视频会议对你的团队来说并不常用，大家可能要一些时间去适应，你需要积极鼓励大家参与到其中，先从进行语音会议开始。

我们有一个外地的组员，每次都和我们进行语音会议，和我们提到她经常会有些想法想要分享，或者想做些贡献，但是我们互相看不到，她不知道该怎样开口。如果你一直在进行语音会议，注意要给组员们足够的时间和机会分享他们的想法。

#### 互相学习

通过你身边一两名外国朋友来学习他们的文化，你可以把从一位同事身上学到的应用于所有来自这个国家的同事。我有几位南亚和南美的同事，他们帮助我理解他们的文化，而这些也使得我更加专业。

对编程人员来说，我建议请你全世界的同行们检查你的代码，这个过程能让你观察到其他文化中人们怎样进行反馈、劝说他人，和最终进行技术决策。

#### 学会感同身受

同理心是一段牢固关系的核心。你越能换位思考，就越容易获得信任，来建立长久的关系。你可以在每次会议开始之前和大家闲聊几句，这样大家更容易处于一个放松的状态，如果团队中有很多外国人，要确保大家都能参与进来。

#### 和你的外国同事们单独见面

保持长久关系最好的方法是和你的组员们单独见面。如果你的公司可以报销这些费用，那么努力去和组员们见面吧。和一起工作了很长时间的组员们见面能够使你们的关系更加坚固。我所在的公司就有着周期性交换员工的传统，每隔一段时间，世界各地的员工就会来到美国工作，美国员工再到其他分部工作。

另一种聚齐组员们的机会是研讨会。研讨会创造的不仅是学习和培训的机会，你还可以挤出一些时间和组员们培养感情。

在如今，全球化经济不断发展，拥有来自不同国家和地区的员工对维持一个公司的竞争力来说越来越重要。即使组员们来自世界各地，团队中会出现一些交流问题，但拥有一支国际化的高绩效团队不是问题。如果你在工作中有什么促进团队交流的小窍门，请在评论中告诉我们吧。


--------------------------------------------------------------------------------

via: https://opensource.com/article/18/10/think-global-communication-challenges

作者：[Avindra Fernando][a]
选题：[lujun9972][b]
译者：[Valoniakim](https://github.com/Valoniakim)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/avindrafernando
[b]: https://github.com/lujun9972
[1]: https://www.youtube.com/watch?v=QIoAkFpN8wQ
[2]: https://www.amazon.com/The-Culture-Map-Invisible-Boundaries/dp/1610392507
