[#]: collector: (lujun9972)
[#]: translator: (Morisun029)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11803-1.html)
[#]: subject: (4 ways to volunteer this holiday season)
[#]: via: (https://opensource.com/article/19/12/ways-volunteer)
[#]: author: (John Jones https://opensource.com/users/johnjones4)

假期志愿服务的 4 种方式
======

> 想要洒播些节日的快乐吗？为开源组织做贡献，帮助有需要的社区。

![](https://img.linux.net.cn/data/attachment/album/202001/20/223730f7983z8atxp1tf4l.jpg)

当领导者们配置人员和资源以做出积极改变时，就会产生社会影响。但是，许多社会努力都缺乏能够为这些改变者提供服务的技术资源。然而，有些组织通过将想要做出改变的开发人员与迫切需要更好技术的社区和非营利组织联系起来，来促进技术进步。这些组织通常为特定的受众提供服务，并招募特定种类的技术人员，它们有一个共同点：开源。

作为开发人员，我们出于各种原因试图加入开源社区。有些是为了专业发展，有些是为了能够与广阔的网络上令人印象深刻的技术人员合作，还有其他人则是因为他们清楚自己的贡献对于项目的成功的必要性。为什么不将你作为开发人员的才华投入到需要它的地方，而同时又为开源组织做贡献呢？以下组织是实现此目标的一些主要事例。

### Code for America

“Code for America” 是在数字时代，政府如何依靠人民为人民服务的一个例子。通过其 Brigade Network，该组织在美国各个城市中组织了一个由志愿程序员、数据科学家、相关公民和设计师组成的全国联盟。这些本地分支机构定期举行聚会，向社区开放。这样既可以向小组推出新项目，又可以协调正在进行的工作。为了使志愿者与项目相匹配，该网站经常列出项目所需的特定技能，例如数据分析、内容创建和JavaScript。同时，Brigade 网站也会关注当地问题，分享自然灾害等共同经验，这些都可以促进成员之间的合作。例如，新奥尔良、休斯敦和坦帕湾团队合作开发了一个飓风响应网站，当灾难发生时，该网站可以快速响应不同的城市灾难情况。

想要加入该组织，请访问 [该网站][2] 获取 70 多个 Brigade 的清单，以及个人加入组织的指南。

### Code for Change

“Code for Change” 显示了即使在高中时期，也可以为社会做贡献。印第安纳波利斯的一群高中开发爱好者成立了自己的俱乐部，他们通过创建针对社区问题的开源软件解决方案来回馈当地组织。“Code for Change” 鼓励当地组织提出项目构想，学生团体加入并开发完全自由和开源的解决方案。该小组已经开发了诸如“蓝宝石”之类的项目，该项目优化了当地难民组织的志愿者管理系统，并建立了民权委员会的投诉表格，方便公民就他们所关心的问题在网上发表意见。

有关如何在你自己的社区中创建 “Code for Change”，[访问他们的网站][3]。

### Python for Good/Ruby for Good

“Python for Good” 和 “Ruby for Good” 是在俄勒冈州波特兰市和弗吉尼亚州费尔法克斯市举办的双年展活动，该活动将人们聚集在一起，为各自的社区开发和制定解决方案。

在周末，人们聚在一起聆听当地非营利组织的建议，并通过构建开源解决方案来解决他们的问题。 2017 年，“Ruby For Good” 参与者创建了 “Justice for Juniors”，该计划指导当前和以前被监禁的年轻人，并将他们重新融入社区。参与者还创建了 “Diaperbase”，这是一种库存管理系统，为美国各地的<ruby>尿布库<rt>diaper bank</rt></ruby>所使用。这些活动的主要目标之一是将看似不同的行业和思维方式的组织和个人聚集在一起，以谋求共同利益。公司可以赞助活动，非营利组织可以提交项目构想，各种技能的人都可以注册参加活动并做出贡献。通过两岸（美国大西洋和太平洋东西海岸）的努力，“Ruby for Good” 和 “Python for Good” 一直恪守“使世界变得更好”的座右铭。

“[Ruby for Good][4]” 在夏天举行，举办地点在弗吉尼亚州费尔法克斯的乔治•梅森大学。

### Social Coder

英国的 Ed Guiness 创建了 “Social Coder”，将志愿者和慈善机构召集在一起，为六大洲的非营利组织创建和使用开源项目。“Social Coder” 积极招募来自世界各地的熟练 IT 志愿者，并将其与通过 Social Coder 注册的慈善机构和非营利组织进行匹配。项目范围从简单的网站更新到整个移动应用程序的开发。

例如，PHASE Worldwide 是一个在尼泊尔支持工作的小型非政府组织，因为 “Social Coder”，它获得了利用开源技术的关键支持和专业知识。

有许多慈善机构已经与英国的 “Social Coder”进行了合作，也欢迎其它国家的组织加入。通过他们的网站，个人可以注册为社会软件项目工作，找到寻求帮助的组织和慈善机构。

对 “Social Coder” 的志愿服务感兴趣的个人可以 [在此][5]注册.


--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/ways-volunteer

作者：[John Jones][a]
选题：[lujun9972][b]
译者：[Morisun029](https://github.com/Morisun029)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/johnjones4
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_gift_giveaway_box_520x292.png?itok=w1YQhNH1 (Gift box opens with colors coming out)
[2]: https://brigade.codeforamerica.org/
[3]: http://codeforchange.herokuapp.com/
[4]: https://rubyforgood.org/
[5]: https://socialcoder.org/Home/Programmer
