[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11751-1.html)
[#]: subject: (12 programming resources for coders of all levels)
[#]: via: (https://opensource.com/article/19/12/programming-resources)
[#]: author: (Erik O'Shaughnessy https://opensource.com/users/jnyjny)

12 个给全等级码农们的编程资源
======

> 无论你身处编程旅程中的何处，这 12 篇编程文章都有你需要学习一些东西。

![](https://img.linux.net.cn/data/attachment/album/202001/05/102002cdjy66jucbcfs6dg.jpg)

> “学习计算机编程的最佳时间是 20 年前，其次是现在。”
> — 计算机科学的谚语（也许是）

无论你是新程序员、经验丰富的 Web 开发人员、后端大师、头发花白的系统程序员，还是其他神秘物种的计算机极客？无论你身处广阔的软件开发人员生态系统中的何处，在我们领域中唯一不变的就是需要了解新技术及其应用方法。这是过去一年来阅读量最大的 Opensource.com 文章的集合，我很高兴在这里与你分享它们。

### 好好学习

无论你的技能或兴趣是什么，学习如何编写计算机程序都可以将特定领域的知识变成一种超能力。不幸的是，至少从现在开始，还不可能通过坐在计算机前面接受电磁辐射就能学会如何编程。在这之前，我推荐这些出色的文章来帮助激发你的编程技能。它们解决了一些重要的问题，例如考虑学习哪种语言以及不同的入门方式。

* [你应该学习哪种编程语言？][2]（译文）
* [学习 Python 的 12 个方式][3]（译文）
* [你可以使用树莓派学习的三种流行编程语言][4]（译文）
* [利用 Python 引导孩子的计算机思维][5]（译文）

### 天天向上

经验丰富的程序员知道，与学习编程相比，唯一更难的就是使你的技能和知识保持最新。但是我们是[自学成才][6]的一族，总是希望提高我们的专业知识和理解力。即使我们不期望使用新技术，我们也知道总会有人问起它们。这些有关 Rust、WebAssembly 和 Podman 的文章是开始学习软件技术一些即将出现的趋势的好地方。

* [为什么要在 WebAssembly 中使用 Rust？][7]
* [使用 WebAssembly 扩展命令行领域][8]
* [免 root 的 Podman 如何工作？][9]
* [为什么选择 Rust 作为你的下一种编程语言][10]

### 老兵不死

尽管新技术层出不穷，但回顾过去可以帮助你前进。当今惊人的技术是建立在昨天的工具之上的，即使我们从未使用这些传奇语言编写过代码，它也将使我们很好地理解这些工具的功能和局限性。这一系列文章集中于 C 语言、用 AWK 编写的实际应用程序，以及对流行度下降但也许还没有消亡的计算机语言的有趣讨论。

* [C 的巨大影响] [11]
* [如何写好 C main 函数][12]（译文）
* [用 AWK 喝咖啡][13]（译文）
* [你最喜欢的“死”语言是什么？][14]

### 学习不止

无论你在编程过程中处于何处，总有更多东西需要学习。我希望这些来自 2019 年的顶级资源能帮助你为 2020 年做好准备。感谢作者们和你——读者。

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/12/programming-resources

作者：[Erik O'Shaughnessy][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jnyjny
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_women_computing_3.png?itok=qw2A18BM (Woman sitting in front of her computer)
[2]: https://linux.cn/article-10769-1.html
[3]: https://linux.cn/article-11280-1.html
[4]: https://linux.cn/article-10661-1.html
[5]: https://linux.cn/article-11116-1.html
[6]: https://en.wikipedia.org/wiki/Autodidacticism
[7]: https://opensource.com/article/19/2/why-use-rust-webassembly
[8]: https://opensource.com/article/19/4/command-line-playgrounds-webassembly
[9]: https://opensource.com/article/19/2/how-does-rootless-podman-work
[10]: https://opensource.com/article/19/10/choose-rust-programming-language
[11]: https://opensource.com/article/19/10/command-line-heroes-c
[12]: https://linux.cn/article-10949-1.html
[13]: https://linux.cn/article-10555-1.html
[14]: https://opensource.com/article/19/6/favorite-dead-language
