[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11771-1.html)
[#]: subject: (My Raspberry Pi retrospective: 6 projects and more)
[#]: via: (https://opensource.com/article/20/1/raspberry-pi-best)
[#]: author: (Anderson Silva https://opensource.com/users/ansilva)

我的树莓派项目回顾
======

> 看看我在好玩、能学习、有用处的树莓派上做了些什么。

![](https://img.linux.net.cn/data/attachment/album/202001/11/091748wekfv77t5ux5zzv2.jpg)

无论是从历史上，还是从理论上讲，当时钟走到一个十年份第一年的 1 月 1 日的午夜 0 点时，就开始了一个十年或一个世纪或一个千年纪元。例如，20 世纪始于 1901 年 1 月 1 日，而不是 1900 年 1 月 1 日。原因很简单：现代日历中没有 0 年，因此这些时间段始于 1 年（使用公历）。但这不是我们在口语上和文化上指代时间段的方式。例如，当我们提到 80 年代的音乐或电影时，我们所说的是 1980 年至 1989 年。

我可以说，最近过去的 21 世纪 10 年代是云计算、社交媒体、移动技术和物联网（IoT）的十年，这其中就包括[树莓派][2]。最近，《时代》杂志将树莓派称为[过去十年中 10 个最佳小玩意][3]之一。我非常同意这点。

树莓派最初的于 2012 年推出，我过了几年才使用上了它。不过从那以后，我在家中做了许多有趣的教育项目，还在 Opensource.com 中记录了一些。

### 圣诞灯三部曲

三年来，我写了三篇探讨如何使用树莓派和开源项目 LightShowPi 控制圣诞灯的文章。第一篇文章《[用树莓派创建你自己的音乐灯光秀][4]》，非常基础地介绍了电子开发介绍和灯光秀的结合。第二篇文章，《[使用树莓派 SSH 进入你的圣诞树][5]》，稍微深入地介绍了通过远程管理和电子按钮控制灯光的方法。三部曲的最后一章《[用树莓派设置假期心情][6]》，回顾了上一年 LightShowPi 项目中引入的更改。

### DIY 项目

多年来，我已经将树莓派变成了几种有用的设备。有一次，我将树莓派变成了 [Pi MusicBox 音乐播放设备][7]，它可以让你在 Web 界面中导入你喜欢的音乐流并在房间中播放。

将树莓派做成[移动视频录制设备][8]是另一个 DIY 项目。它需要一些额外的硬件，例如触摸屏、树莓派摄像头和电池组，但是它工作的很好。这个设备的最大缺点之一是当时树莓派的可用内存很小。我认为如果我将它重新配置在具有 4GB 内存的树莓派 4 上，那么这款便携式摄像机的功能可能会更好。这可能是一个会在 2020 年重新打造的项目。

我做的另一个小项目[客厅的数字时钟][9]使用了 Adafruit PiTFT 小屏幕。尽管这个项目很简单，但它可能是我使用时间最长的项目。那个时钟在我的电视机上呆了一年多，一天 24 小时不间断运行，直到屏幕烧坏为止。

### 圆周率日系列

最后但并非最不重要的一点是，在 2019 年的圆周率日（3 月 14 日）之前，我在 [14 内发布了 14 篇文章][10]。这是迄今为止我完成过的最具挑战性的写作项目，但是它使我能够涵盖许多不同的主题，并希望使读者对树莓派的丰富功能有更多的了解。

### 走向未来

我不认识树莓派基金会中的任何人，因此我不了解它的任何路线图和未来计划。我可以（但我不会）推测品牌及其设备的未来，它们让世界各地这么多不同社会地位的人扩展他们对计算机科学、电子和开源开发的知识。我希望基金会的管理层能够忠于其愿景和使命，并继续为世界各地的人们提供价格合理的技术。

21 世纪 10 年代过去了，那是多么甜蜜的十年。对我来说，它闻起来就像树莓派馅饼。

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/1/raspberry-pi-best

作者：[Anderson Silva][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/ansilva
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/raspberrypi4_board_hardware.jpg?itok=KnFU7NvR (Raspberry Pi 4 board, posterized filter)
[2]: https://www.raspberrypi.org/
[3]: https://time.com/5745302/best-gadgets-of-the-2010s-decade/?utm_source=reddit.com
[4]: https://opensource.com/life/15/2/music-light-show-with-raspberry-pi
[5]: https://opensource.com/life/15/12/ssh-your-christmas-tree-raspberry-pi
[6]: https://opensource.com/article/18/12/lightshowpi-raspberry-pi
[7]: https://opensource.com/life/15/3/pi-musicbox-guide
[8]: https://opensource.com/life/15/9/turning-raspberry-pi-portable-streaming-camera
[9]: https://opensource.com/article/17/7/raspberry-pi-clock
[10]: https://opensource.com/article/19/3/happy-pi-day
