[#]: collector: (lujun9972)
[#]: translator: (heguangzhi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11893-1.html)
[#]: subject: (What I learned going from prison to Python)
[#]: via: (https://opensource.com/article/20/1/prison-to-python)
[#]: author: (Shadeed "Sha" Wallace-Stepter https://opensource.com/users/shastepter)

从监狱到 Python
======

> 入狱后，开源编程是如何提供机会的。
 
![书架上的编程书籍][1]

不到一年前，我还在圣昆廷州立监狱服刑，我是无期徒刑。

我高三的时候，我抢劫了一个人并向他开了枪。现在，我经过一段时间才意识到并承认自己做错了，这是在经历了陪审团审判并看到我的行为带来的恶果后，我知道需要改变自己，我也确实做到了。尽管我对我的行为表示懊悔，但我毕竟开枪打了一个人，并差点杀了他。做这样的事是有后果的，这是理所当然的。所以在我 18 岁的时候，我被判了终身监禁。

监狱是一个非常可怕的地方；我是不推荐你去的。但是我必须去，所以我去了。我不告诉你具体的细节，但你可以放心，这是一个没有太多动机去改变的地方，许多人在这里养成的坏习惯比他们过去在别处养成的更多。

我是幸运儿之一。当我在服刑的时候，发生了一些不同寻常的事情。我开始想象自己出狱后的的未来，虽然在这之前，我还是已经在那里度过了我整个成年生活。

现在你想想：我是黑人，只受过高中教育。我没有工作经历，如果我离开监狱，在被释放前，我还是一个被定罪的重罪犯。当每个雇主看到我的简历，都不会有“我需要雇用这个人”想法，我认为是正常的。

我不知道我的选择是什么，但我已经下定决心了。我需要做些活下去的事情，并且这和我入狱前的生活一点也不像。

### Python 之路

最终，我被关在了圣昆廷州立监狱，我不知道我为何幸运地被关在那里。圣昆廷提供了几个自助和教育编程项目。这些[改造机会][2]帮助囚犯使他们拥有在获释后避免再次犯罪的技能。

作为其中一个编程项目的一部分，2017 年我通过圣昆廷媒体项目认识了[杰西卡·麦凯拉][3]。杰西卡是编程语言 [Python][4] 的爱好者，她开始向我推荐 Python 有多棒，以及它是刚起步的人学习的完美语言。这就是故事变得比小说更精彩的地方。

> 感谢 [@northbaypython][5] 让 [@ShaStepter][6] 和我重复 [@pycon][7] 的主题演讲，让他们被录制下来。我很荣幸与大家分享：
>
> 从监狱到 Pythone:  https://t.co/rcumoAgZHm 
>
> 大规模裁员:如果我们不雇佣被判重罪的人，谁会呢？ https://t.co/fENDUFdxfX  
> 
> [pic.Twitter.com/kpjo8d3ul6][8]
>
> —杰西卡·麦凯拉（@jessicamckellar）[2019 年 11 月 5 日][9]

杰西卡向我介绍了一些 Python 视频教程，这些教程是她为一家名叫 [O’Reilly Media][10] 的公司做的，课程是在线的，如果我能接触到它们，那该有多好呀。不幸的是，在监狱里上网是不可能的。但是，我遇到了一个叫 Tim O’Reilly 的人，他最近刚来到圣昆廷。在他访问之后，Tim 从他的公司 O’Reilly Media 公司向监狱的编程班捐赠了大量内容。最终，我拿到了一款平板电脑，上面有杰西卡的 Python 教程，并学会了如何使用这些 Python 教程进行编码。

真是难以置信。背景和生活与我完全不同的陌生人把这些联系在一起，让我学会了编码。

### 对 Python 社区的热爱

在这之后，我开始经常和杰西卡见面，她开始告诉我关于开源社区的情况。我了解到，从根本上说，开源社区就是关于伙伴关系和协作的社区。之所以如此有效，是因为没有人被排除在外。

对我来说，一个努力寻找自己定位的人，我所看到的是一种非常基本的爱——通过合作和接受的爱，通过接触的爱，通过包容的爱。我渴望成为其中的一部分。所以我继续学习 Python，不幸的是，我无法获得更多的教程，但是我能够从开源社区收集的大量书面知识中获益。我读一切提到 Python 的东西，从平装本到晦涩难懂的杂志文章，我使用平板电脑来解决我读到的 Python 问题。

我对 Python 和编程的热情不是我的许多同龄人所共有的。除了监狱编程课上的极少数人之外，我认识的其他人都没有提到过编程；一般囚犯都不知道。我认为这是因为有过监禁经历的人无法接触编程，尤其是如果你是有色人种。

### 监狱外的 Python 生活

然而，在 2018 年 8 月 17 日，我得到了生命中的惊喜。时任州长的杰里·布朗将我 27 年的刑期减刑，在服刑将近 19 年后，我被释放出狱了。

但现实情况是，这也是为什么我认为编程和开源社区如此有价值。我是一名 37 岁的黑人罪犯，没有工作经历，刚刚在监狱服刑 18 年。我有犯罪史，并且现存偏见导致没有多少职业适合我。但是编程是少数例外之一。

现在，监禁后重返社会的人们迫切需要包容，但当谈及工作场所的多样性以及对多样性的需求时，你真的听不到这个群体被提及或包容。

> 还有什么:
> 
> 1、背景调查：询问他们在你的公司是如何使用的。
>
> 2、初级角色：删除虚假的、不必要的先决条件，这些条件将排除有记录的合格人员。
>
> 3、积极拓展：与当地再就业项目合作，创建招聘渠道。
> 
> [pic.twitter.com/WnzdEUTuxr][11]
>
> —杰西卡·麦凯拉（@jessicamckellar）[2019 年 5 月 12 日][12]
 

因此，我想谦卑地挑战开源社区的所有程序员和成员，让他们围绕包容和多样性展开思考。今天，我自豪地站在你们面前，代表一个大多数人都没有想到的群体——以前被监禁的人。但是我们存在，我们渴望证明我们的价值，最重要的是，我们期待被接受。当我们重返社会时，许多挑战等待着我们，我请求你们允许我们有机会展示我们的价值。欢迎我们，接受我们，最重要的是，包容我们。

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/1/prison-to-python

作者：[Shadeed "Sha" Wallace-Stepter][a]
选题：[lujun9972][b]
译者：[heguangzhi](https://github.com/heguangzhi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/shastepter
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/books_programming_languages.jpg?itok=KJcdnXM2 (Programming books on a shelf)
[2]: https://www.dailycal.org/2019/02/27/san-quentin-rehabilitation-programs-offer-inmates-education-a-voice/
[3]: https://twitter.com/jessicamckellar?lang=en
[4]: https://www.python.org/
[5]: https://twitter.com/northbaypython?ref_src=twsrc%5Etfw
[6]: https://twitter.com/ShaStepter?ref_src=twsrc%5Etfw
[7]: https://twitter.com/pycon?ref_src=twsrc%5Etfw
[8]: https://t.co/Kpjo8d3ul6
[9]: https://twitter.com/jessicamckellar/status/1191601209917837312?ref_src=twsrc%5Etfw
[10]: http://shop.oreilly.com/product/110000448.do
[11]: https://t.co/WnzdEUTuxr
[12]: https://twitter.com/jessicamckellar/status/1127640222504636416?ref_src=twsrc%5Etfw
