[#]: collector: (lujun9972)
[#]: translator: (Morisun029)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-11924-1.html)
[#]: subject: (Why developers like to code at night)
[#]: via: (https://opensource.com/article/20/2/why-developers-code-night)
[#]: author: (Matt Shealy https://opensource.com/users/mshealy)

程序员为什么喜欢在晚上编码
======

> 对许多开源程序员来说，夜间的工作计划是创造力和生产力来源的关键。

![](https://img.linux.net.cn/data/attachment/album/202002/24/104251b2hxch46h45c8zwd.jpg)

如果你问大多数开发人员更喜欢在什么时候工作，大部人会说他们最高效的时间在晚上。这对于那些在工作之余为开源项目做贡献的人来说更是如此（尽管如此，希望在他们的健康范围内[避免透支][2]）。

有些人喜欢从晚上开始，一直工作到凌晨，而另一些人则很早就起床（例如，凌晨 4 点），以便在开始日常工作之前完成大部分编程工作。

这种工作习惯可能会使许多开发人员看起来像个怪人，不合时宜。但是，为什么有这么多的程序员喜欢在非正常时间工作，原因有很多：

### 制造者日程

根据 <ruby>[保罗·格雷厄姆][3]<rt>Paul Graham</rt></ruby> 的观点，“生产东西”的人倾向于遵守 制造者日程 —— 他们更愿意以半天或更长时间为单位使用时间。事实上，大多数[开发人员也有相同的偏好][4]。（LCTT 译注：保罗·格雷厄姆有[一篇文章][8]述及制造者日程和管理者日程。）

一方面，开发人员从事大型抽象系统工作，需要思维空间来处理整个模型。将他们的日程分割成 15 分钟或 30 分钟的时间段来处理电子邮件、会议、电话以及来自同事的打断，工作效果只会适得其反。

另一方面，通常不可能以小时为单位进行有效编程。因为这么短的时间几乎不够让你把思绪放在手头的任务上并开始工作。

上下文切换也会对编程产生不利影响。在晚上工作，开发人员可以避免尽可能多的干扰。在没有不断的干扰的情况下，他们可以花几个小时专注于手头任务，并尽可能提高工作效率。

### 平和安静的环境

由于晚上或凌晨不太会有来自各种活动的噪音（例如，办公室闲谈、街道上的交通），这使许多程序员感到放松，促使他们更具创造力和生产力，特别是在处理诸如编码之类的精神刺激任务时。

独处与平静，加上他们知道自己将有几个小时不被中断的工作时间，通常会使他们摆脱白天工作计划相关的时间压力，从而产出高质量的工作。

更不用说了，当解决了一个棘手的问题后，没有什么比尽情享受自己最喜欢的午夜小吃更美好的事情了！

### 沟通

与在公司内工作的程序员相比，从事开源项目的开发人员可以拥有不同的沟通节奏。大多数开源项目的沟通都是通过邮件或 GitHub 上的评论等渠道异步完成的。很多时候，其他程序员在不同的国家和时区，因此实时交流通常需要开发人员变成一个夜猫子。

### 昏昏欲睡的大脑

这听起来可能违反直觉，但是随着时间的推移，大脑会变得非常疲倦，因此只能专注于一项任务。晚上工作从根本上消除了多任务处理，而这是保持专注和高效的主要障碍。当大脑处于昏昏欲睡的状态时，你是无法保持专注的！

此外，许多开发人员在入睡时思考要解决的问题通常会取得重大进展。潜意识开始工作，答案通常在他们半睡半醒的凌晨时分就出现了。

这不足为奇，因为[睡眠可增强大脑功能][5]，可帮助我们理解新信息并进行更有创造性的思考。当解决方案在凌晨出现时，这些开发人员便会起来开始工作，不错过任何机会。

### 灵活和创造性思考

许多程序员体会到晚上创造力会提升。前额叶皮层，即大脑中与集中能力有关的部分，在一天结束时会感到疲倦。这似乎为某些人提供了更灵活和更具创造性的思考。

匹兹堡大学医学院精神病学助理教授 [Brant Hasler][6] 表示：“由于自上而下的控制和‘认知抑制’的减少，大脑可能会解放出来进行更发散的思考，从而使人们更容易地将不同概念之间的联系建立起来。” 结合轻松环境所带来的积极情绪，开发人员可以更轻松地产生创新想法。

此外，在没有干扰的情况下集中精力几个小时，“沉浸在你做的事情中”。这可以帮助你更好地专注于项目并参与其中，而不必担心周围发生的事情。

### 明亮的电脑屏幕

因为整天看着明亮的屏幕, 许多程序员的睡眠周期被延迟。电脑屏幕发出的蓝光[扰乱我们的昼夜节律][7]，延迟了释放诱发睡眠的褪黑激素和提高人的机敏性，并将人体生物钟重置到更晚的时间。从而导致，开发人员往往睡得越来越晚。

### 来自过去的影响

过去，大多数开发人员是出于必要在晚上工作，因为在白天当公司其他人都在使用服务器时，共享服务器的计算能力支撑不了编程工作，所以开发人员需要等到深夜才能执行白天无法进行的任务，例如测试项目、运行大量的“编码-编译-运行-调试”周期以及部署新代码。现在尽管服务器功能变强大了，大多数可以满足需求，但夜间工作的趋势仍是这种文化的一部分。

### 结语

尽管开发人员喜欢在晚上工作的原因很多，但请记住，做为夜猫子并不意味着你应该克扣睡眠时间。睡眠不足会导致压力和焦虑，并最终导致倦怠。

获得足够质量的睡眠是维持良好身体健康和大脑功能的关键。例如，它可以帮助你整合新信息、巩固记忆、创造性思考、清除身体积聚的毒素、调节食欲并防止过早衰老。

无论你是哪种日程，请确保让你的大脑得到充分的休息，这样你就可以在一整天及每天的工作中发挥最大的作用！

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/2/why-developers-code-night

作者：[Matt Shealy][a]
选题：[lujun9972][b]
译者：[Morisun029](https://github.com/Morisun029)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mshealy
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/computer_code_programming_laptop.jpg?itok=ormv35tV (Person programming on a laptop on a building)
[2]: https://opensource.com/article/19/11/burnout-open-source-communities
[3]: http://www.paulgraham.com/makersschedule.html
[4]: https://www.chamberofcommerce.com/business-advice/software-development-trends-overtaking-the-market
[5]: https://amerisleep.com/blog/sleep-impacts-brain-health/
[6]: https://www.vice.com/en_us/article/mb58a8/late-night-creativity-spike
[7]: https://www.sleepfoundation.org/articles/how-blue-light-affects-kids-sleep
[8]: http://www.paulgraham.com/makersschedule.html
