探索自由而开放的 Web 字体
======

> 谷歌字体和开放字体库中的免费 Web 字体已经改变了游戏规则，但仅在有限的范围内。

![](https://img.linux.net.cn/data/attachment/album/202003/08/174910xoklikblgkkbooib.jpg)

毫无疑问，近些年来互联网的面貌已经被开源字体所改变。早在 2010 年之前，你在 Web 浏览器上几乎只能看到微软制作的通常“Web 安全”的[核心字体][1]。但这一年（2010）正好是好几轮技术革新开始的见证之年：<ruby>[Web 开放字体格式][2]<rt>Web Open Font Format</rt></ruby>（WOFF）的引入为通过 HTTP  有效地传输字体文件提供了一个开放的标准，以及像[谷歌字体][3]和<ruby>[开放字体库][4]<rt>Open Font Library</rt></ruby>这样的 Web 字体服务的推出，使得 Web 内容发布者可以在开源许可证之下免费使用海量的字体库。

这些事件对 Web 排版的积极影响再夸大都不过分。但是要将 Web 开放字体的成功与整个开源排版等同起来，并得到结论——挑战已经远离了我们，困难悉数被解决了——却很容易。然而事实并非如此，如果你很关注字体，那么好消息是你有好多机会参与到对这些字体的改进工作当中去。

对新手来说，至关重要的是必须要意识到谷歌字体和开放字体库提供了专用的服务（为网页提供字体），而没有为其他使用情况制定字体解决方案。这不是服务方面的缺点，这只是意味着我们必须去开发其它的解决方案。

需要解决的问题还非常多。可能最明显的例子就是给 Linux 桌面计算机的其他软件安装字体所遇到的尴尬情况。你可以通过任何一种服务下载任何一种 Web 字体，但是你得到的只是一个最普通的压缩包文件，里面有一些 TTF 或 OTF 二进制文件和一个普通文本文件的许可证。接下来会发生什么完完全全需要你去猜。

大部分用户很快学会了“正确”的步骤就是手动地复制这些字体二进制文件到他们硬盘里几个特殊文件夹里的某一个里。但是这样做只能使这个文件对操作系统可见。它并不能为用户体验带来什么提升。再强调一遍，这不是 Web 字体服务的缺陷，相反它佐证了对于关于服务到哪里停止和需要在其他方面做更多工作的观点。

在用户视角来说，一个巨大的提升可能就是在“只是下载”这个阶段，操作系统或者桌面环境变得更智能。系统或桌面环境不仅会把字体文件安装到正确的位置上，更重要的是，当用户选择要在一个项目中使用的字体时，它会自己添加用户所需要的重要的元数据。

这些附加信息包含的内容与它如何呈现给用户与另一个挑战有关：与其它操作系统相比，在 Linux 环境管理一个字体库显然不那么令人满意。字体管理器总是时不时的出现一下（例如 [GTK+ 字体管理器][5]，这是最近的一个例子），但是它们很少变得流行起来。我一直在思考一大堆这些软件让人失望的方面。一个核心的原因是它们把自己局限于只展示内嵌在二进制字体文件内的信息：基本字符集的覆盖、粗细/宽度和斜率的设定，内置的许可证和版权说明等等。

但是除了这些内嵌数据中的内容，在选择字体的过程中还涉及很多决策。严肃的字体用户，像信息设计者、杂志文章作者，或者书籍美工设计者，他们的字体选择是根据每一份文件的要求和需求做出的。这当然包含了许可证信息，但它还包含了更多，像关于设计师和厂商的信息、潮流风格的趋势，或者字体在使用中的细节。

举个例子，如果你的文档包含了英语和阿拉伯文，你多半想要拉丁文和阿拉伯文的字体由同时熟悉这两种<ruby>字母系统<rt>script</rt></ruby>的设计师所设计。否则，你将浪费一大堆时间来微调字体大小和行间距来使两种字母系统良好地结合在一起。你可能从经验中学到，某些设计师或字体厂商比其他人更善于多种字母系统设计。或许和你职业相关的是今天的时尚杂志几乎无一例外的采用 “[Didone][6]”风格的字体，“[Didone][6]”是指一种两百多年前最先被 [Firmin Didot][7] 和 [Giambattista Bodoni][8] 设计出来的超高反差的字体风格。这种字体恰好就是现在的潮流。

但是像 Didone、Didot 或 Bodoni 这些术语都不可能会出现在二进制文件的内置数据当中，你也不容易判断拉丁文和阿拉伯文是否相得益彰或其它关于字体的历史背景。这些信息有可能出现在补充的材料中，类似某种字形样本或字体文件中，如果这些东西存在的话。

<ruby>字形样本<rt>specimen</rt></ruby>是一份设计好的文档（一般是 PDF），它展示了这种字体的使用情况，而且包括了背景信息。字形样本经常在挑选字体时充当市场营销和外观样例的双重角色。一份精心设计的样本展示了字体在实际应用中的情况和在自动生成的字符表中所不能体现的风格。字形样本文件也有可能包含了一些其他重要信息，比如怎样激活字体的 OpenType 特性、提供的数学表达式或古体字，或者它在支持的多种语言上的风格变化。在字体管理应用程序中向用户提供此类材料，对于帮助用户找到适合其项目需求的字体将大有帮助。

当然，如果我们希望一个字体管理软件能够处理文件和样本问题，我们也必须仔细观察一下各种发行版提供的字体包所随附的内容。Linux 的用户刚开始只有自动安装的那几种字体，并且发行版存储库提供的包是大部分用户除了下载通用的压缩包档案之外的唯一字体来源。这些包往往非常的“简陋”。商业字体总的来说都包含了样本、文档，还有其他的支持项目，然而开源字体往往没有这些配套文件。

也有一些优秀的开放字体提供了高质量的样本和文档（例如 [SIL Gentium][9] 和 [Bungee][10] 是两种差异明显但是都有效的方案），但是它们几乎不涉足下游的打包工作链。我们显然可以做的更好一些。

要在系统的字体交互方面提供更丰富的用户体验上面还存在一些技术问题。一方面，[AppStream][11] 的元数据标准定义了一些字体文件特有的参数，但是到现在为止，这些参数没有包含样本、设计师/厂商和其他相关细节的任何信息。另外一个例子，[SPDX][13]（<ruby>软件包数据交换<rt>Software Package Data Exchange</rt></ruby>）格式也没有包含太多用于分发字体的软件许可证（及许可证变体）。

最后，就像任何一个唱片爱好者都会告诉你的，一个不允许你编辑和完善你的 MP3 曲库中的 ID3 信息的音乐播放器很快就会变得令人失望（LCTT 译注：ID3 信息是 MP3 文件头部的元信息，用于存储歌曲信息）。你想要处理标签里的错误、想要添加注释和专辑封面之类的信息，本质上，这就是完善你的音乐库。同样，你可能也想要让你的本地字体库也保持在一个方便使用的状态。

但是改动字体文件的内置数据一直有所忌讳，因为字体往往是被内置或附加到其他文件里的。如果你随意改变了字体二进制文件中的字段，然后将其与你的演示文稿一起重新分发，那么下载这些演示文稿的任何人最终都会得到错误的元数据，但这个错误不是他们自己造成的。所以任何一个要改善字体管理体验的人都要想明白如何从策略上解决对内置或外置的字体元数据的重复修改。

除了技术角度之外，丰富的字体管理经验也是一项设计挑战。就像我在前面说的一样，有几种开放字体也带了良好的样本和精心编写的文档。但是更多的字体包这两者都没有，还有大量的更老的字体包已经没有人维护了。这很可能意味着大部分开放字体包想要获得样本和证明文件的唯一办法就是让社区去创建它们。

也许这是一个很高的要求。但是开源设计社区现在比以往任何时候都要庞大，它是整个自由开源软件运动中的一个高度活跃的组成部分。所以谁知道呢，也许明年这个时候会发现，在 Linux 桌面系统查找、下载和使用字体会变成一种完全不同的体验。

在这一连串关于现代 Linux 用户的文字设计上的挑战的思考中包含了打包、文档设计，甚至有可能需要在桌面环境加入不少新的软件部分。此外还有其他一系列的东西也需要考虑。其共通性就是在 Web 字体服务不可及的地方，事情就会变得更加困难。

从我的视角来看，最好的消息是现在比起以前有更多的人对这个话题感兴趣。我认为我们要感谢像谷歌字体和开放字体库这样的 Web 字体服务巨头让开放字体得到了更高的关注。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/3/webfonts

作者：[Nathan Willis][a]
译者：[Fisherman110](https://github.com/Fisherman110)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/n8willis
[1]:https://en.wikipedia.org/wiki/Core_fonts_for_the_Web
[2]:https://en.wikipedia.org/wiki/Web_Open_Font_Format
[3]:https://fonts.google.com/
[4]:https://fontlibrary.org/
[5]:https://fontmanager.github.io/
[6]:https://en.wikipedia.org/wiki/Didone_(typography)
[7]:https://en.wikipedia.org/wiki/Firmin_Didot
[8]:https://en.wikipedia.org/wiki/Giambattista_Bodoni
[9]:https://software.sil.org/gentium/
[10]:https://djr.com/bungee/
[11]:https://www.freedesktop.org/wiki/Distributions/AppStream/
[12]:https://www.freedesktop.org/software/appstream/docs/sect-Metadata-Fonts.html
[13]:https://spdx.org/
