[#]: collector: (lujun9972)
[#]: translator: (Morisun029)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12020-1.html)
[#]: subject: (7 tips for writing an effective technical resume)
[#]: via: (https://opensource.com/article/20/2/technical-resume-writing)
[#]: author: (Emily Brand https://opensource.com/users/emily-brand)

撰写有效的技术简历的 7 个技巧
======

> 遵循以下这些要点，把自己最好的一面呈现给潜在雇主。

![](https://img.linux.net.cn/data/attachment/album/202003/21/092248u2w2gz2aezre2ba2.jpg)

如果你是一名软件工程师或技术领域的经理，那么创建或更新简历可能是一项艰巨的任务。要考虑的重点是什么？应该怎么把控格式、内容以及求职目标或摘要？哪些工作经验相关？如何确保自动化招聘工具不会过滤掉你的简历？

在过去的七年中，作为一名招聘经理，我看到了各种各样的简历；尽管有些令人印象深刻，但还有很多人写的很糟糕。

在编写或更新简历时，请遵循以下七个简单原则。

### 1、概述

简历顶部的简短段落应简洁明了、目的明确，避免过度使用形容词和副词。诸如“令人印象深刻”、“广泛”和“卓越”之类的词，这些词不会增加你的招聘机会；相反，它们看起来和感觉上像是过度使用的填充词。 关于你的求职目标，问自己一个重要的问题：**它是否告诉招聘经理我正在寻找什么样的工作以及如何为他们提供价值？** 如果不是，请加强并简化它以回答该问题，或者将其完全排除在外。

### 2、工作经验

数字、数字、数字——重要的事情说三遍。用确凿的事实传达观点远比一般的陈述，例如“帮助构建、管理、交付许多对客户利润有贡献的项目”更能对你有帮助。你的表达中应包括统计数据，例如“直接影响了 5 个顶级银行的项目，这些项目将其上市时间缩短了 40％”，你提交了多少行代码或管理了几个团队。数据比修饰语更能有效地展示你的能力和价值。

如果你经验不足，没有什么工作经验可展示，那些无关的经验，如暑期兼职工作，就不要写了。相反，将相关经验的细节以及你所学到的知识的详细信息写进简历，这些可以使你成为一个更好的候选人。

### 3、搜索术语和行话

随着技术在招聘过程中发挥如此巨大的作用，确保简历被标记为正确的职位非常重要，但不要在简历上过分吹嘘自己。如果你提到敏捷技能但不知道看板是什么，请三思。如果你提到自己精通 Java，但是已经有五年都没有使用过 Java 了，请小心。如果存在你熟悉但不一定是当前在用的语言和框架，请创建其他类别或将你的经验分为“精通”和“熟悉”。

### 4、教育

如果你不是应届大学毕业生，那就没必要再写你的 GPA 或你参加过的俱乐部或兄弟会，除非你计划将它们用作谈话要点以在面试中赢得信任。确保将你发表的或获取过专利的东西包括在内，即使它与该工作无关。如果你没有大学学位，请添加一个证书部分代替教育背景部分。如果你是军人，请包括现役和预备役时间。

### 5、资质证书

除非你想重新进入之前离开的领域，否则不要写过期的证书，例如，如果你曾经是一名人事经理，而现在正寻求动手编程的工作。如果你拥有与该领域不再相关的认证，就不要写这些认证，因为这些可能会分散招聘者的注意力，使你的简历失去吸引力。利用你的 LinkedIn 个人资料为简历添加更多色彩，因为大多数人在面试之前都会阅读你的简历和 LinkedIn 个人资料。

### 6、拼写和语法

让其他人帮忙对你的简历校对一下。很多时候，我在简历中看到过拼写错误的单词，或者错误用词，如“他们的”、“他们是”、“那些”。这些可以避免和修复的错误会产生负面影响。理想情况下，你的简历应用主动语态，但是如果这样会使你感到不舒服，那么就用过去时书写 —— 最重要的是要始终保持一致。不正确的拼写和语法会传递你要么不是很在乎所申请的工作，要么没有足够注意细节。

### 7、格式

确保你的简历是最新的并且富有吸引力，这是留下良好第一印象的简便方法。确保格式一致，例如相同的页边距，相同的间距、大写字母和颜色（将调色板保持在最低限度，不要花花绿绿）是简历写作中最基本的部分，但有必要表明你对工作感到自豪，并重视自己的价值和未来的雇主。在适当的地方使用表格，以视觉吸引人的方式分配信息。如果支持的话，以 .pdf 和 .docx 格式上传简历，然后用 Google Docs 导出为 .odt 格式，这样可以在 LibreOffice 中轻松打开。这里有一个我推荐的简单的 Google 文档[简历模板][2]。 你还可以支付少量费用（不到 10 美元）从一些设计公司购买模板。

### 定期更新

如果你需要（或希望）申请一份工作，定期更新简历可以最大程度地减少压力，也可以帮助你创建和维护更准确的简历版本。撰写简历时，要有远见，确保至少让另外三个人对你的简历内容、拼写和语法进行检查。即使你是由公司招募或其他人推荐给公司的，面试官也可能只能通过简历来认识你，因此请确保它为你带来良好的第一印象。

你还有其他提示要添加吗？

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/2/technical-resume-writing

作者：[Emily Brand][a]
选题：[lujun9972][b]
译者：[Morisun029](https://github.com/Morisun029)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/emily-brand
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/resume_career_document_general.png?itok=JEaFL2XI (Two hands holding a resume with computer, clock, and desk chair )
[2]: https://docs.google.com/document/d/1ARVyybC5qQEiCzUOLElwAdPpKOK0Qf88srr682eHdCQ/edit
