[#]: collector: (lujun9972)
[#]: translator: (hkurj)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12034-1.html)
[#]: subject: (2020 Will Be a Year of Hindsight for SD-WAN)
[#]: via: (https://www.networkworld.com/article/3531315/2020-will-be-a-year-of-hindsight-for-sd-wan.html)
[#]: author: (Zeus Kerravala https://www.networkworld.com/author/Zeus-Kerravala/)

2020 年将是 SD-WAN 的回顾之年
======

![](https://images.idgesg.net/images/article/2020/03/istock-1127447341-100834720-large.jpg)

对于软件定义的广域网（SD-WAN），“过去看起来困难的选择，知道了这些选择的结果后，现在看起来就很清晰了” 这一说法再合适不过了。总结过去的几年：云计算和数字化转型促使公司重新评估传统的 WAN 技术，该技术不再能够满足其不断增长的业务需求。从那时起，SD-WAN 成为一种有前途的新技术。

SD-WAN 旨在解决物理设备的流量管理问题，并支持从云进行基于软件的配置。许多最初的 SD-WAN 部署都因希望取代昂贵的多协议标签交换 （MPLS） 而得到推动。公司希望它可以神奇地解决他们所有的网络问题。但是在实践中，基本的 SD-WAN 解决方案远没有实现这一愿景。

快速发展到现在，围绕 SD-WAN 的炒作已经尘埃落定，并且早期的实施工作已经过去。现在是时候回顾一下我们在 2019 年学到的东西以及在 2020 年要改进的地方。所以，让我们开始吧。

### 1、这与节省成本无关

大多数公司选择 SD-WAN 作为 MPLS 的替代品，因为它可以降低 WAN 成本。但是，[节省的成本][1]会因 SD-WAN 的不同而异，因此不应将其用作部署该技术的主要驱动力。无论公司需要什么，公司都应该专注于提高网络敏捷性，例如实现更快的站点部署和减少配置时间。SD-WAN 的主要驱动力是使网络更高效。如果成功实现那么成本也会随之降低。

### 2、WAN 优化是必要的

说到效率，[WAN 优化][2]提高了应用程序和数据流量的性能。通过应用协议加速、重复数据消除、压缩和缓存等技术，WAN 优化可以增加带宽、减少延迟并减轻数据包丢失。最初的想法是 SD-WAN 可以完成对 WAN 优化的需求，但是我们现在知道某些应用程序需要更多的性能支持。这些技术相互补充，而不是相互替代。它们应该用来解决不同的问题。

### 3、安全性不应该事后考虑

SD-WAN 具有许多优点，其中之一就是使用宽带互联网快速发送企业应用程序流量。但是这种方法也带来了安全风险，因为它使用户及其本地网络暴露于不受信任的公共互联网中。从一开始，安全性就应该成为 SD-WAN 实施的一部分，而不是在事后。公司可以通过使用[安全的云托管][3]之类的服务，将安全性放在分支机构附近，从而实现所需的应用程序性能和保护。

### 4、可见性对于 SD-WAN 成功至关重要

在应用程序和数据流量中具有[可见性][4]，这使网络管理不再需要猜测。最好的起点是部署前阶段，在此阶段，公司可以在实施 SD-WAN 之前评估其现有功能以及缺少的功能。可见性以日常监控和警报的形式在部署后继续发挥重要作用。了解网络中正在发生的情况的公司会更好地准备应对性能问题，并可以利用这些知识来避免将来出现问题。

### 5、无线广域网尚未准备就绪

SD-WAN 可通过包括宽带和 4G/LTE 无线在内的任何传输将用户连接到应用程序。这就是[移动互联][5]越来越多地集成到 SD-WAN 解决方案中的原因。尽管公司渴望将 4G 用作潜在的传输替代方案（尤其是在偏远地区），但由此带来的按使用付费 4G 服务成本却很高。此外，由于延迟和带宽限制，4G 可能会出现问题。最好的方法是等待服务提供商部署具有更好的价格选择的 5G。今年我们将看到 5G 的推出，并更加关注无线 SD-WAN。

请务必观看以下 SD-WAN 视频系列：[你应该知道的所有关于 SD-WAN 的知识][6]。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3531315/2020-will-be-a-year-of-hindsight-for-sd-wan.html

作者：[Zeus Kerravala][a]
选题：[lujun9972][b]
译者：[hkurj](https://github.com/hkurj)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Zeus-Kerravala/
[b]: https://github.com/lujun9972
[1]: https://blog.silver-peak.com/to-maximize-the-value-of-sd-wan-look-past-hardware-savings
[2]: https://blog.silver-peak.com/sd-wan-vs-wan-optimization
[3]: https://blog.silver-peak.com/sd-wans-enable-scalable-local-internet-breakout-but-pose-security-risk
[4]: https://blog.silver-peak.com/know-the-true-business-drivers-for-sd-wan
[5]: https://blog.silver-peak.com/mobility-and-sd-wan-part-1-sd-wan-with-4g-lte-is-a-reality
[6]: https://www.silver-peak.com/everything-you-need-to-know-about-sd-wan
