[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12014-1.html)
[#]: subject: (Top 10 open source tools for working from home)
[#]: via: (https://opensource.com/article/20/3/open-source-working-home)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

在家工作的十大开源工具
======

> 无论你是在家工作的资深人士还是远程工作的新手，这些工具都可以使交流和协作变得轻而易举。

![](https://img.linux.net.cn/data/attachment/album/202003/20/103814bwxxqxkxc9qqxkbb.jpg)

如果你<ruby>在家工作<rt>work from home</rt></ruby>（WFH），你就会知道拥有一系列实用的工具是很重要的，这些工具可以让你远离烦恼，专注于重要的事情。在工作期间工作越努力，工作日结束后，你就越容易放松。

我已经在家工作多年了，这是我精选的远程工作者必备的最佳开源工具。

### 视频会议：Jitsi 

![Jitsi screenshot][2]

当你不在同事身边时，每周保持连接几次非常重要，甚至只是这样也可以保持人与人之间的联系，否则你就会变得孤独。市场上有很多视频会议系统，但以我的经验，最简单、最好的是开源的 [Jitsi][3]。

通过易于记忆的 URL（[meet.jit.si][3]）和按需会议室，Jitsi 使得召开即席会议非常简单。而且更好的是，无需注册。你只需进入 [meet.jit.si][3]，找到一个带有友好的、随机生成的 URL（此处没有字母和数字的随机组合） 的会议室，你就可以立即开始聊天。如果你选择注册，那么还可以与几种日历进行集成。

在现实生活中，我参加了许多来自新西兰最偏远地区的会议，而 Jitsi 无疑是我迄今为止拥有的最好的视频聊天体验。不需要浪费一半的会议时间在迷宫般的虚拟会议室中寻找彼此，也不用在尴尬的滞后时间中坐着发呆，更不用努力地为聊天应用程序安装更新。使用开源和符合标准的 webRTC 协议的 Jitsi 可以让你有个愉悦的开会体验。

### 白板：Drawpile 

![Drawpile screenshot][4]

有时，白板非常适合解释事情、跟踪想法或只是散布一下疯狂的想法。白板是办公室会议室的常见物品，但在数字世界中却很难获得。幸运的是，有了 [Drawpile][5]，这是一个实时协作的绘图应用程序。你可以在自己的计算机上托管绘图会话并邀请其他用户，也可以在 Drawpile 的服务器上托管会话。

它易于使用，足够精简、直观而功能强大，当你的粗略想法开始逐渐成型时，它是使其成为可行的作品的应用程序。

### 看板：Taiga

![Taiga screenshot][6]

想要保持有序并与你的部门保持同步吗？你应该试试 [Taiga][7]，这是一个虚拟的“便利贴”面板，可以帮助团队跟踪各个任务。这种组织和项目计划方法被称为<ruby>看板<rt>kanban</rt></ruby>，在软件开发中很流行，而它也流行于从假期规划到家庭装修项目的所有计划之中。

Taiga 的优点是它是一个在线共享空间。与你进行协作或与之合作的任何人都可以把任务放到面板上，并且随着每个人的进展，他们将任务从左列（起点）移到右边（终点线）。Taiga 具有令人愉悦的图形化和交互性，没有什么比从一列移动到另一列的拖放任务令人感到舒适的了。

如果你的团队有 Taiga 无法满足的特定需求，那么你应该看看[我们挑选的最佳开源看板][8]。

### 个人笔记本：Joplin

![Joplin][9]

我在办公桌旁放着一个纸质笔记本，这样我就可以随时记下思考或想法了。想要捕捉这种简单动作的感受和便利是很棘手的，但 Joplin 却做的很好。

你可以在 Joplin 中创建虚拟笔记本，每个笔记本可以有任意数量的条目。这些条目可以是简单的文本，也可以是带有图形、任务列表、超链接等的复杂的动态文档。最重要的是，你可以将 Joplin 与所有的在线存储服务同步，包括开源的 Nextcloud 服务，这样你可以在任何计算机和任何设备上使用笔记本。这是使你的工作日井井有条、专心致志并保持活动顺畅的好方法。

如果 Joplin 不太满足你的要求，请查看一些我们最喜欢的[笔记本应用][10]。

### 群聊：Riot 

![Riot screenshot][11]

并非所有内容都需要视频聊天或语音通话，但是有些事情比电子邮件更紧急。这就是团队聊天发挥作用的地方。一个好的群聊应用程序应该具有这些功能：即时消息传递、支持表情符号、支持 GIF 和图像，按需聊天室或“频道”、广泛的兼容性和隐私性。[Matrix][12] 是一个用于实时通信的开放标准和轻量级协议，如果你厌烦于键入大段消息，则可以使用相同的协议快速切换到 VOIP。你将获得世界上最好的群聊体验。

Matrix 是一种协议，并且有许多应用程序可以接驳到它（就像使用 Internet 协议一样，Firefox 是使人类可以访问的应用程序）。最受欢迎的客户端之一是 [Riot.im][13]。你可以为你的计算机和手机下载 Riot，并且只是短时间使用的话，可以通过 Web 浏览器连接到 Riot。你的团队总是会近在咫尺，但永远不会近到让你感到不舒服。

### 共享文档：Etherpad 

![Etherpad screenshot][14]

如果你想与他人协作处理文档或与开会，则仅需 Etherpad 就行。Etherpad 是一个实时共享的文字处理器。可以邀请一个或多个人访问文档，并在每个人进行添加和编辑时进行观察。这是一种快速有效的方法，可将想法记入“纸上”并一起迭代修订。

有几种使用 Etherpad 的方法。如果你拥有良好的 IT 支持，则可以要求你的 IT 部门为你的组织托管一个 Etherpad 实例。否则，将有来自开源支持者的在线公共实例，例如 [Riseup][15] 和 [Etherpad][16] 本身所提供的。

### 共享电子表格：Ethercalc 

![Ethercalc screenshot][17]

与 Etherpad 相似，在线 [Ethercalc][18] 编辑器允许多个用户同时在同一屏幕上远程地在电子表格上工作。Ethercalc 甚至可以从现有电子表格和定界文本文件中导入数据。你可能会也可能不会丢失大部分格式，具体取决于要导入的内容的复杂性，但是我从来没有弄坏过我的数据，因此导入文件总是一个好的开始。 下次需要复杂公式的帮助时，或者需要在最新预算中输入收据时，或者只是需要某人在格子上的输入时，请将其输入到 Ethercalc。

### 共享存储与日历：Nextcloud

![Nextcloud screenshot][19]

[Nextcloud][20] 是一个心存远志的应用程序。顾名思义，它是你自己的个人云。它最明显的切入点是在线共享存储，它可以与台式机和移动设备上的文件夹同步。将文件放入文件中，文件会上传到存储空间，然后当一切内容都同步后，它们会出现在所有设备上。为组织中的每个人提供一个帐户，你马上便拥有了共享的存储空间，可以通过单击鼠标单击以共享带有或不带有密码的文件和文件夹。

但是，除了充当共享数据的保管箱之外，Nextcloud 还有很多其他功能。由于其插件式结构，你可以将无数的 Web 应用程序安装到 Nextcloud 中，例如聊天客户端、电子邮件客户端、视频聊天等等。并非所有插件都是“官方的”，因此其支持服务各不相同，但是有几个非常好的官方插件。值得注意的是，有一个官方的日历应用程序，你和你的同事可以用它安排会议并跟踪即将发生的重要事件。该日历使用 CalDAV 协议，因此你所做的一切都可以与任何 CalDAV 客户端兼容。

### LibreOffice

![LibreOffice screenshot][21]

如果你习惯于每天一整天都在办公室里工作，那么你也可能习惯整天在办公套件里工作。包含所有常用功能的面面俱到的应用程序会令人感到某种程度的舒适，而在开源办公世界中的这样的应用程序就是 [LibreOffice][22]。它具有办公套件所应有的一切：文字处理器、电子表格和幻灯片演示。它还具有超出预期的功能，例如基于矢量的绘图应用程序，它还可以编辑 PDF 文件，还有一个带有图形界面构建器的关系型数据库。如果你正在寻找一个好的办公应用程序，那么 LibreOffice 是你应该首先看一看的，因为一旦你使用它，你就再也不用看别的了。

### Linux

![][23]

如果你不熟悉远程工作，而可能是由于某种原因而正在经历一场重大变革。对于某些人来说，变革的时光是一个极好的动力，它可以一劳永逸地改变一切。如果你是其中的一员，那么可能是时候更改一下整个操作系统了。Windows 和 Mac 可能在过去为你提供了很好的服务，但是如果你希望从非开源软件转向开源软件，为什么不换一下运行所有这些应用程序的平台呢？

有许多出色的 Linux 发行版可以让你认真地工作、认真地自我管理和认真地进阶。获取一份 Linux 副本，不论是 [Fedora][24]、[Elementary][25] 还是 [Red Hat Enterprise Linux][26] 的长期支持订购，去尝试使用自由的开源操作系统吧。等你熟悉了远程人的生活时，你最终将成为一名 Linux 专家！

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/3/open-source-working-home

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/oatmeal-and-fedora.jpg?itok=NBFUH9eF (Oatmeal and a laptop.)
[2]: https://opensource.com/sites/default/files/uploads/jitsi_0.jpg (Jitsi screenshot)
[3]: http://meet.jit.si
[4]: https://opensource.com/sites/default/files/uploads/drawpile-whiteboard.jpg (Drawpile screenshot)
[5]: https://drawpile.net/
[6]: https://opensource.com/sites/default/files/uploads/taiga_kanban_screen_0.jpg (Taiga screenshot)
[7]: http://taiga.io
[8]: https://opensource.com/alternatives/trello
[9]: https://opensource.com/sites/default/files/joplin_0.png (Joplin)
[10]: https://opensource.com/alternatives/evernote
[11]: https://opensource.com/sites/default/files/uploads/riot-matrix.jpg (Riot screenshot)
[12]: http://matrix.org
[13]: http://riot.im
[14]: https://opensource.com/sites/default/files/uploads/etherpad.jpg (Etherpad screenshot)
[15]: https://pad.riseup.net/
[16]: https://beta.etherpad.org
[17]: https://opensource.com/sites/default/files/uploads/ethercalc.jpg (Ethercalc screenshot)
[18]: https://ethercalc.org
[19]: https://opensource.com/sites/default/files/uploads/nextcloud-calendar.jpg (Nextcloud screenshot)
[20]: http://nextcloud.com
[21]: https://opensource.com/sites/default/files/uploads/libreoffice.png (LibreOffice screenshot)
[22]: http://libreoffice.org
[23]: https://opensource.com/sites/default/files/uploads/advent-pantheon.jpg
[24]: https://getfedora.org/
[25]: https://elementary.io
[26]: https://www.redhat.com/en/store/red-hat-enterprise-linux-workstation
