[#]: collector: (lujun9972)
[#]: translator: (MFGJT)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12095-1.html)
[#]: subject: (Best Audio Editors For Linux)
[#]: via: (https://itsfoss.com/best-audio-editors-linux)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

Linux 上的最佳音频编辑工具推荐
======

在 Linux 上，有很多种音频编辑器可供你选用。不论你是一个专业的音乐制作人，还是只想学学怎么做出超棒的音乐的爱好者，这些强大的音频编辑器都是很有用的工具。

对于专业级的使用，我总是建议使用 [DAW][1]（数码音频工作站）。但并不是每个人都需要全部的功能，所以你也应该了解一些最简单的音频编辑器。

在本文中，我们将讨论几款 DAW 和基础的音频编辑器，而且它们都是在 Linux 和（可能）其它操作系统上可以使用的**自由开源**的解决方案。

### Linux 上的最佳音频编辑器

![Best audio editors and DAW for Linux][2]

我们不会关注 DAW 提供的所有功能，而只是关注基本的音频编辑功能。不过，你仍然可以把以下内容看作是 Linux 的最佳 DAW 名单。

**安装说明：**你可以在 AppCenter 或软件中心中找到所有提到的音频编辑器或 DAW。如果你在这两个地方没有找到它们，请前往它们的官方网站获取更多信息。

#### 1、Audacity

![Audacity audio editor][3]

[Audacity](https://www.audacityteam.org/) 是 Linux 中最基本音频编辑器之一，但是它也很强大。它是一个自由开源的跨平台工具。肯定已经有很多人了解这个软件了。

现在的它相比它最初流行的时候有了很大的改进。我记得我以前试着通过从音频中去除人声来制作卡拉 OK 伴奏。现在有些时候，你仍然可以这么做。

**特性：**

它还支持包含 VST 效果的插件。当然，你不应该期望它支持 VST 乐器。

  * 通过麦克风或混音器进行现场录制
  * 支持同时从多种音频格式的多个文件中批量导出/导入内容
  * 支持 LADSPA、LV2、Nyquist、VST 和 Audio Unit 的效果插件
  * 使用简单，带有剪切、粘贴、删除和拷贝的功能
  * 可观测声音频率的频谱模式

#### 2、LMMS

![LMMS audio editor][4]

[LMMS](https://lmms.io/) 是一个自由开源的（跨平台）数码音频工作站。它包括所有基本的音频编辑功能以及许多高级功能。

你可以混音、组合音频，或使用 VST 设备创造音频。LMMS 支持这些功能。此外，它还自带一些样本音频、预设、VST 设备和特效来帮助你起步。此外，你还可以得到一个频谱分析仪，以便进行高级的音频编辑工作。

**特性：**

  * 基于 MIDI 的音符回放
  * 支持 VST 设备
  * 原生支持多采样
  * 内置压缩器、限制器、延迟功能、混响功能、失真功能和低音增强器

#### 3、Ardour

![Ardour audio editor][5]

[Ardour](https://ardour.org/) 是另一个自由开源的数码音频工作站。只要你有音频接口，Ardour 就支持它的使用。当然，你也可以无限地添加多声道音轨。这些多声道音轨也可以被指派到不同的混音带，以方便编辑和录音。

你也可以导入一个视频，编辑其中的音频，然后导出新的视频。它提供了许多内置插件，并且支持 VST 插件。

**特性：**

  * 非线性编辑
  * 垂直窗口堆叠，便于导航
  * <ruby>静默消除功能<rt>strip silence</rt></ruby>，<ruby>推拉修剪功能<rt>push-pull trimming</rt></ruby>，和用以短暂片段或基于基于音符开始的编辑的 Rhythm Ferret。

#### 4、Cecilia

![Cecilia audio editor][6]

[Cecilia](http://ajaxsoundstudio.com/software/cecilia/) 不是一个普通的音频编辑器。它的使用者一般是音效设计师或者正在努力成为音效设计师的人。 Cecilia 实际上是一个音频信号处理环境。它可以让你的作品余音绕梁。

你还可以得到内置的音效与合成模组和插件。Cecilia 为一个明确的目的而生：如果你正在找音效设计工具，这是你的不二之选！

**特性：**

  * 利用模块来完成更多工作（UltimateGrainer —— 最先进的颗粒化处理工具，RandomAccumulator —— 记录变量速度的累加器，UpDistoRes——通过上采样和谐振低通滤波器创造失真效果的工具）
  * 自动保存调制设定

#### 5、Mixxx

![Mixxx audio DJ][7]

如果你想要在混合和录制一些东西的同时能够有一个虚拟的 DJ 工具，[Mixxx](https://www.mixxx.org/) 将是完美的工具。你可以用到 BPM、音调，并使用主同步功能来匹配歌曲的节奏和节拍。另外，不要忘记它也是一个 Linux 的自由开源的软件。

它还支持自定义 DJ 设备。所以，如果你有 DJ 设备或者 MIDI，你可以用这个工具录制你的现场混音。

**特性：**

  * 播送和录制你的歌曲的 DJ 混音
  * 可以连接到你的设备并且现场演奏
  * 音调检测和 BPM 检测

#### 6、Rosegarden

![Rosegarden audio editor][9]

[Rosegarden](https://www.rosegardenmusic.com/) 是另一个令人赞叹的 Linux 的自由开源的音频编辑器。它既不是一个功能齐全的 DAW，也不是一个基本的音频编辑工具。它是两者的混合体，并带有一些缩减的功能。

我不会向专业人士推荐这款软件，但如果你经营家庭音乐工作室或只是想体验一下，这将是 Linux 上可以安装的最好的音频编辑器之一。

**特性：**

  * 乐谱编辑
  * 录音、混音以及采样

### 小结

这些是你可以找到的 Linux 上的最棒的一些音频编辑器了。不论你是需要 DAW，一个剪切/粘贴的编辑工具，或者仅仅想要一个拥有基础的混音和录音功能的音频编辑工具，上述软件都能够满足你的需求。

如果在这篇文章中我们遗漏了你最喜欢的一些音频工具，可以在原文下方评论中回复告诉我们。

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-audio-editors-linux

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[MFGJT](https://github.com/MFGJT)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://en.wikipedia.org/wiki/Digital_audio_workstation
[2]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/01/linux-audio-editors-800x450.jpeg?resize=800%2C450&ssl=1
[3]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/01/audacity-audio-editor.jpg?fit=800%2C591&ssl=1
[4]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/01/lmms-daw.jpg?fit=800%2C472&ssl=1
[5]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/01/ardour-audio-editor.jpg?fit=800%2C639&ssl=1
[6]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2019/01/cecilia.jpg?fit=800%2C510&ssl=1
[7]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2019/01/mixxx.jpg?fit=800%2C486&ssl=1
[8]: https://itsfoss.com/dj-mixxx-2/
[9]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/01/rosegarden.jpg?fit=800%2C391&ssl=1
[10]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/01/linux-audio-editors.jpeg?fit=800%2C450&ssl=1
