[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12060-1.html)
[#]: subject: (10 moments that shaped Linux history)
[#]: via: (https://opensource.com/article/19/4/top-moments-linux-history)
[#]: author: (Alan Formy-Duval https://opensource.com/users/alanfdoss)

塑造 Linux 历史的 10 个时刻
======

> 自 1991 年诞生以来，Linux 已经走了漫长的一段路，而这些事件标志着它的发展。

![](https://img.linux.net.cn/data/attachment/album/202004/01/093243wukmsiwdkkwfrg00.jpg)

在 2018 年 8 月，Opensource.com 发布了一项包含七个选项的民意测验，询问读者：[Linux 历史上最重要的时刻是什么？][2]我觉得我需要扩大这个清单，并提出我认为的 10 个在塑造 Linux 历史上发挥了重要作用的时刻。

### 1、Linus 发布 Linux

Linus Torvalds 最初是在 1991 年将 Linux 当成一个业余爱好发布到世上的。结果这个业余爱好成了他的职业！

### 2、出现 Linux 发行版

1993 年，出现了几个 Linux 发行版，需要特别指出的有 [Debian][3]、[Red Hat][4] 和 [Slackware][5]。这个时刻之所以重要是因为它们证明了 Linux 在市场认可度和开发水平方面的成就，使其能够在 1990 年代动荡的操作系统战争、浏览器战争和协议战争中生存下来。相反，那时许多成熟的、商业的和专有的产品并没有活过千禧年之交！

### 3、IBM 斥巨资投注 Linux

2000 年，IBM 宣布将在 Linux 上投资 10 亿美元。Richard Richtmyer 在他的 CNN Money [有关投资的文章][6] 中写道：“这一声明强调了蓝色巨人对 Linux 的承诺，标志着将这个替代操作系统推向主流商业市场的重大进展。”

### 4、好莱坞接纳 Linux

在 2002 年，整个好莱坞电影业似乎都采用了 Linux。[迪尼斯][7]、[梦工厂][8] 和 [工业光魔][9] 都在那一年开始用 Linux 制作电影。

### 5、Linux 得到政府认可

2003 年，美国政府对 Linux 的接受是它的又一个重要时刻。红帽 Linux 被[授予][10]美国防部通用操作环境（COE）认证。这很重要，因为政府（特别是情报和军事机构）对计算机系统有非常严格的要求，以防止攻击和支持国家安全。这为其他机构使用 Linux 打开了大门。在那年晚些时候，[美国国家气象局宣布][11]，它将用运行 Linux 的新计算机代替过时的系统。

### 6、我管理的系统

这个“时刻”确实是我个人经历的集合。随着在 2000 年代我的职业发展，我发现自己管理的几种类型的系统和设备都运行着 Linux。我在 VMware ESX、F5 Big-IP、Check Point UTM Edge、Cisco ASA 和 PIX 这些地方发现了 Linux。这使我意识到 Linux 确实可行并且可以继续存在下去。

### 7、Ubuntu

2004 年，Mark Shuttleworth 创立了 Canonical，该公司基于 Debian 发行版提供了易于使用的 Linux 桌面：[Ubuntu Linux][12]。我认为 Ubuntu Linux 帮助扩展了桌面 Linux 安装基数。从休闲的家庭用户到专业软件开发人员，它使 Linux 出现在更多人面前。

### 8、Google 的 Linux

Google 发行了两种基于 Linux 内核的操作系统：2008 年中期的 Android 移动操作系统和 2011 年在 Chromebook 上运行的 Chrome OS。在那之后，已经售出了数百万部 Android 手机和 Chromebook。

### 9、云计算即 Linux

在过去这十年左右的时间里，云计算已经从互联网计算的宏伟愿景变成了我们如何个人和专业地使用计算机的全新方式。云计算领域中的主要参与者都是构建于 Linux 之上的，包括 [Amazon Web Services（AWS）][13]、[Google Cloud Services（GCS）][14] 和 [Linode][15]。即使在一些我们不能确信的地方（例如 Microsoft Azure），也很好地支持运行 Linux 工作负载。

### 10、我的汽车运行着 Linux

你的也一样！许多汽车制造商几年前开始引入 Linux。这导致了名为 [汽车级 Linux（AGL）][16] 的协作开源项目的形成。丰田和斯巴鲁等主要汽车制造商已经联合开发基于 Linux 的汽车娱乐、导航和引擎管理系统。

### 分享你的最爱

这是我从贯穿我的职业生涯的 Linux 文章和事件的档案库中提取出来的主观清单，因此可能还有其他更值得注意的时刻。请分享你的评论吧。

--------------------------------------------------------------------------------

via: https://opensource.com/article/19/4/top-moments-linux-history

作者：[Alan Formy-Duval][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/alanfdoss
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/linux_penguin_green.png?itok=ENdVzW22 (Penguin with green background)
[2]: https://opensource.com/article/18/8/linux-history
[3]: https://www.debian.org/doc/manuals/project-history/ch-intro.en.html
[4]: https://brand.redhat.com/foundations/history
[5]: https://opensource.com/article/18/7/stackware-turns-25
[6]: https://money.cnn.com/2000/12/12/technology/ibm_linux
[7]: https://www.nytimes.com/2002/06/18/business/technology-disney-shifting-to-linux-for-film-animation.html
[8]: https://www.linux.com/news/stallion-and-penguin-dreamworks-uses-linux-create-new-animated-film
[9]: https://www.linuxjournal.com/article/6011
[10]: https://www.cnet.com/news/government-tips-hat-to-red-hat
[11]: https://www.computerworld.com/article/2574142/national-weather-service-migrates-to-linux-based-ibm-workstations.html
[12]: https://www.ubuntu.com/about
[13]: https://aws.amazon.com/amazon-linux-2
[14]: https://cloud.google.com
[15]: https://www.linode.com/docs/getting-started
[16]: https://www.automotivelinux.org
