[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12250-1.html)
[#]: subject: (Audacious 4.0 Released With Qt 5: Here’s How to Install it on Ubuntu)
[#]: via: (https://itsfoss.com/audacious-4-release/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

如何安装使用 Qt 5 的音频播放器 Audacious 4.0
======

[Audacious][1] 是一个开源音频播放器，可用于包括 Linux 在内的多个平台。继上次发布主版本将近 2 年后，Audacious 4.0 带来了一些重大变化。

最新版本的 Audacious 4.0 默认带 [Qt 5][2] 用户界面。你仍然可以和以前一样使用旧的 GTK2 UI，但是，新功能仅会添加到 Qt UI 中。

让我们看下发生了什么变化，以及如何在 Linux 系统上安装最新的 Audacious。

### Audacious 4.0 关键变化和功能

![Audacious 4 Release][3]

当然，主要的变化是默认使用 Qt 5 UI。除此之外，他们的[官方公告][4]中提到了许多改进和功能补充，它们是：

* 单击播放列表列头可对播放列表进行排序
* 拖动播放列表列头会更改列顺序
* 应用中的音量和时间步长设置
* 隐藏播放列表标签的新选项
* 按路径对播放列表排序，现在将文件夹排序在文件后面
* 实现了额外的 MPRIS 调用，以与 KDE 5.16+ 兼容
* 新的基于 OpenMPT 的跟踪器模块插件
* 新的 VU Meter 可视化插件
* 添加了使用 SOCKS 网络代理的选项
* 换歌插件现在可在 Windows 上使用
* 新的“下一张专辑”和“上一张专辑”命令
* Qt UI 中的标签编辑器现在可以一次编辑多个文件
* 为 Qt UI 实现均衡器预设窗口
* 歌词插件获得了在本地保存和加载歌词的能力
* 模糊范围和频谱分析器可视化已移植到 Qt
* MIDI 插件 “SoundFont 选择”已移植到 Qt
* JACK 输出插件获得了一些新选项
* 添加了无限循环 PSF 文件的选项

如果你以前不了解它，你可以轻松安装它，并使用均衡器和 [LADSP][5] 效果器来调整音乐体验。

![Audacious Winamp Classic Interface][6]

### 如何在 Ubuntu 上安装 Audacious 4.0

值得注意的是，[非官方 PPA][7] 是由 [UbuntuHandbook][8] 提供的。你可以按照以下说明在 Ubuntu 16.04、18.04、19.10 和 20.04 上进行安装。

1、首先，你必须在终端中输入以下命令将 PPA 添加到系统中：

```
sudo add-apt-repository ppa:ubuntuhandbook1/apps
```

2、接下来，你需要从仓库中更新（刷新）软件包信息，然后继续安装该应用。方法如下：

```
sudo apt update
sudo apt install audacious audacious-plugins
```

就是这样。你无需执行其他任何操作。无论什么情况，如果你想[删除 PPA 和软件][9]，只需按顺序输入以下命令：

```
sudo add-apt-repository --remove ppa:ubuntuhandbook1/apps
sudo apt remove --autoremove audacious audacious-plugins
```

你也可以在它的 GitHub 页面上查看有关源码的更多信息，并根据需要在其他 Linux 发行版上进行安装。

- [Audacious 源代码][10]

### 总结

新功能和 Qt 5 UI 开关对于改善用户体验和音频播放器的功能应该是一件好事。如果你是经典 Winamp 界面的粉丝，它也可以正常工作。但缺少其公告中提到的一些功能。

你可以尝试一下，并在下面的评论中让我知道你的想法！

--------------------------------------------------------------------------------

via: https://itsfoss.com/audacious-4-release/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://audacious-media-player.org
[2]: https://doc.qt.io/qt-5/qt5-intro.html
[3]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/03/audacious-4-release.jpg?ssl=1
[4]: https://audacious-media-player.org/news/45-audacious-4-0-released
[5]: https://www.ladspa.org/
[6]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/03/audacious-winamp.jpg?ssl=1
[7]: https://itsfoss.com/ppa-guide/
[8]: http://ubuntuhandbook.org/index.php/2020/03/audacious-4-0-released-qt5-ui/
[9]: https://itsfoss.com/how-to-remove-or-delete-ppas-quick-tip/
[10]: https://github.com/audacious-media-player/audacious
