[#]: collector: "lujun9972"
[#]: translator: "tinyeyeser"
[#]: reviewer: "wxy"
[#]: publisher: "wxy"
[#]: url: "https://linux.cn/article-12191-1.html"
[#]: subject: "How to avoid man-in-the-middle cyber attacks"
[#]: via: "https://opensource.com/article/20/4/mitm-attacks"
[#]: author: "Jackie Lam https://opensource.com/users/beenverified"

如何避免中间人攻击（MITM）
======

> 首先搞明白到底什么是中间人攻击（MITM），才能避免成为此类高科技窃听的受害者。

![](https://img.linux.net.cn/data/attachment/album/202005/07/100655i7og1eqsw6o3ww81.jpg)

当你使用电脑发送数据或与某人在线通话的时候，你一定采取了某种程度的安全隐私手段。

但如果有第三方在你不知情的情况下窃听，甚至冒充某个你信任的商业伙伴窃取破坏性的信息呢？你的私人数据就这样被放在了危险分子的手中。

这就是臭名昭著的<ruby>中间人攻击<rt>man-in-the-middle</rt></ruby>（MITM）。

### 到底什么是中间人攻击？

黑客潜入到你与受害者或是某个设备间的通信过程中，窃取敏感信息（多数是身份信息）进而从事各种违法行为的过程，就是一次中间人攻击。Scamicide 公司创始人 Steve J. J. Weisman 介绍说：

> “中间人攻击也可以发生在受害者与某个合法 app 或网页中间。当受害者以为自己面对的是正常 app 或网页时，其实 Ta 正在与一个仿冒的 app 或网页互动，将自己的敏感信息透露给了不法分子。”

中间人攻击诞生于 1980 年代，是最古老的网络攻击形式之一。但它却更为常见。Weisman 解释道，发生中间人攻击的场景有很多种：

  * **攻陷一个未有效加密的 WiFi 路由器**：该场景多见于人们使用公共 WiFi 的时候。“虽然家用路由器也很脆弱，但黑客攻击公共 WiFi 网络的情况更为常见。”Weisman 说，“黑客的目标就是从毫无戒心的人们那里窃取在线银行账户这样的敏感信息。”
  * **攻陷银行、金融顾问等机构的电子邮件账户**：“一旦黑客攻陷了这些电子邮件系统，他们就会冒充银行或此类公司给受害者发邮件”，Weisman 说，”他们以紧急情况的名义索要个人信息，诸如用户名和密码。受害者很容易被诱骗交出这些信息。”
  * **发送钓鱼邮件**：窃贼们还可能冒充成与受害者有合作关系的公司，向其索要个人信息。“在多个案例中，钓鱼邮件会引导受害者访问一个伪造的网页，这个伪造的网页看起来就和受害者常常访问的合法公司网页一模一样。”Weisman 说道。
  * **在合法网页中嵌入恶意代码**：攻击者还会把恶意代码（通常是 JavaScript）嵌入到一个合法的网页中。“当受害者加载这个合法网页时，恶意代码首先按兵不动，直到用户输入账户登录或是信用卡信息时，恶意代码就会复制这些信息并将其发送至攻击者的服务器。”网络安全专家 Nicholas McBride 介绍说。

### 有哪些中间人攻击的著名案例？

联想作为主流的计算机制造厂商，在 2014 到 2015 年售卖的消费级笔记本电脑中预装了一款叫做  VisualDiscovery 的软件，拦截用户的网页浏览行为。当用户的鼠标在某个产品页面经过时，这款软件就会弹出一个来自合作伙伴的类似产品的广告。

这起中间人攻击事件的关键在于：VisualDiscovery 拥有访问用户所有私人数据的权限，包括身份证号、金融交易信息、医疗信息、登录名和密码等等。所有这些访问行为都是在用户不知情和未获得授权的情况下进行的。联邦交易委员会（FTC）认定此次事件为欺诈与不公平竞争。2019 年，联想同意为此支付 8300 万美元的集体诉讼罚款。

### 我如何才能避免遭受中间人攻击？

  * **避免使用公共 WiFi**：Weisman 建议，从来都不要使用公开的 WiFi 进行金融交易，除非你安装了可靠的 VPN 客户端并连接至可信任的 VPN 服务器。通过 VPN 连接，你的通信是加密的，信息也就不会失窃。
  * **时刻注意：**对要求你更新密码或是提供用户名等私人信息的邮件或文本消息要时刻保持警惕。这些手段很可能被用来窃取你的身份信息。

    如果不确定收到的邮件来自于确切哪一方，你可以使用诸如电话反查或是邮件反查等工具。通过电话反查，你可以找出未知发件人的更多身份信息。通过邮件反查，你可以尝试确定谁给你发来了这条消息。

    通常来讲，如果发现某些方面确实有问题，你可以听从公司中某个你认识或是信任的人的意见。或者，你也可以去你的银行、学校或其他某个组织，当面寻求他们的帮助。总之，重要的账户信息绝对不要透露给不认识的“技术人员”。

  * **不要点击邮件中的链接**：如果有人给你发了一封邮件，说你需要登录某个账户，不要点击邮件中的链接。相反，要通过平常习惯的方式自行去访问，并留意是否有告警信息。如果在账户设置中没有看到告警信息，给客服打电话的时候也*不要*联系邮件中留的电话，而是联系站点页面中的联系人信息。
  * **安装可靠的安全软件**：如果你使用的是 Windows 操作系统，安装开源的杀毒软件，如 [ClamAV][2]。如果使用的是其他平台，要保持你的软件安装有最新的安全补丁。
  * **认真对待告警信息**：如果你正在访问的页面以 HTTPS 开头，浏览器可能会出现一则告警信息。例如，站点证书的域名与你尝试访问的站点域名不相匹配。千万不要忽视此类告警信息。听从告警建议，迅速关掉页面。确认域名没有输入错误的情况下，如果情况依旧，要立刻联系站点所有者。
  * **使用广告屏蔽软件**：弹窗广告（也叫广告软件攻击）可被用于窃取个人信息，因此你还可以使用广告屏蔽类软件。对个人用户来说，中间人攻击其实是很难防范的，因为它被设计出来的时候，就是为了让受害者始终蒙在鼓里，意识不到任何异常。有一款不错的开源广告屏蔽软件叫 [uBlock origin][4]。可以同时支持 Firefox 和 Chromium（以及所有基于 Chromium 的浏览器，例如 Chrome、Brave、Vivaldi、Edge 等），甚至还支持 Safari。

### 保持警惕

要时刻记住，你并不需要立刻就点击某些链接，你也并不需要听从某个陌生人的建议，无论这些信息看起来有多么紧急。互联网始终都在。你大可以先离开电脑，去证实一下这些人的真实身份，看看这些“无比紧急”的页面到底是真是假。

尽管任何人都可能遭遇中间人攻击，只要弄明白何为中间人攻击，理解中间人攻击如何发生，并采取有效的防范措施，就可以保护自己避免成为其受害者。

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/4/mitm-attacks

作者：[Jackie Lam][a]
选题：[lujun9972][b]
译者：[tinyeyeser](https://github.com/tinyeyeser)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/beenverified
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/security_password_chaos_engineer_monster.png?itok=J31aRccu "Security monster"
[2]: https://www.clamav.net
[3]: https://opensource.com/article/20/1/stop-typosquatting-attacks
[4]: https://github.com/gorhill/uBlock
[5]: https://www.beenverified.com/crime/what-is-a-man-in-the-middle-attack/
[6]: https://creativecommons.org/licenses/by-sa/2.0/
