50 个绝佳的必备 Ubuntu 应用
======

> 摘要：这是一份详尽清单，给所有用户的优秀的 Ubuntu 应用。这些应用将帮助你获得更好的 Linux 桌面使用体验。

过去，我已经多次写过关于 [安装 Ubuntu 之后该做什么][1]。每次我都建议在 Ubuntu 上安装某些关键的应用程序。

那么问题来了，什么是关键的 Ubuntu 应用程序？没有绝对的答案。这取决于你的需要和你在 Ubuntu 上要做的工作。

然而还是有很多读者请我推荐一些优秀的 Ubuntu 应用。这就是为什么我创建了这个全面的Ubuntu应用程序列表，你可以经常使用。

为了方便阅读和理解，清单划分为不同应用种类。

### 提供更好使用体验的优秀 Ubuntu 应用

![优秀 Ubuntu 应用][2]

当然，你不必使用以下全部应用。只须浏览这份 Ubuntu 关键应用清单，阅读描述并安装你需要或想要的应用。将这篇文章保存在你的浏览器收藏夹以备将来参考或者通过搜索引擎搜索即可。

这份 Ubuntu 优秀应用清单是准备给普通 Ubuntu 用户的，因此这些应用不全是开源的。我也标记了某些可能不适合新手的稍微复杂的应用。清单适用于 Ubuntu 16.04、18.04 和其他版本。

除非特别声明，所有列出的软件都可以在 Ubuntu 软件中心获得。

如果你没有在软件中心找到应用或者缺失安装说明，请告知我，我会补充安装步骤。

话不多说！让我们看看有哪些优秀 Ubuntu 应用。

#### 浏览器

Ubuntu 以 Firefox 为默认浏览器。自从 Quantum 版本发布以来，Firefox 已有显著提升。就个人而言，我经常使用多个浏览器来应对不同的工作。

##### Google Chrome

![Google Chrome Logo][3]

由于某种原因，Google Chrome 是最为广泛使用的浏览器。使用 Google 账号，你可以在不同设备无缝同步。大量拓展和应用进一步增强 Chrome 的能力。你可以 [点击此处在 Ubuntu 上安装 Chrome][4]。

##### Brave

![brave browser][5]

Google Chrome 可能是最广泛使用的浏览器，但也是隐私窥探者。一个 [替代浏览器][6] 是 [Brave][7]，它可以默认拦截广告和追踪脚本。它为你提供了更快、更安全的浏览体验。

#### 音乐应用

![Ubuntu 优秀音乐应用][8]

Ubuntu 将 Rhythmbox 作为默认音乐播放器，这是个相当不坏的选择。不过，你当然可以安装更好的音乐播放器。

##### Sayonara

[Sayonara][9] 是一个小型、轻量并具备漂亮的深色用户界面的音乐播放器。它拥有所有你期望的标准音乐播放器应有的关键功能。它与 Ubuntu 桌面环境整合良好并且不会大量消耗你的内存。

##### Audacity

[Audacity][10] 与其说是音频播放器，不如说是音频编辑器。你可以使用这款自由且开源的工具录制和编辑音频。它支持 Linux、Windows 和 macOS。你可以从软件中心安装它。

##### MusicBrainz Picard

[Picard][11] 不是一个音乐播放器，而是个音乐标签软件。如果你有大量本地音乐文件，Picard 可以帮助你自动更新音乐文件的正确的曲目、专辑、艺人资料和专辑封面。

#### 流媒体音乐应用

![Streaming Music app Ubuntu][12]

在这个时代的互联网，听音乐的方式显然发生了改变。现在的人更依赖于流媒体音乐播放器而不是收藏上百首本地音乐文件。让我们看看你可以用于收听流媒体音乐的一些应用吧。

##### Spotify

[Spotify][13] 是流媒体音乐之王。好消息是它具有官方 Linux 版本。[Ubuntu 上的 Spotify 应用][14] 与媒体键和声音菜单以及桌面通知中心整合良好。请注意，Spotify 服务可能在你的国家有，也可能没有。

##### Nuvola 音乐播放器

[Nuvola][15] 不是像 Spotify 那样的流媒体音乐服务。它是一款在单一应用内支持多个流媒体音乐服务的桌面音乐播放器。你可以使用 Spotify、Deezer、Google Play Music、Amazon Cloud Player 和更多类似服务。

#### 视频播放器

![Linux 视频播放器][16]

Ubuntu 有默认的 GNOME 视频播放器（从前名为 Totem），表现尚可，但不支持多种视频编码。当然有很多播放器比 GNOME 视频播放器更优秀。

##### VLC

自由开源的 [VLC][17] 摘得视频播放器桂冠。它几乎支持全部的视频编码。它还允许你将音量增至最高的 200%。它也支持从最后一个已知位置继续播放。有很多 [VLC 使用技巧][18] 供你参考以尽兴使用。

##### MPV

[MPV][19] 是款值得更多关注的视频播放器。别致轻量的界面和丰富的功能，MPV 拥有你对一个好的视频播放器的一切期望。你甚至可以在命令行使用它。如果你对 VLC 不够满意，你完全可以尝试 MPV。

#### 云端存储服务

本地备份很好，但云端存储给你更多维度的自由。使用云存储，你再也不必总是随身携带 U 盘或担心硬盘故障。

##### Dropbox

![Dropbox logo][20]

[Dropbox][21] 是最流行的云存储提供商之一。你会获得 2GB 免费存储空间，并通过推介给他人得到更多存储空间。Dropbox 提供了一个原生的 Linux 客户端，你可以从官网下载获得。它会在你的系统创建一个本地文件夹，以和云端服务器同步。

##### pCloud

![pCloud icon][22]

[pCloud][23] 是另一个优秀的 Linux 云存储提供商。它也拥有原生的 Linux 客户端，你可以从官网下载。你可以获得高达 20GB 的免费存储空间，如果你需要更多，价格也比 Dropbox 实惠。pCloud 总部位于瑞士，这个国家以严格的数据隐私法而闻名。

#### 图片编辑器

我相信你一定会在某个时间点上需要一个照片编辑器。这里有些优秀的 Ubuntu 图片编辑应用。

##### GIMP

![gimp icon][24]

[GIMP][25] 是一个自由开源的图片编辑器，它支持 Linux、Windows 和 macOS。它是 Adobe Photoshop 在 Linux 上最优秀的替代软件。你可以使用它执行任何图片编辑。网上有许多资源帮助你使用 GIMP。

##### Inkscape

![inkscape icon][26]

[Inkscape][27] 也是一个自由开源的图片编辑器，专用于矢量图形编辑。你可以在 Inkscape 上设计矢量图形和徽标。你可以把它比做 Adobe Illustrator。与 GIMP 一样，网上也有诸多 Inkscape 教程。

#### 绘图应用

![Painting apps for Ubuntu Linux][28]

绘图应用和图片编辑器不完全等同，尽管它们有时功能重叠。以下是你能在 Ubuntu 使用的一些绘图应用。

##### Krita

[Krita][29] 是一款自由开源的数字绘图应用。你可以用它创建数字绘画、漫画和动画。这是款专业软件，甚至被美术学校作为主要软件使用。

##### Pinta

[Pinta][30] 虽然不像 Krita 功能强大，但也可圈可点。你可以把它视为 Linux 端的微软画图软件。你可以绘制、画图、添加文字和执行绘图应用可行的其他诸如此类的小任务。

#### 摄影应用

摄影爱好者还是专家？你将随手获得大量 [摄影工具][31]，以下是一些推荐应用。

##### digiKam

![digikam][32]

使用开源软件 [digKam][33]，你可以专业地处理你的高品质摄影作品。digKam 提供用于查看、管理、编辑、增强、组织、标记和分享照片所需的所有工具。

##### Darktable

![Darktable icon][34]

[darktable][35] 是一款开源的摄影工作流应用程序，特别是专注于 raw 图像的开发。这会是你取代 Adobe Lightroom 的最佳替代品。它同样支持 Windows 和 macOS。

#### 视频编辑器

![Video editors Ubuntu][36]

[Linux 上的视频编辑器][37] 并不匮乏，毋庸赘述。看看 Ubuntu 中一些功能丰富但相对简单的视频编辑器。

##### Kdenlive

[Kdenlive][38] 是 Linux 端最好的全能型视频编辑器。它与 iMovie 或 Movie Maker 相比功能毫不逊色。

##### Shotcut

[Shotcut][39] 是视频编辑的另一个好选择。它是一款开源软件，拥有标准视频编辑器的所有功能。

#### 图片和视频格式转换器

如果你需要为你的图片和视频 [转换文件格式][40]，这些是我的推荐。

##### Xnconvert

![xnconvert logo][41]

[Xnconvert][42] 是一款优秀的批量图像转换工具。你可以批量调整图片尺寸、转换文件类型并重命名。

##### Handbrake

![Handbrake Logo][43]

[HandBrake][44] 是一款易用的开源工具，用于将多种格式的视频转换为一些现代流行的格式。

#### 截图和录屏工具

![Screenshot and recorders Ubuntu][45]

以下是截图和录屏的优秀 Ubuntu 应用。

##### Shutter

[Shutter][46] 是我截图的常用工具。你也可以对这些截图进行一些快速编辑，比如添加箭头、文字或调整图片尺寸。你在我们网站看到的截图都是用 Shutter 编辑的。绝对是 Ubuntu 上最好的应用程序之一。

##### Kazam

[Kazam][47] 是我最喜欢的 [Linux 上的录屏工具][48]。这个是小巧的工具，可以让你录制全屏、某个应用程序窗口或选定区域。你也可以使用快捷键暂停或恢复录屏。[我们的 YouTube 频道][49] 上的教程都是用 Kazam 录制的。

#### 办公套件

我无法想象你在使用计算机时没有文档编辑器。又何必把自己局限在一个文档编辑器上呢？去寻找一个完整的办公套件吧。

##### LibreOffice

![LibreOffice logo][50]

Ubuntu 预装了 [LibreOffice][51]，它无疑是 [最佳的开源办公软件][52]。它是个组件完整的办公软件，包括文档编辑器、电子表格工具、演示软件、数学工具和作图工具。你甚至可以用它编辑部分 PDF 文件。

##### WPS Office

![WPS Office logo][53]

[WPS Office][54] 因酷似微软 Office 而广受欢迎。它的界面与微软 Office 几乎一样并且号称与微软 Office 更加兼容。如果你正在寻找类似微软 Office 的办公软件，WPS Office 是个好选择。

#### 下载工具

![Downloading software Ubuntu][55]

如果你经常从网上下载视频或其他大型文件，这些工具会帮助你。

##### youtube-dl

这是本清单少有的基于命令行的 Ubuntu 应用之一。如果你想从 YouTube、DailyMotion 或其他视频网站下载视频，youtube-dl 是个绝好的选择。它提供了大量 [视频下载高级选项][56]。

##### uGet

[uGet][57] 是一款功能丰富的 [Linux 下载管理器][58]。它允许你暂停和恢复下载、定时下载、监控剪贴板上的可下载内容。如果你的网络速度很慢、不稳定，或者每天的流量有限，这是一个完美的应对工具。

#### 代码编辑器

![Coding apps for Ubuntu][59]

如果你喜欢编程，默认的 Gedit 文本编辑器可能无法满足你的编程需求。下面就为你介绍一些比较好用的代码编辑器。

##### Atom

[Atom][60] 是一款由 GitHub 推出的 [自由开源的代码编辑器][61]。早在它推出第一个稳定版之前，它就因其用户界面、功能和海量插件而成为程序员的至宠。

##### Visual Studio Code

[VS Code][62] 是一款微软出品的开源代码编辑器。别忌惮微软之名，VS Code 是款很棒的 Web 开发编辑器，它还支持许多其他编程语言。

#### PDF 和电子书相关应用

![eBook Management tools in Ubuntu][63]

在这个数字时代，你不能只依靠真正的纸质书籍，特别是当有大量的免费电子书唾手可得。这里有一些 Ubuntu 应用以供管理 PDF 和电子书。

##### Calibre

如果你是个书虫，并收集电子书，你应该使用 [Calibre][64]。它是一个电子书管理器，拥有 [创建电子书][65]、转换电子书格式和管理电子书库的所有必要组件。

##### Okular

Okular 主要是一个 PDF 查看器，有编辑 PDF 文件的选项。你可以用 Okular 在 Linux 上做一些基本的 [PDF 编辑][66]，如添加弹出式备注、内联式备注、手绘、荧光笔、印章等。

#### 通讯应用

![Messaging apps for Ubuntu][67]

我相信你在 Linux 上使用至少一款 [通讯应用][68]。以下是我的推荐。

##### Skype

[Skype][69] 是最流行的视频通讯应用。它也被许多公司和企业用于面试和会议。这使得 Skype 成为 Ubuntu 必备的应用程序之一。

##### Rambox

[Rambox][70] 本身不是一个通讯应用，但它允许你从单一窗口中使用 Skype、Viber、Facebook Messanger、WhatsApp、Slack 和其他一些通讯应用。

#### 笔记和待办事项应用

需要一个待办事项应用或简单的应用来做笔记吗？看看这些吧。

##### Simplenote

![Simplenote logo][71]

[Simplenote][72] 是 WordPress 创建者 [Automattic][73] 推出的一款自由开源的笔记应用。它适用于 Windows、Linux、macOS、iOS 和 Android。你的笔记会同步到云服务器上，你可以在任何设备上访问它们。你可以从官网下载 DEB 文件。

##### Remember The Milk

![Remember The Milk logo][74]

[Remember The Milk][75] 是一款流行的待办事项应用。它适用于 Windows、Linux、macOS、iOS 和 Android。你可以在拥有的所有设备上访问你的待办事项。你也可以从浏览器访问它。它还有一个官方的 Linux 原生版本，你可以从官网下载。

#### 密码保护和加密

![Encryption software Ubuntu][76]

如果有其他人经常使用你的电脑，也许你会考虑通过密码保护文件和文件夹来增加额外的安全。

##### EncryptPad

[EncryptPad][77] 是一个开源文本编辑器，它允许你用密码锁定你的文件。你可以选择加密的类型。这个工具也有一个命令行版本。

##### Gnome Encfs Manager

Gnome Encfs Manager 允许你 [在 Linux 中用密码锁定文件夹][78]。你可以将任何你想要的文件保存在一个加密文件夹中，然后用密码锁定它。

#### 游戏

![Gaming on Ubuntu][79]

[Linux 上的游戏][80] 体验比几年前改进很多。你可以在 Linux 上畅玩大量游戏，而不用回到 Windows 了。

##### Steam

[Steam][81] 是一个数字发行平台，允许你购买游戏（如果需要的话）。Steam 拥有超过 1500 款 [Linux 游戏][82]。你可以从软件中心下载 Steam 客户端。

##### PlayOnLinux

[PlayOnLinux][83] 允许你在 Linux 上通过 WINE 兼容层运行 Windows 游戏。不要对它抱有太高的期望，因为并不是每个游戏都能在 PlayOnLinux 下完美运行。

#### 软件包管理工具 [中高级用户]

![Package Management tools Ubuntu][84]

Ubuntu 软件中心满足普通 Ubuntu 用户的软件需求，但你可以使用以下应用程序对其进行更多的深入操作。

##### Gdebi

Gedbi 是一款小巧的软件包管理器，你可以用它来安装 DEB 文件。它比软件中心更快，而且还能处理依赖问题。

##### Synaptic

十年前，Synaptic 是大多数 Linux 发行版的默认 GUI 软件包管理器。在一些 Linux 发行版中，它仍然是默认的软件包管理器。这个强大的软件包管理器在 [查找已安装的应用程序并删除它们][85] 方面特别有用。

#### 备份和恢复工具

![Backup and data recovery tools for Ubuntu][86]

任何操作系统都应该有备份和恢复工具。让我们来看看 Ubuntu 上有哪些软件是你必须拥有的。

##### Timeshift

Timeshift 是一个帮助你 [对系统进行快照][87] 的工具。这可以让你在系统配置混乱的情况下，在发生不幸的事时将系统恢复到以前的状态。不过要注意的是，它并不是你个人数据备份的最佳工具。对此，你可以使用U buntu 默认的 Deja Dup（也叫做“备份”）。

##### TestDisk [中级用户]

这是本清单里另一个命令行工具。[TestDisk][88] 可以让你 [恢复 Linux 上的数据][89]。如果你不小心删除了文件，使用 TestDisk 还有机会找回来。

#### 系统调整和管理工具

![System Maintenance apps Ubuntu][90]

##### GNOME/Unity Tweak Tool

这些调整工具是每个 Ubuntu 用户必备的。它们允许你访问一些高级系统设置。最重要的是，你可以使用这些调整工具 [改变 Ubuntu 的主题][91]。

##### UFW Firewall

[UFW][92] 意指“不复杂的防火墙”，这一点是贴切的。UFW 为家庭、工作和公共网络预先定义了防火墙设置。

##### Stacer

如果你想释放 Ubuntu 的存储空间，可以试试 Stacer。这个图形化工具可以让你通过删除不必要的文件和完全卸载软件来 [优化你的 Ubuntu 系统][93]。可以从 [官网][94] 下载 Stacer。

#### 其他工具

![Utilities Ubuntu][95]

最后，我会列一些其他我很喜欢但无法归类的 Ubuntu 应用。

##### Neofetch

又多了一个命令行工具！Neofetch 可以显示你的系统信息，如 [Ubuntu 版本][96]、桌面环境、主题、图标、内存和其他信息，并附有 [发行版的 ASCII 徽标][97]。使用以下命令安装 Neofetch。

```
sudo apt install neofetch
```

##### Etcher

Ubuntu 已经带有一个即用 USB 创建工具，但 Etcher 能更好地完成这项任务。它同样支持 Windows 和 macOS。你可以 [点击这里][98] 下载 Etcher。

##### gscan2pdf

我使用这个小工具的唯一目的是 [将图片转换为 PDF][99]。你也可以用它将多张图片合并成一个 PDF 文件。

##### 音频记录器

另一个小巧而又必不可少的 Ubuntu 应用，用于 [在 Ubuntu 上录制音频][100]。你可以用它来录制来自系统麦克风、音乐播放器或任何其他来源的声音。

### 你对 Ubuntu 关键应用的建议？

我想在这里结束我的优秀 Ubuntu 应用清单。我知道你可能不需要或使用所有的应用，但我确信你会喜欢这里列出的大部分应用。

你是否找到几款以前从未知道的应用呢？如果要你推荐最爱的 Ubuntu 应用，你会选择哪个呢？

最后，如果你觉得这篇文章有用，请把它分享到社交媒体或其他你常访问的社区或论坛。这样，你也帮助了我们的成长 :)

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-ubuntu-apps/

作者：[Abhishek Prakash][a]
选题：[lujun9972](https://github.com/lujun9972)
译者：[LikChung](https://github.com/LikChung)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://itsfoss.com/author/abhishek/
[1]:https://linux.cn/article-12183-1.html
[2]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/best-ubuntu-apps-featured.jpeg
[3]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/google-chrome.jpeg
[4]:https://www.google.com/chrome/
[5]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/brave-browser-icon.jpeg
[6]:https://itsfoss.com/open-source-browsers-linux/
[7]:https://brave.com/
[8]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/music-apps-ubuntu.jpeg
[9]:https://itsfoss.com/sayonara-music-player/
[10]:https://www.audacityteam.org/
[11]:https://itsfoss.com/musicbrainz-picard/
[12]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/streaming-music-apps-ubuntu.jpeg
[13]:https://www.spotify.com//
[14]:https://linux.cn/article-9415-1.html
[15]:https://tiliado.eu/nuvolaplayer/
[16]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/Video-Players-linux.jpg
[17]:https://www.videolan.org/index.html
[18]:https://linux.cn/article-11776-1.html
[19]:https://mpv.io/
[20]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/dropbox-icon.jpeg
[21]:https://www.dropbox.com/
[22]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/pcloud-icon.jpeg
[23]:https://itsfoss.com/recommends/pcloud/
[24]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/gimp-icon.jpeg
[25]:https://www.gimp.org/
[26]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/inkscape-icon.jpeg
[27]:https://inkscape.org/en/
[28]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/paint-apps-ubuntu.jpeg
[29]:https://krita.org/en/
[30]:https://pinta-project.com/pintaproject/pinta/
[31]:https://itsfoss.com/image-applications-ubuntu-linux/
[32]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/digikam-icon.jpeg
[33]:https://www.digikam.org/
[34]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/darktable-icon.jpeg
[35]:https://www.darktable.org/
[36]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/video-editing-apps-ubuntu.jpeg
[37]:https://linux.cn/article-10185-1.html
[38]:https://kdenlive.org/en/
[39]:https://shotcut.org/
[40]:https://itsfoss.com/format-factory-alternative-linux/
[41]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/xnconvert-logo.jpeg
[42]:https://www.xnview.com/en/xnconvert/
[43]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/handbrake-logo.jpeg
[44]:https://handbrake.fr/
[45]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/screen-recording-ubuntu-apps.jpeg
[46]:http://shutter-project.org/
[47]:https://launchpad.net/kazam
[48]:https://itsfoss.com/best-linux-screen-recorders/
[49]:https://www.youtube.com/c/itsfoss?sub_confirmation=1
[50]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/libre-office-logo.jpeg
[51]:https://www.libreoffice.org/download/download/
[52]:https://linux.cn/article-9379-1.html
[53]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/wps-office-logo.jpeg
[54]:http://wps-community.org/
[55]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/download-apps-ubuntu.jpeg
[56]:https://linux.cn/article-9244-1.html
[57]:http://ugetdm.com/
[58]:https://itsfoss.com/4-best-download-managers-for-linux/
[59]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/coding-apps-ubuntu.jpeg
[60]:https://atom.io/
[61]:https://linux.cn/article-7468-1.html
[62]:https://itsfoss.com/install-visual-studio-code-ubuntu/
[63]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/pdf-management-apps-ubuntu.jpeg
[64]:https://calibre-ebook.com/
[65]:https://linux.cn/article-7977-1.html
[66]:https://itsfoss.com/pdf-editors-linux/
[67]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/messaging-apps-ubuntu.jpeg
[68]:https://itsfoss.com/best-messaging-apps-linux/
[69]:https://www.skype.com/en/
[70]:https://rambox.pro/
[71]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/simplenote-logo.jpeg
[72]:http://simplenote.com/
[73]:https://automattic.com/
[74]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/remember-the-milk-logo.jpeg
[75]:https://itsfoss.com/remember-the-milk-linux/
[76]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/encryption-apps-ubuntu.jpeg
[77]:https://linux.cn/article-9377-1.html
[78]:https://itsfoss.com/password-protect-folder-linux/
[79]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/gaming-ubuntu.jpeg
[80]:https://linux.cn/article-7316-1.html
[81]:https://store.steampowered.com/
[82]:https://itsfoss.com/free-linux-games/
[83]:https://www.playonlinux.com/en/
[84]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/package-management-apps-ubuntu.jpeg
[85]:https://itsfoss.com/how-to-add-remove-programs-in-ubuntu/
[86]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/backup-recovery-tools-ubuntu.jpeg
[87]:https://linux.cn/article-11619-1.html
[88]:https://www.cgsecurity.org/wiki/TestDisk
[89]:https://linux.cn/article-7974-1.html
[90]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/system-maintenance-apps-ubuntu.jpeg
[91]:https://itsfoss.com/install-themes-ubuntu/
[92]:https://wiki.ubuntu.com/UncomplicatedFirewall
[93]:https://itsfoss.com/optimize-ubuntu-stacer/
[94]:https://github.com/oguzhaninan/Stacer
[95]:https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/07/utilities-apps-ubuntu.jpeg
[96]:https://itsfoss.com/how-to-know-ubuntu-unity-version/
[97]:https://itsfoss.com/display-linux-logo-in-ascii/
[98]:https://etcher.io/
[99]:https://itsfoss.com/convert-multiple-images-pdf-ubuntu-1304/
[100]:https://itsfoss.com/record-streaming-audio/
