[#]: collector: (lujun9972)
[#]: translator: (nophDog)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12375-1.html)
[#]: subject: (How to know if you're ready to switch from Mac to Linux)
[#]: via: (https://opensource.com/article/20/6/mac-to-linux)
[#]: author: (Marko Saric https://opensource.com/users/markosaric)

你是否已经准备好从 Mac 切换到 Linux 了？
======

> 你几乎可以在 Linux 上做任何你在 Mac 上可以做的事情 —— 这是你拥有一个开源操作系统的自由。

![](https://img.linux.net.cn/data/attachment/album/202007/02/222534g8bdabsllplnzl6c.jpg)

我[从 Mac 转到 Linux][2] 已经两年了。在使用 Linux 之前，我用的 Apple 的系统用了 15 年，而当我在 2018 年安装第一个 Linux 发行版时，还只是一个纯粹的新手。

这些日子以来，我只用 Linux，我可以用它完成任何任务。浏览网页、观看 Netflix 影片、写作以及编辑我的 Wordpress [博客][3]，甚至还在上面跑我的[开源网页分析项目][4]。

我甚至还不是一个开发者！Linux 被认为不适合日常使用，对非技术人员也不够友好的日子已经一去不返了。

最近有很多关于 Mac 的讨论，越来越多的人已经在考虑转到 Linux。我打算分享我的切换过程中的一些经验，帮助其它新手也能从容转移。

### 你该不该换？

在换系统之前，最好想清楚，因为有时候 Linux 可能跟你预期不一样。如果你仍希望跟 Apple Watch 无缝配对、可以用 FaceTime 给朋友打电话、或者你想打开 iMovie 看视频，那最好还是不要换了。这些都是 Apple 的专有产品，你只能在 Apple 的“围墙花园”里面使用。如果离不开 Apple 的生态系统，那么 Linux 可能不太适合你。

我对 Apple 生态没有太多挂念，我不用 iPhone，所以跟手机的协作没那么必要。我也不用 iCloud、FaceTime，当然也包括 Siri。我早就对开源充满兴趣，只是一直没有行动。

### 检查你的必备软件清单

我还在使用 Mac 的时候，就已经开始探索开源软件，我发现大部分在 Mac 上使用的软件，在 Linux 也可以运行。

很熟悉用火狐浏览网页吗？在 Linux 上它也可以运行。想用 VLC 看视频？它也有 Linux 版本。喜欢用 Audacity 录制、编辑音频？它正在 Linux 上等着你呢。你用 OBS Studio 直播？在 Linux 直接下载安装吧。一直用 Telegram 跟朋友和家人保持联系吗？Linux 上当然少不了它。

此外，Linux 不仅仅意味着开源软件。你最喜欢的大部分（也可能是所有）非 Apple 专有软件，都能在 Linux 见到它们的身影。Spotify、Slack、Zoom、Stream、Discord、Skype、Chrome 以及很多闭源软件，都可以使用。而且，在你 Mac 浏览器里面运行的任何东西，同样能够运行在 Linux 浏览器。

你能在 Linux 找到你的必备软件，或者更好的替代品吗？请再三确认，做到有备无患。用你最常用的搜索引擎，在网上检索一下。搜索“软件名 + Linux” 或者“软件名 + Linux 替代品”，然后再去 [Flathub][5] 网站查看你能在 Linux 用 Flatpak 安装的专有软件有哪些。

### 请牢记：Linux 不等于 Mac

如果你希望能够从 Mac 轻松转移到 Linux，我相信有一点很重要，你需要保持包容的思想以及愿意学习新操作系统的心态。Linux 并不等于 Mac，所以你需要给自己一些时间去接触并了解它。

如果你想让 Linux 用起来、看起来跟你习惯的 macOS 一模一样，那么 Linux 可能也不适合你。尽管你可以通过各种方法[把 Linux 桌面环境打造得跟 macOS 相似][14]，但我觉得要想成功转移到 Linux，最好的办法是从拥抱 Linux 开始。

试试新的工作流，该怎么用就怎么用。不要总想着把 Linux 变成其它东西。你会跟我一样，像享受 Mac 一样享受 Linux，甚至能有更好的体验感。

还记得你第一次使用 Mac 吧：你肯定花了不少时间去习惯它的用法。那么请给 Linux 同样多的时间和关怀。

### 选择一个 Linux 发行版

有别于 Windows 和 macOS，Linux 不止一个单一的操作系统。不同的 Linux 操作系统被称作发行版，开始使用 Linux 之后，我尝试过好几个不同的发行版。我也用过不同的桌面环境，或者图形界面。在美观度、易用性、工作流以及集成软件上，它们有很大差异。

尽管作为 Mac 的替代品，被提及最多的是 [ElementaryOS][6] 和 [Pop!_OS][7]，但我仍建议从 [Fedora 工作站][8] 开始，理由如下：

- 使用 [Fedora 介质写入器][9]，容易安装
- 几乎可以支持你所有的硬件，开箱即用
- 支持最新的 Linux 软件
- 运行原生无改动的 GNOME 桌面环境
- 有一个大型开发团队以及一个庞大的社区在背后支持

在我看来，对从 macOS 过来的新手来说，[GNOME][10] 是易用性、一致性、流畅性和用户体验最好的桌面环境。它拥有 Linux 世界中最多的开发资源和用户基数，所以你的使用体验会很好。

Fedora 可以为你打开一扇 Linux 的大门，当你适应之后，就可以开始进一步探索各个发行版、桌面环境，甚至窗口管理器之类的玩意了。

### 熟悉 GNOME

GNOME 是 Fedora 和许多其它 Linux 发行版的默认窗口管理器。它最近 [升级到 GNOME 3.36][11]，带来了 Mac 用户会喜欢的现代设计。

一定要做好心理准备，Linux、Fedora 工作站和 GNOME 并不是 Apple 和 macOS。GNOME 非常干净、简约、现代、独创。它不会分散你的注意力，没有桌面图标，没有可见的坞站，窗口上甚至没有最小化和最大化按钮。但是不要慌张，如果你去尝试，它会证明这是你用过最好、最有生产力的操作系统。

GNOME 不会给你带来困扰。启动之后，你唯一能看到的东西只有顶栏和背景图片。顶栏由这几样东西组成，“活动”在左边，时间和日期在中间（这也是你的通知中心），右边是网络、蓝牙、VPN、声音、亮度、电池等托盘图标之类的东西。

#### 为什么 GNOME 像 Mac

你会注意到一些跟 macOS 的相似之处，例如窗口吸附、空格预览（用起来跟 “Quick Look” 一模一样）。

如果你把鼠标光标移动到左上角，点击顶栏的“活动”，或者按下键盘上超级键（`Super` 键，也就是 Mac 上的 `ஐ` 键），你会看到“活动概览”。它有点像 macOS 系统上“调度中心”和“聚焦搜索”的结合体。它会在屏幕中间展示已打开软件和窗口的概览。在左手边，你可以看到坞站，上面有你打开的软件和常用软件。所有打开的软件下面会有一个指示标志，在右手边，你可以看到不同的工作区。

在顶栏中间，有一个搜索框。只要你开始输入，焦点就会转移到搜索框。它能搜索你已经安装的软件和文件内容，可以在软件中心搜索指定的软件、进行计算、向你展示时间或者天气，当然它能做的还有很多。它就像“聚焦”一样。只需开始输入你要搜索的内容，按下回车就可以打开软件或者文件。

你也能看到一列安装好的软件（更像 Mac 上的“启动台”），点击坞站中的“显示应用”图标，或者按 `Super + A` 就行。

总体来说，Linux 是一个轻量级的系统，即使在很老的硬件上也能跑得很顺畅，跟 macOS 比起来仅仅占用很少的磁盘空间。并且不像 macOS，你可以删除任何你不想要或不需要的预装软件。

#### 自定义你的 GNOME 设置

浏览一下 GNOME 设置，熟悉它的选项，做一些更改，让它用起来更舒服。下面是一些我装好 GNOME 必做的事情。

- 在“鼠标和触摸板”中，我禁用“自然滚动”、启用“轻触点击”。
- 在“显示”中，我打开“夜光”功能，在晚上，屏幕会让颜色变暖，减少眼睛疲劳。
- 我也安装了 [GNOME 优化][12]，因为它可以更改额外的设置选项。
- 在“GNOME 优化”中，我启用了 “Over-Amplification” 设置，这样就能获得更高的音量。
- 在“GNOME 优化”中，相比默认的亮色主题，我更喜欢 “Adwaita Dark” 主题。

#### 习惯使用键盘操作

GNOME 是以一个极度以键盘为中心的操作系统，所以尽量多使用键盘。在 GNOME 设置中的“键盘快捷键”部分，你可以找到各个快捷键。

你也可以根据自己的理想工作流程来设置键盘快捷键。我将我最常用的应用程序设置为使用超级键打开。比如说，`Super + B` 打开我的浏览器，`Super + F` 打开“文件”，`Super + T` 打开终端。我还把 `Ctrl + Q` 设置成关闭窗口。

我使用 `Super + Tab` 在打开的应用程序之间切换，`Super + H` 隐藏一个窗口，`F11` 全屏打开软件，`Super + Left` 把窗口吸附到屏幕左边，`Super + Right` 把窗口吸附到屏幕左边，等等。

### 在 Mac 上尝试 Linux 之后再做决定

在完全安装 Linux 之前，在你的 Mac 上先尝试 Fedora。从 [Fefora 官网][9]下载 ISO 镜像。使用 [Etcher][13] 将 ISO 镜像写入 USB 驱动器，然后在启动时点击 `Option` 键，这样你就可以在即用模式下尝试了。

现在您无需在 Mac 上安装任何东西就可以探索 Fedora 工作站了。试试各种东西，能否正常工作：能不能连接 WiFi？触控板是否正常？有没有声音？等等。

也记得花时间来尝试 GNOME。测试我上面提到的不同功能。打开一些安装好的软件。如果一切看起来都还不错，如果你喜欢这样的 Fedora 工作站和 GNOME，并且很肯定这就是你想要的，那么把它安装到你的 Mac 吧。

尽情探索 Linux 世界吧！

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/6/mac-to-linux

作者：[Marko Saric][a]
选题：[lujun9972][b]
译者：[nophDog](https://github.com/nophDog)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/markosaric
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/computer_browser_web_desktop.png?itok=Bw8ykZMA (Digital images of a computer desktop)
[2]: https://markosaric.com/linux/
[3]: https://markosaric.com/how-start-blog/
[4]: https://plausible.io/open-source-website-analytics
[5]: https://flathub.org/apps
[6]: https://opensource.com/article/20/2/macbook-linux-elementary
[7]: https://support.system76.com/articles/pop-basics/
[8]: https://getfedora.org/
[9]: https://getfedora.org/en/workstation/download/
[10]: https://www.gnome.org/
[11]: https://www.gnome.org/news/2020/03/gnome-3-36-released/
[12]: https://wiki.gnome.org/Apps/Tweaks
[13]: https://www.balena.io/etcher/
[14]: https://linux.cn/article-12361-1.html