[#]: collector: (lujun9972)
[#]: translator: (Yufei-Yan)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12438-1.html)
[#]: subject: (My Linux story: From Linux user to contributor)
[#]: via: (https://opensource.com/article/20/7/linux-user-contributor)
[#]: author: (Taz Brown https://opensource.com/users/heronthecli)

我的 Linux 故事：从用户到贡献者
======

> 开源社区欢迎来自不同背景和技能的贡献者。

![](https://img.linux.net.cn/data/attachment/album/202007/22/114140tfuubuvcfgujrcab.jpg)

我是一名 IT 专业人士，拥有超过 15 年经验，担任过不同职位 —— 包括系统管理员、高级 Linux 管理员、DevOps 工程师、自动化顾问和高级<ruby>敏捷专家<rt>scrum master</rt></ruby>。我开始是在 Ubuntu 上学习 Linux，但是后来作为系统管理员转到 CentOS，然后我又转到 Fedora 作为个人使用。但是我对技术的喜爱要远比我使用第一个 Linux 发行版要早的多，而且是来自于一部电影。

我最喜欢的电影是《<ruby>黑客<rt>Hackers</rt></ruby>》。最精彩的一幕发生在电影的开头。电影一开始，一群特工冲进一所房子抓捕臭名昭著的黑客 Zero Cool。我们马上发现 Zero Cool 其实是 11 岁的 Dade Murphy，他在一天之内成功瘫痪了 1507 台计算机系统。他被指控犯罪，他的家人被处以重罚。而且，在他 18 岁之前，他都被禁止使用电脑或按键式电话。

<ruby>劳伦斯·梅森<rt>Laurence Mason</rt></ruby>扮演的 Paul Cook，又名 Nikon 勋爵，是我最喜欢角色。其中一个主要原因是，我从没有看过一个黑客电影里面的人物长的像我，所以我被他的形象深深吸引了。他很神秘。这让我耳目一新，并且感到自豪，我对 IT 充满了热情，我也是一个和他很像的极客。

![Taz with astronaut][2]

### 成为一个 Linux 贡献者

15 年前，我开始使用 Linux。当我成为一个 Linux 管理员的时候，Linux 就成了我的激情所在。我一直尝试找到某种方式能够为开源作出贡献，当时我还不知道该从哪开始。因为这个社区实在是太大了，我不知道自己能否真正成为一个有影响力的人，但当我发现一些人认可我的兴趣，还对我进行指导，我开始彻底打开心扉，问各种问题，并且从社区中学习。自从那以后，Fedora 社区一直是我做贡献的最主要社区。

我现在对于向开源做贡献还是有点稚嫩。当我意识到我可以用代码以外的方式来贡献时，我对开源的想法发生了改变。我更喜欢通过文档做一些贡献，因为我本质上不是一个软件开发人员，而且社区里面最迫切的需求正是文档。请记住：用户的技能和开发人员的技能同样重要。

### 我的硬件是什么？

硬件也很重要，而且现在几乎所有东西都可以运行 Linux。现在，我家里的配置包括：

  * 联想 Thinksever TS140，64 GB 内存，4 x 1 TB SSD 和一个存储数据的 1 TB 机械硬盘
  * 使用 RAID 5 配置的 164 TB Synology NAS
  * 输入输出使用罗技 MX Master 和 MX Master 2S
  * 一个定制的并且符合人体工学的 Kinesis Advantage 2 键盘
  * 两个 38 寸 LG 超宽曲面显示器和一个 34 寸 LG 超宽显示器
  * 一台配备 i7 六核十二线程 CPU 和 16.1 英寸 IPS 显示器的 System76 笔记本

我很喜欢 Fedora 处理外置设备的方式，比如说我的鼠标和键盘。一切都完美融合。即插即用工作正常，性能从来不受影响。

![Fedora double monitor setup][4]

### 软件是什么？

使用开源软件对我的工作非常重要。我依赖于：

  * Fedora 30 作为我日常使用的 Linux 发行版
  * Wekan 作为我的项目的开源<ruby>看板<rt>kanban</rt></ruby>
  * [Atom][5] 作为我的文本编辑器
  * Terminator 作为我日常使用的终端，因为它的网格布局以及丰富的键盘快捷键
  * Neofetch 用来显示每次登录到终端时的系统信息

最后同样重要的是，我把 Powerline、Powerlevel9k 和 Vim-Powerline 搞到我的终端上来跟别人装酷。

![Multiple fedora screens][7]

### Linux 让我们走到一起

美国是个大熔炉，我也是这么看待 Linux 和像 Fedora 项目这样的特定社区的。在每个 Linux 社区中，对于不同的贡献都有很大的空间。也有很多方式可以参与进来，而且对于新的想法，也总是有发挥的空间。通过分享我过去 15 年在开源方面的经验，我希望帮助更多在科技领域的少数族裔体会到来自开源社区对多样性和包容性的认同感。

*编者注：这篇文章改编自[“Taz Brown：你怎么搞 Fedora？”][8]，并得到许可重新发布*

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/7/linux-user-contributor

作者：[Taz Brown][a]
选题：[lujun9972][b]
译者：[Yufei-Yan](https://github.com/Yufei-Yan)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/heronthecli
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/contributor_spotlight_penguin.jpg?itok=azJA5Cj8 (Penguin, stylized, contributor spotlight)
[2]: https://opensource.com/sites/default/files/uploads/taz_with_astronaut_0.png (Taz with astronaut)
[3]: https://getfedora.org/
[4]: https://opensource.com/sites/default/files/uploads/fedora_double_monitor_setup.jpg (Fedora double monitor setup)
[5]: https://fedoramagazine.org/install-atom-fedora/
[6]: https://fedoramagazine.org/add-power-terminal-powerline/
[7]: https://opensource.com/sites/default/files/uploads/fedora_screens.jpg (Multiple fedora screens)
[8]: https://fedoramagazine.org/taz-brown-how-do-you-fedora/
