[#]: collector: (lujun9972)
[#]: translator: (Mikedkmilk)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12445-1.html)
[#]: subject: (Why People Are Crazy About Arch Linux? What’s so Special About it?)
[#]: via: (https://itsfoss.com/why-arch-linux/)
[#]: author: (Abhishek Prakash https://itsfoss.com/author/abhishek/)

为什么人们对 Arch Linux 如此着迷？它有什么特别之处？
======

顺便说一句（利益相关），我用 Arch！

你或许已经在 Linux 论坛、朋友相互讨论或表情包里看到过这个术语。

你可能想知道为什么 Arch Linux 如此受欢迎，为什么人们这么喜欢它？因为有更容易使用，甚至更好的[基于 Arch 的发行版][1]。

在本文中，我将列出 Linux 用户喜欢使用 [Arch Linux][2] 的一些原因。

### 人们喜欢使用 Arch Linux 的六个原因

![][3]

这些只是我的看法，当然，为什么你应该使用 Arch Linux 并没有固定的原因。这是我在十多年里与 Linux 用户和社区打交道的经验中观察到的。

让我们一起看看为什么 Arch Linux 如此受欢迎。

#### 1、DIY 的方式可以让你掌控操作系统的各个方面

我一直认为 Arch Linux 是一个可以让你自己动手打造的操作系统。从安装到管理，Arch Linux 放手让你处理一切。

你可以自己决定使用哪种桌面环境、安装哪些组件和服务。这种精细化的控制能够赋予你一个精简的操作系统，可以让你自由选择所需的组件来构建属于你自己的系统。

如果你是一个 DIY 爱好者，你会喜欢 Arch Linux 的。

#### 2、通过 Arch Linux，可以更好地理解 Linux 的工作原理

![Installing Arch Linux by creating partition and making filesystem via command line][4]

如果你曾经尝试过安装 Arch Linux，你就会知道它的复杂性。

但这种复杂性同时也意味着你将被迫学习一些在其他发行版中可能永远不会费心学习的东西。

比如说在安装 Arch Linux 过程中配置网络本身就是一个很好的学习课程。

如果开始你有感到有困惑不懂的时候，Arch Linux 的[维基][5]可以帮助你。它是互联网上最广泛和最棒的由社区管理的文档。仅仅只是浏览 Arch Linux 的维基，就可以学到很多东西。

#### 3、滚动发行模式可以为你提供最新的内核和软件

![System update in Arch Linux][6]

Arch Linux 是一个滚动发行版，这意味着新的内核和应用程序版本一经发布，就会立即向你推送。

当大多数其他 [Linux 发行版还在提供旧的 Linux 内核版本][7]时，Arch 会迅速向你提供最新的内核。

而软件也是如此。如果 Arch 资源库中的软件发布了新版本，Arch 用户通常会比其他用户先获得新版本。

在滚动发行模式下，一切都是新鲜和前沿的。你不必把操作系统从一个版本升级到另一个版本，只要使用 [pacman 命令][8]，你会始终保持最新的版本。

#### 4、Arch 用户资源库，即 AUR

![][9]

Arch Linux 的资源库中有大量的软件。AUR 扩展了 Arch Linux 的软件产品。在 Arch Linux 中，你可以通过 [AUR][10] 得到相当多的软件。

AUR 是采用社区驱动的方式来提供更新的应用程序。你可以在 [AUR 辅助工具][11]的帮助下搜索和安装应用程序。

#### 5、成就感

![][12]

正如 James Clear 在他的书《<ruby>原子习惯<rt>Atomic Habits</rt></ruby>》中提到的那样，**人类的大脑喜欢挑战，但前提是在一个最理想的困难区域**。

还记得你第一次安装成功 Linux 时的感觉吗？即便你安装的是 Linux Mint。这给了你一种成就感：你成功安装了 Linux！

如果你已经使用 Ubuntu、Fedora 或其他发行版一段时间了，现在开始感到舒适（或厌倦），你可以尝试安装一下 Arch Linux。

对于一个有一定经验的 Linux 用户来说，[成功安装 Arch Linux][13]本身就会给你一种成就感。

这是一个挑战，但却是可以实现的。如果你建议一个新的 Linux 用户尝试 Arch Linux 或者更复杂的 Linux 发行版比如 [Linux From Scratch（LFS）][14]，这个挑战就太难实现了。

这种成功完成挑战的感觉也是人们使用 Arch Linux 的原因之一。

#### 6、没有企业的参与！Arch 是由社区创建、支持和拥有的

Ubuntu 由 Canonical 支持，Fedora 来自 Red Hat（现在是 IBM 的一部分），openSUSE 来自 SUSE。所有这些主流发行版都是企业支持的。

这本身并不是坏事或过错，但是有一些人不喜欢企业参与开源项目。

正如 Debian 一样，Arch Linux 是为数不多的仅由社区参与的 Linux 发行项目之一。

你可能会指出，许多其他发行版如 Linux Mint 等不是由企业赞助的。好吧，这可能是真的，但 Linux Mint 本身就是基于 Ubuntu 的，并且使用 Ubuntu 的资源库。而 Arch Linux 不是另一个发行版的衍生物。

从这个意义上说，[Debian][15] 和 Arch Linux 是更纯粹的社区驱动项目。这对很多人来说可能无关紧要，但确实有一些人在意这些事情。

#### 对你来说，为什么 Arch Linux 如此受欢迎?

现在你可能不同意我提出的所有观点，那没关系。我想知道你是怎么看待 Arch Linux 在 Linux 用户中如此受欢迎，并具有崇拜的地位的？

当你写评论时，让我分享一下“我用 Arch”的表情包 :)

![](https://scontent-fml2-1.xx.fbcdn.net/v/t1.0-0/p526x296/109618601_1759578370849589_736435313539592753_o.jpg?_nc_cat=100&_nc_sid=8024bb&_nc_ohc=MYp_pidAMBMAX8z24Mc&_nc_ht=scontent-fml2-1.xx&_nc_tp=6&oh=9c2bf18b620cf90edb2dd32625b03b41&oe=5F3E8F39)

--------------------------------------------------------------------------------

via: https://itsfoss.com/why-arch-linux/

作者：[Abhishek Prakash][a]
选题：[lujun9972][b]
译者：[Mikedkmilk](https://github.com/Mikedkmilk)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[b]: https://github.com/lujun9972
[1]: https://itsfoss.com/arch-based-linux-distros/
[2]: https://www.archlinux.org/
[3]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/07/why-arch-linux.jpg?ssl=1
[4]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/01/efi_system_partition-1.png?ssl=1
[5]: https://wiki.archlinux.org/
[6]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/04/sudo-pacman-Syu.png?ssl=1
[7]: https://itsfoss.com/why-distros-use-old-kernel/
[8]: https://itsfoss.com/pacman-command/
[9]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/01/AUR.png?resize=800%2C451&ssl=1
[10]: https://itsfoss.com/aur-arch-linux/
[11]: https://itsfoss.com/best-aur-helpers/
[12]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/07/installed-arch-linux.png?ssl=1
[13]: https://itsfoss.com/install-arch-linux/
[14]: http://www.linuxfromscratch.org/
[15]: https://www.debian.org/
