[#]: collector: (lujun9972)
[#]: translator: (robsean)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12487-1.html)
[#]: subject: (24 Linux desktops you need to try)
[#]: via: (https://opensource.com/article/20/5/linux-desktops)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

24 个值得尝试的 Linux 桌面环境
======

> 我全要！

![](https://img.linux.net.cn/data/attachment/album/202008/04/222604tj9mpc66zyzxppbx.jpg)

Linux 桌面的最大优点之一是它提供给用户选择的权利。如果你不喜欢你屏幕左下角的应用程序菜单，你可以移除它。如果你不喜欢你的文件管理器组织文件的方式，你可以使用另外一个文件管理器。不过，不可否认的是，这对那些不习惯自己选择如何使用计算机的用户来说可能会感到困惑。如果你正在考虑安装 Linux，你要做的选择之一就是你想使用哪一个桌面，最好的方法就是尝试几个不同的桌面，直到你找到感觉适合你的桌面。

### 默认桌面

![][2]

作为在 Fedora、Ubuntu、Debian 和一些其它操作系统上的默认桌面，GNOME 桌面可能是最流行的 Linux 桌面。它有一个易于使用和现代化的界面，并带有为手机环境设计的小点缀，因此即使在触摸屏上也感觉很自然。

不过，一些 Linux 发行版选择了不同的桌面环境，如 KDE Plasma、Pantheon、Cinnamon 和 Mate。

  * [GNOME][3]: 现代化和易于使用，默认桌面
  * [Mate][4]: 传统的 GNOME
  * [KDE][5]: 功能强大、可配置的 Plasma 桌面
  * [Cinnamon][6]: 经典的 GNOME
  * [Pantheon][7]: [ElementaryOS][8] 的默认桌面
  * [Budgie][9]: 一个柔和的桌面
  * [Trinity][10]: 传统的 KDE

### 传统的 Unix

![运行在 Fedora 上的 Window Maker][11]

Unix 是现代操作系统的鼻祖，也是 Linux 的直接灵感来源，拥有令人吃惊的丰富的桌面历史。大多数人都不熟悉 Unix 桌面设计，因为 Unix 计算机被认为是学术界、科学界和电影界常见的专业机器，而不是家用计算机。如果你是一名 Unix、IRIX 或 NeXT 的用户，那么你可能会对类似于 [CDE][12] 或 NeXTStep 的桌面有着美好的回忆。你很幸运，因为这一传统延续至今：

  * [Windowmaker][13]: NeXT 界面的复兴
  * [Enlightenment][14]: 一个现代化的改进型 Windowmaker 风格的桌面
  * [Fluxbox][15]: 跳出 Blackbox 思维定式
  * [Openbox][16]: 改善 Blackbox 的可用性
  * [TWM][17]: 与 X11 绑定至死的示例桌面
  * [Fvwm][18]: 改进的 TWM

### 轻量级桌面

![XFCE in 2019 年 在 Mageia Linux 上的][19]

你可能想知道为什么 Linux 有那么多的桌面可供选择。你可以把它归结为个人喜好和对效率低下的低容忍度，但优化用户界面也有技术上的好处。例如，老电脑难以跟上用户界面的更新，可以使用轻量级桌面[赋予它新的生命](<https://opensource.com/article/20/2/macbook-linux-elementary>) 。另外，你可能只是想把 CPU 处理能力分配到除桌面以外的其它东西上，所以保持你的主用户界面极简是有意义的。不管你的动机是什么，这里有一些你可以尝试的桌面：

  * [XFCE][20]: 熟悉的桌面，极少的性能损失
  * [LXQT 和 LXDE][21]: 熟悉的桌面，较少的性能损失
  * [PekWM][22]: 一个 Blackbox 式的窗口管理器
  * [Joe's Window Manager][23]: 另一个 Blackbox 式的窗口管理器
  * [Ratpoison][24]: 不使用鼠标
  * [Herbstluftwm][25]: 针对 [Vim 用户][26] 的Ratpoison
  * [Lumina][27]: 一个为 PC-BSD 开发的桌面

### 实验性桌面

![Unix 桌面环境][28]

当创建一个桌面并将其集成到一个系统中相对容易的时候，会发生的事情之一就是你会得到一些有趣的概念验证项目和试验性项目。有一些会比其它的更精致，有一些则不是很容易安装。这些很可能注定不会成为你的永久桌面，但是它们可以是很有趣的体验:

  * [Unix Desktop Environment][29]: 该桌面的重塑版
  * [Rox][30]: 在它那个时代是先进和现代的桌面
  * [MLVWM][31]: 要是 Apple IIe 运行 Unix 怎么样？
  * [Equinox][32]: 只是个最基础的东西

### 选择你的桌面

如果太多的选择让你不知所措，那么记住：桌面意味着 *可选*。你没有义务来尝试发行版附带的多个桌面。

许多 Linux 的高级用户都会满足于他们的发行版所提供的某个桌面。最重要的是得到一个可以与你的计算机一起工作的 Linux 系统系统，并花费时间来学习它是如何工作的。归根结底，所有的桌面都只是为了做同一件事：帮助你组织和管理你的重要数据。让你了解你的桌面是如何工作的，这才是最重要的。但是如果你已经了解了你的默认桌面的各个方面，那你现在有了可以在周末尝试的大量选择。祝你玩得开心！

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/5/linux-desktops

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[robsean](https://github.com/robsean)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/linux-penguins.png?itok=yKOpaJM_ (Penguins)
[2]: https://opensource.com/sites/default/files/advent-gnome.jpg
[3]: https://linux.cn/article-11675-1.html
[4]: https://linux.cn/article-11703-1.html
[5]: https://linux.cn/article-11728-1.html
[6]: https://linux.cn/article-8606-1.html
[7]: https://linux.cn/article-11660-1.html
[8]: https://elementary.io/
[9]: https://linux.cn/article-10547-1.html
[10]: https://opensource.com/article/19/12/linux-trinity-desktop-environment-tde
[11]: https://opensource.com/sites/default/files/uploads/advent-windowmaker.jpg (Window Maker running on Fedora)
[12]: https://sourceforge.net/projects/cdesktopenv/
[13]: https://linux.cn/article-11650-1.html
[14]: https://opensource.com/article/19/12/linux-enlightenment-desktop
[15]: https://linux.cn/article-12082-1.html
[16]: https://linux.cn/article-11698-1.html
[17]: https://linux.cn/article-11734-1.html
[18]: https://linux.cn/article-11712-1.html
[19]: https://opensource.com/sites/default/files/advent-xfce.jpg (XFCE on Mageia Linux in 2019)
[20]: https://linux.cn/article-10413-1.html
[21]: https://opensource.com/article/19/12/lxqt-lxde-linux-desktop
[22]: https://linux.cn/article-11670-1.html
[23]: https://opensource.com/article/19/12/joes-window-manager-linux-desktop
[24]: https://opensource.com/article/19/12/ratpoison-linux-desktop
[25]: https://linux.cn/article-11734-1.html
[26]: https://opensource.com/resources/what-vim
[27]: https://linux.cn/article-11706-1.html
[28]: https://opensource.com/sites/default/files/uploads/advent-ude.jpg (Unix Desktop Environment)
[29]: https://opensource.com/article/19/12/linux-unix-desktop-environment-ude
[30]: https://linux.cn/article-12123-1.html
[31]: https://linux.cn/article-11720-1.html
[32]: https://opensource.com/article/19/12/ede-linux-desktop
