[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12505-1.html)
[#]: subject: (3 reasons to contribute to open source now)
[#]: via: (https://opensource.com/article/20/6/why-contribute-open-source)
[#]: author: (Jason Blais https://opensource.com/users/jasonblais)

现在贡献开源的 3 个理由
======

> 现在比以往任何时候都更是为开源做出贡献的理想时机。下面是为什么。

![](https://img.linux.net.cn/data/attachment/album/202008/11/101413or3y9jsjsu0999s4.jpg)

开源软件已经[遍及世界][2]。从 Linux 和 MySQL 的早期开始，开源就以前所未有的方式推动创新，仅 GitHub 上就有 [180,000 个公共仓库][3]。

对于尚未进入开源世界的那些人，下面是如今天开始的三个原因。

### 建立你作为开发人员的信心

如果你还很年轻，在职业生涯初期，甚至只是在学习一种新的编程语言，那么开源是入门的最佳方法。

通过参与一个开源项目，你会立即收到有关你的开发和编程技能的反馈。你可能会获得有关如何选择函数名称、条件逻辑的使用方式或如何使用不了解的 goroutine 来加快程序执行速度的建议。这是你在学习新东西时获得的宝贵反馈。

此外，随着你创建更多的拉取请求并应用从先前提交的内容中学到的知识，你将开始学习如何编写良好的代码并[提交优秀的拉取请求进行代码审查][4]。最后，许多开源项目提供指导计划，以帮助指导你完成前几个贡献。这是一个非常友好、安全的环境，可树立你作为开发人员的信心。

有关例子故事，请阅读 [Allan Guwatudde 作为一名自学开发者在开源方面的经验][5]这篇文章。

### 丰富你的简历

即使你是一位经验丰富的开发人员，你也可能希望丰富自己的简历，以帮助职业发展和未来的寻找工作。也许你有兴趣探索新的前沿框架或新的编程模块，而你却没有机会在工作中用到。

你可以通过报名一个课程或在日常工作中找到一个方式引入这些概念来获得经验。但是，当这些选项不可用（或不希望使用）时，开源将提供绝佳的机会！除了建立技能和提高信心之外，所有开源贡献都是公开的，它们可以证明你已掌握的技能和已完成的项目。实际上，你的开源方面的个人资料本身可以为你提供强大的作品集，从而使你与其他应聘者脱颖而出。

此外，许多开源项目，例如 [Mattermost][6]，允许你在 LinkedIn 上添加自己为贡献者，以直接提升自己的专业形象。

[阅读 Siyuan Liu 的旅程][7]这篇文章，了解如何从第一次开源贡献到两次成为 Mattermost 项目 MVP。

### 建立你的专业网络

建立强大的专业网络可以帮助你实现职业目标，了解有关你自己或相邻领域的更多信息，并有助于寻找工作。为开源做贡献是建立该网络的绝佳方法。你加入了一个由成百上千的贡献者组成的温馨社区，在开源空间中与志趣相投的开发人员进行互动，并一路建立联系。你甚至可能会被介绍给行业中的关键人物，例如知名的开源工具的维护者。这样的关系可以变成改变职业生涯的关系。

最后，为开源项目做贡献甚至可以让你找到工作！例如，[Mattermost][8] 已经从它的开源社区聘请了一些贡献者，全职在工程团队中工作。

### 从今天开始为开源做贡献

开源让你能够树立开发者的信心，建立简历和建立专业网络。而且，无论你的贡献大小，它都会对开源项目的未来产生直接影响。因此，许多项目都会向贡献者发放礼物以表示感谢（例如，[为所有首次贡献者送上一个定制的杯子][9]）。

准备开始进入开源了吗？查看[这些开源项目][10]来进行首次开源贡献，或了解[如何为 Mattermost 做贡献][11]。

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/6/why-contribute-open-source

作者：[Jason Blais][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jasonblais
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/lenovo-thinkpad-laptop-concentration-focus-windows-office.png?itok=-8E2ihcF (Woman using laptop concentrating)
[2]: https://techcrunch.com/2019/01/12/how-open-source-software-took-over-the-world/
[3]: https://github.com/search?q=stars%3A%3E100&s=stars&type=Repositories
[4]: https://mattermost.com/blog/submitting-great-prs/
[5]: https://mattermost.com/blog/building-confidence-and-gaining-experience-with-good-open-source-projects/
[6]: https://docs.mattermost.com/overview/faq.html#can-contributors-add-themselves-to-the-mattermost-company-page-on-linkedin
[7]: https://mattermost.com/blog/open-source-contributor-journey-with-mattermost/
[8]: https://mattermost.com/careers/
[9]: https://forum.mattermost.org/t/limited-edition-mattermost-mugs/143
[10]: https://firstcontributions.github.io/
[11]: http://mattermost.com/contribute
