[#]: collector: (lujun9972)
[#]: translator: (chenmu-kk)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12650-1.html)
[#]: subject: (Wi-Fi 6E: When it’s coming and what it’s good for)
[#]: via: (https://www.networkworld.com/article/3563832/wi-fi-6e-when-its-coming-and-what-its-good-for.html)
[#]: author: (Zeus Kerravala https://www.networkworld.com/author/Zeus-Kerravala/)

Wi-Fi 6E：它何时到来，又有何作用？
======

> Extreme Networks 的一位高管表示，近来专用于 Wi-Fi 的新无线频谱可以提供更多的信道和更高的密度部署，但是要支持它的设备要到 2020 年才能得到广泛部署。

![](https://images.idgesg.net/images/article/2019/09/cso_wireless_network_management_security_alert_iot_internet_of_things_thinkstock_685417850_1200x800-100810374-large.jpg)

今年开春 [FCC 在 6GHz 频段内开辟了一系列新的未授权的无线频谱][1]，该频谱旨在用于 Wi-Fi，以提供更低的延迟和更快的数据速率。新频谱的范围更短，与已经专用于 Wi-Fi 的频段相比支持的信道也更多，因此适合在体育场馆等高密度区域部署。

为了进一步了解什么是 Wi-Fi 6E 以及它与 Wi-Fi 6 有何不同，我最近与网络解决方案提供商 Extreme Networks 的产品管理总监 Perry Correll 进行了交谈。

**了解更多关于 5G 和 WiFi 6 的信息**

  * [什么是 5G？相较于 4G 它更好吗？][2]
  * [如何确定 WiFi 6 是否适合你？][3]
  * [什么是 MU-MIMO？为什么它在你的无线路由器中不可或缺？][4]
  * [何时使用 5G？何时使用 WiFi 6？][5]
  * [企业如何为5G网络做准备呢？][6]

**Kerravala： Wi-Fi 6 似乎得到了许多热捧，而 Wi-Fi 6E 却没有。为什么？**

**Correll：** 所有这些带 666 的数字会混乱得会吓死你。我们已经有了 Wi-Fi 6、Wi-Fi 6E，之后，Wi-Fi 6 还有其它的增强功能，比如多用户多入多出（多用户 MIMO）功能。还有就是 6GHz 频谱，但这并不是 Wi-Fi 6 的名称的由来：它是第六代 Wi-Fi。最重要的是，我们刚刚掌握了 5G，并且已经在谈论 6G —— 认真的讲，这更容易搞混了。

**Kerravala： 为什么我们需要 Wi-Fi 6E 和普通的 Wi-Fi 6？**

**Correll：** 上一次我们在 UNII-2 和 UNII-2 扩展中得到提升是在 15 年前，而在当时智能手机甚至还没有兴起。现在能够获得 1.2GHz 的频谱已经非常大了。使用 Wi-Fi 6E，我们不是将 Wi-Fi 空间增加一倍，事实上，我们将可用空间增加了三倍。根据你所处的地点，频谱的数量要多三倍、四倍或五倍。此外，你不必担心 DFS（<ruby>动态频率选择<rt>dynamic frequency selection</rt></ruby>），尤其是在室内。

Wi-Fi 6E 不会比 Wi-Fi 6 更快，也不会添加增强的技术功能。最妙的是运行 6GHz 需要 Wi-Fi 6 或以上的客户端。所以，我们不会有任何缓慢的客户端，也不会有很多噪声。我们将在更干净的环境中使用更快的设备来得到高性能。

**Kerravala： 也能用更宽的信道吗**

**Correll：** 没错，那是一件很酷的事情。如果你处于一个典型的企业环境中，20 和 40MHz 基本上就是你需要的。在体育馆这种高密度环境中，想要使用 80 或 160MHz 的带宽就会变得很困难了。更宽的信道将会真正有助于像虚拟现实这类应用，它可以利用这些信道占用频谱中剩余的部分。这可能是最大的用例了。

在未来的三四年里，如果你想在体育场做数字标识牌或者边缘屏幕处理，则可以使用 160MHz 的 80％ 带宽，而不会受到其他任何影响。已经有传言说 Wi-Fi 7 将会有 320MHz 宽的频道。

**Kerravala： 这将主要是对大多数 Wi-Fi 策略的增强吗？**

**Correll：** 短期内肯定会处于先锐领域。首批产品大概会在今年底发布，它们将是消费类产品。对于企业来说，支持 6GHz 的产品将会在明年亮相。在 2022 年之前，你不会真正看到它密集出现——所以，短期内不会。对于智能手机公司来说，Wi-Fi 并不是什么大事，他们更愿意关注其他功能。

但它仍是一个巨大的机会。6GHz 与 CBRS（公民宽带无线电服务）或 5G 相比，最棒的一点是（许多人）宁愿坚持使用 Wi-Fi，也不愿迁移到不同的架构。这些用户将推动驱动部件制造商转向物联网设备或机器人或任何需要 6GHz 的设备。这是一个干净的频谱，可能比普通的 Wi-Fi 6 还要便宜也更节能。

**Kerravala： 有人说 5G 会替代 Wi-Fi 6。但这有什么实际意义呢？**

**Correll：** 现实中，你不可能在每个设备中插入 SIM 卡。但是其中一个大问题是数据所有权，因为运营商将拥有你的数据，而不是你。如果你想使用你的数据进行任何类型的业务分析，运营商是否会以一定价格将数据返还给你？这是一个可怕的想法。

Wi-Fi 不会消失有太多的理由。当具备 Wi-Fi 6 和 5G 功能的设备问世时，其他只有 Wi-Fi 功能的笔记本电脑、平板电脑和物联网设备将会发生什么呢？要么是只支持 Wi-Fi 的设备，要么是支持 Wi-Fi 和 5G 的设备，但 5G 不会完全取代 Wi-Fi。如果你看看 5G 无线网络的骨干网，Wi-Fi 就是其中的一个组成部分。这是一个幸福的大家庭。这些技术是为了共存而设计的。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3563832/wi-fi-6e-when-its-coming-and-what-its-good-for.html

作者：[Zeus Kerravala][a]
选题：[lujun9972][b]
译者：[chenmu-kk](https://github.com/chenmu-kk)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Zeus-Kerravala/
[b]: https://github.com/lujun9972
[1]: https://www.networkworld.com/article/3540288/how-wi-fi-6e-boosts-wireless-spectrum-five-fold.html
[2]: https://www.networkworld.com/article/3203489/what-is-5g-how-is-it-better-than-4g.html
[3]: https://www.networkworld.com/article/3356838/how-to-determine-if-wi-fi-6-is-right-for-you.html
[4]: https://www.networkworld.com/article/3250268/what-is-mu-mimo-and-why-you-need-it-in-your-wireless-routers.html
[5]: https://www.networkworld.com/article/3402316/when-to-use-5g-when-to-use-wi-fi-6.html
[6]: https://www.networkworld.com/article/3306720/mobile-wireless/how-enterprises-can-prep-for-5g.html
[7]: https://www.facebook.com/NetworkWorld/
[8]: https://www.linkedin.com/company/network-world
