[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12579-1.html)
[#]: subject: (Linux Jargon Buster: What is Desktop Environment in Linux?)
[#]: via: (https://itsfoss.com/what-is-desktop-environment/)
[#]: author: (Abhishek Prakash https://itsfoss.com/author/abhishek/)

Linux 黑话解释：什么是桌面环境？
======

![][6]

在桌面 Linux 世界中，最常用的术语之一就是<ruby>桌面环境<rt>Desktop Environment</rt></ruby>（DE）。如果你是 Linux 的新手，你应该了解一下这个经常使用的术语。

### 什么是 Linux 中的桌面环境？

桌面环境是一个组件的组合体，为你提供常见的<ruby>图形用户界面<rt>graphical user interface</rt></ruby>（GUI）元素组件，如图标、工具栏、壁纸和桌面小部件。借助桌面环境，你可以像在 Windows 中一样使用鼠标和键盘使用 Linux。

有几种不同的桌面环境，这些桌面环境决定了你的 Linux 系统的样子以及你与它的交互方式。

大多数桌面环境都有自己的一套集成的应用程序和实用程序，这样用户在使用操作系统时就能得到统一的感受。所以，你会得到一个文件资源管理器、桌面搜索、应用程序菜单、壁纸和屏保实用程序、文本编辑器等。

如果没有桌面环境，你的 Linux 系统就只有一个类似于终端的实用程序，你只能用命令与之交互。

![Screenshot of GNOME Desktop Environment][1]

### Linux 中各种桌面环境

桌面环境有时也被简称为 DE。

如前所述，Linux 有[各种桌面环境可供选择][2]。为什么这么说呢？

可以把桌面环境看成是衣服。衣服决定了你的样子。如果你穿紧身牛仔裤和平底鞋，你会很好看，但穿着这些衣服跑步或登山就不舒服了。

[GNOME][3] 这样桌面环境注重现代的外观和用户体验，而像 [Xfce][4] 这样的桌面环境更注重使用更少的计算资源，而不是花哨的图形。

![Screenshot of Xfce Desktop Environment][5]

你的衣服取决于你的需要，决定了你的外观，桌面环境也是如此。你必须决定你是想要一些好看的东西，还是让你的系统运行得更快。

一些[流行的桌面环境][2]有：

  * GNOME - 使用大量的系统资源，但给你一个现代的、精致的系统
  * Xfce - 外观复古但占用资源很少
  * KDE - 可高度定制的桌面，适度占用系统资源
  * LXDE - 唯一的重点是尽可能少地使用资源
  * Budgie - 现代的外观和适度占用系统资源

### Linux 发行版及其桌面环境变体

同样的桌面环境可以在多个 Linux 发行版上使用，一个 Linux 发行版也可能提供多个桌面环境。

例如，Fedora 和 Ubuntu 都默认使用 GNOME 桌面，但 Fedora 和 Ubuntu 都提供了其他桌面环境。

Linux 的优点和灵活性在于，你可以自己在任何 Linux 发行版上安装桌面环境。但大多数 Linux 发行版都为你省去了这个麻烦，并为不同的桌面环境提供了随时安装的 ISO 镜像。

例如 [Manjaro Linux][7] 默认使用 Xfce，但如果你喜欢在 Manjaro 上使用 GNOME，也可以下载 GNOME 版本的 ISO。

### 最后...

桌面环境是 Linux 桌面计算机的重要组成部分，而 Linux 服务器通常依靠命令行界面。并不是说不能在 Linux 服务器上安装桌面环境，但这是画蛇添足，浪费了重要的系统资源，而这些资源可以被服务器上运行的应用程序所利用。

我希望你现在对 Linux 中的桌面环境有了一些了解。我强烈推荐你阅读我的[关于什么是 Linux 以及为什么有这么多 Linux 发行版][8]的解释文章。我很有预感，你会喜欢我用它做的比喻。

--------------------------------------------------------------------------------

via: https://itsfoss.com/what-is-desktop-environment/

作者：[Abhishek Prakash][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[b]: https://github.com/lujun9972
[1]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/06/gnome-3-36-screenshot.jpg?resize=800%2C450&ssl=1
[2]: https://itsfoss.com/best-linux-desktop-environments/
[3]: https://www.gnome.org/
[4]: https://www.xfce.org/
[5]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2015/12/Ubuntu-XFCE-Chromebook-e1451426418482-1.jpg?resize=701%2C394&ssl=1
[6]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/08/what-is-desktop-environment-linux.png?resize=800%2C450&ssl=1
[7]: https://manjaro.org/
[8]: https://itsfoss.com/what-is-linux/
