[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12618-1.html)
[#]: subject: (Linux Jargon Buster: What is a Long Term Support \(LTS\) Release? What is Ubuntu LTS?)
[#]: via: (https://itsfoss.com/long-term-support-lts/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

Linux 黑话解释：什么是长期支持（LTS）版本？什么是 Ubuntu LTS？
======

在 Linux 的世界里，特别是谈到 [Ubuntu][1] 的时候，你会遇到 LTS（<ruby>长期支持<rt>Long Term Support</rt></ruby>）这个词。

如果你是一个经验丰富的 Linux 用户，你可能知道 Linux 发行版的各个方面，比如 LTS 版本。但是，新用户或不太懂技术的用户可能不知道。

在这一章 Linux 黑话解释中，你将了解什么是 Linux 发行版的 LTS 版本。

### 什么是长期支持（LTS）版本？

长期支持（LTS）版本通常与应用程序或操作系统有关，你会在较长的时间内获得安全、维护和（有时有）功能的更新。

LTS 版本被认为是最稳定的版本，它经历了广泛的测试，并且大多包含了多年积累的改进。

需要注意的是，LTS 版本的软件不一定涉及功能更新，除非有一个更新的 LTS 版本。但是，你会在 LTS 版本的更新中得到必要的错误修复和安全修复。

LTS 版本被推荐给生产级的消费者、企业和商家，因为你可以获得多年的软件支持，而且软件更新不会破坏系统。

如果你注意到任何软件的非 LTS 版本，它通常是具有新功能和较短支持时间跨度（例如 6-9 个月）的前沿版本，而 LTS 版本的支持时间为 3-5 年。

![][2]

为了让大家更清楚的了解 LTS 和非 LTS 版本的区别，我们来看看选择 LTS 版本的一些优缺点。

#### LTS 版本的优点

  * 软件更新与安全和维护修复的时间很长（Ubuntu 有 5 年支持）
  * 广泛的测试
  * 软件更新不会带来破坏系统的变化
  * 你有足够的时间为下一个 LTS 版本准备系统

#### LTS 版本的缺点

  * 不提供最新和最强的功能
  * 你可能会错过最新的硬件支持
  * 你也可能会错过最新的应用程序升级

现在，你知道了什么是 LTS 版本及其优缺点，是时候了解一下 Ubuntu 的 LTS 版本了。Ubuntu 是最流行的 Linux 发行版之一，也是少数同时拥有 LTS 和非 LTS 版本的发行版之一。

这就是为什么我决定用一整个章节来介绍它。

### 什么是 Ubuntu LTS？

自 2006 年以来，Ubuntu 每六个月发布一个非 LTS 版本，每两年发布一个 LTS 版本，这一点一直如此。

最新的 LTS 版本是 [Ubuntu 20.04][3]，它将被支持到 2025 年 4 月。换句话说，Ubuntu 20.04 在那之前都会收到软件更新。非 LTS 版本只支持九个月。

你会发现 Ubuntu LTS 版本总是被标为 “LTS”。至少，在 [Ubuntu 官方网站][4]上浏览最新的 Ubuntu 版本时是这样的。

为了让你更清楚，如果你见过 Ubuntu 16.04 LTS，那就意味着：**它早在 2016 年 4 月就已经发布，并且支持到 2021 年**（想想**5 年的软件更新**）。

同样，你也可以通过计算每个 Ubuntu LTS 版本发布日期接下来的**5 年**软件支持期来估计其更新支持情况。

### Ubuntu LTS 软件更新包括什么？

![][5]

Ubuntu LTS 版本在其发布的生命周期内都会收到安全和维护更新。除非该版本达到[生命末期（EOL）][6]，否则你将获得所有必要的安全和错误修复。

在 LTS 版本中你不会注意到任何功能升级。所以，如果你想尝试最新的实验性技术，你可能需要将你的 Ubuntu 版本升级到一个非 LTS 版本。

我建议你参考我们最新的 [Ubuntu 升级指南][7]来了解更多关于升级 Ubuntu 的信息。

我也建议你阅读我们的文章[安装哪个 Ubuntu 版本][8]，以消除你对不同 Ubuntu 版本的困惑，比如 [Xubuntu][9] 或 [Kubuntu][10]，它们有什么不同。

我希望你现在对 LTS 这个术语有了更好的理解，尤其是在 Ubuntu LTS 方面。敬请关注未来更多的 Linux 黑话解释。

--------------------------------------------------------------------------------

via: https://itsfoss.com/long-term-support-lts/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://ubuntu.com/
[2]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/09/display-server-linux.png?resize=800%2C450&ssl=1
[3]: https://itsfoss.com/download-ubuntu-20-04/
[4]: https://ubuntu.com
[5]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/09/ubuntu-lts-release.png?resize=800%2C397&ssl=1
[6]: https://itsfoss.com/end-of-life-ubuntu/
[7]: https://itsfoss.com/upgrade-ubuntu-version/
[8]: https://itsfoss.com/which-ubuntu-install/
[9]: https://xubuntu.org/
[10]: https://kubuntu.org/
