[#]: collector: (lujun9972)
[#]: translator: (chenmu-kk)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12735-1.html)
[#]: subject: (NFC vs. Bluetooth LE: When to use which)
[#]: via: (https://www.networkworld.com/article/3574932/nfc-vs-bluetooth-le-when-to-use-which.html)
[#]: author: (Jon Gold https://www.networkworld.com/author/Jon-Gold/)

近场通信 vs. 低功耗蓝牙：如何抉择
======

> 近场通信（NFC）和低功耗蓝牙（BLE）是适合企业不同用途的低功耗无线技术。

![](https://images.idgesg.net/images/article/2020/08/distributed_network_of_wifi_wi-fi_internet_connections_across_cityscape_by_metamorworks_gettyimages-926502948_2400x1600-100855926-large.jpg)

在低功率、相对短距离连接的众多选择中，有两种技术脱颖而出——近场通信（NFC）和低功耗蓝牙（BLE）。两者都具有相对低廉的部署成本且易于使用。

NFC 作为许多现代智能卡片的背后技术而为大众所熟知。NFC 芯片必须十分接近（在几厘米内）读卡器来实现连接，但这是它主要企业用例（安全性和访问控制）的一个优势。

BLE 是主要蓝牙标准的低功耗衍生品，以较低的潜在吞吐量换来了能耗的显著降低，从而能够适应更广泛的潜在用例。

接下来，我们将对每种技术及其主要用例进行更深入的描述。

### NFC 的未来

NFC 在近距离接触范围内工作（设备间必须靠近到几厘米范围内来进行连接），一个可读的无源 NFC “标签”根本不需要任何独立电源，它会从读卡器的信号中汲取能量，工作频率约为 13.5MHz，在主动读取芯片时需要 100-700µA 的电量。

“短距离实际上是它的优势。”Gartner 研究高级总监兼分析师说， “NFC 的一大优点是它不仅仅是无线电，还内置了一个庞大的安全协议。”也就是说，潜在的不良行为者必须非常接近——使用专用设备、在几米的范围内——才能检测到正在发生的 NFC 连接。NFC 还可以施行在 SSL 技术上面一层以提高安全性。

考虑到 NFC 本就起源于非接触式支付技术，这不足为奇。它在这一领域的根基在于对零售商的吸引力，零售商可以利用 NFC 让客户在购买商品前获取相关的信息、获得优惠券或者向店员寻求帮助，只需将手机接触到 NFC 热点即可。

尽管 NFC 只能在一个很近的范围内使用，这限制了使用 NFC 技术用例场景，但它不仅仅是为了开门和买一杯拿铁。NFC 可以用于引导连接，便于设备间轻松快速的配对，因此用户只需在会议室中将手机贴近配备好的投影仪，即可创建一个 NFC 连接，并验证智能手机是否是一个可连接的授权设备，并进行演示。演示文稿或者视频数据本身不会通过 NFC 来传输，但是 NFC 握手可作为另外的无线协议（例如 Wi-Fi 网络或者任何其他更高带宽可以传输数据的网络）间的验证，从而无需用户登录。

### BLE 的特点

相较之下，BLE 的工作距离要远的多（长达几十米），其最大带宽 ：1 Mbit/s 约为 NFC 连接的两倍。它是著名的蓝牙技术的产物，相较于主线标准的更低功耗，它为机器到机器的连接做了优化。在连接两端的耗电量均小于 15 mA，实用范围约为 10米，可通过 AES 加密保护连接。

然而，根据 Forrester 首席分析师 Andre Kindness 的说法，它远非 NFC 的替代品。

他说：“从信息传递角度来看， [NFC] 比 BLE 快得多。”BLE 通常需要几分之一秒或更长时间的验证并安全连接，而 NFC 几乎在瞬间完成连接。

不过，根据 IDC 高级研究分析师 Patrick Filkins 的说法，相较于 NFC，BLE 由于范围更广而有着更多的通用性。 

他说：“我认为 BLE 比较适合企业”。而类似于资产追踪、室内导航和目标广告的用例只是冰山一角。

对于企业，结果是相当直接的——NFC 用例大多与公司使用蓝牙的用例是分开的，对于少有的可以选择的重叠，相对的优势和劣势显而易见。NFC 距离很短、价格便宜、可即时连接以及数据转换率较低。BLE 的工作距离更远、传输速率更高，成本也更高，连接时还需要一点时间来进行“握手”。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3574932/nfc-vs-bluetooth-le-when-to-use-which.html

作者：[Jon Gold][a]
选题：[lujun9972][b]
译者：[chenmu-kk](https://github.com/chenmu-kk)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Jon-Gold/
[b]: https://github.com/lujun9972
[1]: https://www.networkworld.com/newsletters/signup.html
[2]: https://www.facebook.com/NetworkWorld/
[3]: https://www.linkedin.com/company/network-world
