[#]: collector: (wxy)
[#]: translator: (gxlct008)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12718-1.html)
[#]: subject: (Could Microsoft be en route to dumping Windows in favor of Linux?)
[#]: via: (https://www.techrepublic.com/article/could-microsoft-be-en-route-to-dumping-windows-in-favor-of-linux/)
[#]: author: (Jack Wallen https://www.techrepublic.com/meet-the-team/us/jack-wallen/)

微软能否放弃 Windows 转向 Linux？
======

> Jack Wallen 认为，Microsoft Linux 是 Microsoft 桌面操作系统的下一个演进方向。他解释了为什么这将是一个对 Microsoft、IT 专业人士、用户和 Linux 社区的双赢。

![](https://tr1.cbsistatic.com/hub/i/r/2014/08/20/123daeb8-d6ce-4f0b-986e-225d55bf12e3/resize/770x/a693d56694587dbe5d025db7b8d79c48/linux-and-windows.jpg)

我尊敬的同事 Steven J. Vaughan-Nichols 在姊妹网站 ZDNet 上发表了一篇出色的文章，名为《[基于 Linux 的 Windows 非常有意义][1]》，他在文中讨论了 Eric S. Raymond 的[观点](https://linux.cn/article-12664-1.html)，即我们正接近桌面战争的最后阶段。Vaughan-Nichols 猜测，下一个合乎逻辑的步骤是在 Linux 内核上运行的 Windows 界面。

这是有道理的，尤其是考虑到微软在 [Windows 的 Linux 子系统（WSL）][2] 上的努力。然而，从我过去几年所目睹的一切来看，我认为可以得出一个对微软更有意义的结论。

### Microsoft Linux: 为什么它是最好的解决方案

一度，微软的最大摇钱树是软件，确切地说是 Windows 和 Microsoft Office。但是，就像科技行业中的所有事物一样，进化也在发生，而拒绝进化的科技公司失败了。

微软明白这一点，并且它已经进化了。一个恰当的例子是：[Microsoft Azure][4]。微软的云计算服务，以及 [AWS][5] 和 [Google Cloud][6] 已经成为这个不断变化的行业的巨大推动力。Azure 已成为微软新世界的摇钱树 —— 多到以至于这家在桌面电脑市场上享有垄断地位的公司已经开始意识到，或许还有更好的方式来利用桌面计算机。

这种优势很容易通过 Linux 来实现，但不是你可能想到的 Linux。Vaughan-Nichols 所建议的 Microsoft Linux 对于微软来说可能是一个很好的垫脚石，但我相信该公司需要做出一个更大的飞跃。我说的是登月规模的飞跃 —— 这将使所有参与者的生活变得更加轻松。

我说的是深入 Linux 领域。忘掉在 Linux 内核上运行 [Windows 10][7] 界面的桌面版本吧，最后承认 Microsoft Linux 可能是当今世界的最佳解决方案。

微软发布一个完整的 Linux 发行版将对所有参与者来说意味着更少的挫败感。微软可以将其在 Windows 10 桌面系统上的开发工作转移到一个更稳定、更可靠、更灵活、更经考验的桌面系统上来。微软可以从任意数量的桌面系统中选择自己的官方风格：GNOME、KDE、Pantheon、Xfce、Mint、Cinnamon... 不胜枚举。微软可以按原样使用桌面，也可以为它们做出贡献，创造一些更符合用户习惯的东西。

### 开发：微软并没有摆脱困境

这并不意味着微软在开发方面将摆脱困境。微软也希望对 Wine 做出重大贡献，以确保其所有产品均可在兼容层上顺畅运行，并且默认集成到操作系统中，这样最终用户就不必为安装 Windows 应用程序做任何额外的工作。

### Windows 用户需要 Defender

微软开发团队也希望将 Windows Defender 移植到这个新的发行版中。等一等。什么？我真的是在暗示 Microsoft Linux 需要 Windows Defender 吗？是的，我确定。为什么？

最终用户仍然需要防范 <ruby>[网络钓鱼][8] 诈骗<rt>phishing scams</rt></ruby>、恶意 URL 和其他类型的攻击。普通的 Windows 用户可能不会意识到，Linux 和安全使用实践的结合远比 Windows 10 和 Windows Defender 要安全得多。所以，是的，将 Windows Defender 移植到 Microsoft Linux 将是保持用户基础舒适的一个很好的步骤。

这些用户将很快了解在台式计算机上工作的感觉，而不必处理 Windows 操作系统带来的日常困扰。更新更流畅、更值得信赖、更安全，桌面更有意义。

### 微软、用户和 IT 专业人士的双赢

微软一直在尽其所能将用户从标准的基于客户端的软件迁移到云和其他托管解决方案，并且其软件摇钱树已经变成了以网络为中心和基于订阅的软件。所有这些 Linux 用户仍然可以使用 [Microsoft 365][10] 和它必须提供的任何其他 <ruby>[软件即服务][11]<rt>Software as a Service</rt></ruby>（SaaS）解决方案——所有这些都来自于 Linux 操作系统的舒适性和安全性。

这对微软和消费者而言是双赢的，因为这样 Windows 没有那么多令人头疼的事情要处理（通过捕获漏洞和对其专有解决方案进行安全补丁），消费者可以得到一个更可靠的解决方案而不会错过任何东西。
如果微软打对了牌，他们可以对 KDE 或几乎任何 Linux 桌面环境重新设置主题，使其与 Windows 10 界面没有太大区别。

如果布局得当，消费者甚至可能都不知道其中的区别——“Windows 11” 将仅仅是 Microsoft 桌面操作系统的下一个演进版本。

说到胜利，IT 专业人员将花费更少的时间来处理病毒、恶意软件和操作系统问题，而把更多的时间用于保持网络（以及为该网络供动力的服务器）的运行和安全上。

### 大卖场怎么办？

这是个关键的地方。为了让这一做法真正发挥作用，微软将不得不完全放弃 Windows，转而使用自己风格的 Linux。基于同样的思路，微软需要确保大卖场里的 PC 都安装了 Microsoft Linux 系统。没有半途而废的余地——微软必须全力以赴，以确保这次转型的成功。

一旦大卖场开始销售安装了 Microsoft Linux 的 PC 和笔记本电脑，我预测这一举措对所有相关人员来说将会是一个巨大的成功。微软会被视为终于推出了一款值得消费者信赖的操作系统；消费者将拥有一个这样的桌面操作系统，它不会带来太多令人头疼的事情，而会带来真正的生产力和乐趣；Linux 社区最终将主导桌面计算机。

### Microsoft Linux：时机已到

你可能会认为这个想法很疯狂，但如果你真的仔细想想，微软 Windows 的演进就是朝着这个方向发展的。为什么不绕过这个时间线的中途部分，而直接跳到一个为所有参与者带来成功的终极游戏呢？ Microsoft Linux 正当其时。

---
via: https://www.techrepublic.com/article/could-microsoft-be-en-route-to-dumping-windows-in-favor-of-linux/

作者：[jack-wallen][a]
选题：[wxy][b]
译者：[gxlct008](https://github.com/gxlct008)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.techrepublic.com/meet-the-team/us/jack-wallen/
[b]: https://github.com/wxy
[1]: https://www.zdnet.com/article/linux-based-windows-makes-perfect-sense/
[2]: https://www.techrepublic.com/article/microsoft-older-windows-10-versions-now-get-to-run-windows-subsystem-for-linux-2/
[3]: https://www.techrepublic.com/resource-library/whitepapers/microsoft-build-2020-highlights/
[4]: https://www.techrepublic.com/article/microsoft-azure-the-smart-persons-guide/
[5]: https://www.techrepublic.com/article/amazon-web-services-the-smart-persons-guide/
[6]: https://www.techrepublic.com/article/google-cloud-platform-the-smart-persons-guide/
[7]: https://www.techrepublic.com/article/windows-10-the-smart-persons-guide/
[8]: https://www.techrepublic.com/article/phishing-and-spearphishing-a-cheat-sheet/
[9]: https://www.techrepublic.com/article/everything-a-linux-admin-needs-to-know-about-working-from-the-command-line/
[10]: https://www.techrepublic.com/article/microsoft-365-a-cheat-sheet/
[11]: https://www.techrepublic.com/article/software-as-a-service-saas-a-cheat-sheet/
