[#]: collector: "lujun9972"
[#]: translator: "xiao-song-123"
[#]: reviewer: "wxy"
[#]: publisher: "wxy"
[#]: url: "https://linux.cn/article-12776-1.html"
[#]: subject: "How open source underpins blockchain technology"
[#]: via: "https://opensource.com/article/20/10/open-source-blockchain"
[#]: author: "Matt Shealy https://opensource.com/users/mshealy"

开源是如何支撑区块链技术发展的
======

> 创造出区块链安全性和可靠性的原因：是开放，而非监管。

![](https://img.linux.net.cn/data/attachment/album/202011/01/155124l5c81g86mfwgjxfx.jpg)

当人们发现以安全性而闻名的区块链技术居然是建立在开源软件代码之上时，通常会感到非常惊讶。事实上，正是这种开放性才赋予了区块链技术的安全性和可靠性。

以开源方式构建的任何事物，其核心价值之一就是为了提高效率。建立起一个有着不同观点和技能的开发人员社区，这些开发人员工作在同一个代码库的时候，可以成倍增加构建出来的应用程序数量以及复杂性。

### 开源比人们想象中的要更加普遍

开源的 Linux，就是一种比较流行的操作系统。Linux 为服务器提供了许多服务，这些服务让我们可以轻松地共享个人信息。其中包括 Google、Facebook 和数千个主要网站。当我们使用这些服务时，就是在和这些在网络上运行着 Linux 系统的计算机进行交互。Chromebook 也使用 Linux，Android 手机使用的操作系统也是基于 Linux 的。

Linux 不属于任何一家公司，人们可以免费使用并且可以共同协作来完善创造它。自 2005 年推出以来，已经有来自 1,700 多家公司的 20,000 多名开发人员 [为其中的代码做出了贡献][2] 。

这就是开源软件的运作方式。大量的人为此贡献，并不断添加、修改或构建开源代码库来创建新的应用程序和平台。区块链和加密货币的大部分代码都是使用开源软件开发的。开源软件是由充满热情的用户构建的，这些用户对错误、故障或缺陷时刻保持警惕。当发现问题时，开源社区中的开发人员将一起努力来解决问题。

### 区块链和开源

整个开源区块链开发者社区都在不断地添加和完善代码库。

以下是区块链的基本表现方式：

  * 区块链平台具有一个交易数据库，该交易数据库允许对等方在任何时候彼此进行交易。
  * 附有用户识别标签，以方便交易。
  * 平台一定有一种安全的方式来在交易批准前对交易进行验证。
  * 无法被验证的交易不会进行。

开源软件允许开发者在 [去中心化应用程序（Dapp）][3]中创建这些平台，这是区块链中交易的安全、保障和可变性的关键。

这种去中心化的方式意味着没有中央权威机构来调解交易，没有人能控制发生的事情。直接的点对点的交易可以更快速、安全的进行。由于交易被记录在分类账簿中，它们也会分发到整个生态系统中。

区块链使用密码学来保证安全。每一笔交易都携带着与前一笔交易相关联的信息，以验证其真实性。这可以防止威胁者篡改数据，因为一旦数据被添加到公共分类账中，其他用户就不能更改。

### 区块链是开源的吗？

虽然区块链本身在技术上可以是不开源的，但区块链系统通常是使用开源软件实现的，因为没有政府机构对其进行监管，所以这些开源软件使用的概念体现了一种开放文化。私人公司开发的用于处理金融交易的专有软件很可能受到 [政府机构][4] 的监管。在美国，这可能包括美国证券交易委员会（SEC）、联邦储备委员会和联邦存款保险公司（FDIC）。区块链技术在开放环境下使用不需要政府监管，实际上，用来验证交易的是用户社区。

你可以称它为一种极端的众包形式，既用于开发构建区块链平台的开源软件，也用于验证交易。这就是区块链得到如此多关注的原因之一：它有可能颠覆整个行业，因为它可以作为处理和验证交易的权威中介。

### 比特币，以太坊和其他加密货币

截至 2020 年 6 月，超过 [5000 万人拥有区块链钱包][5] 。他们大多数用于金融交易，例如交易比特币、以太坊和其他加密货币。对许多人来说，像交易员观察股票价格一样，[查看加密货币价格][6] 已成为主流。

加密货币平台也使用开源软件。[以太坊项目][7] 开发出了任何人都可以免费使用的开源软件，社区中大量的开发者都为此贡献了代码。比特币客户端的参考实现版是由 450 多个开发人员和工程师进行开发的，他们已经贡献了超过 150,000 个贡献。

加密货币区块链是一个持续增长的记录。每个被称作为块的记录按顺序链接在一起，它们互相链接形成一条链。每个块都有其自己的唯一标记，这个标记称为 [哈希][8] 。一个块包含自身的哈希值和前一个块的加密计算出的哈希值。从本质上讲，每个块都链接到前一个块，形成了无法中断的长链，每个块都包含其它区块的信息，用于验证交易。

在金融或是加密货币的区块链中没有中央银行。这些分布在整个互联网中的区块，建立了一个性能强大的审计跟踪系统。任何人都能够通过区块链来验证交易，但却不能更改上面的记录。

### 牢不可破的区块链

尽管区块链不受任何政府或机构的监管，但分布式的网络保证了它们的安全。随着链的增长，每一笔交易都会增加伪造的难度。区块分布在世界各地的网络中，它们使用的信任标记不可被改变，这条链条几乎变得牢不可破。

这种去中心化的网络，其背后的代码是开源的，这也是用户在交易中不必使用诸如银行或经纪人之类的中介就可以相互信任的原因之一。支撑加密货币平台的软件是由相互独立的开发者组建的联盟创建的，并且任何人都可以免费使用。这创造了世界上最大的制衡体系之一。

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/10/open-source-blockchain

作者：[Matt Shealy][a]
选题：[lujun9972][b]
译者：[xiao-song-123](https://github.com/xiao-song-123)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mshealy
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/cube_innovation_process_block_container.png?itok=vkPYmSRQ "cubes coming together to create a larger cube"
[2]: https://www.linuxfoundation.org/wp-content/uploads/2020/08/2020_kernel_history_report_082720.pdf
[3]: https://www.freecodecamp.org/news/what-is-a-dapp-a-guide-to-ethereum-dapps/
[4]: https://www.investopedia.com/ask/answers/063015/what-are-some-major-regulatory-agencies-responsible-overseeing-financial-institutions-us.asp
[5]: https://www.statista.com/statistics/647374/worldwide-blockchain-wallet-users/
[6]: https://www.okex.com/markets
[7]: https://ethereum.org/en/
[8]: https://opensource.com/article/18/7/bitcoin-blockchain-and-open-source
