[#]: collector: (lujun9972)
[#]: translator: (chenmu-kk)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12914-1.html)
[#]: subject: (When to use 5G, when to use Wi-Fi 6)
[#]: via: (https://www.networkworld.com/article/3402316/when-to-use-5g-when-to-use-wi-fi-6.html)
[#]: author: (Lee Doyle )

何时使用 5G，何时使用 Wi-Fi 6
======

> 5G 是一种蜂窝服务, Wi-Fi 6 则是短程无线接入技术，这两种技术都有使其在特定企业角色中发挥作用的特性。

![Thinkstock][1]

我们已经看到了关于 [5G][2] 蜂窝还是 [Wi-Fi 6][3] 将在企业使用中胜出的大肆宣传，但事实却是这两者在很大程度上互补，这将在 21 世纪 20 年代初形成一个有趣的竞争环境。

### 5G 在企业中的潜力

5G 对企业用户的承诺是在更低的延迟下提供更高的连接速度。蜂窝技术使用许可频段，可在很大程度上消除未经许可的 WiFi 频段可能会发生的潜在干涉。像当前的 4G LTE 技术一样，5G 可以由蜂窝无线运营商提供，也可以作为专用网络构建。

5G 的架构需要更多的无线接入点，并且在室内可能会出现连接质量较差或没有连接。因此，典型的组织需要为连接它的 PC、路由器和其他设备评估其 [当前 4G 和潜在 5G 服务配置][4]。部署室内微蜂窝、中继器以及分布式天线可以帮助解决室内 5G 服务问题。与 4G 一样，5G 最佳的企业应用案例应该是用于真正的移动连接，例如，公共安全车和非地毯式覆盖区域（如采矿，石油与天然气开采、运输、农业和一些制造业）。

除了广泛的移动性，5G 在漫游时的身份验证和部署速度方面也具有优势，这正好满足临时办公室或零售点的广域网连接需求。5G 将会拥有在视频直播这样的数据拥塞的情况下分流的能力。随着 5G 标准的成熟，该技术将提高其低功耗 IoT 连接的选择。

未来四到五年内，5G 将从大城市和特定地区开始逐步推出；4G 技术将在未来数年内继续流行。企业用户将需要新的设备、加密狗和路由器来连接 5G 服务。例如，苹果的 iPhone 预计要到 2020 年才能支持 5G，而物联网设备需要特定的蜂窝网络兼容性才能连接到 5G。（LCTT 译注：原文发表于 2019 年中）

Doyle Research 预计，5G 承诺的 1Gbps 和更高的带宽将对 SD-WAN 市场产生重大影响。4G LTE 已经使蜂窝服务成为主要的 WAN 连接。5G 可能比许多有线 WAN 选项（例如 MPLS 或互联网）更具成本竞争力或更便宜。5G 为企业 WAN 管理员提供了更多选择，为他们的分支站点和远程用户提供更多的带宽 —— 随着时间的推移，或将取代 MPLS。

### Wi-Fi 6 在企业中的潜力

Wi-Fi 几乎无处不在，它可以将便携式笔记本电脑、平板电脑和其他设备连接到企业网络中。Wi-Fi 6（802.11ax）是 Wi-Fi 的最新版本，并有望提高速度、降低延迟、改善聚合带宽并提供高级流量管理。虽然 Wi-Fi 6 与 5G 有一些相似之处（两者均基于正交频分多址），但 Wi-Fi 6 不太容易受到干扰，能耗更低（延长设备电池的寿命），并提高了频谱效率。

与典型的 Wi-Fi 相同，目前许多厂商都有 [Wi-Fi 6 早期厂商专用版本][6]。Wi-Fi 联盟计划在 2020 年获得 Wi-Fi 6 标准设备的认证。大多数企业将按照标准<ruby>接入点<rt>access-point</rt></ruby>（AP）的生命周期（三年左右）升级到 Wi-Fi 6，除非他们有特定的性能/延迟要求，这将促使它们更快地升级。 

Wi-Fi 接入点仍然会受到干涉的影响。设计和配置接入点以提供适当的覆盖范围将会是一项挑战。企业 LAN 管理者将继续需要供应商提供的工具和合作伙伴来为组织配置最理想的 Wi-Fi 覆盖。Wi-Fi 6 解决方案必须与有线区域基础建设集成。Wi-Fi 供应商需要更好地为企业提供无线和有线解决方案的统一网络管理。

### 有线回程的需求

对于这两种技术，通过无线与有线网络基础设施相结合，可以提供端到端的高速通信。在企业中，Wi-Fi 通常与区域和一些较大分支机构的有线以太网交换机搭配使用。一些设备通过电缆连接到交换机，其他设备则通过 Wi-Fi 连接，而笔记本电脑可能会同时采用这两种方法。Wi-Fi 接入点通过企业内部的以太网连接，并通过光纤连接连接到 WAN 或 Internet。

5G 的架构广泛使用光纤，将分布式无线接入网络连接回 5G 网络的核心。光纤通常需要提供将 5G 端点连接到基于 SaaS 的应用程序所需的高带宽，并提供实时视频和高速互联网访问。专用 5G 网络也必须满足高速有线连接要求。

### 切换问题

随着手机在 5G 和 Wi-Fi 6 之间切换，企业 IT 管理者要注意到切换挑战。这些问题会影响到性能和用户满意度。一些组织正在努力制定标准，以促进 Wi-Fi 6 和 5G 间更好的互操作性。
由于 Wi-Fi 6 的架构与 5G 接轨，在蜂窝网络与 Wi-Fi 网络间移动的体验应该更加顺滑。

### 5G 和 Wi-Fi 6 的对比取决于位置、应用和设备

Wi-Fi 6 和 5G 在企业环境中的特定情况下相互竞争，这取决于位置、应用程序和设备类型。IT 管理者应该仔细评估他们当前和正在出现的连接性需求。Wi-Fi 将继续占领室内环境优势，而移动蜂窝网络将赢得更为广泛的室外覆盖。

一些重叠的情况发生在体育场馆、酒店和其他大型活动场所，许多用户将争夺带宽。政府应用（包括智能城市方面）可适用于 Wi-Fi 和蜂窝。医疗保健设施中有许多分布式医疗设备和需要连接的用户。大型分布式制造环境具有相似的特点。新兴的物联网应用环境可能是最有趣的“重叠使用案例”。

### 对于 IT 领导者的建议

虽然支持它们的无线技术正在融合，但 Wi-Fi 6 和 5G 从根本上来说是不同的网络，在企业连接中都有各自的作用。企业 IT 领导者应关注 Wi-Fi 和蜂窝网络如何相互补足，Wi-Fi 将继续作为内置技术，连接 PC 和笔记本电脑，处理手机和平板电脑数据，并实现一些物联网连接。

4G LTE 升级到 5G 后，仍将是手机和平板电脑连接的真正移动技术，也是 PC 连接的一种选择（通过加密狗），并在连接一些物联网设备方面越来越受欢迎。5G WAN 链路将日益成为标准，作为提高 SD-WAN 可靠性的备份和远程办公室的主要链路。

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3402316/when-to-use-5g-when-to-use-wi-fi-6.html

作者：[Lee Doyle][a]
选题：[lujun9972][b]
译者：[chenmu-kk](https://github.com/chenmu-kk)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Lee-Doyle/
[b]: https://github.com/lujun9972
[1]: https://images.idgesg.net/images/article/2017/07/wi-fi_wireless_communication_network_abstract_thinkstock_610127984_1200x800-100730107-large.jpg
[2]: https://www.networkworld.com/article/3203489/what-is-5g-how-is-it-better-than-4g.html
[3]: https://www.networkworld.com/article/3215907/why-80211ax-is-the-next-big-thing-in-wi-fi.html
[4]: https://www.networkworld.com/article/3330603/5g-versus-4g-how-speed-latency-and-application-support-differ.html
[5]: https://pluralsight.pxf.io/c/321564/424552/7490?u=https%3A%2F%2Fwww.pluralsight.com%2Fcourses%2Fmobile-device-management-big-picture
[6]: https://www.networkworld.com/article/3309439/80211ax-preview-access-points-and-routers-that-support-the-wi-fi-6-protocol-on-tap.html
[7]: https://www.facebook.com/NetworkWorld/
[8]: https://www.linkedin.com/company/network-world
