[#]: collector: (lujun9972)
[#]: translator: (mengxinayan)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12926-1.html)
[#]: subject: (How to influence people to join open source)
[#]: via: (https://opensource.com/article/20/10/influence-open-source)
[#]: author: (Joshua Pearce https://opensource.com/users/jmpearce)

如何感召人们让其参与到开源活动中
======

> 向他人介绍开源最有效的办法是，告诉他们开源可以提供给他们想要的。

![建筑物中的管道][1]

如果你在浏览这里，可能你会编程，而且或许你正使用某些难以捉摸的 [Linux 发行版][2]的开源浏览器上阅读这些内容。你也许很多年没有看到过浏览器广告了，因为你正运行着一个[开源的广告拦截器][3]。当你想到企鹅时，你感到温暖而又陌生。

简单地说，你知道开源的力量，并且它已经成了你生活的一部分。不幸的是，并不是每个人都发现了如何利用开源的方式。他们的电脑慢得令人痛苦，当他们上网浏览时他们看到的广告比内容都多，他们把钱花在专利和版权的垃圾上。这些人中可能有些是与你有关系的，例如你的侄女和侄子。

### 知识就是财富

那么你如何向你的侄女和侄子（以及任意一个人）介绍开源？

我尝试着回答这个问题，作为一个教授，一个以长篇大论著称的职业，我最终还是出了一本书：[《使用开源项目创造、分享和省钱》][4]，由 McGraw-Hill 出版。

我认为诀窍在于先发现你的侄女或侄子想要获取但没有钱去购买的东西，然后向他们展示如何通过开源知识来得到他们想要的东西。

![可升降的桌子][5]

*[可升降的桌子][6] (Joni Steiner and Nick Ierodiaconou, [CC-BY-SA-NC][7])*

知识是所有商品里独特的财富。不像黄金或小麦，它不仅在分享时会保留价值，而且可以迅速增值。因为互联网信息分享成本趋近于零，因此无限地扩展了此过程。每个可以访问互联网的人都史无前例地拥有这一财富。例如，我提供[免费的仓库链接][4]到关于书籍、教育、电影、攻略、地图、音乐、照片、艺术品、软件和烹饪等内容。

### 不要买，而是去制作它

免费和开源逐渐扩展到现实世界，我们现在有机会从根本上降低通过沃尔玛或亚马逊购买的东西的成本，包括[玩具][8]、[电器][9]、[家居用品][10]和衣服。使用 3D 打印或类似的工具，结合开源分享和数字制造，使得每个人可以制造属于他们自己的复杂的、有用的工具。

![3D 打印的家居用品][11]

*[3D 打印的家居用品][12] (Joshua M. Pearce, [CC BY-SA 3.0][13])*

前些年，科学家已经[在他们的实验室][14]中做这些工作了。但是现在，任何人都可以轻松地定制满足他们具体需求的产品。已经有数百万个免费的设计可供使用。

![Recyclebot][15]

*[Recyclebot][16] (Joshua M. Pearce, [GPLv3][17])*

真正降低一个产品的价格，就要[通过垃圾来获取其原材料][18]。伴随着小规模的回收利用过程（例如我实验室正在使用的 [Recyclebots][19]）最近得到了改进，这使得人们可以从废物中制造有用的产品，因此产生了一系列让人眼花缭乱的产品。最重要的是，任何人都可以利用专有系统的一小部分成本来获取到这些定制的绿色产品。我们生产出相比常规商品的销售税更低的[定制产品][20]——它们具有相同的功能，更好的定制形式，而且几乎没有成本。

### 了解更多

在[《使用开源项目创建、分享和省钱的项目》][4]一书中，我分享了在家庭制造和回收利用的潜力，以及如何利用开源来为大宗商品评分，如房屋、电力。你可以在我和 Megan Krieger 以及 Janet Callahan 三人为密歇根理工学院的 [Husky Bites][21] 录制的网络研讨会了解更多。

希望这些知识能足够激励你把一到两个侄女或侄子带到开源的路上来！

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/10/influence-open-source

作者：[Joshua Pearce][a]
选题：[lujun9972][b]
译者：[萌新阿岩](https://github.com/mengxinayan)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jmpearce
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/open_pipe_red_hat_tower_building.png?itok=8ho3yi7L (pipe in a building)
[2]: https://distrowatch.com/
[3]: https://opensource.com/article/20/4/ad-blockers
[4]: https://www.appropedia.org/Create,_Share,_and_Save_Money_Using_Open-Source_Projects
[5]: https://opensource.com/sites/default/files/uploads/opendesk_furniture_lift-standing-desk.jpg (Lift Standing Desk)
[6]: https://www.appropedia.org/File:Opendesk_furniture_lift-standing-desk.jpg
[7]: https://creativecommons.org/licenses/by-nc-sa/2.0/
[8]: http://www.mdpi.com/2227-7080/5/3/45
[9]: https://doi.org/10.3390/inventions3030064
[10]: https://www.mdpi.com/2227-7080/5/1/7
[11]: https://opensource.com/sites/default/files/uploads/3dprinted_household.jpg (3D printed household items)
[12]: https://www.appropedia.org/File:3dprinted_household.JPG
[13]: https://creativecommons.org/licenses/by-sa/3.0/
[14]: https://opensource.com/article/20/10/open-source-hardware-savings
[15]: https://opensource.com/sites/default/files/uploads/recyclebotrep.png (Recyclebot)
[16]: https://www.appropedia.org/File:Recyclebotrep.png
[17]: https://www.gnu.org/licenses/gpl-3.0.html
[18]: https://www.academia.edu/34738483/Tightening_the_Loop_on_the_Circular_Economy_Coupled_Distributed_Recycling_and_Manufacturing_with_Recyclebot_and_RepRap_3-D_Printing
[19]: https://www.appropedia.org/Recyclebot
[20]: https://opensource.com/article/17/3/how-to-create-consumer-goods-open-hardware
[21]: https://www.facebook.com/Michigan-Tech-College-of-Engineering-109353424030003/videos/husky-bites-presents-special-guest-joshua-m-pearce/2669023713361207/
