[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-12996-1.html)
[#]: subject: (8 open source software cheat sheets you'll need in 2021)
[#]: via: (https://opensource.com/article/21/1/cheat-sheets)
[#]: author: (Jim Hall https://opensource.com/users/jim-hall)

2021 的 8 个开源软件速查表
======

> 当那个讨厌的命令就在你的指间，但是就是想不起来，一个方便的速查表就可以拯救你。这份速查表清单涵盖了从编程语言到协作工具的各种内容。

![](https://img.linux.net.cn/data/attachment/album/202101/09/131938ktycoc99i2l6dlly.jpg)

有时候，你需要一个简短的提示。你知道自己想做什么，但就是想不起具体怎么做。这时候速查表就派上用场了。在这篇文章中，我给大家提供了 MariaDB 和 MySQL 的速查表。这个速查表对于偶尔使用数据库的人来说是非常有用的。接下来，我列出了两个树莓派速查表。第一张可以让你入门这台单板计算机。一旦你有了一定的基础知识，就可以把它变成一个家庭实验室，可以开始使用 Kubernetes 进行容器管理。一定要同时看看下一张速查表，因为它涵盖了 `kubectl` 工具。接下来，有一个很棒的 Emacs 的速查表，以及还有一个 C 编程语言的速查表。最后，这个列表以两个非常实用的速查表结束：协作工具和开源替代品。

下面是这份清单：

### MariaDB 和 MySQL 速查表

MariaDB 是一个企业级数据库。学习 MariaDB 是使用它来管理 Web 应用程序或编程语言库的重要一步。这个 [MariaDB 和 MySQL 速查表][2]涵盖了连接到服务器、分析数据和其他关键活动的有用命令。本速查表上的命令对交互式提示符和 SQL 脚本有效，但很多内容推断可以用于编程库。

### 树莓派：如何入门

自 2012 年以来，树莓派一直是学习编程技能、构建硬件项目、进行家庭自动化和创建应用程序的必备工具。它实惠的价格使它对任何技能水平的开源爱好者都有吸引力。这本[可下载的指南][3]将为你提供挑选树莓派、保持更新、使用它进行 Linux 游戏、为社区做贡献等方面的提示，让你获得成功。

### 在你的树莓派家庭实验室上运行 Kubernetes

由于树莓派单板计算机的经济性和多功能性，建立一个家庭实验室变得越来越容易。你可以用树莓派做成千上万的事情，包括实验 Kubernetes。在这本[电子书][4]中，作者 [Chris Collins][5] 演示了如何开始在树莓派上运行 Kubernetes。本指南的每个部分都可以单独学习，也可以作为一个整体项目来学习。无论你的日常工作是什么，阅读这些教程并按照自己的节奏进行尝试，一定会提升你的云技术实力。

### kubectl 速查表

`kubectl` 是维护 Kubernetes 集群的强大命令行工具。这个 2 页的[速查表][6]涵盖了常用的命令，让你超越一般的集群管理。它分为三个不同的部分，包括基本命令、故障排除命令和高级命令。掌握这九个关键的 `kubectl` 命令，可以帮助你排除故障和管理 Kubernetes 集群。

### Emacs 速查表

要记住每一个 Emacs 的快捷键几乎是不可能的。通过这个[速查表][7]，你可以熟悉最常见的组合，从而提高工作效率。当你有这个指南在身边时，你可以不用担心忘记 Emacs 键盘快捷键。通过学习这个速查表中演示的基本键盘快捷键，成为 Emacs 高手。

### C 语言编程速查表

C 是一种直接的编译编程语言。许多其他编程语言从 C 语言中借用了概念，如果你想学习 Lua、C++、Java 或 Go 等编程语言，C 语言是一个很好的起点。Jim Hall 的这份双面[速查表][8]包含了所有的基础知识，因此你可以立即获得 C 语法的所有要领。通过下载这个速查表来学习 C 语言，并将语法要领随身携带。

### 5 个开源协作工具

[Kevin Sonney][10] 的生产力指南通过[五个开源工具教程][9]让协作变得轻而易举。下载的速查表所涉及的工具包括开源邮件客户端、Google Docs 的替代方案等。让团队沟通不畅成为过去，迎接团队生产力的提升。

### 开放源码软件替代方案速查表

在我们广阔的开源世界里，有很多通用的专有软件工具的替代品。然而，有时要找到合适的开源替代品以满足你的特定需求是令人生畏的。这就是为什么我们整理了这一页的[速查表][11]，涵盖了主要的软件工具类别，包括团队聊天、文件共享、文字处理等。我们并没有止步于办公工具。我们还包括游戏、社交媒体和个人理财的顶级开源应用。通过这个速查表，可以快速找到常见的专有软件工具的替代品。

### 总结

这个列表涵盖了很多主题。在我们的[下载页面][12]上可以查看更多的速查表和指南。请在下面的评论中告诉我们你最喜欢的是哪一个。不要忘了为你最喜欢的开源工具写和提交速查表。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/1/cheat-sheets

作者：[Jim Hall][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jim-hall
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/coverimage_cheat_sheet.png?itok=lYkNKieP (Cheat Sheet cover image)
[2]: https://opensource.com/downloads/mariadb-mysql-cheat-sheet
[3]: https://opensource.com/downloads/raspberry-pi-guide
[4]: https://opensource.com/downloads/kubernetes-raspberry-pi
[5]: https://opensource.com/users/clcollins
[6]: https://opensource.com/downloads/kubectl-cheat-sheet
[7]: https://opensource.com/downloads/emacs-cheat-sheet
[8]: https://opensource.com/downloads/c-programming-cheat-sheet
[9]: https://opensource.com/downloads/collaboration-tools-ebook
[10]: https://opensource.com/users/ksonney
[11]: https://opensource.com/downloads/open-source-software-alternatives-cheat-sheet
[12]: https://opensource.com/downloads/cheat-sheets
