[#]: collector: (lujun9972)
[#]: translator: (Chao-zhi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13104-1.html)
[#]: subject: (Top Arch-based User Friendly Linux Distributions That are Easier to Install and Use Than Arch Linux Itself)
[#]: via: (https://itsfoss.com/arch-based-linux-distros/)
[#]: author: (Dimitrios Savvopoulos https://itsfoss.com/author/dimitrios/)

9 个易用的基于 Arch 的用户友好型 Linux 发行版
======

在 Linux 社区中，[Arch Linux][1] 有一群狂热的追随者。这个轻量级的发行版以 DIY 的态度提供了最前沿的更新。

但是，Arch 的目标用户是那些更有经验的用户。因此，它通常被认为是那些技术不够（或耐心不够）的人所无法触及的。

事实上，只是最开始的步骤，[安装 Arch Linux 就足以把很多人吓跑][2]。与大多数其他发行版不同，Arch Linux 没有一个易于使用的图形安装程序。安装过程中涉及到的磁盘分区，连接到互联网，挂载驱动器和创建文件系统等只用命令行工具来操作。

对于那些不想经历复杂的安装和设置的人来说，有许多用户友好的基于 Arch 的发行版。

在本文中，我将向你展示一些 Arch 替代发行版。这些发行版附带了图形安装程序、图形包管理器和其他工具，比它们的命令行版本更容易使用。

### 更容易设置和使用的基于 Arch 的 Linux 发行版

![](https://img.linux.net.cn/data/attachment/album/202102/10/112812sc42txp4eexco44x.jpg)

请注意，这不是一个排名列表。这些数字只是为了计数的目的。排第二的发行版不应该被认为比排第七的发行版好。

#### 1、Manjaro Linux

![][4]

[Manjaro][5] 不需要任何介绍。它是几年来最流行的 Linux 发行版之一，它值得拥有。

Manjaro 提供了 Arch Linux 的所有优点，同时注重用户友好性和可访问性。Manjaro 既适合新手，也适合有经验的 Linux 用户。

**对于新手**，它提供了一个用户友好的安装程序，系统本身也设计成可以在你[最喜爱的桌面环境 ][6]（DE）或窗口管理器中直接“开箱即用”。

**对于更有经验的用户**，Manjaro 还提供多种功能，以满足每个个人的口味和喜好。[Manjaro Architect][7] 提供了安装各种 Manjaro 风格的选项，并为那些想要完全自由地塑造系统的人提供了各种桌面环境、文件系统（[最近推出的 ZFS][8]） 和引导程序的选择。

Manjaro 也是一个滚动发布的前沿发行版。然而，与 Arch 不同的是，Manjaro 首先测试更新，然后将其提供给用户。稳定在这里也很重要。

#### 2、ArcoLinux

![][9]

[ArcoLinux][10]（以前称为 ArchMerge）是一个基于 Arch Linux 的发行版。开发团队提供了三种变体。ArcoLinux、ArcoLinuxD 和 ArcoLinuxB。

ArcoLinux 是一个功能齐全的发行版，附带有 [Xfce 桌面][11]、[Openbox][12] 和 [i3 窗口管理器][13]。

**ArcoLinuxD** 是一个精简的发行版，它包含了一些脚本，可以让高级用户安装任何桌面和应用程序。

**ArcoLinuxB** 是一个让用户能够构建自定义发行版的项目，同时还开发了几个带有预配置桌面的社区版本，如 Awesome、bspwm、Budgie、Cinnamon、Deepin、GNOME、MATE 和 KDE Plasma。

ArcoLinux 还提供了各种视频教程，因为它非常注重学习和获取 Linux 技能。

#### 3、Archlabs Linux

![][14]

[ArchLabs Linux][15] 是一个轻量级的滚动版 Linux 发行版，基于最精简的 Arch Linux，带有 [Openbox][16] 窗口管理器。[ArchLabs][17] 在观感设计中受到 [BunsenLabs][18] 的影响和启发，主要考虑到中级到高级用户的需求。

#### 4、Archman Linux

![][19]

[Archman][20] 是一个独立的项目。Arch Linux 发行版对于没有多少 Linux 经验的用户来说通常不是理想的操作系统。要想在最小的挫折感下让事情变得更有意义，必须要有相当的背景知识。Archman Linux 的开发人员正试图改变这种评价。

Archman 的开发是基于对开发的理解，包括用户反馈和体验组件。根据团队过去的经验，将用户的反馈和要求融合在一起，确定路线图并完成构建工作。

#### 5、EndeavourOS

![][21]

当流行的基于 Arch 的发行版 [Antergos 在 2019 结束][22] 时，它留下了一个友好且非常有用的社区。Antergos 项目结束的原因是因为该系统对于开发人员来说太难维护了。

在宣布结束后的几天内，一些有经验的用户通过创建一个新的发行版来填补 Antergos 留下的空白，从而维护了以前的社区。这就是 [EndeavourOS][23] 的诞生。

[EndeavourOS][24] 是轻量级的，并且附带了最少数量的预装应用程序。一块近乎空白的画布，随时可以个性化。

#### 6、RebornOS

![][25]

[RebornOS][26] 开发人员的目标是将 Linux 的真正威力带给每个人，一个 ISO 提供了 15 个桌面环境可供选择，并提供无限的定制机会。

RebornOS 还声称支持 [Anbox][27]，它可以在桌面 Linux 上运行 Android 应用程序。它还提供了一个简单的内核管理器 GUI 工具。

再加上 [Pacman][28]、[AUR][29]，以及定制版本的 Cnchi 图形安装程序，Arch Linux 终于可以让最没有经验的用户也能够使用了。

#### 7、Chakra Linux

![][30]

一个社区开发的 GNU/Linux 发行版，它的亮点在 KDE 和 Qt 技术。[Chakra Linux][31] 不在特定日期安排发布，而是使用“半滚动发布”系统。

这意味着 Chakra Linux 的核心包被冻结，只在修复安全问题时才会更新。这些软件包是在最新版本经过彻底测试后更新的，然后再转移到永久软件库（大约每六个月更新一次）。

除官方软件库外，用户还可以安装 Chakra 社区软件库 （CCR） 的软件包，该库为官方存储库中未包含的软件提供用户制作的 PKGINFOs 和 [PKGBUILD][32] 脚本，其灵感来自于 Arch 用户软件库（AUR）。

#### 8、Artix Linux

![Artix Mate Edition][33]

[Artix Linux][34] 也是一个基于 Arch Linux 的滚动发行版，它使用 [OpenRC][35]、[runit][36] 或 [s6][37] 作为初始化工具而不是 [systemd][38]。

Artix Linux 有自己的软件库，但作为一个基于 `pacman` 的发行版，它可以使用 Arch Linux 软件库或任何其他衍生发行版的软件包，甚至可以使用明确依赖于 systemd 的软件包。也可以使用 [Arch 用户软件库][29]（AUR）。

#### 9、BlackArch Linux

![][39]

BlackArch 是一个基于 Arch Linux 的 [渗透测试发行版][40]，它提供了大量的网络安全工具。它是专门为渗透测试人员和安全研究人员创建的。该软件库包含 2400 多个[黑客和渗透测试工具 ][41]，可以单独安装，也可以分组安装。BlackArch Linux 兼容现有的 Arch Linux 包。

### 想要真正的原版 Arch Linux 吗？可以使用图形化 Arch 安装程序简化安装

如果你想使用原版的 Arch Linux，但又被它困难的安装所难倒。幸运的是，你可以下载一个带有图形安装程序的 Arch Linux ISO。

Arch 安装程序基本上是 Arch Linux ISO 的一个相对容易使用的基于文本的安装程序。它比裸奔的 Arch 安装容易得多。

#### Anarchy Installer

![][42]

[Anarchy installer][43] 打算为新手和有经验的 Linux 用户提供一种简单而无痛苦的方式来安装 ArchLinux。在需要的时候安装，在需要的地方安装，并且以你想要的方式安装。这就是 Anarchy 的哲学。

启动安装程序后，将显示一个简单的 [TUI 菜单][44]，列出所有可用的安装程序选项。

#### Zen Installer

![][45]

[Zen Installer][46] 为安装 Arch Linux 提供了一个完整的图形（点击式）环境。它支持安装多个桌面环境 、AUR 以及 Arch Linux 的所有功能和灵活性，并且易于图形化安装。

ISO 将引导一个临场环境，然后在你连接到互联网后下载最新稳定版本的安装程序。因此，你将始终获得最新的安装程序和更新的功能。

### 总结

对于许多用户来说，基于 Arch 的发行版会是一个很好的无忧选择，而像 Anarchy 这样的图形化安装程序至少离原版的 Arch Linux 更近了一步。

在我看来，[Arch Linux 的真正魅力在于它的安装过程][2]，对于 Linux 爱好者来说，这是一个学习的机会，而不是麻烦。Arch Linux 及其衍生产品有很多东西需要你去折腾，但是在折腾的过程中你就会进入到开源软件的世界，这里是神奇的新世界。下次再见！

--------------------------------------------------------------------------------

via: https://itsfoss.com/arch-based-linux-distros/

作者：[Dimitrios Savvopoulos][a]
选题：[lujun9972][b]
译者：[Chao-zhi](https://github.com/Chao-zhi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/dimitrios/
[b]: https://github.com/lujun9972
[1]: https://www.archlinux.org/
[2]: https://itsfoss.com/install-arch-linux/
[3]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/06/arch-based-linux-distributions.png?ssl=1
[4]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/05/manjaro-20.jpg?ssl=1
[5]: https://manjaro.org/
[6]: https://itsfoss.com/best-linux-desktop-environments/
[7]: https://itsfoss.com/manjaro-architect-review/
[8]: https://itsfoss.com/manjaro-20-release/
[9]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/05/arcolinux.png?ssl=1
[10]: https://arcolinux.com/
[11]: https://www.xfce.org/
[12]: http://openbox.org/wiki/Main_Page
[13]: https://i3wm.org/
[14]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/06/Archlabs.jpg?ssl=1
[15]: https://itsfoss.com/archlabs-review/
[16]: https://en.wikipedia.org/wiki/Openbox
[17]: https://archlabslinux.com/
[18]: https://www.bunsenlabs.org/
[19]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/06/Archman.png?ssl=1
[20]: https://archman.org/en/
[21]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/05/04_endeavouros_slide.jpg?ssl=1
[22]: https://itsfoss.com/antergos-linux-discontinued/
[23]: https://itsfoss.com/endeavouros/
[24]: https://endeavouros.com/
[25]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/06/RebornOS.png?ssl=1
[26]: https://rebornos.org/
[27]: https://anbox.io/
[28]: https://itsfoss.com/pacman-command/
[29]: https://itsfoss.com/aur-arch-linux/
[30]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/06/Chakra_Goedel_Screenshot.png?ssl=1
[31]: https://www.chakralinux.org/
[32]: https://wiki.archlinux.org/index.php/PKGBUILD
[33]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/06/Artix_MATE_edition.png?ssl=1
[34]: https://artixlinux.org/
[35]: https://en.wikipedia.org/wiki/OpenRC
[36]: https://en.wikipedia.org/wiki/Runit
[37]: https://en.wikipedia.org/wiki/S6_(software)
[38]: https://en.wikipedia.org/wiki/Systemd
[39]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/06/BlackArch.png?ssl=1
[40]: https://itsfoss.com/linux-hacking-penetration-testing/
[41]: https://itsfoss.com/best-kali-linux-tools/
[42]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/05/anarchy.jpg?ssl=1
[43]: https://anarchyinstaller.org/
[44]: https://en.wikipedia.org/wiki/Text-based_user_interface
[45]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/05/zen.jpg?ssl=1
[46]: https://sourceforge.net/projects/revenge-installer/
