[#]: collector: (lujun9972)
[#]: translator: (mengxinayan)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13132-1.html)
[#]: subject: (10 ways to get started with open source in 2021)
[#]: via: (https://opensource.com/article/21/1/getting-started-open-source)
[#]: author: (Lauren Maffeo https://opensource.com/users/lmaffeo)

2021 年开始使用开源的 10 种方式
======

> 如果你刚开始接触开源，那么下面的 2020 年十篇好文章有助于指导你的发展之路。

![](https://img.linux.net.cn/data/attachment/album/202102/19/110943di1i609a9spys1i1.jpg)

我们存在的意义是为了向世界宣传开源的一切，从新工具到框架拓展到社区。我们的目标是让想要使用开源或为开源做贡献的人更容易参与其中。

入门开源可能很难，所以我们定期分享如何参与其中的提示和建议。如果你想要学习 Python，帮助抗击 COVID-19，或者加入 K8s 设置，我们将为你服务。

为了帮助你开始，我们总结了 2020 年发布的 10 篇最流行的开源入门文章。希望它们能激发你在 2021 年学习一些新知识。

### 《利用 Python 爬取网站的新手指南》

你是否想通过实践而不是阅读来学习 Python？在本教程中，Julia Piaskowski 将会指导你完成她的第一个[Python 网页爬取项目][2]。她具体展示了如何使用 Python 的 `requests` 库访问网页内容。

Julia 详细介绍了每一步，从安装 Python3 到使用 Pandas 来清理 Web 抓取结果。她利用了大量截图解释了如何以最终目标为目的进行爬取。

有关爬取相关内容的部分特别有用；当遇到困难处时，她会详细解释。但是，与本文的其余部分一样，她会指导你完成每个步骤。 

### 《在 Linux 上使用 SSH 进行远程连接的初学者指南》

如果你之前从未使用过安全 shell（SSH），那么你在第一次使用时可能会感到困惑。在本教程中，Seth Kenlon 展示了[如何为两台计算机之间配置 SSH 连接][3]，以及如何不使用密码而安全地进行连接。

Seth 解释了建立 SSH 连接的每个步骤，从你应该了解的四个关键术语到在每个主机上激活 SSH 的步骤。他还提供了有关查找计算机 IP 地址、创建 SSH 密钥以及对远程计算机的远程访问权限的建议。

### 《五步学会任何编程语言》

如果你已经掌握了一种编程语言，你就能[学习所有的语言][4]。这是 Seth Kenlon 编写本文的前提，他认为了解一些基本编程逻辑便可以跨语言拓展。

Seth 分享了程序员在学习一种新的编程语言或编码方式时所需要的五种东西。语法、内置函数和解析器是这五种之一，他对每一种都附上了行动步骤。

那么将它们统一起来的关键方式是？一旦了解了代码工作原理，你就可以跨语言拓展。对你来说，没有什么是太难学的。

### 《为 COVID-19 贡献开源医疗项目》

你是否知道一家意大利医院通过 3D 打印机设备挽救了 COVID-19 患者的生命？这是开源贡献者为 2020 年 COVID-19 大流行[建立的众多解决方案之一][5]。

在本文中，Joshua Pearce 分享了针对 COVID-19 的开源志愿服务项目。虽然 Open Air 是最大的项目，但 Joshua 解释了如何为开源呼吸机的维基工作，编写开源 COVID-19 医疗供应要求，测试开源氧气浓缩机原型等。

### 《GNOME 入门建议》

GNOME 是最受欢迎的 Linux 桌面之一，但是它适合你吗？本文分享了[来自 GNOME 用户的建议][6]，以及有关此主题的文章。

想要在配置桌面上寻找一些灵感吗？本文包含了有关 GNOME 扩展入门，将 Dash 安装到 Dock，使用 GNOME Tweak 工具等的链接。

不过，你仍然可能会认为 GNOME 不适合你——不用担心，最后你将找到指向其他 Linux 桌面和窗口管理器的链接。

### 《现在开始为开源做贡献的 3 个理由》

截至到 2020 年 6 月，Github 托管了超过 180,000 个公共仓库。现如今加入开源社区比过去更容易，但这是否意味着你应该加入开源？在本文中，Jason Blais [分享了三个投身开源的原因][7]。

为开源做贡献可以增强你的信心、简历和专业网络。Jason 还解释了如何利用有用的信息，从如何在领英个人资料中添加开源信息，到如何将这些贡献转变为付费角色。最后还列出了供初学者参与的出色项目。 

### 《作为 Linux 系统管理员为开源做贡献的 4 种方法》

系统管理员是开源的无名英雄。他们在代码背后做了大量工作，这些代码非常有价值，但通常是看不见的。

在本文中，Elizabeth K. Joseph 介绍了她如何以 Linux 系统管理员的身份[来改善开源项目][8]。用户支持、托管项目资源、寻找新的网站环境是让社区比她发现时变得更好的几种方式。

也许最重要的贡献是什么？文档！Elizabeth 在开源领域的起步是她为使用的项目重写了快速入门指南。向你经常使用的项目提交错误和补丁报告是参与其中的理想方法。  

### 《为 Slack 的开源替代品做出贡献的 6 种方法》

Mattermost 是一个很受欢迎的平台，适合那些想要一个开源消息传递系统的团队的平台。其活跃、充满活力的社区是让用户保持忠诚度的关键因素，尤其是对那些具有 Go、React 和 DevOps 经验的用户。

如果你想[为 Mattermost 做出贡献][9]，Jason Blais 具体介绍了如何参与其中。将本文视为你的入门文档：Blais 分享了你要采取的步骤，并介绍了你可以做出的六种贡献。

无论你是要构建一个集成还是本地化你的语言，本文都将介绍如何进行。

### 《如何为 Kubernetes 做贡献》

当我走进 2018 年温哥华青年开源峰会时，还很年轻，对 Kubernetes 一无所知。主题演讲结束后，我离开会场后依然是一个有所改变而依然困惑的女人。毫不夸张地说，Kubernetes 已经彻底改变了开源，这并不夸张：很难找到一个更受欢迎、更有影响力的项目。

如果你想做出贡献，那么 IBM 工程师 Tara Gu 介绍了[她是如何开始的][10]。本文介绍了她在 All Things Open 2019 会议上的闪电演讲的回顾以及包括她亲自演讲的视频。还记得吗？

### 《任何人如何在工作中为开源软件做出贡献》

需求是发明之母，尤其是在开源领域。许多人针对自己遇到的问题构建开源解决方案。但是如果开发人员在没有收集目标用户反馈的情况下通过构建产品而错过了目标，会发生什么呢？

在企业中，产品和设计团队通常会填补这一空白。如果开源团队中不存在这样的角色，开发人员应该怎么做？

在本文中，Catherine Robson 介绍了开源团队如何从目标用户那里[收集反馈][11]。它为希望与开发人员分享他们的工作经验，从而将他们的反馈贡献到开源项目的人们而编写。

Catherine 概述的步骤将帮助你与开源团队分享你的见解，并在帮助团队开发更好的产品方面发挥关键作用。

### 你想要学习什么？

你想了解开源入门哪些方面的知识？请在评论中分享你对文章主题的建议。同时如果你有故事可以分享，以帮助他人开始使用开源软件，请考虑[撰写文章][12]。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/1/getting-started-open-source

作者：[Lauren Maffeo][a]
选题：[lujun9972][b]
译者：[萌新阿岩](https://github.com/mengxinayan)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/lmaffeo
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/career_journey_road_gps_path_map_520.png?itok=PpL6jJgY (Looking at a map for career journey)
[2]: https://linux.cn/article-13047-1.html
[3]: https://opensource.com/article/20/9/ssh
[4]: https://linux.cn/article-12842-1.html
[5]: https://opensource.com/article/20/3/volunteer-covid19
[6]: https://opensource.com/article/20/6/gnome-users
[7]: https://opensource.com/article/20/6/why-contribute-open-source
[8]: https://opensource.com/article/20/7/open-source-sysadmin
[9]: https://opensource.com/article/20/7/mattermost
[10]: https://opensource.com/article/20/1/contributing-kubernetes-all-things-open-2019
[11]: https://opensource.com/article/20/10/open-your-job
[12]: https://opensource.com/how-submit-article
