[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13094-1.html)
[#]: subject: (4 tips for preventing notification fatigue)
[#]: via: (https://opensource.com/article/21/1/alert-fatigue)
[#]: author: (Kevin Sonney https://opensource.com/users/ksonney)

防止通知疲劳的 4 个技巧
======

> 不要让提醒淹没自己：设置重要的提醒，让其它提醒消失。你会感觉更好，工作效率更高。

![W】(https://img.linux.net.cn/data/attachment/album/202102/06/234924mo3okotjlv7lo3yo.jpg)

在前几年，这个年度系列涵盖了单个的应用。今年，我们除了关注 2021 年的策略外，还将关注一体化解决方案。欢迎来到 2021 年 21 天生产力的第十八天。

当我和人们谈论生产力时，我注意到一件事，那就是几乎每个人都是为了保持更清晰的头脑。我们不是把所有的约会都记在脑子里，而是把它们放在一个数字日历上，在事件发生前提醒我们。我们有数字或实体笔记，这样我们就不必记住某件事的每一个小细节。我们有待办事项清单，提醒我们去做该做的事情。

![Text box offering to send notifications][2]

*NOPE（Kevin Sonney, [CC BY-SA 4.0][3]）*

如此多的应用、网站和服务想要提醒我们每一件小事，我们很容易就把它们全部调出来。而且，如果我们不这样做，我们将开始遭受**提醒疲劳**的困扰 —— 这时我们处于边缘的状态，只是等待下一个提醒，并生活在恐惧之中。

提醒疲劳在那些因工作而被随叫随到的人中非常常见。它也发生在那些 **FOMO** （错失恐惧症）的人身上，从而对每一个关键词、标签或在社交媒体上提到他们感兴趣的事情都会设置提醒。

此时，设置能引起我们的注意，但不会被忽略的提醒是件棘手的事情。不过，我确实有一些有用的提示，这样重要的提醒可能会在这个忙碌的世界中越过我们自己的心理过滤器。

![Alert for a task][4]

*我可以忽略这个，对吧？（Kevin Sonney, [CC BY-SA 4.0][3]）*

  1. 弄清楚什么更适合你：视觉提醒或声音提醒。我使用视觉弹出和声音的组合，但这对我是有效的。有些人需要触觉提醒。比如手机或手表的震动。找到适合你的那一种。
  2. 为重要的提醒指定独特的音调或视觉效果。我有一个朋友，他的工作页面的铃声最响亮、最讨厌。这旨在吸引他的注意力，让他看到提醒。我的显示器上有一盏灯，当我在待命时收到工作提醒时，它就会闪烁红灯，以及发送通知到我手机上。
  3. 关掉那些实际上无关紧要的警报。社交网络、网站和应用都希望得到你的关注。它们不会在意你是否错过会议、约会迟到，或者熬夜到凌晨 4 点。关掉那些不重要的，让那些重要的可以被看到。
  4. 每隔一段时间就改变一下。上个月有效的东西，下个月可能就不行了。我们会适应、习惯一些东西，然后我们会忽略。如果有些东西不奏效，就换个东西试试吧！它不会伤害你，即使无法解决问题，也许你也会学到一些新知识。

![Blue alert indicators light][5]

*蓝色是没问题。红色是有问题。（Kevin Sonney, [CC BY-SA 4.0][3]）*

### 开源和选择

一个好的应用可以通知提供很多选择。我最喜欢的一个是 Android 的 Etar 日历应用。[Etar 可以从开源 F-droid 仓库中获得][6]。

Etar 和许多开源应用一样，为你提供了很多选项，尤其是通知设置。

![Etar][7]

通过 Etar，你可以激活或停用弹出式通知，设置打盹时间、打盹延迟、是否提醒你已拒绝的事件等。结合有计划的日程安排策略，你可以通过控制数字助手对你需要做的事情进行提示的频率来改变你一天的进程。

提醒和警报真的很有用，只要我们收到重要的提醒并予以注意即可。这可能需要做一些实验，但最终，少一些噪音是好事，而且更容易注意到真正需要我们注意的提醒。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/1/alert-fatigue

作者：[Kevin Sonney][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/ksonney
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/team_dev_email_chat_video_work_wfm_desk_520.png?itok=6YtME4Hj (Working on a team, busy worklife)
[2]: https://opensource.com/sites/default/files/day18-image1.png
[3]: https://creativecommons.org/licenses/by-sa/4.0/
[4]: https://opensource.com/sites/default/files/day18-image2.png
[5]: https://opensource.com/sites/default/files/day18-image3.png
[6]: https://f-droid.org/en/packages/ws.xsoh.etar/
[7]: https://opensource.com/sites/default/files/etar.jpg (Etar)
