[#]: collector: (lujun9972)
[#]: translator: (scvoet)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13120-1.html)
[#]: subject: (Why the success of open source depends on empathy)
[#]: via: (https://opensource.com/article/21/2/open-source-empathy)
[#]: author: (Bronagh Sorota https://opensource.com/users/bsorota)

为何开源的成功取决于同理心？
======

> 随着对同理心认识的提高和传播同理心的激励，开源生产力将得到提升，协作者将会聚拢，可以充分激发开源软件开发的活力。 

![](https://img.linux.net.cn/data/attachment/album/202102/15/110606rc48qf05904m9n7p.jpg)

开源开发的协调创新精神和社区精神改变了世界。Jim Whitehurst 在[《开放式组织》][2]中解释说，开源的成功源于“将人们视为社区的一份子，从交易思维转变为基于承诺基础的思维方式”。 但是，开源开发模型的核心仍然存在障碍：它经常性地缺乏人类的<ruby>同理心<rt>empathy</rt></ruby>。 

同理心是理解或感受他人感受的能力。在开源社区中，面对面的人际互动和协作是很少的。任何经历过 GitHub <ruby>拉取请求<rt>Pull request</rt></ruby>或<ruby>议题<rt>Issue</rt></ruby>的开发者都曾收到过来自他们可能从未见过的人的评论，这些人往往身处地球的另一端，而他们的交流也可能同样遥远。现代开源开发就是建立在这种异步、事务性的沟通基础之上。因此，人们在社交媒体平台上所经历的同类型的网络欺凌和其他虐待行为，在开源社区中也不足为奇。

当然，并非所有开源交流都会事与愿违。许多人在工作中发展出了尊重并秉持着良好的行为标准。但是很多时候，人们的沟通也常常缺乏常识性的礼仪，他们将人们像机器而非人类一般对待。这种行为是激发开源创新模型全部潜力的障碍，因为它让许多潜在的贡献者望而却步，并扼杀了灵感。

### 恶意交流的历史

代码审查中存在的敌意言论对开源社区来说并不新鲜，它多年来一直被社区所容忍。开源教父<ruby>莱纳斯·托瓦尔兹<rt>Linus Torvalds</rt></ruby>经常在代码不符合他的标准时[抨击][3] Linux 社区，并将贡献者赶走。埃隆大学计算机科学教授 Megan Squire 借助[机器学习][4]分析了托瓦尔兹的侮辱行为，发现它们在四年内的数量高达数千次。2018 年，莱纳斯因自己的不良行为而自我放逐，责成自己学习同理心，道歉并为 Linux 社区制定了行为准则。

2015 年，[Sage Sharp][5] 虽然在技术上受人尊重，但因其缺乏对个人的尊重，被辞去了 FOSS 女性外展计划中的 Linux 内核协调员一职。

PR 审核中存在的贬低性评论对开发者会造成深远的影响。它导致开发者在提交 PR 时产生畏惧感，让他们对预期中的反馈感到恐惧。这吞噬了开发者对自己能力的信心。它逼迫工程师每次都只能追求完美，从而减缓了开发速度，这与许多社区采用的敏捷方法论背道而驰。

### 如何缩小开源中的同理心差距？

通常情况下，冒犯的评论常是无意间的，而通过一些指导，作者则可以学会如何在不带负面情绪的情况下表达意见。GitHub 不会监控议题和 PR 的评论是否有滥用内容，相反，它提供了一些工具，使得社区能够对其内容进行审查。仓库的所有者可以删除评论和锁定对话，所有贡献者可以报告滥用和阻止用户。

制定社区行为准则可为所有级别的贡献者提供一个安全且包容的环境，并且能让所有级别的贡献者参与并定义降低协作者之间冲突的过程。

我们能够克服开源中存在的同理心问题。面对面的辩论比文字更有利于产生共鸣，所以尽可能选择视频通话。以同理心的方式分享反馈，树立榜样。如果你目睹了一个尖锐的评论，请做一个指导者而非旁观者。如果你是受害者，请大声说出来。在面试候选人时，评估同理心能力，并将同理心能力与绩效评估和奖励挂钩。界定并执行社区行为准则，并管理好你的社区。

随着对同理心认识的提高和传播同理心的激励，开源生产力将得到提升，协作者将会聚拢，可以充分激发开源软件开发的活力。 

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/open-source-empathy

作者：[Bronagh Sorota][a]
选题：[lujun9972][b]
译者：[scvoet](https://github.com/scvoet)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/bsorota
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/practicing-empathy.jpg?itok=-A7fj6NF (Practicing empathy)
[2]: https://www.redhat.com/en/explore/the-open-organization-book
[3]: https://arstechnica.com/information-technology/2013/07/linus-torvalds-defends-his-right-to-shame-linux-kernel-developers/
[4]: http://flossdata.syr.edu/data/insults/hicssInsultsv2.pdf
[5]: https://en.wikipedia.org/wiki/Sage_Sharp
