[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13133-1.html)
[#]: subject: (3 open source tools that make Linux the ideal workstation)
[#]: via: (https://opensource.com/article/21/2/linux-workday)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

让 Linux 成为理想的工作站的 3 个开源工具
======

> Linux 不但拥有你认为所需的一切，还有更多可以让你高效工作的工具。

![](https://img.linux.net.cn/data/attachment/album/202102/19/134935qhe252ifbvbpnzxk.jpg)

在 2021 年，有更多让人们喜欢 Linux 的理由。在这个系列中，我将分享 21 种使用 Linux 的不同理由。今天，我将与你分享为什么 Linux 是你工作的最佳选择。

每个人都希望在工作期间提高工作效率。如果你的工作通常涉及到文档、演示文稿和电子表格的工作，那么你可能已经习惯了特定的例行工作。问题在于，这个*惯常的例行工作*通常是由一两个特定的应用程序决定的，无论是某个办公套件还是桌面操作系统。当然，习惯并不意味着它是理想的，但是它往往会毫无疑义地持续存在，甚至影响到企业的运作架构。

### 更聪明地工作

如今，许多办公应用程序都在云端运行，因此如果你愿意的话，你可以在 Linux 上使用相同的方式。然而，由于许多典型的知名办公应用程序并不符合 Linux 上的文化预期，因此你可能会发现自己受到启发，想去探索其他的选择。正如任何渴望走出“舒适区”的人所知道的那样，这种微妙的打破可能会出奇的有用。很多时候，你不知道自己效率低下，因为你实际上并没有尝试过以不同的方式做事。强迫自己去探索其他方式，你永远不知道会发现什么。你甚至不必完全知道要寻找的内容。

### LibreOffice

Linux（或任何其他平台）上显而易见的开源办公主力之一是 [LibreOffice][2]。它具有多个组件，包括文字处理器、演示软件、电子表格、关系型数据库界面、矢量绘图等。它可以从其他流行的办公应用程序中导入许多文档格式，因此从其他工具过渡到 LibreOffice 通常很容易。

然而，LibreOffice 不仅仅是一个出色的办公套件。LibreOffice 支持宏，所以机智的用户可以自动完成重复性任务。它还具有终端命令的功能，因此你可以在不启动 LibreOffice 界面的情况下执行许多任务。

想象一下，比如要打开 21 个文档，导航到**文件**菜单，到**导出**或**打印**菜单项，并将文件导出为 PDF 或 EPUB。这至少需要 84 次以上的点击，可能要花费一个小时的时间。相比之下，打开一个文档文件夹，并转换所有文件为 PDF 或 EPUB，只需要执行一个迅速的命令或菜单操作。转换将在后台运行，而你可以处理其他事情。只需要四分之一的时间，可能更少。

```
$ libreoffice --headless --convert-to epub *.docx
```

这是一个小改进，是由 Linux 工具集和你可以自定义环境和工作流程的便利性所潜在带来的鼓励。

### Abiword 和 Gnumeric

有时，你并不需要一个大而全的办公套件。如果你喜欢简化你的办公室工作，那么使用一个轻量级和针对特定任务的应用程序可能更好。例如，我大部分时间都是用文本编辑器写文章，因为我知道在转换为 HTML 的过程中，所有的样式都会被丢弃。但有些时候，文字处理器是很有用的，无论是打开别人发给我的文档，还是因为我想用一种快速简单的方法来生成一些样式漂亮的文本。

[Abiword][3] 是一款简单的文字处理器，它基本支持流行的文档格式，并具备你所期望的文字处理器的所有基本功能。它并不意味着是一个完整的办公套件，这是它最大的特点。虽然没有太多的选择，但我们仍然处于信息过载的时代，这正是一个完整的办公套件或文字处理器有时会犯的错误。如果你想避免这种情况，那就用一些简单的东西来代替。

同样，[Gnumeric][4] 项目提供了一个简单的电子表格应用程序。Gnumeric 避免了任何严格意义上的电子表格所不需要的功能，所以你仍然可以获得强大的公式语法、大量的函数，以及样式和操作单元格的所有选项。我不怎么使用电子表格，所以我发现自己在极少数需要查看或处理分类账中的数据时，对 Gnumeric 相当满意。

### Pandoc

通过专门的命令和文件处理程序，可以最小化。`pandoc` 命令专门用于文件转换。它就像 `libreoffice --headless` 命令一样，只是要处理的文档格式数量是它的十倍。你甚至可以用它来生成演示文稿! 如果你的工作之一是从一个文档中提取源文本，并以多种格式交付它，那么 Pandoc 是必要的，所以你应该[下载我们的攻略][5]看看。

广义上讲，Pandoc 代表的是一种完全不同的工作方式。它让你脱离了办公应用的束缚。它将你从试图将你的想法写成文字，并同时决定这些文字应该使用什么字体的工作中分离出来。在纯文本中工作，然后转换为各种交付格式，让你可以使用任何你想要的应用程序，无论是移动设备上的记事本，还是你碰巧坐在电脑前的简单文本编辑器，或者是云端的文本编辑器。

### 寻找替代品

Linux 有很多意想不到的替代品。你可以从你正在做的事情中退后一步，分析你的工作流程，评估你所需的结果，并调查那些声称可以完全你的需求的新应用程序来找到它们。

改变你所使用的工具、工作流程和日常工作可能会让你迷失方向，特别是当你不知道你要找的到底是什么的时候。但 Linux 的优势在于，你有机会重新评估你在多年的计算机使用过程中潜意识里形成的假设。如果你足够努力地寻找答案，你最终会意识到问题所在。通常，你最终会欣赏你学到的东西。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/linux-workday

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/laptop_screen_desk_work_chat_text.png?itok=UXqIDRDD (Person using a laptop)
[2]: http://libreoffice.org
[3]: https://www.abisource.com
[4]: http://www.gnumeric.org
[5]: https://opensource.com/article/20/5/pandoc-cheat-sheet
