[#]: collector: (lujun9972)
[#]: translator: (amorsu)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13157-1.html)
[#]: subject: (4 reasons to choose Linux for art and design)
[#]: via: (https://opensource.com/article/21/2/linux-art-design)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

选择 Linux 来做艺术设计的 4 个理由
======

> 开源会强化你的创造力。因为它把你带出专有的思维定势，开阔你的视野，从而带来更多的可能性。让我们探索一些开源的创意项目。

![](https://img.linux.net.cn/data/attachment/album/202102/27/135654k1x4um187i1i7wm1.jpg)

2021 年，人们比以前的任何时候都更有理由来爱上 Linux。在这个系列，我会分享 21 个选择 Linux 的原因。今天，让我来解释一下，为什么 Linux 是艺术设计的绝佳选择。

Linux 在服务器和云计算方面获得很多的赞誉。让不少人感到惊讶的是，Linux 刚好也有一系列的很棒的创意设计工具，并且这些工具在用户体验和质量方面可以媲美那些流行的创意设计工具。我第一次使用开源的设计工具时，并不是因为我没有其他工具可以选择。相反的，我是在接触了大量的这些领先的公司提供的专有设计工具后，才开始使用开源设计工具。我之所以最后选择开源设计工具是因为开源更有意义，而且我能获得更好的产出。这些都是一些笼统的说法，所以请允许我解释一下。

### 高可用性意味着高生产力

“生产力”这一次对于不同的人来说含义不一样。当我想到生产力，就是当你坐下来做事情，并能够完成你给自己设定的所有任务的时候，这时就很有成就感。但是当你总是被一些你无法掌控的事情打断，那你的生产力就下降了。

计算机看起来是不可预测的，诚然有很多事情会出错。电脑是由很多的硬件组成的，它们任何一个都有可能在任何时间出问题。软件会有 bug，也有修复这些 bug 的更新，而更新后又会带来新的 bug。如果你对电脑不了解，它可能就像一个定时炸弹，等着爆发。带着数字世界里的这么多的潜在问题，去接受一个当某些条件不满足（比如许可证，或者订阅费）就会不工作的软件，对我来说就显得很不理智。

![Inkscape 应用][2]

开源的创意设计应用不需要订阅费，也不需要许可证。在你需要的时候，它们都能获取得到，并且通常都是跨平台的。这就意味着，当你坐在工作的电脑面前，你就能确定你能用到那些必需的软件。而如果某天你很忙碌，却发现你面前的电脑不工作了，解决办法就是找到一个能工作的，安装你的创意设计软件，然后开始工作。

例如，要找到一台无法运行 Inkscape 的电脑，比找到一台可以运行那些专有软件的电脑要难得多。这就叫做高可用。这是游戏规则的改变者。我从来不曾遇到因为软件用不了而不得不干等，浪费我数小时时间的事情。

### 开放访问更有利于多样性

我在设计行业工作的时候，我的很多同事都是通过自学的方式来学习艺术和技术方面的知识，这让我感到惊讶。有的通过使用那些最新的昂贵的“专业”软件来自学，但总有一大群人是通过使用自由和开源的软件来完善他们的数字化的职业技能。因为，对于孩子，或者没钱的大学生来说，这才是他们能负担的起，而且很容易就能获得的。

这是一种不同的高可用性，但这对我和许多其他用户来说很重要，如果不是因为开源，他们就不会从事创意行业。即使那些有提供付费订阅的开源项目，比如 Ardour，都能确保他的用户在不需要支付任何费用的时候也能使用软件。

![Ardour 界面][4]

当你不限制别人用你的软件的时候，你其实拥有了更多的潜在用户。如果你这样做了，那么你就开放了一个接收多样的创意声音的窗口。艺术钟爱影响力，你可以借鉴的经验和想法越多就越好。这就是开源设计软件所带来的可能性。

### 文件格式支持更具包容性

我们都知道在几乎所有行业里面包容性的价值。在各种意义上，邀请更多的人到派对可以造就更壮观的场面。知道这一点，当看到有的项目或者创新公司只邀请某些人去合作，只接受某些文件格式，就让我感到很痛苦。这看起来很陈旧，就像某个远古时代的精英主义的遗迹，而这是即使在今天都在发生的真实问题。

令人惊讶和不幸的是，这不是因为技术上的限制。专有软件可以访问开源的文件格式，因为这些格式是开源的，而且可以自由地集成到各种应用里面。集成这些格式不需要任何回报。而相比之下，专有的文件格式被笼罩在秘密之中，只被限制于提供给几个愿意付钱的人使用。这很糟糕，而且常常，你无法在没有这些专有软件的情况下打开一些文件来获取你的数据。令人惊喜的是，开源的设计软件却是尽力的支持更多的专有文件格式。以下是一些 Inkscape 所支持的令人难以置信的列表样本：

![可用的 Inkscape 文件格式][5]

而这大部分都是在没有这些专有格式厂商的支持下开发出来的。

支持开放的文件格式可以更包容，对所有人都更好。

### 对新的创意没有限制

我之所以爱上开源的其中一个原因是，解决一个指定任务时，有彻底的多样性。当你在专有软件周围时，你所看到的世界是基于你所能够获取得到的东西。比如说，你过你打算处理一些照片，你通常会把你的意图局限在你所知道的可能性上面。你从你的架子上的 4 款或 10 款应用中，挑选出 3 款，因为它们是目前你唯一能够获取得到的选项。

在开源领域，你通常会有好几个“显而易见的”必备解决方案，但同时你还有一打的角逐者在边缘转悠，供你选择。这些选项有时只是半成品，或者它们超级专注于某项任务，又或者它们学起来有点挑战性，但最主要的是，它们是独特的，而且充满创新的。有时候，它们是被某些不按“套路”出牌的人所开发的，因此处理的方法和市场上现有的产品截然不同。其他时候，它们是被那些熟悉做事情的“正确”方式，但还是在尝试不同策略的人所开发的。这就像是一个充满可能性的巨大的动态的头脑风暴。

这种类型的日常创新能够引领出闪现的灵感、光辉时刻，或者影响广泛的通用性改进。比如说，著名的 GIMP 滤镜，（用于从图像中移除项目并自动替换背景）是如此的受欢迎以至于后来被专有图片编辑软件商拿去“借鉴”。这是成功的一步，但是对于一个艺术家而言，个人的影响才是最关键的。我常感叹于新的 Linux 用户的创意，而我只是在技术展会上展示给他们一个简单的音频，或者视频滤镜，或者绘图应用。没有任何的指导，或者应用场景，从简单的交互中喷发出来的关于新的工具的主意，是令人兴奋和充满启发的，通过实验中一些简单的工具，一个全新的艺术系列可以轻而易举的浮现出来。

只要在适当的工具集都有的情况下，有很多方式来更有效的工作。虽然私有软件通常也不会反对更聪明的工作习惯的点子，专注于实现自动化任务让用户可以更轻松的工作，对他们也没有直接的收益。Linux 和开源软件就是很大程度专为 [自动化和编排][6] 而建的，而不只是服务器。像  [ImageMagick][7] 和 [GIMP 脚本][8] 这样的工具改变了我的处理图片的方式，包括批量处理方面和纯粹实验方面。

你永远不知道你可以创造什么，如果你有一个你从来想象不到会存在的工具的话。

### Linux 艺术家

这里有 [使用开源的艺术家社区][9]，从 [photography][10] 到 [makers][11] 到 [musicians][12]，还有更多更多。如果你想要创新，试试 Linux 吧。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/linux-art-design

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[amorsu](https://github.com/amorsu)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/painting_computer_screen_art_design_creative.png?itok=LVAeQx3_ (Painting art on a computer screen)
[2]: https://opensource.com/sites/default/files/inkscape_0.jpg
[3]: https://community.ardour.org/subscribe
[4]: https://opensource.com/sites/default/files/ardour.jpg
[5]: https://opensource.com/sites/default/files/formats.jpg
[6]: https://opensource.com/article/20/11/orchestration-vs-automation
[7]: https://opensource.com/life/16/6/fun-and-semi-useless-toys-linux#imagemagick
[8]: https://opensource.com/article/21/1/gimp-scripting
[9]: https://librearts.org
[10]: https://pixls.us
[11]: https://www.redhat.com/en/blog/channel/red-hat-open-studio
[12]: https://linuxmusicians.com
