[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13160-1.html)
[#]: subject: (5 reasons to use Linux package managers)
[#]: via: (https://opensource.com/article/21/2/linux-package-management)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

使用 Linux 软件包管理器的 5 个理由
======

> 包管理器可以跟踪你安装的软件的所有组件，使得更新、重装和故障排除更加容易。

![](https://img.linux.net.cn/data/attachment/album/202102/28/123014kuhttz1kkkexwh9j.jpg)

在 2021 年，人们喜欢 Linux 的理由比以往任何时候都多。在这个系列中，我将分享 21 个使用 Linux 的不同理由。今天，我将谈谈软件仓库。

在我使用 Linux 之前，我认为在计算机上安装的应用是理所当然的。我会根据需要安装应用，如果我最后没有使用它们，我就会把它们忘掉，让它们占用我的硬盘空间。终于有一天，我的硬盘空间会变得稀缺，我就会疯狂地删除应用，为更重要的数据腾出空间。但不可避免的是，应用只能释放出有限的空间，所以我将注意力转移到与这些应用一起安装的所有其他零碎内容上，无论是媒体内容还是配置文件和文档。这不是一个管理电脑的好方法。我知道这一点，但我并没有想过要有其他的选择，因为正如人们所说，你不知道自己不知道什么。

当我改用 Linux 时，我发现安装应用的方式有些不同。在 Linux 上，会建议你不要去网站上找应用的安装程序。取而代之的是，运行一个命令，应用就会被安装到系统上，并记录每个单独的文件、库、配置文件、文档和媒体资产。

### 什么是软件仓库？

在 Linux 上安装应用的默认方法是从发行版软件仓库中安装。这可能听起来像应用商店，那是因为现代应用商店借鉴了很多软件仓库的概念。[Linux 也有应用商店][2]，但软件仓库是独一无二的。你通过一个*包管理器*从软件仓库中获得一个应用，它使你的 Linux 系统能够记录和跟踪你所安装的每一个组件。

这里有五个原因可以让你确切地知道你的系统上有什么东西，可以说是非常有用。

#### 1、移除旧应用

当你的计算机知道应用安装的每一个文件时，卸载你不再需要的文件真的很容易。在 Linux 上，安装 [31 个不同的文本编辑器][3]，然后卸载 30 个你不喜欢的文本编辑器是没有问题的。当你在 Linux 上卸载的时候，你就真的卸载了。

#### 2、按你的意思重新安装

不仅卸载要彻底，*重装*也很有意义。在许多平台上，如果一个应用出了问题，有时会建议你重新安装它。通常情况下，谁也说不清为什么要重装一个应用。不过，人们还是经常会隐隐约约地怀疑某个地方的文件已经损坏了（换句话说，数据写入错误），所以希望重装可以覆盖坏的文件以让软件重新工作。这是个不错的建议，但对于任何技术人员来说，不知道是什么地方出了问题都是令人沮丧的。更糟糕的是，如果不仔细跟踪，就不能保证所有的文件都会在重装过程中被刷新，因为通常没有办法知道与应用程序一起安装的所有文件在第一时间就删除了。有了软件包管理器，你可以强制彻底删除旧文件，以确保新文件的全新安装。同样重要的是，你可以研究每个文件并可能找出导致问题的文件，但这是开源和 Linux 的一个特点，而不是包管理。

#### 3、保持你应用的更新

不要听别人告诉你的 Linux 比其他操作系统“更安全”。计算机是由代码组成的，而我们人类每天都会以新的、有趣的方式找到利用这些代码的方法。因为 Linux 上的绝大多数应用都是开源的，所以许多漏洞都会以“<ruby>常见漏洞和暴露<rt>Common Vulnerability and Exposures</rt></ruby>”（CVE）的形式公开。大量涌入的安全漏洞报告似乎是一件坏事，但这绝对是一个*知道*远比*不知道*好的案例。毕竟，没有人告诉你有问题，并不意味着没有问题。漏洞报告是好的。它们对每个人都有好处。而且，当开发人员修复安全漏洞时，对你而言，及时获得这些修复程序很重要，最好不用自己记着动手修复。

包管理器正是为了实现这一点而设计的。当应用收到更新时，无论是修补潜在的安全问题还是引入令人兴奋的新功能，你的包管理器应用都会提醒你可用的更新。

#### 4、保持轻便

假设你有应用 A 和应用 B，这两个应用都需要库 C。在某些操作系统上，通过得到 A 和 B，就会得到了两个 C 的副本。这显然是多余的，所以想象一下，每个应用都会发生几次。冗余的库很快就会增加，而且由于对一个给定的库没有单一的“正确”来源，所以几乎不可能确保你使用的是最新的甚至是一致的版本。

我承认我不会整天坐在这里琢磨软件库，但我确实记得我琢磨的日子，尽管我不知道这就是困扰我的原因。在我还没有改用 Linux 之前，我在处理工作用的媒体文件时遇到错误，或者在玩不同的游戏时出现故障，或者在阅读 PDF 时出现怪异的现象，等等，这些都不是什么稀奇的事情。当时我花了很多时间去调查这些错误。我仍然记得，我的系统上有两个主要的应用分别捆绑了相同（但有区别）的图形后端技术。当一个程序的输出导入到另一个程序时，这种不匹配会导致错误。它本来是可以工作的，但是由于同一个库文件集合的旧版本中的一个错误，一个应用的热修复程序并没有给另一个应用带来好处。

包管理器知道每个应用需要哪些后端（被称为*依赖关系*），并且避免重新安装已经在你系统上的软件。

#### 5、保持简单

作为一个 Linux 用户，我要感谢包管理器，因为它帮助我的生活变得简单。我不必考虑我安装的软件，我需要更新的东西，也不必考虑完成后是否真的将其卸载了。我毫不犹豫地试用软件。而当我在安装一台新电脑时，我运行 [一个简单的 Ansible 脚本][4] 来自动安装我所依赖的所有软件的最新版本。这很简单，很智能，也是一种独特的解放。

### 更好的包管理

Linux 从整体看待应用和操作系统。毕竟，开源是建立在其他开源工作基础上的，所以发行版维护者理解依赖*栈*的概念。Linux 上的包管理了解你的整个系统、系统上的库和支持文件以及你安装的应用。这些不同的部分协调工作，为你提供了一套高效、优化和强大的应用。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/linux-package-management

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_gift_giveaway_box_520x292.png?itok=w1YQhNH1 (Gift box opens with colors coming out)
[2]: http://flathub.org
[3]: https://opensource.com/article/21/1/text-editor-roundup
[4]: https://opensource.com/article/20/9/install-packages-ansible
