[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13172-1.html)
[#]: subject: (KDE Customization Guide: Here are 11 Ways You Can Change the Look and Feel of Your KDE-Powered Linux Desktop)
[#]: via: (https://itsfoss.com/kde-customization/)
[#]: author: (Dimitrios Savvopoulos https://itsfoss.com/author/dimitrios/)

KDE 桌面环境定制指南
======

![](https://img.linux.net.cn/data/attachment/album/202103/03/234801udzaled8erltd78u.jpg)

[KDE Plasma 桌面][1] 无疑是定制化的巅峰，因为你几乎可以改变任何你想要的东西。你甚至可以让它充当 [平铺窗口管理器][2]。

KDE Plasma 提供的定制化程度会让初学者感到困惑。用户会迷失在层层深入的选项之中。

为了解决这个问题，我将向你展示你应该注意的 KDE Plasma 定制的关键点。这里有 11 种方法可以改变你的 KDE 桌面的外观和感觉。

![][3]

### 定制 KDE Plasma

我在本教程中使用了 [KDE Neon][4]，但你可以在任何使用 KDE Plasma 桌面的发行版中遵循这些方法。

#### 1、Plasma 桌面小工具

桌面小工具可以增加用户体验的便利性，因为你可以立即访问桌面上的重要项目。

现在学生和专业人士使用电脑的时候越来越多，其中一个有用的小部件是便签。

右键点击桌面，选择“<ruby>添加小工具<rt>Add Widgets</rt></ruby>”。

![][5]

选择你喜欢的小部件，然后简单地将其拖放到桌面上。

![][6]

#### 2、桌面壁纸

不用说，更换壁纸可以改变桌面的外观。

![][7]

在“<ruby>壁纸<rt>Wallpaper</rt></ruby>”选项卡中，你可以改变的不仅仅是壁纸。从“<ruby>布局<rt>Layout</rt></ruby>”下拉菜单中，你还可以选择桌面是否放置图标。

“<ruby>文件夹视图<rt>Folder View</rt></ruby>”布局的命名来自于主目录中的传统桌面文件夹，你可以在那里访问你的桌面文件。因此，“<ruby>文件夹视图<rt>Folder View</rt></ruby>”选项将保留桌面上的图标。

如果你选择“<ruby>桌面<rt>Desktop</rt></ruby>”布局，它会使你的桌面图标保持自由而普通。当然，你仍然可以访问主目录下的桌面文件夹。

![][8]

在“<ruby>壁纸类型<rt>Wallpaper Type</rt></ruby>”中，你可以选择是否要壁纸，是静止的还是变化的，最后在“<ruby>位置<rt>Positioning</rt></ruby>”中，选择它在屏幕上的样子。

#### 3、鼠标动作

每一个鼠标按键都可以配置为以下动作之一：

  * <ruby>切换窗口<rt>Switch Window</rt></ruby>
  * <ruby>切换桌面<rt>Switch Desktop</rt></ruby>
  * <ruby>粘贴<rt>Paste</rt></ruby>
  * <ruby>标准菜单<rt>Standard Menu</rt></ruby>
  * <ruby>应用程序启动器<rt>Application Launcher</rt></ruby>
  * <ruby>切换活动区<rt>Switch Activity</rt></ruby>

右键默认设置为<ruby>标准菜单<rt>Standard Menu</rt></ruby>，也就是在桌面上点击右键时的菜单。点击旁边的设置图标可以更改动作。

![][9]

#### 4、桌面内容的位置

只有在壁纸选项卡中选择“文件夹视图”时，该选项才可用。默认情况下，桌面上显示的内容是你在主目录下的“<ruby>桌面<rt>Desktop</rt></ruby>”文件夹中的内容。这个位置选项卡让你可以选择不同的文件夹来改变桌面上的内容。

![][10]

#### 5、桌面图标

在这里，你可以选择图标的排列方式（水平或垂直）、左右对齐、排序标准及其大小。如果这些还不够，你还可以探索其他的美学功能。

![][11]

#### 6、桌面过滤器

让我们坦然面对自己吧! 相信每个用户最后都会在某些时候出现桌面凌乱的情况。如果你的桌面变得乱七八糟，找不到文件，你可以按名称或类型应用过滤器，找到你需要的文件。虽然，最好是养成一个良好的文件管理习惯！

![][12]

#### 7、应用仪表盘

如果你喜欢 GNOME 3 的应用程序启动器，那么你可以试试 KDE 应用程序仪表板。你所要做的就是右击菜单图标 > “<ruby>显示替代品<rt>Show Alternatives</rt></ruby>”。

![][13]

点击“<ruby>应用仪表盘<rt>Application Dashboard</rt></ruby>”。

![][14]

#### 8、窗口管理器主题

就像你在 [Xfce 自定义教程][15] 中看到的那样，你也可以在 KDE 中独立改变窗口管理器的主题。这样你就可以为面板选择一种主题，为窗口管理器选择另外一种主题。如果预装的主题不够用，你可以下载更多的主题。

不过受 [MX Linux][16] Xfce 版的启发，我还是忍不住选择了我最喜欢的 “Arc Dark”。

导航到“<ruby>设置<rt>Settings</rt></ruby>” > “<ruby>应用风格<rt>Application Style</rt></ruby>” > “<ruby>窗口装饰<rt>Window decorations</rt></ruby>” > “<ruby>主题<rt>Theme</rt></ruby>”。

![][17]

#### 9、全局主题

如上所述，KDE Plasma 面板的外观和感觉可以从“<ruby>设置<rt>Settings</rt></ruby>” > “<ruby>全局主题<rt>Global theme</rt></ruby>”选项卡中进行配置。预装的主题数量并不多，但你可以下载一个适合自己口味的主题。不过默认的 “Breeze Dark” 是一款养眼的主题。

![][18]

#### 10、系统图标

系统图标样式对桌面的外观有很大的影响。无论你选择哪一种，如果你的全局主题是深色的，你应该选择深色图标版本。唯一的区别在于图标文字对比度上，图标文字对比度应该与面板颜色反色，使其具有可读性。你可以在系统设置中轻松访问“<ruby>图标<rt>Icons</rt></ruby>”标签。

![][19]

#### 11、系统字体

系统字体并不是定制的重点，但如果你每天有一半的时间都在屏幕前，它可能是眼睛疲劳的因素之一。有阅读障碍的用户会喜欢 [OpenDyslexic][20] 字体。我个人选择的是 Ubuntu 字体，不仅我觉得美观，而且是在屏幕前度过一天的好字体。

当然，你也可以通过下载外部资源来 [在 Linux 系统上安装更多的字体][21]。

![][22]

### 总结

KDE Plasma 是 Linux 社区最灵活和可定制的桌面之一。无论你是否是一个修理工，KDE Plasma 都是一个不断发展的桌面环境，具有惊人的现代功能。更好的是，它也可以在性能中等的系统配置上进行管理。

现在，我试图让本指南对初学者友好。当然，可以有更多的高级定制，比如那个 [窗口切换动画][23]。如果你知道一些别的技巧，为什么不在评论区与我们分享呢？

--------------------------------------------------------------------------------

via: https://itsfoss.com/kde-customization/

作者：[Dimitrios Savvopoulos][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/dimitrios/
[b]: https://github.com/lujun9972
[1]: https://kde.org/plasma-desktop/
[2]: https://github.com/kwin-scripts/kwin-tiling
[3]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/kde-neon-neofetch.png?resize=800%2C600&ssl=1
[4]: https://itsfoss.com/kde-neon-review/
[5]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/01/16-kde-neon-add-widgets.png?resize=800%2C500&ssl=1
[6]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/01/17-kde-neon-widgets.png?resize=800%2C768&ssl=1
[7]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/1-kde-neon-configure-desktop.png?resize=800%2C500&ssl=1
[8]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/01/2-kde-neon-wallpaper.png?resize=800%2C600&ssl=1
[9]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/3-kde-neon-mouse-actions.png?resize=800%2C600&ssl=1
[10]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/01/10-kde-neon-location.png?resize=800%2C650&ssl=1
[11]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/4-kde-neon-desktop-icons.png?resize=798%2C635&ssl=1
[12]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/01/11-kde-neon-desktop-icons-filter.png?resize=800%2C650&ssl=1
[13]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/5-kde-neon-show-alternatives.png?resize=800%2C500&ssl=1
[14]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/6-kde-neon-application-dashboard.png?resize=800%2C450&ssl=1
[15]: https://itsfoss.com/customize-xfce/
[16]: https://itsfoss.com/mx-linux-kde-edition/
[17]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/01/12-kde-neon-window-manager.png?resize=800%2C512&ssl=1
[18]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/01/15-kde-neon-global-theme.png?resize=800%2C524&ssl=1
[19]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/01/13-kde-neon-system-icons.png?resize=800%2C524&ssl=1
[20]: https://www.opendyslexic.org/about
[21]: https://itsfoss.com/install-fonts-ubuntu/
[22]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/01/14-kde-neon-fonts.png?resize=800%2C524&ssl=1
[23]: https://itsfoss.com/customize-task-switcher-kde/
