[#]: collector: (lujun9972)
[#]: translator: (Chao-zhi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13168-1.html)
[#]: subject: (What does being 'technical' mean?)
[#]: via: (https://opensource.com/article/21/2/what-technical)
[#]: author: (Dawn Parzych https://opensource.com/users/dawnparzych)

“技术”是什么意思？
======

> 用“技术”和“非技术”的标签对人们进行分类，会伤害个人和组织。本文作为本系列的第 1 篇，将阐述这个问题。

![](https://img.linux.net.cn/data/attachment/album/202103/02/003141oz1l1765c598t6u7.jpg)

“<ruby>技术<rt>technical</rt></ruby>”一词描述了许多项目和学科：**技术**淘汰赛、**技术性**犯规、攀岩比赛的**技术**课程和花样滑冰运动的**技术**得分。广受欢迎的烹饪节目 “_The Great British Bake-Off_” 包括一个“烘焙**技术**挑战”。任何参加过剧院演出的人都可能熟悉**技术**周，即戏剧或音乐剧首演前的一周。

如你所见，**技术**一词并不严格适用于软件工程和软件操作，所以当我们称一个人或一个角色为“技术”时，我们的意思是什么，为什么使用这个术语？

在我 20 年的技术生涯中，这些问题引起了我的兴趣，所以我决定通过一系列的采访来探讨这个问题。我不是工程师，也不写代码，但这并不意味着我是**非技术型**的。但我经常被贴上这样的标签。我认为自己是**技术型**的，通过这个系列，我希望你会明白为什么。

我知道我不是孤独一个人。群众讨论是很重要的，因为如何定义和看待一个人或一个角色会影响他们做好工作的信心和能力。如果他们感到被压垮或不受尊重，就会降低他们的工作质量，挤压创新和新思想。你看，这一切都是循序渐进的，那么我们怎样才能改善这种状况呢？

我首先采访了 7 个不同角色的人。

在本系列中，我将探讨“技术”一词背后的含义、技术的连续性、将人分类为技术型或非技术型的意外副作用，以及通常被认为是非技术性的技术角色。

### 定义技术和非技术

首先，我们需要做个名词解释。根据字典网，“技术/技术性的”是一个具有多重含义的形容词，包括：

  * 属于或与艺术、科学等学科有关的
  * 精通或熟悉某一特定的艺术或行业的实际操作
  * 技术要求高或困难（通常用于体育或艺术）

而“非技术性”一词在科技公司中经常被用来描述非工程人员。但是“非技术性”的定义是“不涉及、不具有某个特定活动领域及其术语的特点，或不熟练”。

作为一个写作和谈论技术的人，我认为自己是技术型的。如果你不熟悉这个领域和术语，就不可能书写或谈论一个技术主题。有了这种理解，每个从事技术工作的人都是技术人员。

### 为什么要分配标签？

那么，为什么划分技术与非技术？这在技术领域有什么意义呢？我们试图通过分配这些标签来实现什么？有没有一个好的理由？而我们有没有重新评估这些理由？让我们讨论一下。

当我听到人们谈论技术人员和非技术人员时，我不禁想起 Seuss 教授写的童话故事 《[The Sneetches][2]》。Sneetches 有没有星星被演化为一种渴望。Sneetches 们进入了一个无限循环，试图达到正确的状态。

标签可以起到一定的作用，但当它们迫使一个群体的等级被视为比另一个更好时，它们就会变得危险。想想你的组织或部门：销售、资源、营销、质控、工程等，哪一组的在重要性上高于或低于另一组？

即使它不是直接说的或写在什么地方，也可能是被人们默认的。这些等级划分通常也存在于规章制度中。技术内容经理 Liz Harris 表示，“在技术写作界存在着一个技术含量的评级，你越是偏技术的文章，你得到的报酬就越高，而且往往在技术写作社区里你得到的关注就越多。”

术语“技术”通常用于指一个人在某一主题上的深度或专业知识水平。销售人员也有可能会要求需要懂技术以更好的帮助客户。从事技术工作的人，他们是技术型的，但是也许更专业的技术人员才能胜任这个项目。因此，请求技术支援可能是含糊不清的表述。你需要一个对产品有深入了解的人吗？你需要一位了解基础设施堆栈的人员吗？还是需要一个能写下如何配置 API 的步骤的人？

我们应该要把技术能力看作是一个连续体，而不是把人简单的看作技术型的或非技术型的。这是什么意思？开发人员关系主管 Mary thengwall 描述了她如何对特定角色所需的不同深度的技术知识进行分类。例如，项目可能需要一个开发人员、一个具有开发人员背景的人员，或一个精通技术的人员。就是那些被归类为精通技术的人也经常被贴上非技术的标签。

根据 Mary 的说法，如果“你能解释（一个技术性的）话题，你知道你的产品工作方式，你知道该说什么和不该说什么的基本知识，那么你就是技术高手。你不必有技术背景，但你需要知道高层次的技术信息，然后还要知道向谁提供更多信息。”

### 标签带来的问题

当我们使用标签来具体说明我们需要完成一项工作时，它们可能会很有帮助，比如“开发人员”、“有开发人员背景”和“技术达人”。但是当我们使用标签的范围太广时，将人们分为两组中的一组可能会产生“弱于”和“优于”的感觉

当一个标签成为现实时，无论是有意还是无意，我们都必须审视自己，重新评估自己的措辞、标签和意图。

高级产品经理 Leon Stigter 提出了他的观点：“作为一个集体行业，我们正在构建更多的技术，让每个人都更容易参与。如果我们对每个人说：‘你不是技术型的’，或者说：‘你是技术型的’，然后把他们分成几个小组，那些被贴上非技术型标签的人可能永远不会去想：‘其实我自己就能完成这个项目’，实际上，我们需要所有这些人真正思考我们行业和社区的发展方向，我认为每一个人都应该有这个主观能动性。”

#### 身份

如果我们把我们的身份贴在一个标签上，当我们认为这个标签不再适用时会发生什么？当 Adam Gordon Bell 从一个开发人员转变为一个管理人员时，他很纠结，因为他总是认为自己是技术人员，而作为一个管理人员，这些技术技能没有被使用。他觉得自己不再有价值了。编写代码并不能提供比帮助团队成员发展事业或确保项目按时交付更大的价值。所有角色都有价值，因为它们都是确保商品和服务的创建、执行和交付所必需的。

“我想我成为一名经理的原因是，我们有一支非常聪明的团队和很多非常有技能的人，但是我们并不总是能完成最出色的工作。所以技术不是限制因素，对吧？”Adam 说：“我想通常不是技术限制了团队的发挥”。

Leon Stigter 说，让人们一起合作并完成令人惊叹的工作的能力是一项很有价值的技能，不应低于技术角色的价值。

#### 自信

<ruby>[冒充者综合症][3]<rt>Impostor syndrome</rt></ruby> 是指无法认识到自己的能力和知识，从而导致信心下降，以及完成工作和做好工作的能力下降。当你申请在会议上发言，向科技刊物提交文章，或申请工作时，冒充者综合症就会发作。冒充者综合症是一种微小的声音，它说：

  * “我技术不够胜任这个角色。”
  * “我认识更多的技术人员，他们在演讲中会做得更好。”
  * “我在市场部工作，所以我无法为这样的技术网站写文章。”

当你把某人或你自己贴上非技术型标签的时候，这些声音就会变得更响亮。这很容易导致在会议上听不到新的声音或失去团队中的人才。

#### 刻板印象

当你认为某人是技术人员时，你会看到什么样的印象？他们穿什么？他们还有什么特点？他们是外向健谈，还是害羞安静？

Shailvi Wakhlu 是一位高级数据总监，她的职业生涯始于软件工程师，并过渡到数据和分析领域。“当我是一名软件工程师的时候，很多人都认为我不太懂技术，因为我很健谈，很明显这就意味着你不懂技术。他们认为你不孤独的待在角落就是不懂技术。”她说。

我们对谁是技术型与非技术型的刻板印象会影响招聘决策或我们的社区是否具有包容性。你也可能冒犯别人，甚至是能够帮助你的人。几年前，我在某个展台工作，问别人我能不能帮他们。“我要找最专业的人帮忙”他回答说。然后他就出发去寻找他的问题的答案。几分钟后，摊位上的销售代表和那位先生走到我跟前说：“Dawn，你是回答这个人问题的最佳人选。”

#### 污名化

随着时间的推移，我们夸大了“技术”技能的重要性，这导致了“非技术”的标签被贬义地使用。随着技术的蓬勃发展，编程人员的价值也随之增加，因为这种技能为市场带来了新产品和新的商业方式，并直接帮助了盈利。然而，现在我们看到人们故意将技术角色凌驾于非技术角色之上，阻碍了公司的发展和成功。

人际交往技能通常被称为非技术技能。然而，它们有着高度的技术性，比如提供如何完成一项任务的分步指导，或者确定最合适的词语来传达信息或观点。这些技能往往也是决定你能否在工作中取得成功的更重要因素。

通读“<ruby>城市词典<rt>Urban Dictionary</rt></ruby>”上的文章和定义，难怪人们会觉得自己的标签有道理，而其他人会患上冒充者综合症，或者觉得自己失去了身份。在线搜索时，“城市词典”定义通常出现在搜索结果的顶部。这个网站大约 20 年前开始是一个定义俚语、文化表达和其他术语的众包词典，现在变成了一个充满敌意和负面定义的网站。

这里有几个例子：“城市词典”将非技术经理定义为“不知道他们管理的人应该做什么的人”

提供如何与“非技术”人员交谈技巧的文章包括以下短语：

  * “如果我抗争，非技术人员究竟是如何应对的？”
  * “在当今的职业专业人士中，开发人员和工程师拥有一些最令人印象深刻的技能，这些技能是由多年的技术培训和实际经验磨练而成的。”

这些句子意味着非工程师是低人一等的，他们多年的训练和现实世界的经验在某种程度上没有那么令人印象深刻。对于这样的说辞，我可以举一个反例：Therese Eberhard，她的工作被许多人认为是非技术性的。她是个风景画家。她为电影和戏剧画道具和风景。她的工作是确保像甘道夫的手杖这样的道具看起来栩栩如生，而不是像塑料玩具。要想在这个角色上取得成功，需要有很多解决问题和实验化学反应的方法。Therese 在多年的实战经验中磨练了这些技能，对我来说，这相当令人印象深刻。

#### 守门人行为

使用标签会设置障碍，并导致守门人行为，这决定谁可以进入我们的组织，我们的团队，我们的社区。

据一位开源开发者 Eddie Jaoude 所说，“`技术’、`开发人员‘或`测试人员’的头衔在不应该出现的地方制造了障碍或权威。我们应该将重点放在谁能为团队或项目增加价值，而头衔是无关紧要的。”

如果我们把每个人看作一个团队成员，他们应该以这样或那样的方式贡献价值，而不是看他们是否编写文档、测试用例或代码，那么我们将根据真正重要的东西来重视他们，并创建一个能完成惊人工作的团队。如果测试工程师想学习编写代码，或者程序员想学习如何在活动中与人交谈，为什么要设置障碍来阻止这种成长呢？拥抱团队成员学习、改变和向任何方向发展的渴望，为团队和公司的使命服务。

如果有人在某个角色上失败了，与其把他们说成“技术不够”，不如去看看问题到底是什么。你是否需要一个精通 JavaScript 的人，而这个人又是另一种编程语言的专家？并不是说他们不专业，是技能和知识不匹配。你需要合适的人来扮演合适的角色。如果你强迫一个精通业务分析和编写验收标准的人去编写自动化测试用例，他们就会失败。

### 如何取消标签

如果你已经准备好改变你对技术性和非技术性标签的看法，这里有帮助你改变的提示。

#### 寻找替代词

我问我采访过的每个人，我们可以用什么词来代替技术和非技术。没有人能回答！我认为这里的挑战是我们不能把它归结为一个词。要替换术语，你需要使用更多的词。正如我之前写的，我们需要做的是变得更加具体。

你说过或听到过多少次这样的话：

  * “我正在为这个项目寻找技术资源。”
  * “那个候选人技术不够。”
  * “我们的软件是为非技术用户设计的。”

技术和非技术词语的这些用法是模糊的，不能表达它们的全部含义。更真实、更详细地了解你的需求那么你应该说：

  * “我想找一个对如何配置 Kubernetes 有深入了解的人。”
  * “那个候选人对 Go 的了解不够深入。”
  * “我们的软件是为销售和营销团队设计的。”

#### 拥抱成长心态

知识和技能不是天生的。它们是经过数小时或数年的实践和经验形成的。认为“我只是技术不够”或“我不能学习如何做营销”反映了一种固定的心态。你可以向任何你想发展的方向学习技能。列一张清单，列出你认为哪些是技术技能，或非技术技能，但要具体（如上面的清单）。

#### 认可每个人的贡献

如果你在科技行业工作，你就是技术人员。在一个项目或公司的成功中，每个人都有自己的作用。与所有做出贡献的人分享荣誉，而不仅仅是少数人。认可提出新功能的产品经理，而不仅仅是开发新功能的工程师。认可一个作家，他的文章在你的公司迅速传播并产生了新的线索。认可在数据中发现新模式的数据分析师。

### 下一步

在本系列的下一篇文章中，我将探讨技术中经常被标记为“非技术”的非工程角色。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/what-technical

作者：[Dawn Parzych][a]
选题：[lujun9972][b]
译者：[Chao-zhi](https://github.com/Chao-zhi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/dawnparzych
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/question-mark_chalkboard.jpg?itok=DaG4tje9 (question mark in chalk)
[2]: https://en.wikipedia.org/wiki/The_Sneetches_and_Other_Stories
[3]: https://opensource.com/business/15/9/tips-avoiding-impostor-syndrome
[4]: https://enterprisersproject.com/article/2019/8/why-soft-skills-core-to-IT
