[#]: collector: (lujun9972)
[#]: translator: (Chao-zhi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13178-1.html)
[#]: subject: (4 tech jobs for people who don't code)
[#]: via: (https://opensource.com/article/21/2/non-engineering-jobs-tech)
[#]: author: (Dawn Parzych https://opensource.com/users/dawnparzych)

不懂代码的人也可以干的 4 种技术工作
======

> 对于不是工程师的人来说也有很多技术工作可以做。本文作为本系列的第二篇，就具体阐述这些工作。

![](https://img.linux.net.cn/data/attachment/album/202103/06/094041jnrriww0g6ggjn0p.jpg)

在 [本系列的第一篇文章][2] 中，我解释了技术行业如何将人员和角色划分为“技术”或“非技术”类别，以及与此相关的问题。科技行业使得那些对科技感兴趣但不懂编程的人很难找到适合自己的角色。

如果你对技术或开源感兴趣，但对编程不感兴趣，这也有一些工作适合你。科技公司的任何一个职位都可能需要一个精通科技但不一定会写代码的人。但是，你确实需要了解术语并理解产品。

我最近注意到，在诸如技术客户经理、技术产品经理、技术社区经理等职位头衔上增加了“技术”一词。这反映了几年前的趋势，即在头衔上加上“工程师”一词，以表示该职位的技术需要。过了一段时间，每个人的头衔中都有“工程师”这个词，这样的分类就失去了一些吸引力。

当我坐下来写这些文章时，Tim Banks 的这条推特出现在我的通知栏上：

> 已经将职业生涯规划为技术行业的非开发人员（除了信息安全、数据科学/分析师、基础设施工程师等以外的人员）的女性，你希望知道的事情有哪些，有价值的资源有哪些，或者对希望做出类似改变的人有哪些建议？
>
> —— Tim Banks is a buttery biscuit (@elchefe) [December 15，2020][3]

这遵循了我第一篇文章中的建议：Tim 并不是简单地询问“非技术角色”；他提供了更重要的详细描述。在 Twitter 这样的媒体上，每一个字符都很重要，这些额外的字符会产生不同的效果。这些是技术角色。如果为了节约笔墨，而简单的称呼他们为“非技术人员”，会改变你的原意，产生不好的影响。

以下是需要技术知识的非工程类角色的示例。

### 技术作者

[技术作者的工作][4] 是在两方或多方之间传递事实信息。传统上，技术作者提供有关如何使用技术产品的说明或文档。最近，我看到术语“技术作者”指的是写其他形式内容的人。科技公司希望一个人为他们的开发者读者写博客文章，而这种技巧不同于文案或内容营销。

**需要的技术技能：**

  * 写作
  * 特定技术或产品的用户知识或经验
  * 快速跟上新产品或新特性的速度的能力
  * 在各种环境中创作的技能

**适合人群：**

  * 可以清楚地提供分步说明
  * 享受合作
  * 对活跃的声音和音乐有热情
  * 喜欢描述事物和解释原理

### 产品经理

[产品经理][5] 负责领导产品战略。职责可能包括收集客户需求并确定其优先级，撰写业务案例，以及培训销售人员。产品经理跨职能工作，利用创造性和技术技能的结合，成功地推出产品。产品经理需要深厚的产品专业知识。

**所需技术技能：**

  * 掌握产品知识，并且会配置或运行演示模型
  * 与产品相关的技术生态系统知识
  * 分析和研究技能

**适合以下人群：**

  * 享受制定战略和规划下一步的工作
  * 在不同的人的需求中可以看到一条共同的线索
  * 能够清楚地表达业务需求和要求
  * 喜欢描述原因

### 数据分析师

数据分析师负责收集和解释数据，以帮助推动业务决策，如是否进入新市场、瞄准哪些客户或在何处投资。这个角色需要知道如何使用所有可用的潜在数据来做出决策。我们常常希望把事情简单化，而数据分析往往过于简单化。获取正确的信息并不像编写查询 `select all limit 10` 来获取前 10 行那么简单。你需要知道要加入哪些表。你需要知道如何分类。你需要知道是否需要在运行查询之前或之后以某种方式清理数据。

**所需技术技能：**

  * 了解 SQL、Python 和 R
  * 能够看到和提取数据中的样本
  * 了解事物如何端到端运行
  * 批判性思维
  * 机器学习

**适合以下人群：**

  * 享受解决问题的乐趣
  * 渴望学习和提出问题

### 开发者关系

[开发者关系][6] 是一门相对较新的技术学科。它包括 <ruby>[开发者代言人][7]<rt> developer advocate</rt></ruby>、<ruby>开发者传道者<rt>developer evangelist</rt></ruby>和<ruby>开发者营销<rt>developer marketing</rt></ruby>等角色。这些角色要求你与开发人员沟通，与他们建立关系，并帮助他们提高工作效率。你向公司倡导开发者的需求，并向开发者代表公司。开发者关系可以包括撰写文章、创建教程、录制播客、在会议上发言以及创建集成和演示。有人说你需要做过开发才能进入开发者关系。我没有走那条路，我知道很多人没有。

**所需技术技能：**

这些将高度依赖于公司和具体角色。你需要部分技能（不是全部）取决于你自己。

  * 了解与产品相关的技术概念
  * 写作
  * 教程和播客的视频和音频编辑
  * 说话

**适合以下人群：**

  * 有同情心，想要教导和授权他人
  * 可以为他人辩护
  * 你很有创意

### 无限的可能性

这并不是一个完整的清单，并没有列出技术领域中所有的非工程类角色，而是一些不喜欢每天编写代码的人可以尝试的工作。如果你对科技职业感兴趣，看看你的技能和什么角色最适合。可能性是无穷的。为了帮助你完成旅程，在本系列的最后一篇文章中，我将与这些角色的人分享一些建议。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/non-engineering-jobs-tech

作者：[Dawn Parzych][a]
选题：[lujun9972][b]
译者：[Chao-zhi](https://github.com/Chao-zhi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/dawnparzych
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/tips_map_guide_ebook_help_troubleshooting_lightbulb_520.png?itok=L0BQHgjr (Looking at a map)
[2]: https://linux.cn/article-13168-1.html
[3]: https://twitter.com/elchefe/status/1338933320147750915?ref_src=twsrc%5Etfw
[4]: https://opensource.com/article/17/5/technical-writing-job-interview-tips
[5]: https://opensource.com/article/20/2/product-management-open-source-company
[6]: https://www.marythengvall.com/blog/2019/5/22/what-is-developer-relations-and-why-should-you-care
[7]: https://opensource.com/article/20/10/open-source-developer-advocates
