[#]: subject: (4 new open source licenses)
[#]: via: (https://opensource.com/article/21/2/osi-licenses-cal-cern-ohl)
[#]: author: (Pam Chestek https://opensource.com/users/pchestek)
[#]: collector: (lujun9972)
[#]: translator: (wyxplus)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13224-1.html)

四个新式开源许可证
======

> 让我们来看看 OSI 最新批准的加密自治许可证和 CERN 开源硬件许可协议。

![](https://img.linux.net.cn/data/attachment/album/202103/21/221014mw8lhxox0kkjk04z.jpg)

作为 <ruby>[开源定义][2]<rt>Open Source Defintion</rt></ruby>（OSD）的管理者，<ruby>[开源促进会][3]<rt>Open Source Initiative</rt></ruby>（OSI）20 年来一直在批准“开源”许可证。这些许可证是开源软件生态系统的基础，可确保每个人都可以使用、改进和共享软件。当一个许可证获批为“开源”时，是因为 OSI 认为该许可证可以促进相互的协作和共享，从而使得每个参与开源生态的人获益。

在过去的 20 年里，世界发生了翻天覆地的变化。现如今，软件以新的甚至是无法想象的方式在被使用。OSI 已经预料到，曾经被人们所熟知的开源许可证现已无法满足如今的要求。因此，许可证管理者已经加强了工作，为更广泛的用途提交了几个新的许可证。OSI 所面临的挑战是在评估这些新的许可证概念是否会继续推动共享和合作，是否被值得称为“开源”许可证，最终 OSI 批准了一些用于特殊领域的新式许可证。

### 四个新式许可证

第一个是 <ruby>[加密自治许可证][4]<rt>Cryptographic Autonomy License</rt></ruby>（CAL）。该许可证是为分布式密码应用程序而设计的。此许可证所解决的问题是，现有的开源许可证无法保证开放性，因为如果没有义务也与其他对等体共享数据，那么一个对等体就有可能损害网络的运行。因此，除了是一个强有力的版权保护许可外，CAL 还包括向第三方提供独立使用和修改软件所需的权限和资料的义务，而不会让第三方有数据或功能的损失。

随着越来越多的人使用加密结构进行点对点共享，那么更多的开发人员发现自己需要诸如 CAL 之类的法律工具也就不足为奇了。 OSI 的两个邮件列表 License-Discuss 和 License-Review 上的社区，讨论了拟议的新开源许可证，并询问了有关此许可证的诸多问题。我们希望由此产生的许可证清晰易懂，并希望对其他开源从业者有所裨益。

接下来是，欧洲核研究组织（CERN）提交的 CERN <ruby>开放硬件许可证<rt>Open Hardware Licence</rt></ruby>（OHL）系列许可证以供审议。它包括三个许可证，其主要用于开放硬件，这是一个与开源软件相似的开源访问领域，但有其自身的挑战和细微差别。硬件和软件之间的界线现已变得相当模糊，因此应用单独的硬件和软件许可证变得越来越困难。欧洲核子研究组织（CERN）制定了一个可以确保硬件和软件自由的许可证。

OSI 可能在开始时就没考虑将开源硬件许可证添加到其开源许可证列表中，但是世界早已发生变革。因此，尽管 CERN 许可证中的措词涵盖了硬件术语，但它也符合 OSI 认可的所有开源软件许可证的条件。

CERN 开源硬件许可证包括一个 [宽松许可证][5]、一个 [弱互惠许可证][6] 和一个  [强互惠许可证][7]。最近，该许可证已被一个国际研究项目采用，该项目正在制造可用于 COVID-19 患者的简单、易于生产的呼吸机。

### 了解更多

CAL 和 CERN OHL 许可证是针对特殊用途的，并且 OSI 不建议把它们用于其它领域。但是 OSI 想知道这些许可证是否会按预期发展，从而有助于在较新的计算机领域中培育出健壮的开源生态。

可以从 OSI 获得关于 [许可证批准过程][8] 的更多信息。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/osi-licenses-cal-cern-ohl

作者：[Pam Chestek][a]
选题：[lujun9972][b]
译者：[wyxplus](https://github.com/wyxplus)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/pchestek
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/LAW_lawdotgov3.png?itok=e4eFKe0l "Law books in a library"
[2]: https://opensource.org/osd
[3]: https://opensource.org/
[4]: https://opensource.org/licenses/CAL-1.0
[5]: https://opensource.org/CERN-OHL-P
[6]: https://opensource.org/CERN-OHL-W
[7]: https://opensource.org/CERN-OHL-S
[8]: https://opensource.org/approval
