[#]: subject: (Linux Mint Cinnamon vs MATE vs Xfce: Which One Should You Use?)
[#]: via: (https://itsfoss.com/linux-mint-cinnamon-mate-xfce/)
[#]: author: (Dimitrios https://itsfoss.com/author/dimitrios/)
[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13213-1.html)

Cinnamon vs MATE vs Xfce：你应该选择那一个 Linux Mint 口味？
======

![](https://img.linux.net.cn/data/attachment/album/202103/18/111916ljidnfwwsxec1fqf.jpg)

Linux Mint 无疑是 [最适合初学者的 Linux 发行版之一][1]。尤其是对于刚刚迈向 Linux 世界的 Windows 用户来说，更是如此。

2006 年以来（也就是 Linux Mint 首次发布的那一年），他们开发了一系列的提高用户的体验的 [工具][2]。此外，Linux Mint 是基于 Ubuntu 的，所以你有一个可以寻求帮助的庞大的用户社区。

我不打算讨论 Linux Mint 有多好。如果你已经下定决心 [安装Linux Mint][3]，你可能会对它网站上的 [下载部分][4] 感到有些困惑。

它给了你三个选择：Cinnamon、MATE 和 Xfce。不知道该如何选择吗？我将在本文中帮你解决这个问题。

![][5]

如果你是个 Linux 的绝对新手，对上面的东西一无所知，我建议你了解一下 [什么是 Linux 桌面环境][6]。如果你能再多花点时间，请阅读这篇关于 [什么是 Linux，以及为什么有这么多看起来相似的 Linux 操作系统][7] 的优秀解释。

有了这些信息，你就可以了解各种 Linux Mint 版本之间的区别了。如果你不知道该选择哪一个，通过这篇文章，我将帮助你做出一个有意识的选择。

### 你应该选择哪个 Linux Mint 版本？

![][8]

简单来说，可供选择的有以下几种：

  * **Cinnamon 桌面**：具有现代感的传统桌面。
  * **MATE 桌面**：类似 GNOME 2 时代的传统外观桌面。
  * **Xfce 桌面**：一个流行的轻量级桌面环境。

我们来逐一看看 Mint 的各个变种。

#### Linux Mint Cinnamon 版

Cinnamon 桌面是由 Linux Mint 团队开发的，显然它是 Linux Mint 的主力版本。

早在近十年前，当 GNOME 桌面选择了非常规的 GNOME 3 用户界面时，人们就开始了 Cinnamon 的开发，通过复刻 GNOME 2 的一些组件来保持桌面的传统外观。

很多 Linux 用户喜欢 Cinnamon，就是因为它有像 Windows 7 一样的界面。

![Linux Mint Cinnamon desktop][9]

##### 性能和相应能力

Cinnamon 桌面的性能比过去的版本有所提高，但如果没有固态硬盘，你会觉得有点迟钝。上一次我使用 Cinnamon 桌面是在 4.4.8 版，开机后的内存消耗在 750MB 左右。现在的 4.8.6 版有了很大的改进，开机后减少了 100MB 内存消耗。

为了获得最佳的用户体验，应该考虑双核 CPU，最低 4GB 内存。

![Linux Mint 20 Cinnamon idle system stats][10]

##### 优势

  * 从 Windows 无缝切换
  * 赏心悦目
  * 高度 [可定制][11]

##### 劣势

  * 如果你的系统只有 2GB 内存，可能还是不够理想

**附加建议**：如果你喜欢 Debian 而不是 Ubuntu，你可以选择 [Linux Mint Debian 版][12]（LMDE）。LMDE 和带有 Cinnamon 桌面的 Debian 主要区别在于 LMDE 向其仓库提供最新的桌面环境。

#### Linux Mint Mate 版

[MATE 桌面环境][13] 也有类似的故事，它的目的是维护和支持 GNOME 2 的代码库和应用程序。它的外观和感觉与 GNOME 2 非常相似。

在我看来，到目前为止，MATE 桌面的最佳实现是 [Ubuntu MATE][14]。在 Linux Mint 中，你会得到一个定制版的 MATE 桌面，它符合 Cinnamon 美学，而不是传统的 GNOME 2 设定。

![Screenshot of Linux Mint MATE desktop][15]

##### 性能和响应能力

MATE 桌面以轻薄著称，这一点毋庸置疑。与 Cinnamon 桌面相比，其 CPU 的使用率始终保持在较低的水平，换言之，在笔记本电脑上会有更好的电池续航时间。

虽然感觉没有 Xfce 那么敏捷（在我看来），但不至于影响用户体验。内存消耗在 500MB 以下起步，这对于功能丰富的桌面环境来说是令人印象深刻的。

![Linux Mint 20 MATE idle system stats][16]

##### 优势

  * 不影响 [功能][17] 的轻量级桌面
  * 足够的 [定制化][18] 可能性

##### 劣势

  * 传统的外观可能会给你一种过时的感觉

#### Linux Mint Xfce 版

Xfce 项目始于 1996 年，受到了 UNIX 的 [通用桌面环境（CDE）][19] 的启发。Xfce 是 “[XForms][20] Common Environment” 的缩写，但由于它不再使用 XForms 工具箱，所以名字拼写为 “Xfce”。

它的目标是快速、轻量级和易于使用。Xfce 是许多流行的 Linux 发行版的主要桌面，如 [Manjaro][21] 和 [MX Linux][22]。

Linux Mint 提供了一个精致的 Xfce 桌面，但即使是黑暗主题也无法与 Cinnamon 桌面的美感相比。

![Linux Mint 20 Xfce desktop][23]

##### 性能和响应能力

Xfce 是 Linux Mint 提供的最精简的桌面环境。通过点击开始菜单、设置控制面板或探索底部面板，你会发现这是一个简单而又灵活的桌面环境。

尽管我觉得极简主义是一个积极的属性，但 Xfce 并不是一个养眼的产品，反而留下的是比较传统的味道。但对于一些用户来说，经典的桌面环境才是他们的首选。

在第一次开机时，内存的使用情况与 MATE 桌面类似，但并不尽如人意。如果你的电脑没有配备 SSD，Xfce 桌面环境可以让你的系统复活。

![Linux Mint 20 Xfce idle system stats][24]

##### 优势

  * 使用简单
  * 非常轻巧，适合老式硬件
  * 坚如磐石的稳定

##### 劣势

  * 过时的外观
  * 与 Cinnamon 相比，可能没有那么多的定制化服务

### 总结

由于这三款桌面环境都是基于 GTK 工具包的，所以选择哪个纯属个人喜好。它们都很节约系统资源，对于 4GB 内存的适度系统来说，表现良好。Xfce 和 MATE 可以更低一些，支持低至 2GB 内存的系统。

Linux Mint 并不是唯一提供多种选择的发行版。Manjaro、Fedora和 [Ubuntu 等发行版也有各种口味][25] 可供选择。

如果你还是无法下定决心，我建议先选择默认的 Cinnamon 版，并尝试 [在虚拟机中使用 Linux Mint][26]。看看你是否喜欢这个外观和感觉。如果不喜欢，你可以用同样的方式测试其他变体。如果你决定了这个版本，你可以继续 [在你的主系统上安装它][3]。

希望我的这篇文章能够帮助到你。如果你对这个话题还有疑问或建议，请在下方留言。

--------------------------------------------------------------------------------

via: https://itsfoss.com/linux-mint-cinnamon-mate-xfce/

作者：[Dimitrios][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/dimitrios/
[b]: https://github.com/lujun9972
[1]: https://itsfoss.com/best-linux-beginners/
[2]: https://linuxmint-developer-guide.readthedocs.io/en/latest/mint-tools.html#
[3]: https://itsfoss.com/install-linux-mint/
[4]: https://linuxmint.com/download.php
[5]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/03/linux-mint-version-options.png?resize=789%2C277&ssl=1
[6]: https://itsfoss.com/what-is-desktop-environment/
[7]: https://itsfoss.com/what-is-linux/
[8]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/03/Linux-Mint-variants.jpg?resize=800%2C450&ssl=1
[9]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/03/linux-mint-20.1-cinnamon.jpg?resize=800%2C500&ssl=1
[10]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/03/Linux-Mint-20-Cinnamon-ram-usage.png?resize=800%2C600&ssl=1
[11]: https://itsfoss.com/customize-cinnamon-desktop/
[12]: https://itsfoss.com/lmde-4-release/
[13]: https://mate-desktop.org/
[14]: https://itsfoss.com/ubuntu-mate-20-04-review/
[15]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/07/linux-mint-mate.jpg?resize=800%2C500&ssl=1
[16]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/03/Linux-Mint-20-MATE-ram-usage.png?resize=800%2C600&ssl=1
[17]: https://mate-desktop.org/blog/2020-02-10-mate-1-24-released/
[18]: https://itsfoss.com/ubuntu-mate-customization/
[19]: https://en.wikipedia.org/wiki/Common_Desktop_Environment
[20]: https://en.wikipedia.org/wiki/XForms_(toolkit)
[21]: https://itsfoss.com/manjaro-linux-review/
[22]: https://itsfoss.com/mx-linux-19/
[23]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/07/linux-mint-xfce.jpg?resize=800%2C500&ssl=1
[24]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/03/Linux-Mint-20-Xfce-ram-usage.png?resize=800%2C600&ssl=1
[25]: https://itsfoss.com/which-ubuntu-install/
[26]: https://itsfoss.com/install-linux-mint-in-virtualbox/
