[#]: collector: (lujun9972)
[#]: translator: (max27149)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13284-1.html)
[#]: subject: (5 benefits of choosing Linux)
[#]: via: (https://opensource.com/article/21/2/linux-choice)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

选择 Linux 的五大好处
======

> Linux 的一大优点是多样化选择，选择激发了用户之间自由分享想法和解决方案。Linux 将如何激发你为这个社区做出贡献呢？

![](https://img.linux.net.cn/data/attachment/album/202104/10/131305ei6yyuyujui9fkkr.jpg)

到了 2021 年，人​​们比以往任何时候都更有理由喜欢 Linux。在本系列中，我将分享 21 个使用 Linux 的理由。本文讨论选择 Linux 带来的好处。

_选择_ 是 Linux 中被误解最深的特性之一。这种误解从可被选择的 Linux 发行版数量就开始了。Distrowatch.org 报告了数百种可用的和活跃的 Linux 发行版。当然，在这些发行版当中，许多都是业余爱好项目或者针对某些晦涩需求的特别版。因为是开源的，所以实际上，任何人都可以“重新设计”或“重新混搭”现有的 Linux 发行版，赋予一个新名称，提供一个新的默认墙纸，然后称其为自己的作品。尽管这些修改似乎微不足道，但我认为这显示了 Linux 的一些特别之处。

### 灵感

Linux 似乎一直在启迪着人们，从了解它的那一刻起，到创造出自己的版本。

有数十家公司花费数百万美元来从他们自己的产品中获取灵感。商业技术广告试着强硬地说服你，只要你购买某种产品，你就会与所关心的人建立更多的联系，更具创造力、更加充满活力。这些广告用 4k 视频拍摄，焦点柔和，并在欢快振奋的音乐节奏下播放，试图说服人们不仅购买而且还要支持和宣传该公司的产品。

当然，Linux 基本没有营销预算，因为 Linux 是个形形色色的大集合，*没有固定实体*。然而，当人们发现它的存在时候，他们似乎就被启发着去构建属于自己的版本。

灵感的数量很难量化，但是它显然很有价值，要不然那些公司不会花钱来尝试创造灵感。

### 革新

灵感，无论给它标价有多难，它都因它的生产创造而有价值。许多 Linux 用户受启发来为各种奇怪问题定制解决方案。我们解决的大多数问题，对于其他大部分人而言，似乎微不足道：也许你使用 [Seeed 微控制器][2] 来监控番茄植株土壤的水分含量；或者你使用脚本来搜索 Python 软件包的索引，因为你总是会忘记每天导入的库的名称；或者设置了自动清理下载文件夹，因为将文件图标拖进回收站这个活儿干太多了。不管你在使用 Linux 的过程中，为自己解决过什么问题，都是这个平台包含的特性之一，你被这个正在运行中的开放的技术所启发，使其更好地服务于你自己。

### 开放策略

诚然，不论是灵感，还是创新，都不能算 Linux 独有的属性。其他平台也确实让我们激发灵感，我们也以或大或小的方式进行创新。运算能力已在很大程度上拉平了操作系统的竞争领域，你在一个操作系统上可以完成的任何事，在另一个操作系统上或许都能找到对应的方法来完成。

但是，许多用户发现，Linux 操作系统保留了坚定的开放策略，当你尝试可能无人想到过的尝试时，Linux 不会阻挡你。这种情况不会也不可能发生在专有的操作系统上，因为无法进入系统层级的某些区域，因为它们本身就是被设计为不开放源码的。有各种独断的封锁。当你完全按照操作系统的期望进行操作时，你不会碰到那些看不见的墙，但是当你心里想着要做一些只对你有意义的事情的时候，你的系统环境可能变得无从适应。

### 小小的选择，大大的意义

并非所有创新都是大的或重要的，但总的来说，它们带来的变化并不小。如今，数百万用户的那些疯狂想法在 Linux 的各个部分中愈发显现。它们存在于 KDE 或 GNOME 桌面的工作方式中，存在于 [31 种不同的文本编辑器][3] 中 —— 每一种都有人喜爱，存在于不计其数的浏览器插件和多媒体应用程序中，存在于文件系统和扩展属性中，以及数以百万行计的 Linux 内核代码中。而且，如果上述功能中的哪怕仅其中一项，能让你每天额外节省下一小时时间，陪家人、朋友或用在自己的业余爱好上，那么按照定义，套用一句老话就是，“改变生活”。

###  在社区中交流

开源的重要组成部分之一是共享工作。共享代码是开源软件中显而易见的、普遍流行的事务，但我认为，分享，可不仅仅是在 Gitlab 做一次提交那么简单。当人们彼此分享着自己的奇思妙想，除了获得有用的代码贡献作为回报外，再无其他动机，我们都认为这是一种馈赠。这与你花钱从某公司购买软件时的感觉非常不同，甚至与得到某公司对外分享他们自己生产的开源代码时的感觉也有很大不同。开源的实质是，由全人类创造，服务于全人类。当知识和灵感可以被自由地分享时，人与人之间就建立了连接，这是市场营销活动无法复制的东西，我认为我们都认同这一点。

### 选择

Linux 并不是唯一拥有很多选择的平台。无论使用哪种操作系统，你都可以找到针对同一问题的多种解决方案，尤其是在深入研究开源软件的时候。但是，Linux 明显的选择水准指示了推动 Linux 前进的因素：诚邀协作。在 Linux 上，有些创造会很快消失，有些会在你家用电脑中保留数年 —— 即便只是执行一些不起眼的自动化任务，然而有一些则非常成功，以至于被其他系统平台借鉴并变得司空见惯。没关系，无论你在 Linux 上创作出什么，都请毫不犹豫地把它加入千奇百怪的选择之中，你永远都不知道它可能会激发到谁的灵感。

---

via: https://opensource.com/article/21/2/linux-choice

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[max27149](https://github.com/max27149)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/yearbook-haff-rx-linux-file-lead_0.png?itok=-i0NNfDC (Hand putting a Linux file folder into a drawer)
[2]: https://opensource.com/article/19/12/seeeduino-nano-review
[3]: https://opensource.com/article/21/1/text-editor-roundup
