[#]: collector: (lujun9972)
[#]: translator: (max27149)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13445-1.html)
[#]: subject: (Not an engineer? Find out where you belong)
[#]: via: (https://opensource.com/article/21/2/advice-non-technical)
[#]: author: (Dawn Parzych https://opensource.com/users/dawnparzych)

不是程序员？那就找到自己的定位
===

> 无论你是已经工作了几十年的还是刚开始从业的非工程型技术人，此建议都可以帮助你确定你的位置归属。

![](https://img.linux.net.cn/data/attachment/album/202105/31/192647jl354n1jezx1ea1c.jpg)

在 [本系列第一篇文章][2] 中 ，我解释了将人员和角色分为“技术”或“非技术”类别的问题。在 [第二篇文章][3] 中，我为不写代码的人分享了一些技术岗位角色。这一次，我将把这次探索总结为——“技术或非技术意味着什么”，并提供一些能够在职业发展上帮到你的建议。

无论你是已经从事技术工作数十年，或是刚刚起步，还是正在寻求职业变更，请考虑本文中来自非技术人员但在技术角色方面取得成功的人士的建议。

> “不要把你的工作和身份捆绑起来 —— 把它们分开。”
>
> —— Adam Gordon Bell，Earthly Technologies 开发者关系部

转换角色，并不意味着你的技能会消失且你不再具有价值。如果你担任了新角色，则需要专注于该角色的关键技能。培养技能是需要时间的。花点时间，找出新职位的重要技能。

如果你管理工程师们，请鼓励他们提升技术技能的同时发展非工程技能，这些技能往往能比编程能力和技术技能对职业发展和成功产生更显著的变化。

### 做你自己

> “不要让其他人定义你是技术人员还是非技术人员。什么是技术人员，什么不是技术人员，以及这是否重要，是人们必须自己搞清楚的事情。”
>
> —— Adam Gordon Bell

> “永远不要用‘我不是技术人员’为开头进行对话。因为很可能让对方产生‘这点我需要提醒你’的想法，这在面试的时候可从来不会留下好印象，而且还有可能会让人觉得你对自己技能缺乏信心。”
>
> —— Mary Thengvall，Camunda 开发者关系总监

避免刻板成见；不是所有的工程师都喜欢《星球大战》或《星际迷航》。不是所有工程师都穿连帽卫衣。工程师也可以和别人交流。

> “单单就你的行为举止，旁人就有很多关于技术或非技术方面的看法。在办公室工作的时候，我会穿裙子，因为只有这样我才能舒服一点。”
>
> —— Shailvi Wakhlu，Strava 高级数据总监

### 了解你的价值

正如我在第一篇文章中讨论的那样，被打上“非技术”的标签会导致  [冒充者综合症][4]。承认自己的价值，不要在自己身上贴上“非技术”标签，因为它会限制你的收入潜力和职业发展。

> “人们之所以把我重新包装成其他东西，是因为他们认为我和工程师的刻板印象不一样。我很高兴我没有听这些人的话，因为他们本质上是在告诉我，在我拥有的技能之外，去找一份低薪的工作。”
>
> —— Shailvi Wakhlu

> “年轻的或者女性技术人，特别是刚接触技术的女性，更容易患上冒名综合症，认为自己技术不够好。比如，‘哦，我只会前端。’，什​​么叫你*只会*前端？前端也很难的好吧。”
>
> —— Liz Harris

### 寻找那些可以提升价值并帮到人们的地方

你不需要创建 PR 就可以参与开源。

> “当有人想为开源项目做点贡献时，我总是对他说，‘不要想着，得是一个提交才行、得提一个 PR 才可以。’这就好像，‘不行。怎么才能为那个项目贡献点价值呢？’ 如果你没时间提交 PR，那你是不是提个议题并把要点写下来？”
>
> —— Eddie Jaoude，Jaoude Studios 开源程序员

### 思维的多样性有助于事业成功

看看所有角色和人员的价值和贡献。不要根据头衔将人归到同能力的一组。

> “要认识到，所有人（包括自己在内），在任何时候，以及事情全貌的重要性。创造力这个事儿不应该由自我驱动。要知道，对于你所做的事情，你可以做的更好，也可以做的更糟。不要害怕寻求帮助，知道到我们在一起。”
>
> —— Therese Eberhard，电影/广告和视频场景画师

> “在我参加过的黑客马拉松中，我们都是技术人员，组建了一支四五个硬核程序员组成的强大团队，但我们输了。我不骗你，我们输了。在新冠疫情之前，我赢了前六次的黑客马拉松，而且当时团队中一半的人属于其他领域的专家。在我们赢过的比赛中，大多数人会认为团队一半人是非技术的，尽管我不喜欢这个术语，因为这像是给团队/项目贴金。我们之所以获胜，是因为我们对所构建的东西有很多不同的看法。”
>
> —— Eddie Jaoude

> “我们越能摆脱‘技术/非技术’、‘开发人员/非开发人员’的标签，并理解到一个连续统一的整体存在，我们就越能全力以赴地雇用到合适的人来做这项工作，只要不被你需要‘技术团队’的假设所困扰。”
>
> —— Mary Thengvall

我们的社区和团队越多样化，它们的包容性就越大。

> “老实说，无论是从社区角度还是从产品角度，我认为，总的来说，最重要的事情都是，我们应该确保我们建立的是一个包容性的社区，这不仅是为了我们的产品，也不仅是为了我们正在使用的技术，还为了整个人类社会，我想……我敢打赌，如果我们做到了这一点，那么作为人类，我们就比过去更进步了。”
>
> —— Leon Stigter，Lightbend 高级产品经理

如果你以非程序员的技术身份工作，你会给那些认为自己“非技术”的人（或被他人认为是“非技术”的人）提供什么建议？ 在评论中分享你的见解。

---

via: https://opensource.com/article/21/2/advice-non-technical

作者：[Dawn Parzych][a]
选题：[lujun9972][b]
译者：[max27149](https://github.com/max27149)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/dawnparzych
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/career_journey_road_gps_path_map_520.png?itok=PpL6jJgY (Looking at a map for career journey)
[2]: https://linux.cn/article-13168-1.html
[3]: https://linux.cn/article-13178-1.html
[4]: https://opensource.com/business/15/9/tips-avoiding-impostor-syndrome

