[#]: subject: (21 reasons why I think everyone should try Linux)
[#]: via: (https://opensource.com/article/21/4/linux-reasons)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)
[#]: collector: (lujun9972)
[#]: translator: (ShuyRoy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13404-1.html)

每个人都应该尝试 Linux 的 21 个理由
======

> 游戏、交易、预算、艺术、编程等等，这些都只是任何人都可以使用 Linux 的众多方式中的一种。

![](https://img.linux.net.cn/data/attachment/album/202105/19/111929by99711lq1iuz7y1.jpg)

当我在度假时，我经常会去一家或者多家的二手书店。我经常能够找到我想读的一本好书，而且我总是以 “我在度假；我应该用这本书来犒劳自己” 来为不可避免的购买行为辩护。这很有效，我用这种方式获得了一些我最喜欢的书。但是，买一本好书在生活中很常见，这个理由经不起推敲。事实上，我不需要为买一本好书来找理由。事情都是这样的，我可以在任何时候做我想做的事。但不知何故，有一个理由似乎确实能让这个过程更有趣。

在我的日常生活中，我会收到很多关于 Linux 的问题。有时候我会不自觉地滔滔不绝地讲述开源软件的历史，或者共享资源的知识和利益。有时候，我会设法提到一些我喜欢的 Linux 上的特性，然后对这些好处进行逆向工程以便它们可以在其它的操作系统上享用。这些讨论经常是有趣且有益的，但只有一个问题：这些讨论都没有回答大家真正要问的问题。

当一个人问你关于 Linux 的问题时，他们经常希望你能够给他们一些使用 Linux 的理由。当然，也有例外。从来没有听过“Linux”的人们可能会问一些字面定义。但是当你的朋友或者同事吐露出他们对当前的操作系统有些不满意的时候，解释一下你为什么喜欢 Linux 可能更好，而不是告诉他们为什么 Linux 是一个比专有系统更好的选择。换句话说，你不需要销售演示，你需要的是度假照片（如果你是个书虫的话，也可以是度假时买的一本书）。

为了达到这个目的，下面是我喜欢 Linux 的 21 个原因，分别在 21 个不同的场合讲给 21 个不同的人。

### 游戏

![Gaming on Linux][2]

说到玩电脑，最明显的活动之一就是玩游戏，说到玩游戏，我很喜欢。我很高兴花一个晚上玩一个 8 位的益智游戏或者 epic 工作室的一个 AAA 级游戏。其它时候，我还会沉浸在棋盘游戏或者角色扮演游戏（RPG）中。

这些我都是 [在 Linux 系统的电脑上做的][4]。

### 办公

![LibreOffice][5]

一种方法并不适合所有人。这对帽子和办公室工作来说都是如此。看到同事们被困在一个不适合他们的单一工作流程中，我感到很痛苦，我喜欢 Linux 鼓励用户找到他们喜欢的工具。我曾使用过的应用大到套件（例如 LibreOffice 和 OpenOffice），小到轻量级文字处理器（如 Abiword），再到最小的文本编辑器（利用 Pandoc 进行转换）。

不管我周围的用户被限制在什么范围内，我都可以 [自由地使用可以在我的电脑上工作的最好的工具][6]，并且以我希望的方式工作。

### 选择

![Linux login screen][7]

开源最有价值的特性之一是用户在使用这些软件的时候是可以信任它的。这种信任来自于好友网络，他们可以阅读他们所使用的应用程序和操作系统的源代码。也就是说，即使你不知道源代码的好坏，你也可以在 [开源社区][8] 中结交一些知道的朋友。这些都是 Linux 用户在探索他们运行的发行版时建立的重要联系。如果你不信任构建和维护的发行版的社区，你可以去找其它的发行版。我们都是这样做的，这是有许多发行版可供选择的优势之一。

[Linux 提供了可选择的特性][9]。一个强大的社区，充满了真实的人际关系，结合 Linux 提供的选择自由，所有这些都让用户对他们运行的软件有信心。因为我读过一些源码，也因为我信任哪些维护我没读过的代码的人，[所以我信任 Linux][10]。

### 预算

![Skrooge][11]

做预算并不有趣，但是很重要。我很早就认识到，在业余时间做一些不起眼的工作，就像我学会了一种 _免费_ 的操作系统（Linux！）一样。预算不是为了追踪你的钱，而是为了追踪你的习惯。这意味着无论你是靠薪水生活，还是正在计划退休，你都应该 [保持预算][12]。

如果你在美国，你甚至可以 [用 Linux 来交税][13]。

### 艺术

![MyPaint][14]

不管你是画画还是做像素艺术、[编辑视频][15] 还是随性记录，你都可以在 Linux 上创建出色的内容。我所见过的一些最优秀的艺术作品都是使用一些非“行业标准”的工具随意创作出来的，并且你可能会惊讶于你所看到的许多内容都是基于同样的方式创造出来的。Linux 是一个不会被宣扬的引擎，但它是具有强大功能的引擎，驱动着独立艺术家和大型制作人。

尝试使用 Linux 来 [创作一些艺术作品][16]。

### 编程

![NetBeans][17]

听着，用 Linux 来编程几乎是定论。仅次于服务器管理，开源和 Linux 是一个明显的组合。这其中有 [许多原因][18]，但我这里给出了一个有趣的原因。我在发明新东西时遇到了很多障碍，所以我最不希望的就是操作系统或者软件工具开发包（SDK）成为失败的原因。在 Linux 上，我可以访问一切，字面意义上的一切。

### 封包

![Packaging GNOME software][19]

当他们在谈编程的时候，没有人谈封包。作为一个开发者，你必须将你的代码提供给您的用户，否则你将没有任何用户。Linux 使得开发人员可以轻松地 [发布应用程序][20]，用户也可以轻松地 [安装这些应用程序][21]。

令很多人感到惊讶的是 [Linux 可以像运行本地程序一样运行许多 Windows 应用程序][22]。你不应该期望一个 Windows 应用可以在 Linux 上执行。不过，许多主要的通用应用要么已经在 Linux 上原生存在，要么可以通过名为 Wine 的兼容层运行。


### 技术

![Data center][23]

如果你正在找一份 IT 工作，Linux 是很好的第一步。作为一个曾经为了更快地渲染视频而误入 Linux 的前艺术系学生，我说的是经验之谈。

尖端技术发生在 Linux 上。Linux 驱动着大部分的互联网、世界上最快的超级计算机以及云本身。现在，Linux 驱动着 [边缘计算][26]，将云数据中心的能力与分散的节点相结合，以实现快速响应。

不过，你不需要从最顶层开始。你可以学习在笔记本电脑或者台式机上[自动][27]完成任务，并通过一个 [好的终端][28] 远程控制系统。

Linux 对你的新想法是开放的，并且 [可以进行定制][29]。

### 分享文件

![Beach with cloudy sky][30]

无论你是一个新手系统管理员，还是仅仅是要将一个将文件分发给室友，Linux 都可以使 [文件共享变得轻而易举][31]。

### 多媒体

![Waterfall][32]

在所有关于编程和服务器的讨论中，人们有时把 Linux 想象成一个充满绿色的 1 和 0 的黑屏。对于我们这些使用它的人来说，Linux 也能 [播放你所有的媒体][33]，这并不令人惊讶。

### 易于安装

![CentOS installation][34]

以前从来没有安装过操作系统吗？Linux 非常简单。一步一步来，Linux 安装程序会手把手带你完成操作系统的安装，让你在一个小时内感觉到自己是个电脑专家。

[来安装 Linux 吧][35]!

### 试一试 Linux

![Porteus][36]

如果你还没有准备好安装 Linux，你可以 _试一试_ Linux。不知道如何开始？它没有你想象的那么吓人。这里给了一些你 [一开始需要考虑的事情][37]。然后选择下载一个发行版，并想出你自己使用 Linux 的 21 个理由。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/4/linux-reasons

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[ShuyRoy](https://github.com/ShuyRoy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/linux_keyboard_desktop.png?itok=I2nGw78_ (Linux keys on the keyboard for a desktop computer)
[2]: https://opensource.com/sites/default/files/uploads/game_0ad-egyptianpyramids.jpg (Gaming on Linux)
[3]: https://creativecommons.org/licenses/by-sa/4.0/
[4]: https://opensource.com/article/21/2/linux-gaming
[5]: https://opensource.com/sites/default/files/uploads/office_libreoffice.jpg (LibreOffice)
[6]: https://linux.cn/article-13133-1.html
[7]: https://opensource.com/sites/default/files/uploads/trust_sddm.jpg (Linux login screen)
[8]: https://opensource.com/article/21/2/linux-community
[9]: https://linux.cn/article-13284-1.html
[10]: https://opensource.com/article/21/2/open-source-security
[11]: https://opensource.com/sites/default/files/uploads/skrooge_1.jpg (Skrooge)
[12]: https://opensource.com/article/21/2/linux-skrooge
[13]: https://opensource.com/article/21/2/linux-tax-software
[14]: https://opensource.com/sites/default/files/uploads/art_mypaint.jpg (MyPaint)
[15]: https://opensource.com/article/21/2/linux-python-video
[16]: https://linux.cn/article-13157-1.html
[17]: https://opensource.com/sites/default/files/uploads/programming_java-netbeans.jpg (NetBeans)
[18]: https://opensource.com/article/21/2/linux-programming
[19]: https://opensource.com/sites/default/files/uploads/packaging_gnome-software.png (Packaging GNOME software)
[20]: https://opensource.com/article/21/2/linux-packaging
[21]: https://linux.cn/article-13160-1.html
[22]: https://opensource.com/article/21/2/linux-wine
[23]: https://opensource.com/sites/default/files/uploads/edge_taylorvick-unsplash.jpg (Data center)
[24]: https://unsplash.com/@tvick
[25]: https://unsplash.com/license
[26]: https://opensource.com/article/21/2/linux-edge-computing
[27]: https://opensource.com/article/21/2/linux-automation
[28]: https://linux.cn/article-13186-1.html
[29]: https://opensource.com/article/21/2/linux-technology
[30]: https://opensource.com/sites/default/files/uploads/cloud_beach-sethkenlon.jpg (Beach with cloudy sky)
[31]: https://linux.cn/article-13192-1.html
[32]: https://opensource.com/sites/default/files/uploads/media_waterfall.jpg (Waterfall)
[33]: https://opensource.com/article/21/2/linux-media-players
[34]: https://opensource.com/sites/default/files/uploads/install_centos8.jpg (CentOS installation)
[35]: https://linux.cn/article-13164-1.html
[36]: https://opensource.com/sites/default/files/uploads/porteus_0.jpg (Porteus)
[37]: https://opensource.com/article/21/2/try-linux
