[#]: subject: (Making computers more accessible and sustainable with Linux)
[#]: via: (https://opensource.com/article/21/4/linux-free-geek)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)
[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13362-1.html)

用 Linux 使计算机更容易使用和可持续
======

> Free Geek 是一个非营利组织，通过向有需要的人和团体提供 Linux 电脑，帮助减少数字鸿沟。

![](https://img.linux.net.cn/data/attachment/album/202105/05/135048extplppp7miznpdp.jpg)

有很多理由选择 Linux 作为你的桌面操作系统。在 [为什么每个人都应该选择 Linux][2] 中，Seth Kenlon 强调了许多选择 Linux 的最佳理由，并为人们提供了许多开始使用该操作系统的方法。

这也让我想到了我通常向人们介绍 Linux 的方式。这场大流行增加了人们上网购物、远程教育以及与家人和朋友 [通过视频会议][3] 联系的需求。

我和很多有固定收入的退休人员一起工作，他们并不特别精通技术。对于这些人中的大多数人来说，购买电脑是一项充满担忧的大投资。我的一些朋友和客户对在大流行期间去零售店感到不舒服，而且他们完全不熟悉如何买电脑，无论是台式机还是笔记本电脑，即使在非大流行时期。他们来找我，询问在哪里买，要注意些什么。

我总是想看到他们得到一台 Linux 电脑。他们中的许多人买不起名牌供应商出售的 Linux 设备。直到最近，我一直在为他们购买翻新的设备，然后用 Linux 改装它们。

但是，当我发现 [Free Geek][4] 时，这一切都改变了，这是一个位于俄勒冈州波特兰的非营利组织，它的使命是“可持续地重复使用技术，实现数字访问，并提供教育，以创建一个使人们能够实现其潜力的社区。”

Free Geek 有一个 eBay 商店，我在那里以可承受的价格购买了几台翻新的笔记本电脑。他们的电脑都安装了 [Linux Mint][5]。 事实上，电脑可以立即使用，这使得向 [新用户介绍 Linux][6] 很容易，并帮助他们快速体验操作系统的力量。

### 让电脑继续使用，远离垃圾填埋场

Oso Martin 在 2000 年地球日发起了 Free Geek。该组织为其志愿者提供课程和工作计划，对他们进行翻新和重建捐赠电脑的培训。志愿者们在服务 24 小时后还会收到一台捐赠的电脑。

这些电脑在波特兰的 Free Geek 实体店和 [网上][7] 出售。该组织还通过其项目 [Plug Into Portland][8]、[Gift a Geekbox][9] 以及[组织][10]和[社区资助][11]向有需要的人和实体提供电脑。

该组织表示，它已经“从垃圾填埋场翻新了 200 多万件物品，向非营利组织、学校、社区变革组织和个人提供了 75000 多件技术设备，并从 Free Geek 学习者那里提供了 5000 多课时”。

### 参与其中

自成立以来，Free Geek 已经从 3 名员工发展到近 50 名员工，并得到了世界各地的认可。它是波特兰市的 [数字包容网络][12] 的成员。

你可以在 [Twitter][13]、[Facebook][14]、[LinkedIn][15]、[YouTube][16] 和 [Instagram][17] 上与 Free Geek 联系。你也可以订阅它的[通讯][18]。从 Free Geek 的 [商店][19] 购买物品，可以直接支持其工作，减少数字鸿沟。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/4/linux-free-geek

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/wfh_work_home_laptop_work.png?itok=VFwToeMy (Working from home at a laptop)
[2]: https://opensource.com/article/21/2/try-linux
[3]: https://opensource.com/article/20/8/linux-laptop-video-conferencing
[4]: https://www.freegeek.org/
[5]: https://opensource.com/article/21/4/restore-macbook-linux
[6]: https://opensource.com/article/18/12/help-non-techies
[7]: https://www.ebay.com/str/freegeekbasicsstore
[8]: https://www.freegeek.org/our-programs/plug-portland
[9]: https://www.freegeek.org/our-programs/gift-geekbox
[10]: https://www.freegeek.org/our-programs-grants/organizational-hardware-grants
[11]: https://www.freegeek.org/our-programs-grants/community-hardware-grants
[12]: https://www.portlandoregon.gov/oct/73860
[13]: https://twitter.com/freegeekpdx
[14]: https://www.facebook.com/freegeekmothership
[15]: https://www.linkedin.com/company/free-geek/
[16]: https://www.youtube.com/user/FreeGeekMothership
[17]: https://www.instagram.com/freegeekmothership/
[18]: https://app.e2ma.net/app2/audience/signup/1766417/1738557/?v=a
[19]: https://www.freegeek.org/shop
