[#]: subject: (5 ways the Star Wars universe embraces open source)
[#]: via: (https://opensource.com/article/21/5/open-source-star-wars)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)
[#]: collector: (lujun9972)
[#]: translator: (wxy)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13367-1.html)

《星球大战》的世界拥抱开源的 5 种方式
======

> 与《星球大战》一起成长的过程中，我学到了很多关于开源的知识。

![](https://img.linux.net.cn/data/attachment/album/202105/07/160338h1l01l8077wwd1j1.jpg)

让我们先说清楚一件事：在现实生活中，《<ruby>星球大战<rt>Star Wars</rt></ruby>》特许经营权没有任何开放性（尽管其所有者确实发布了 [一些开源代码][2]）。《星球大战》是一个严格控制的资产，没有任何东西是在自由文化许可证下出版的。抛开任何关于 [文化形象应该成为伴随它们成长的人们的财产][3] 的争论，本文邀请你走进《星球大战》的世界，想象你是很久以前的一个电脑用户，在一个遥远的星系里……

### 机器人

> “但我还要去<ruby>托西站<rt>Tosche Station</rt></ruby>弄些电力转换器呢。”
> —— 卢克•天行者

在<ruby>乔治•卢卡斯<rt>George Lucas</rt></ruby>拍摄他的第一部《星球大战》电影之前，他导演了一部名为《<ruby>美国涂鸦<rt>American Graffiti</rt></ruby>》的电影，这是一部以上世纪 60 年代为背景的成长电影。这部电影的部分背景是<ruby>改装车<rt>hot-rod</rt></ruby>和街头赛车文化，一群机械修理工在车库里花了好几个小时，无休止地改装他们的汽车。今天仍然可以这样做，但大多数汽车爱好者会告诉你，“经典”汽车改装起来容易得多，因为它们主要使用机械部件而不是技术部件，而且它们以一种可预测的方式使用普通部件。

我一直把卢克和他的朋友们看作是对同样怀旧的科幻小说诠释。当然，花哨的新战斗堡垒是高科技，可以摧毁整个星球，但当 [防爆门不能正确打开][4] 或监禁层的垃圾压实机开始压扁人时，你会怎么做？如果你没有一个备用的 R2 机器人与主机对接，你就没辙了。卢克对修理和维护“机器人”的热情以及他在修理蒸发器和 X 翼飞机方面的天赋从第一部电影中就可以看出。

看到塔图因星球对待技术的态度，我不禁相信，大多数常用设备都是大众的技术。卢克并没有为 C-3PO 或 R2-D2 签订最终用户许可协议。当他让 C-3PO 在热油浴中放松时，或者当楚巴卡在兰多的云城重新组装他时，并没有使他的保修失效。同样，汉•索罗和楚巴卡从来没有把千年隼带到经销商那里去购买经批准的零件。

我无法证明这都是开源技术。鉴于电影中大量的终端用户维修和定制，我相信在星战世界中，技术是开放的，[用户是有拥有和维修的常识的][5]。

### 加密和隐写术

> “帮助我，欧比旺•克诺比。你是我唯一的希望。”
> —— 莱亚公主

诚然，《星球大战》世界中的数字身份认证很难理解，但如果有一点是明确的，加密和隐写术对叛军的成功至关重要。而当你身处叛军时，你就不能依靠公司的标准，怀疑它们是由你正在斗争的邪恶帝国批准的。当 R2-D2 隐瞒莱娅公主绝望的求救时，它的记忆库中没有任何后门，而叛军在潜入敌方领土时努力获得认证凭证（这是一个旧的口令，但它通过检查了）。

加密不仅仅是一个技术问题。它是一种通信形式，在历史上有这样的例子。当政府试图取缔加密时，就是在努力取缔社区。我想这也是“叛乱”本应抵制的一部分。

### 光剑

> “我看到你已经打造了新的光剑，你的技能现在已经完成了。”
> —— 达斯•维德

在《帝国反击战》中，天行者卢克失去了他标志性的蓝色光剑，同时他的手也被邪恶霸主达斯•维德砍断。在下一部电影《绝地归来》中，卢克展示了他自己打造的绿色光剑 —— 每一个粉丝都为之着迷。

虽然没有明确说明绝地武士的激光剑的技术规格是开源的，但有一定的暗指。例如，没有迹象表明卢克在制造他的武器之前必须从拥有版权的公司获得设计许可。他没有与一家高科技工厂签订合同来生产他的剑。

他自己打造了它，作为一种成年仪式。也许制造如此强大的武器的方法是绝地武士团所守护的秘密；再者，也许这只是描述开源的另一种方式。我所知道的所有编码知识都是从值得信赖的导师、某些互联网 UP 主、精心撰写的博客文章和技术讲座中学到的。

严密保护的秘密？还是对任何寻求知识的人开放的信息？

根据我在原三部曲中看到的绝地武士秩序，我选择相信后者。
 
### 伊沃克文化

> “Yub nub！”
> —— 伊沃克人

恩多的伊沃克人与帝国其他地区的文化形成了鲜明的对比。他们热衷于集体生活、分享饮食和故事到深夜。他们自己制作武器、陷阱和安全防火墙，还有他们自己的树顶村庄。作为象征意义上的弱者，他们不可能摆脱帝国的占领。他们通过咨询礼仪机器人做了研究，汇集了他们的资源，并在关键时刻发挥了作用。当陌生人进入他们的家时，他们并没有拒绝他们。相反，他们帮助他们（在确定他们毕竟不是食物之后）。当他们面对令人恐惧的技术时，他们就参与其中并从中学习。

伊沃克人是《星球大战》世界中开放文化和开源的庆典。他们是我们应该努力的社区：分享信息、分享知识、接受陌生人和进步的技术，以及维护捍卫正义的决心。

### 原力

> “原力将与你同在，永远。”
> —— 欧比旺•克诺比

在最初的电影中，甚至在新生的衍生宇宙中（最初的衍生宇宙小说，也是我个人的最爱，是《心灵之眼的碎片》，其中卢克从一个叫哈拉的女人那里学到了更多关于原力的知识），原力只是：一种任何人都可以学习使用的力量。它不是一种与生俱来的天赋，而是一门需要掌握的强大学科。

![衍生宇宙的最开始][6]

相比之下，邪恶的西斯人对他们的知识是保护性的，只邀请少数人加入他们的行列。他们可能认为自己有一个群体，但这正是看似随意的排他性的模式。

我不知道对开源和开放文化还有什么更好的比喻。永远存在被认为是排他的危险，因为爱好者似乎总是在“人群中”。但现实是，每个人都可以加入这些邀请，而且任何人都可以回到源头（字面意思是源代码或资产）。

### 愿源与你同在

作为一个社区，我们的任务是要问，我们如何能让人明白，无论我们拥有什么知识，都不是为了成为特权信息，而是一种任何人都可以学习使用的力量，以改善他们的世界。

套用欧比旺•克诺比的不朽名言：“使用源”。

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/5/open-source-star-wars

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[wxy](https://github.com/wxy)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/tobias-cornille-light-sabres-unsplash.jpg?itok=rYwXA2CX (Man with lasers in night sky)
[2]: https://disney.github.io/
[3]: https://opensource.com/article/18/1/creative-commons-real-world
[4]: https://www.hollywoodreporter.com/heat-vision/star-wars-40th-anniversary-head-banging-stormtrooper-explains-classic-blunder-1003769
[5]: https://www.eff.org/issues/right-to-repair
[6]: https://opensource.com/sites/default/files/20210501_100930.jpg (The very beginning of the expanded universe)
