[#]: subject: "Here’s Why Switching to Linux Makes Sense in 2021"
[#]: via: "https://news.itsfoss.com/switch-to-linux-in-2021/"
[#]: author: "Ankush Das https://news.itsfoss.com/author/ankush/"
[#]: collector: "lujun9972"
[#]: translator: "zepoch"
[#]: reviewer: "wxy"
[#]: publisher: "wxy"
[#]: url: "https://linux.cn/article-13519-1.html"

为什么在 2021 年我仍然推荐你使用 Linux
======

![](https://i1.wp.com/news.itsfoss.com/wp-content/uploads/2021/05/linux-2021.png?w=1200&ssl=1)

在某些领域，Linux 确实要比 Windows 和 macOS 更加优秀。人们正在意识到这一点，而且 Linux 也在桌面操作系统市场上变得愈发流行。

当然，目前大多数桌面操作系统用户仍然对 Windows 或者 macOS 推崇备至，但是也有着越来越多的用户开始尝试新的 Linux 发行版，看看他们是否可以从原来的系统切换到 Linux 系统。

他们可能已经听过 [用 Linux 作为桌面操作系统](https://news.itsfoss.com/linux-foundation-linux-desktop/) 的一些优秀案例，又或者是仅仅想要去尝试一些与原先不同的事物，谁知道呢？

在这里，我将为你解释为什么在 2021 年我仍然推荐你使用 Linux。

### Linux 真棒，但是究竟是什么让其在 2021 年值得推荐呢？

如果已经知道了 [使用 Linux 的优点](https://itsfoss.com/reasons-switch-linux-windows-xp/)，你可能就知道接下来我会说些什么。

#### 1、你不需要购买许可证

![][3]

你必须付费才能获得 Windows 10 许可证。

虽然有更便宜的选择，如获得 OEM 密钥。但是，如果你不愿意通过一些地下网站，而是从官方网站获得许可证，那么仅授权使用 1 台 PC 的**家庭版**就至少需要花费 **140 美元**。

当然，macOS 是一个完全不同的模式（你需要购买先进的硬件才能使用 macOS）——所以我们才会一直使用微软的 Windows。

关键是，在失业的浪潮中，配置一台新电脑是一个挑战。此外，你还需要花钱购买操作系统的许可证，但是你却可以在多台计算机上免费使用 Linux。

是的，你不需要为 Linux 获取许可证密钥。你可以轻松下载 [Linux 发行版][4]，并根据需要将其安装在尽可能多的设备上。

不要担心，如果你不了解 Linux 发行版，你可以看看我们的 [最好的 Linux 发行版](https://itsfoss.com/best-linux-distributions/) 列表。

#### 2、重新唤醒你的 PC 并节省资金

[全球芯片短缺](https://www.cnbc.com/2021/05/12/the-global-chip-shortage-could-last-until-2023-.html) 已经严重影响了电脑组件的价格，特别是**显卡**。并不是简单的价格上升，而是你不得不支付 **2 到 5 倍**的零售价来购得显卡。

当然，如果你没有电脑，现在配置一个新的电脑可能是难以置信的挑战，但如果你有一个旧电脑的话，选择在上面运行 Windows 10 将会是十分卡顿的。

如果你不想要 Windows 系统，那 macOS 呢？入门级 Mac 系统将会花费至少 **1100** 美金，甚至更多，这取决于你住在哪里。对许多人来说，这会是一笔昂贵的开销。

你肯定需要升级你的系统 —— 但是如果我说 Linux 可以让你的旧电脑重新派上用场，能为你省钱呢？

你将能够在你认为无法运行最新版本的微软 Windows 的电脑上运行 Linux。是的，就是这样的。

Linux 是一个资源高效型的操作系统，可在各种较旧的系统配置上运行。

所有你需要做的只是参考我们的列表 [轻量级 Linux 发行版][7]，并选择一个你喜欢的。

#### 3、通过再次利用系统来减少电子浪费

![][8]

考虑到电子废物正在全球不断产生，尤其是由加密矿工产生的，我们可以尽量减少浪费。除非你真正需要新的硬件，否则最好将现有硬件设备重新用于新任务。

而且，多亏了 Linux，你可以将旧电脑或单片机转变成媒体服务器或个人 [Nextcloud][9] 服务器。

你可以在现有硬件上使用 Linux 做更多工作。

因此，这将显著降低对新硬件的需求，并让你高效地重复使用现有的设备。

#### 4、远离病毒和恶意软件

![][10]

在远程工作无处不在的时代，病毒和恶意软件显著增加。因此，即使你想平静地工作，你最终也可能受到恶意软件的影响。

Windows 和 macOS 比以往任何时候都更容易受到恶意软件的影响。但是，对于 Linux？这是不太可能的。

Linux 发行版会定期修补，以确保最佳安全性。

此外，正因为用户群体小，攻击者就不会花太多时间制作欺骗 Linux 用户的病毒或软件。因此，在使用 Linux 时遇到某种形式的恶意软件的机会较小。

#### 5、没有强制更新

![][11]

在一个人们压力倍增的时代，强制更新然后发现计算机无法启动可能是一大烦恼。

至少，Windows 用户的情况就是这样。

但是，使用 Linux，你可以继续使用你的系统，而无需在后台强制下载任何更新。

你的操作系统只有你能决定。

当你想要更新你的 Linux 发行版本时，你可以选择更新，也可以不更新，它可以一直保持不更新的状态并且不会打扰你，除非你有很长一段时间没有更新。

### 总结

这些只是我能想到的几个原因之一，Linux 作为操作系统的选择在 2021 年比以往任何时候都更值得被推荐。

当然，这也取决于你的要求，这些好处可能不会体现在在你的用例中。但是，如果你确实不了解 Linux，至少，现在你可以评估你的需求，重新作出选择。

除了上述几点之外，你还能想到什么？请在下面的评论中告诉我。

--------------------------------------------------------------------------------

via: https://news.itsfoss.com/switch-to-linux-in-2021/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[zepoch](https://github.com/zepoch)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://news.itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://news.itsfoss.com/linux-foundation-linux-desktop/
[2]: https://itsfoss.com/reasons-switch-linux-windows-xp/
[3]: https://i0.wp.com/news.itsfoss.com/wp-content/uploads/2021/06/license-agreement.jpg?w=1000&ssl=1
[4]: https://itsfoss.com/what-is-linux-distribution/
[5]: https://itsfoss.com/best-linux-distributions/
[6]: https://www.cnbc.com/2021/05/12/the-global-chip-shortage-could-last-until-2023-.html
[7]: https://itsfoss.com/lightweight-linux-beginners/
[8]: https://i2.wp.com/news.itsfoss.com/wp-content/uploads/2021/05/e-waste-illustration.jpg?w=800&ssl=1
[9]: https://itsfoss.com/nextcloud/
[10]: https://i2.wp.com/news.itsfoss.com/wp-content/uploads/2021/05/system-malware.jpg?w=800&ssl=1
[11]: https://i0.wp.com/news.itsfoss.com/wp-content/uploads/2021/05/linux-system-update.jpg?w=800&ssl=1