[#]: subject: (Jim Hall: How Do You Fedora?)
[#]: via: (https://fedoramagazine.org/jim-hall-how-do-you-fedora/)
[#]: author: (Karimi Hari Priya https://fedoramagazine.org/author/haripriya21/)
[#]: collector: (lujun9972)
[#]: translator: (zz-air)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13558-1.html)

Jim Hall，你觉得 Fedora 怎么样?
======

![][1]

我们最近采访了 Jim Hall，了解他是如何使用 Fedora 的。这个 Fedora 杂志 [系列][2] 中的一篇。该系列介绍了 Fedora 用户以及他们如何使用 Fedora 来完成任务。如果你对本系列的后继采访感兴趣，请通过 [反馈表][3] 与我们联系。

### Jim Hall 是谁？

Jim Hall 曾担任高等教育和政府部门的首席信息官超过 8 年，最近创办了咨询公司  [Hallmentum][4]。他的大部分工作包括培训、研讨会和指导，帮助新的 IT 领导者发展领导技能，也帮助当前的 IT 领导者更好地发挥领导力。除了咨询，Jim 还担任大学的兼职教师，目前教授管理信息系统（MIS）和技术与专业写作课程。

Jim 是如何成长的? Jim 童年时代的英雄来自电视和电影，包括蝙蝠侠和汉索罗。Jim 长期以来最喜欢看的电影是《星球大战：新希望》。Jim 说：“我是一个星球大战迷。”Jim 最喜欢吃意大利菜，“我喜欢意大利菜！我最喜欢的意大利菜可能是炖鸡”。Jim 的观点是，诚实、创造力、想象力、好奇心和开放性是一个人所能拥有的五个好品质。

他喜欢写作，非常好的是他的日常工作主要是写作。他花了很多时间为像 OpenSource.com、 CloudSavvy IT 和 Linux Magazine 等网站撰写“如何”类文章。现在他正在写一本关于 C 编程的书。除了写作，他还玩电子游戏来放松。他有一台 PlayStation 4 游戏机，大多数周六下午他都会坐在电视机前玩游戏。

### Fedora 社区

Jim 从 1993 年开始使用 Linux。他的第一个 Linux 发行版是 Softlanding Linux System（SLS）1.03，运行 Linux 内核 0.99，补丁级别 11。“从那以后，我一直是家里的全职 Linux 用户”。Jim 在很久以前参加了 Fedora Core 时代的一个 Linux 会议之后，开始更多参与到 Fedora 中。Jim 在这遇见了 Tom “Spot” Callaway，他们开始谈论 Fedora。“Spot 鼓励我用另一种方式来做贡献：找到 bug 并报告它们。这就是我参与测试所有 Beta 版本的原因”。

Jim 想在 Fedora 改变什么? 他想在 getfedora.com 上看到一个倒计时，告诉大家新的 Beta 版本或新的完整版本是什么时候发布的，这是 Fedora 项目的一个改变。并且 Jim 想让人们都知道，使用 Fedora 是多么容易。“对开源做出贡献最具挑战性的事情是，弄清楚如何做出他们的第一个贡献。”Jim 补充道，“我不知道我和其他开发人员一样是‘Fedora 项目成员’。我只是个用户。但是作为一个从 1993、1994 年就开始参与开发开源软件的人，我努力成为社区中一个有用的成员。因此，我利用一切机会尝试新的 Fedora 版本，甚至是 Beta 版，如果我发现问题，就会告诉大家。”

### 你用什么硬件？

Jim 目前正在运行一台 ThinkCentre M720 Tiny。它配置了第 8 代酷睿 i3-8100T（3.10GHz，6MB 缓存）、32GB（16GB + 16GB）DDR4 2666MHz、英特尔显卡、256GB 固态硬盘 PCIe-NVME Opal M.2、英特尔 8265 802.11AC 和 蓝牙 4.2。他的显示器是华硕 VE248H。 Jim 说：“这一切在Fedora上都很好用！”。

他使用 Perixx Periboard-512 人体工程学经典分体式键盘，它从 1998 年开始取代了他最初的微软 Natural Keyboard Elitee PS/2 键盘。Jim 说： “我有时候会把我的 Perixx 键盘换成 Unicomp 的 IBM Model M USB 克隆键盘。我很喜欢这种带有扣动式弹簧动作的点击式键盘。我的是‘灰白色’，所以它有种经典的外观和感觉”

### 你用什么软件？

Jim 目前运行的是 Fedora 33，之前是 Fedora 33 Beta 和 Fedora 32。Jim 说：“我使用 GNOME 3 作为我的桌面。我发现默认设置适合我的大多数需求，所以我没有加载任何 GNOME 扩展，但我确实使用‘设置’和 ‘GNOME Tweaks’ 调整了一些东西。所以我没有做什么大的改变。例如，我将默认用户界面字体改为使用 Droid Sans Regular 字体。并且我用‘设置’来改变键盘快捷键，用 `Alt-Tab` 键来切换窗口，而不是切换应用程序。我是在 `Alt-Tab` 工作流程中长大的，所以我已经习惯了。”他使用火狐和谷歌浏览器来作为他的 Web 浏览器。

为了经营他的咨询业务，Jim 依赖于一套应用程序：

  * 使用 [LibreOffice][5] 去写他的书。例如，他去年出版了 《[Coaching Buttons][6]》，他完全使用 LibreOffice 来写这本书。最近他写了一本关于 [用 C 语言编写 FreeDOS 程序的书][7] 也用了 LibreOffice 。
  ![Libre Office Writer][15]
  * [INKSCAPE][8] 为他创建了矢量格式的公司标志。他的标志可以完美地放大缩小，从文件上的小角落图像到大幅面的海报或横幅。并且 INKSCAPE 允许他导出各种通用格式。Jim 说他的广告合作伙伴很欣赏 INKSCAPE 可以输出到EPS（Encapsulated Postscript），这使得在产品上打印他的标志变得很容易。
  * [GIMP][9] 用于其他图形，例如闪屏图片。“我的闪屏图片是我们公司的标志被放在了背景照片上，在我需要额外装饰的地方，比如印刷材料，我用它来替代普通标志。我也在我的网站上使用了闪屏图片的一个版本”。
  * [QEMU][10] 用来运行虚拟机，在他那里可以启动 [FreeDOS][11]。“我喜欢使用 QEMU，因为我可以在命令行中设置所有需要的选项，这使我在配置虚拟机时有了很大的灵活性。为了更方便，我将所有选项放入到一个脚本中，用它来运行QEMU，每次都是相同的选项”。
  ![QEMU – running as easy as in FreeDOS][14]
  * [Scribus][12] 是用来打印产品的。Scribus 很容易用来创建具有“全出血”的印刷品，这意味着任何颜色的背景都会与纸张的边缘重叠。全出血需要一个特殊的打印准备文件，与打印区域重叠。它甚至还提供了切割标记，以便打印机准确地知道要修剪的位置。
  ![Scribus – Postcard][13]

--------------------------------------------------------------------------------

via: https://fedoramagazine.org/jim-hall-how-do-you-fedora/

作者：[Karimi Hari Priya][a]
选题：[lujun9972][b]
译者：[zz-air](https://github.com/zz-air)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://fedoramagazine.org/author/haripriya21/
[b]: https://github.com/lujun9972
[1]: https://fedoramagazine.org/wp-content/uploads/2020/12/PXL_20200929_205044670.PORTRAIT-01.COVER_-816x345.jpg
[2]: https://fedoramagazine.org/tag/how-do-you-fedora
[3]: https://fedoramagazine.org/submit-an-idea-or-tip
[4]: https://hallmentum.com/
[5]: https://www.libreoffice.org/
[6]: https://www.amazon.com/Coaching-Buttons-Jim-Hall/dp/0359834930
[7]: https://www.freedos.org/books/
[8]: https://inkscape.org/
[9]: https://www.gimp.org/
[10]: https://www.qemu.org/
[11]: https://www.freedos.org/
[12]: https://www.scribus.net/
[13]: https://fedoramagazine.org/wp-content/uploads/2021/03/Scribus-postcard-1024x576.png
[14]: https://fedoramagazine.org/wp-content/uploads/2021/03/QEMU-running-AsEasyAs-in-FreeDOS.png
[15]: https://fedoramagazine.org/wp-content/uploads/2021/03/LibreOffice-Writer-book-1-1024x576.png
