[#]: subject: "7 guides about open source to keep your brain busy this summer"
[#]: via: "https://opensource.com/article/21/7/open-source-guides"
[#]: author: "Seth Kenlon https://opensource.com/users/seth"
[#]: collector: "lujun9972"
[#]: translator: "zepoch"
[#]: reviewer: "wxy"
[#]: publisher: "wxy"
[#]: url: "https://linux.cn/article-13575-1.html"

让你的大脑在这个夏天保持忙碌的 7 本开源指南
======

> 下载我们的免费指南之一：开发一个基于 Python 的电子游戏；使用开源工具来让你的生活井井有条；完成家庭自动化项目；或尝试你的树莓派家用实验室。

![](https://img.linux.net.cn/data/attachment/album/202107/12/225953hynu3qud32s1jn1z.jpg)

（LCTT 译注：opensource.com 的免费电子书需要免费注册一个用户才能下载。）

### 开启一个新的树莓派项目

近十年来，树莓派一直俘获着开源爱好者的心和手。你可以用树莓派做无数的项目，无论是 [监控你的花园][2]、[设置家长监控][3]（尤其是在那些漫长的夏天），甚至从你自己的后院 [跟踪飞机][4]。如果这些很酷的项目激起了你的兴趣，但你的树莓派仍在吃灰，那么你需要下载我们的指南来促使你开始行动。在你知道它之前，你需要学习 [如何管理它们][5]，因为你将与很多树莓派一起工作！

**下载：《[如何开始使用你的树莓派][6]》**

### 设计你的开源智能家庭

一个聪明且有用的方式去使用树莓派的方式是去设计你的智能家庭。使用家庭助手或其他的开源工具，你的家可以按你自己的设置进行自动化而无需借助第三方平台。作者 [Steve Ovens][7] 用这本家庭自动化集锦的手写电子书来指导你的每一步工作。

**下载：《[使用开源工具实现家庭自动化的实用指南][7]》**

### 将事情梳理地井井有条

可能你并没做好准备使得你的家庭完全自动化，但是你可能会对梳理你的思维有兴趣。为什么不从你的 to-do 列表开始呢？在贡献者 [Kevin Sonney][8] 的生产力指导下，你将会熟悉六个开源工具的使用，从而帮你把事情安排得井井有条。一旦你完成了他的教程，你就会感到事情井井有条，在这个夏天终于有时间放松了。

**下载：《[六个可以将事情梳理地井井有条的开源工具][9]》**

### 学习如何写代码

电脑无处不在。能吐槽一下很多编程语言对初学者不是很友好吗？

有许多为初学者设计的编程语言。Bash 是 Linux 和 macOS 终端中使用的相同的脚本语言，如果你新开始写代码，Bash 将会是一个伟大的开始。你可以以 [互动的方式学习它][10]，之后下载我们的电子书以了解更多。

**下载：《[Bash 编程指南][11]》**

### 用 Python 写一个游戏

另一个初学者喜欢的编程语言是 Python。它不仅受到仅仅学习编码的中小学生的欢迎，还被专业程序员用来做 [网站开发][12]、[视频编辑][13] 以及 [云端自动化][14]。无论你最终的目标是什么，开始学习 Python 的一个有趣的方式是编写一个自己的游戏。

**下载：《[Python 游戏开发指南][15]》**

### 发现使用 Jpuyter 的巧妙方法

为了让 Python 具有交互性且易于分享，Jupyter 项目提供了基于 Web 的发展环境。你可以在“笔记本”文件中写代码，然后将其发送给其他用户，以便他们轻松复制和可视化你所做的。它是代码、文档和演示文稿的完美组合，而且非常灵活。下载 Moshe Zadka 的多方面指南了解更多关于 Jupyter。

**下载：《[使用 Jupyer 的六种惊艳方式][16]》**

### 在你的家庭实验室里尝试 Kubernetes

现在，你已经在你的树莓派上安装了 Linux，已经登录，已设置新用户并 [配置了 sudo][17] 使得能够进入管理员模式，你正在 [运行所有你需要的服务][18] 。之后呢？

如果你对 Linux 和服务器管理感到满意，你的下一步可能是云服务。可以读一下 Chris Collins 的电子书，从你的家庭实验室的舒适中了解所有关于容器，吊舱和集群的信息。

**下载: 《[在你的树莓派家庭实验室上运行 Kubernetes][19]》**

### 福利：书籍列表

只工作不休息是不健康的。夏天（或任何季节，它是在你的世界的一部分）假期是为了休息，没有什么比坐在门廊或海滩上读一本好书更休闲人心的。下面是一些最近列出的书，以激发一些想法：

  * [8 本供开源技术专家读的书（2021）][20]
  * [十几本适合所有年龄段的书][21]
  * [8 本提升领导力的书籍][22]
  * [6 本必读的云架构书籍][23]
  * 我们的第一份 [2010 年的书籍列表][24]

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/7/open-source-guides

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[zepoch](https://github.com/zepoch)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/chen-mizrach-unsplash.jpg?itok=S_wIO5e8 "One chair on a sandy beach"
[2]: https://opensource.com/article/21/5/monitor-greenhouse-open-source
[3]: https://opensource.com/article/21/3/raspberry-pi-parental-control
[4]: https://opensource.com/article/21/3/tracking-flights-raspberry-pi
[5]: https://opensource.com/article/21/5/raspberry-pi-cockpit
[6]: https://opensource.com/downloads/raspberry-pi-guide
[7]: https://opensource.com/downloads/home-automation-ebook
[8]: https://opensource.com/users/ksonney
[9]: https://opensource.com/downloads/organization-tools
[10]: https://opensource.com/article/19/10/learn-bash-command-line-games#bashcrawl
[11]: https://opensource.com/downloads/bash-programming-guide
[12]: https://opensource.com/article/18/4/flask
[13]: https://opensource.com/article/21/2/linux-python-video
[14]: https://opensource.com/article/19/2/quickstart-guide-ansible
[15]: https://opensource.com/downloads/python-gaming-ebook
[16]: https://opensource.com/downloads/jupyter-guide
[17]: https://opensource.com/article/19/10/know-about-sudo
[18]: https://opensource.com/article/20/5/systemd-units
[19]: https://opensource.com/downloads/kubernetes-raspberry-pi
[20]: https://opensource.com/article/21/6/2021-opensourcecom-summer-reading-list
[21]: https://opensource.com/article/20/6/summer-reading-list
[22]: https://enterprisersproject.com/article/2021/5/8-leadership-books-self-improvement
[23]: https://www.redhat.com/architect/books-cloud-architects
[24]: https://opensource.com/life/10/8/open-books-opensourcecom-summer-reading-list
