[#]: subject: (Apps for daily needs part 1: web browsers)
[#]: via: (https://fedoramagazine.org/apps-for-daily-needs-part-1-web-browsers/)
[#]: author: (Arman Arisman https://fedoramagazine.org/author/armanwu/)
[#]: collector: (lujun9972)
[#]: translator: (geekpi)
[#]: reviewer: (wxy)
[#]: publisher: (wxy)
[#]: url: (https://linux.cn/article-13625-1.html)

满足日常需求的应用（一）：Web 浏览器
======

![][1]

满足日常需求的重要应用之一是 Web 浏览器。这是因为上网是大多数人在电脑前进行的一项活动。本文将介绍一些你可以在 Fedora Linux 上使用的开源 Web 浏览器。你需要安装上述软件。本文提到的所有浏览器都已经在官方的 Fedora 软件库中提供。如果你不熟悉如何在 Fedora Linux 中添加软件包，请参阅我之前的文章 [安装 Fedora 34 工作站后要做的事情][4]。

### Firefox

<ruby>火狐<rt>Firefox</rt></ruby>是一个快速且注重隐私的浏览器，可以在许多设备上使用。它是由 [Mozilla][5] 创建的，是一个具有完整功能的浏览器，提供许多扩展。你可以为你的火狐浏览器添加许多强大的功能和有用的特性。它只使用适量的内存来创造一个流畅的体验，使你的电脑保持对其他任务的响应。你可以创建一个账户，让你在多个设备上共享配置，所以你不需要在每个设备上设置火狐浏览器。

![][6]

火狐浏览器提供以下功能：

  * 隐私浏览模式
  * 阻止广告跟踪器
  * 密码管理器
  * 设备之间的同步
  * 画中画

关于火狐浏览器的更多信息可在此链接中找到：[https://www.mozilla.org/en-US/firefox][7]

### GNOME Web

GNOME Web 是 GNOME 桌面（Fedora 工作站的默认桌面环境）的一个浏览器。如果你使用 GNOME 作为默认桌面环境的 Fedora 工作站，它可能非常适合作为你的主浏览器。这个浏览器有一个简单、干净、漂亮的外观。GNOME Web 的功能比 Firefox 少，但对于普通用途来说已经足够了。

![][8]

GNOME Web 提供了以下功能：

  * 隐身模式
  * GNOME 桌面集成
  * 内置广告拦截器
  * 智能跟踪预防

关于 GNOME Web 的更多信息可以在这个链接中找到：<https://wiki.gnome.org/Apps/Web>

### Chromium

Chromium 是一个来自 Chromium 项目的开源 Web 浏览器，它有一个极简的用户界面。它的外观与 Chrome 相似，因为它实际上是作为 Chrome 和其他几个浏览器的基础。许多人使用 Chromium 是因为他们已经习惯了 Chrome。

![][9]

Chromium 提供以下功能：

  * 隐身模式
  * 扩展程序
  * 密码的自动填写

关于 Chromium 浏览器的更多信息可在此链接中找到：<https://www.chromium.org/Home>

### qutebrowser

这个浏览与上面提到的稍有不同，qutebrowser 是一个以键盘为中心的浏览器，具有精简的 GUI。因此，你不会发现通常在其他浏览器中的按钮，如返回、主页、重新加载等。相反，你可以用键盘输入命令来运行 qutebrowser 中的功能。它使用 Vim 风格的键绑定，所以它适合 Vim 用户。如果你有兴趣在上网时获得不同的体验，你应该试试这个浏览器。

![][10]

qutebrowser 提供以下功能：

  * 广告屏蔽
  * 隐私浏览模式
  * 快速书签

关于 qutebrowser 浏览器的更多信息可在此链接中找到：<https://qutebrowser.org/>

### 总结

每个人在使用互联网时都有不同的需求，特别是在浏览方面。本文中提到的每个浏览器都有不同的功能。因此，请选择适合你日常需求和喜好的浏览器。如果你使用的是本文中提到的浏览器，请在评论中分享你的故事。如果你使用的是其他的浏览器，请说一下。希望这篇文章能帮助你选择在 Fedora 上满足你日常需求的浏览器。

--------------------------------------------------------------------------------

via: https://fedoramagazine.org/apps-for-daily-needs-part-1-web-browsers/

作者：[Arman Arisman][a]
选题：[lujun9972][b]
译者：[geekpi](https://github.com/geekpi)
校对：[wxy](https://github.com/wxy)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://fedoramagazine.org/author/armanwu/
[b]: https://github.com/lujun9972
[1]: https://fedoramagazine.org/wp-content/uploads/2021/07/FedoraMagz-Apps-1-Browsers-2-816x345.jpg
[2]: https://unsplash.com/@brookecagle?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText
[3]: https://unsplash.com/s/photos/meeting-on-cafe-computer?utm_source=unsplash&utm_medium=referral&utm_content=creditCopyText
[4]: https://fedoramagazine.org/things-to-do-after-installing-fedora-34-workstation/
[5]: https://www.mozilla.org/en-US/
[6]: https://fedoramagazine.org/wp-content/uploads/2021/07/Browsers-Firefox-1-1024x707.png
[7]: https://www.mozilla.org/en-US/firefox/
[8]: https://fedoramagazine.org/wp-content/uploads/2021/07/Browsers-Web-1024x658.png
[9]: https://fedoramagazine.org/wp-content/uploads/2021/07/Browsers-Chromium-1-1024x690.png
[10]: https://fedoramagazine.org/wp-content/uploads/2021/07/Browsers-qb-1024x687.png
