[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 core skills to level-up your tech career in 2020)
[#]: via: (https://opensource.com/article/20/1/core-skills-tech-career)
[#]: author: (Dawn Parzych https://opensource.com/users/dawnparzych)

4 core skills to level-up your tech career in 2020
======
There is one category of skill you should focus on to advance your
career this year. Here's how.
![Two hands holding a resume with computer, clock, and desk chair ][1]

We do a lot to level-up our careers. We learn new programming languages; we take on new projects at work; we work on side projects on the weekend; we contribute to open source communities. What if I were to tell you that, while these activities are helpful, there is one set of skills you should focus on if you truly want to advance your career.

These skills go by many names, such as soft skills, non-technical skills, leadership skills, and people skills. Calling them soft or non-technical skills leads to the mistaken idea that they are easy. For some, these skills are incredibly difficult. Calling them leadership skills makes people think they don't need to put effort into developing them if they don't want to be a leader.

I prefer to call them core or functional skills. These skills are part of the core of what makes us human, and it is hard to function without them.

When we have these skills, we can:

  * Communicate with others
  * Collaborate and work with others
  * Solve problems
  * Understand and share the feelings of others
  * Use time effectively or productively



These skills are part of what makes us human, and everything in software is about humans. Humans are reviewing your code. Humans are installing or using the application you are writing.

If these skills are so essential, why do we often dismiss them in favor of more "technical" skills and give them a bad rap? This isn't about focusing on one versus the other. Both are important and relevant.

### Mindset and biases

Our biases and mindset contribute to the importance we place on functional skills. Bias isn't a bad thing. There are [175 biases][2] that exist to help our brains combat four problems:

  * We have too much information to process.
  * There's not enough meaning in the information we receive.
  * There's not enough time to process information.
  * We can't remember everything. Our memory is finite.



One bias that sneaks in when it comes to assessing our skills is the Dunning-Kruger effect. We mistakenly assess our abilities as more exceptional than they are, which comes from an inability to recognize our own faults. You may think you know what you are doing when you don't because of the Dunning-Kruger effect. You think you are managing your time effectively, but in reality, you are working nights and weekends to get caught up. Yes, the work is getting completed, but at what cost? Working non-stop can lead to burnout or a decline in health.

Another factor is your [mindset][3]. Do you have a growth mindset or a fixed mindset when it comes to learning a new skill? People with a fixed mindset believe that abilities are innate and can't be improved. Those with a growth mindset believe there is room for improvement, and you can improve any skill with practice.

These statements reflect a fixed mindset:

  * "I'm just not a people person."
  * "They're a natural-born leader."



You're not born with the ability to speak or write. You learn these skills over time. The same goes for the core and functional skills important for developers.

### Communication

> "Over time I've learned the biggest source of failure is often due to people and teams. A lack of communication and coordination can cause serious problems."
>  — Laurie Barth, [_How architecture improved my coding skills_][4]

Communication includes verbal, non-verbal, and written communication. Failures along any of these can cause serious problems. Communication failures in tech look like:

  * Delays in resolving incidents
  * Redesigning a feature
  * Scope creep
  * Lack of meaningful comments on pull requests (PRs)—these can be especially impactful to junior engineers
  * Unnecessary conflicts and lack of alignment
  * Delivering above or below expectations



Cultural norms and personal preferences impact communication. Everybody has a preferred method of communicating, whether that is via email, face-to-face, Slack messages, phone, text, etc. Think about the cultural norms regarding communication in your workplace. Do they match your preferred method of communicating? If there is a mismatch, problems may arise.

If you're a manager, do you know your direct reports' preferred communication style, or do you just utilize your preferred method? If a direct report prefers email so they can have some time to think before responding and you prefer face-to-face communication, a quick Slack message asking them to come to your office can cause unnecessary anxiety.

### Empathy

> "Empathy is much harder than we think… But to build empathy we need to slow down."
>  —Andrew Tenzer and Ian Murray, [_The empathy delusion_][5]

Empathy is one of the most important skills you can learn. Empathy is our ability to understand and share the feelings of others. We feel more connected to one another because of empathy.

There are four attributes of empathy:

  * Seeing another person's perspective
  * Being non-judgmental
  * Recognizing emotions in other people
  * Communicating your understanding of another person's feelings



Communication and empathy are closely tied. To communicate effectively, you need to listen. To listen effectively, you need empathy. Instead of listening to what a colleague is saying, we usually think about how to best respond. As the adage goes, you have two ears and one mouth for a reason; you should be listening twice as often as you speak.

When you show empathy towards another person, you are not minimizing their thoughts, feelings, or experiences. Instead of using comments like "it could be worse" or "at least…" use phrases like "that sounds horrible," "I can't imagine how you must feel," or "I'm here for you, how can I help?"

### Get ready to level-up

Improving on a skill takes time, but we often give up while we are learning once [impostor syndrome][6] kicks in. It takes years of practice to perfect something, and even with years of practice, you won't be perfect. You will make mistakes. When learning a new skill or improving on an existing skill, mastery—not perfection—should be the goal. Perfection implies there is no room for improvement; mastery indicates learning a skill is an ongoing journey, and there is room to improve.

You don't want to be a perfect communicator. You want to be a master communicator. Even the most experienced public speakers make mistakes. If you aim for perfection, you will be disappointed.

To improve a skill, you need to schedule time to practice. But not just any type of practice; to master a skill, use deliberate practice. Deliberate practice has five main components:

  1. Create a specific goal.
  2. Break the goal down into small steps.
  3. Get feedback from a master.
  4. Step out of your comfort zone.
  5. Stay motivated.



To illustrate this process, say you have a goal of presenting at a conference, but you aren't a confident public speaker. What are some small steps you can take to practice?

  * Identify and reduce the use of filler words like "um," "ah," or "you know."
  * Make eye contact when speaking with others or let people know why you don't.
  * Control mannerisms like fidgeting with your hands or nodding your head while talking.
  * Incorporate appropriate pauses.



Feedback is a necessary part of practicing. Seek out others to provide you with feedback. A great way to step out of your comfort zone and get feedback from master public speakers is to sign up for Toastmasters. This can also help you stay motivated as you work through the speeches towards becoming a Distinguished Toastmaster.

You can apply this same process to any skill you are looking to master.

### Where to learn more

If you want to learn more about empathy and communication so you can level up your career, check out these resources:

  * [Communicating with empathy][7] course by Sharon Steed
  * [_Deliberate practice: Your pathway to growth and mastery_][8] by Habits at Work
  * [_Want to be more empathetic? Avoid these 7 responses_][9] by Laura Click



--------------------------------------------------------------------------------

via: https://opensource.com/article/20/1/core-skills-tech-career

作者：[Dawn Parzych][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/dawnparzych
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/resume_career_document_general.png?itok=JEaFL2XI (Two hands holding a resume with computer, clock, and desk chair )
[2]: https://medium.com/better-humans/cognitive-bias-cheat-sheet-55a472476b18
[3]: https://www.penguinrandomhouse.com/books/44330/mindset-by-carol-s-dweck-phd/
[4]: https://dev.to/laurieontech/how-architecture-improved-my-coding-skills-21e
[5]: https://www.reachsolutions.co.uk/sites/default/files/2019-07/Reach%20Solutions%20The%20Empathy%20Delusion%20V2.pdf
[6]: https://en.wikipedia.org/wiki/Impostor_syndrome
[7]: https://www.lynda.com/Business-Skills-tutorials/Communicating-Empathy/534584-2.html
[8]: https://habitsatwork.com/blog/deliberate-practice
[9]: https://medium.com/@lauraclick/want-to-be-more-empathetic-avoid-these-7-responses-21bb52d5d2ad
