[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (5 open source activities while you work from home)
[#]: via: (https://opensource.com/article/20/4/open-source-activities)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)

5 open source activities while you work from home
======
Work-life balance is important whether you're working from home
temporarily or it's your usual mode of earning a living.
![Person in a field of dandelions][1]

The mythos of the remote home office or the exciting archetype of the digital nomad are as appealing as they are dangerous. It's great to be able to avoid a commute, to be able to stay comfortable at home while getting lots of work done, and to be master of your own schedule. But along with those liberties, you inherit the responsibility of remembering to be a normal, functioning human being. Believe it or not, the two aren't mutually exclusive. You can do both, but you have to work at it. Here are some ideas on how.

### Plant something

![Seeeduino in the garden][2]

You may have an abundance of little ones to care for during the day, and if you do, you should read our [article][3] about fun open source projects for kids and parents. If you don't, or if you're just keen to try caring for something that's quiet, then you might find it satisfying to plant something.

I used to think gardening was something you did as a way to establish a routine: each morning, you wake up and tend to your plants before you start your day, each evening you might pull weeds, and so on. Now that I have a garden, I realize that it's more like a low-stress puzzle. Learning to tend to plants is a little like learning to program. You learn the basics first, you learn to debug (literally, in the case of aphids), and then you learn how to optimize growth and maybe even [how to automate plant care][4].

If you're not attracted to gardening, there are plenty of other [outdoor projects][5] that are useful in getting you outdoors with a purpose and encouraging you to go back out for more.

### Go for a walk

![Walking][6]

The phrases "go for a walk" or "get some fresh air" are so common that they seem trite, but that doesn't make the result any less valid. Getting outside your usual workspace is vital for clarity and drive, but sometimes going outside feels a little pointless. You can only walk around the block so many times before the journey loses excitement.

If you need a goal for ambling around your neighborhood, you can download a handy app called [StreetComplete][7]. It's a quest-based app that presents you with points of interest in your area with incomplete [Open Street Map][8] data. You can help crowdsource better open source maps by verifying and providing information through the app. Suddenly, that aimless meandering you don't really want to do is a fun quest for you and your family.

### Diversify

![Mini stapler][9]

Being in an office can present exciting challenges, whether it's because you're in a dynamic industry or in a petty fight with a colleague over ownership of a stapler. When you work from home, your daily routine can get pretty, well, routine. If that's the case, it might be time to diversify.

If you've been meaning to [get involved with open source][10], now's a great time for it.

If you suspect you might be artistic (or even if you're convinced you're not, but you have something you want to express), then maybe it's time to finally learn how to create some [digital imagery][11].

Or maybe you're curious about programming. It might be easier than you think and given enough free time, you might even end up with [your own game written in Python][12].

### Make some music

![Music keyboardas][13]

Artistic expression is important, whether you're working from home or living with someone who's bored at home. The great thing about music is that you don't need to be _musical_ to [make some really cool noise][14]. In fact, you can make some [wild sounds on a Raspberry Pi][15], if you have one lying around.

If you happen to be musical, though, you can have a go at a digital audio workstation like [Qtractor][16] or [Rosegarden][17]. For inspiration, read about a [professional composer][18] and the music festival he created.

### Refurbish

![Old computers][19]

I don't like it when good things go to waste, especially computers. Read about [refurbishing old computers][20] and [really old computers][21], and then rummage around in your attic to find one for your own experiments.

### Meet the challenge

Being stuck at home for long periods of time, whether it's for a few weeks or the better part of your career, can be challenging. However, open source is a vast landscape of opportunity. Explore and find the parts of it that appeal to you. You can build a hobby, and maybe even a career, out of all the fun things you can do with other people's toys.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/4/open-source-activities

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_dandelion_520x292.png?itok=-xhFQvUj (Person in a field of dandelions)
[2]: https://opensource.com/sites/default/files/uploads/diversions_seeeduino.jpg (Seeeduino in the garden)
[3]: https://opensource.com/article/19/12/kids-students-education
[4]: https://opensource.com/article/17/3/arduino-garden-projects
[5]: https://opensource.com/article/19/5/hardware-outdoors
[6]: https://opensource.com/sites/default/files/uploads/diversions_walk.jpg (Walking)
[7]: https://opensource.com/article/20/1/streetcomplete-crowdsource-maps
[8]: https://opensource.com/article/17/8/openstreetmap
[9]: https://opensource.com/sites/default/files/uploads/diversions_stapler.jpg (Mini stapler)
[10]: https://opensource.com/article/17/10/open-source-cats
[11]: https://opensource.com/life/12/6/design-without-debt-five-tools-for-designers
[12]: https://opensource.com/article/17/10/python-101
[13]: https://opensource.com/sites/default/files/uploads/diversions_keyboards.jpg (Music keyboards)
[14]: https://opensource.com/life/16/2/linux-multimedia-studio
[15]: https://opensource.com/article/20/3/sonic-pi
[16]: https://opensource.com/article/17/6/qtractor-audio
[17]: https://opensource.com/article/18/3/make-sweet-music-digital-audio-workstation-rosegarden
[18]: https://opensource.com/article/20/2/linux-open-source-music
[19]: https://opensource.com/sites/default/files/uploads/diversions_old-computers.jpg (Old computers)
[20]: https://opensource.com/article/19/7/how-make-old-computer-useful-again
[21]: https://opensource.com/article/20/2/restore-old-computer-linux
