[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (5 common open source testing myths debunked)
[#]: via: (https://opensource.com/article/20/6/open-source-testing-myths)
[#]: author: (Kevin Dunne https://opensource.com/users/kdunne916)

5 common open source testing myths debunked
======
These survey results paint a picture of the bright future of open source
testing.
![Collaboration on a mobile software design][1]

Open source tools are constantly changing the landscape of testing, and the community around these tools is bigger and more vocal than ever.

The first-ever _[State of Open Source Testing Survey][2]_ examines the latest trends and developments across the software development industry. This survey received over 2,000 responses from practitioners across the behavior-driven development, functional testing, and load testing domains.

The survey reveals a great deal about software testing and how it uses open source, and based on the results, it's reasonable to expect an increased rate of adoption and deployment of open source tools.

Importantly, the survey results also debunk some of the common myths around open source and software testing. Here's a look at the top five:

### Myth #1: The biggest impediment to using open source testing tools are the skills required.

There is undoubtedly a large jump in technical skill sets required to use open source testing tools, and typically a need to brush up on or learn new coding skills. However, while 40% of respondents did cite the lack of technical skills as one of their largest roadblocks, the most common roadblock cited was simply lack of time to learn new tools.

![OS testing impediments][3]

### Myth #2: Open source testing happens mostly in English-speaking countries.

Of all respondents to the survey, 61% are in Asia. While many have believed that Agile and DevOps are making co-located work more essential, the significant number of respondents in countries like India, Vietnam, and the Philippines says otherwise. There's a possibility that the rise of remote work and distributed teams will continue to grow the importance of multilingual support for projects and more adoption of asynchronous communication practices.

![OS testing offshore][4]

### Myth 3: Open source tools are only used for cost savings.

Sure, the largest reason for using open source testing tools stated was cost (39%). However, the overwhelming majority of respondents (61%) cited other primary reasons for leveraging open source tools, including community support, better integration, and more ability to customize to their liking. Simply put, the choice to use open source is not a purely economic one.

![OS testing benefits][5]

### Myth #4: Quality Assurance Engineering is no longer a career because developers write their own tests.

An overwhelming majority (84%) of organizations surveyed still had dedicated testing and QA personnel contributing to the creation of functional automated tests against their applications. Only a small percentage (8%) left those tasks completely up to developers to handle.

![functional testing roles][6]

When looking at other types of testing, such as load and performance testing, there seemed to be a wider variety of titles/roles that were involved (performance engineering, operations, etc.). Still, the role of a dedicated tester, whether technically focused or otherwise, seems to be one that won't be eliminated anytime soon.

![performance/load testing roles][7]

### Myth #5: Behavior-driven development means you don't have to plan ahead.

[Behavior-driven development][8] (BDD) is a hot topic in industry discussions these days, with anywhere between 15-40% of companies using it (depending on your source). While many have implemented the tools that support BDD (Cucumber, SpecFlow, and so on), few have implemented the true foundation of the approach: specification-by-example using scenarios. Teams have often managed to get by with suboptimal requirement definitions due to their frequent, in-person collaboration; requirements are defined along the way, as things develop. If only 20% of companies provide documentation in the required format, it's likely we'll see struggles now that teams are increasingly remote.

![BDD usage][9]

### Open source and the future

The future of open source testing is bright, but it's changing. Few industries are as well-equipped to adapt to rapid change as open source development.

Want to dig a little deeper? Head over to Tricentis' [infographic][10] to explore the detailed results and sign up to participate in the _2021 State of Open Source Testing Survey_.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/6/open-source-testing-myths

作者：[Kevin Dunne][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/kdunne916
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/mobile-device-phone-team-collaboration-demo.png?itok=q96f2Eao (Collaboration on a mobile software design)
[2]: https://www.tricentis.com/state-of-open-source-2020/
[3]: https://opensource.com/sites/default/files/uploads/os_testing_1_0.png (OS testing impediments)
[4]: https://opensource.com/sites/default/files/uploads/os_testing_2.png (OS testing offshore)
[5]: https://opensource.com/sites/default/files/uploads/os_testing_3.png (OS testing benefits)
[6]: https://opensource.com/sites/default/files/uploads/os_testing_4.png (functional testing roles)
[7]: https://opensource.com/sites/default/files/uploads/os_testing_5.png (performance/load testing roles)
[8]: https://opensource.com/article/19/2/behavior-driven-development-tools
[9]: https://opensource.com/sites/default/files/uploads/os_testing_6.png (BDD usage)
[10]: https://www.tricentis.com/state-of-open-source-2020
