[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Ankur Sinha: How do you Fedora?)
[#]: via: (https://fedoramagazine.org/ankur-sinha-how-do-you-fedora/)
[#]: author: (climoiselle https://fedoramagazine.org/author/climoiselle/)

Ankur Sinha: How do you Fedora?
======

![][1]

We recently interviewed Ankur Sinha on how he uses Fedora. This is part of a [series][2] on the Fedora Magazine. The series profiles Fedora users and how they use Fedora to get things done. Contact us on the [feedback form][3] to express your interest in becoming an interviewee.

### Who is Ankur Sinha?

Ankur is a Computational Neuroscientist and has just started his first post-doctoral fellowship at University College London and a FLOSS enthusiast trying to spread the message of FOSS and evidence based science. Ankur started using Linux a decade ago, when he was introduced to Linux in a [LUG][4] doing an install fest during his undergraduate degree.

Ankur loves reading:

_“I read a lot and tend to get attached to characters from books quite easily. Holmes, Poirot (I’m a detective fiction fan), Francisco D’Anconia (fan of the book Atlas Shrugged, but not so much Ayn Rand’s philosophy), lots of random characters from books I’d read. I also read lots of Hindi comics as a child—Doga, Super commando Dhruv, Naagraj, and Chacha Chaudhary—loved them all!”._

As far as all time favorite movies go, [Swades][5] comes to his mind. His favorite genre is science fiction thrillers (think “The Prestige” and ” Predestination”). When not busy working or engaging people on IRC channels, he enjoys listening to podcasts and classic rock.

Ankur’s favorite food is his mother’s Chhole Bhature. Otherwise, if he’s away from home, his go-tos are Butter chicken, Butter Naan, and Chilli Chicken from North Indian restaurants.

### The Fedora Community

Ankur found about Fedora after a distro hopping phase in 2008, and since then he has been a fedora user. His first memory of the Fedora community is an IRC workshop on packaging fonts that the Fedora India community had organised back in 2008. Talking to and meeting other community members has been one of the most exciting parts of the Fedora community for him. _“I found this great bunch of people to hang out and geek out with! It was so much fun, and extremely educational both in terms of technical knowledge and the social/philosophical side of FOSS and life in general.”_

When asked what he would change in the Fedora Project if he could change one thing, he said that he prefers “Smaller tweaks” since _“Smaller tweaks also allow work to be spread out, and that really helps”_. Specifically, he would like to see more discussion on the philosophy and nuances of FOSS in the community.

_"Perhaps we all know it so well that we take it for granted and focus on the work that needs to be done. It’s so easy to get bogged down in the work, though, that I worry that we forget the bigger picture sometimes. The end for us is to promote FOSS, and everything we do is the means to this end. So, I worry that the means sometimes becomes the end for us — that we focus so much on producing deliverables that we forget why we produce them."_

Since he works in academia and science, Ankur would like the Fedora community (and FOSS in general) to get more involved with academic/scientific communities. _“I think we have an excellent platform to enable education and research. NeuroFedora is a start in this direction.”_

He wishes that other people knew that the Fedora community are not just OS developers, but a global community, and he’d like folks to just hang out and communicate even if they’re not contributing in the traditional sense of the word.

Ankur tries to help wherever he can, especially if newbies are involved. Nowadays, he tries to focus more on [NeuroFedora][6] as it fits well for his day-job and there’s so much to do in this Field + Open Science.

Ankur learnt most of the things from his &gt;10 years of experience in Fedora and FOSS. He had learned theories of software development at undergrad but got to experience practical implementations from his colleagues in the community. He is a firm believer of _“No question is a stupid question”_. He adds that Fedora is perfect because it gets better as you start working with it.

His piece of advice for anyone thinking of getting involved in Fedora is to just go ahead and start. One doesn’t need to know anything at all. All of it can be learned over time. Secondly, don’t focus on tasks. Yes, that’s a good way of learning, but it is far more important to get to know the people of Fedora! As one meets more people, one learns more about how Fedora works and one has way more fun working and learning!!

Just like a lot of our community members, Ankur struggles from time constraints. His new challenge is to find more time to work on FOSS and Fedora. During his college years, it was to learn more and more.

One of the challenges Ankur faces about promoting open source is to explain to non-FOSS people that Windows/Mac aren’t the only OSes present. He thinks that having Fedora shipped with Lenovo systems will give a start for the community. It makes Fedora and FOSS more "official".

### What Hardware?

Ankur has three machines and runs Fedora 32 on each of them:

![Ankur’s Desk][7]

  * Thinkpad E490 laptop
  * a custom workstation that university IT set up for research work
  * a headless MacPro5,1
  * 2x Microsoft Sculpt Ergonomic keyboard/mouse/numpad
  * Netgear wifi extender
  * TP-Link TL-PA8033PKIT AV1300 3-Port Gigabit Passthrough Powerline Adapters
  * Moto g7 phone with Android 10



### What Software?

Fedora 32 workstation, and server on the MacPro.

– [Workstation][8]/Gnome3 with a few extensions: [caffeine][9], [pomodoro][10],

  [syncthing][11].

– [byobu][12] with [tmux][13]: multiple sessions: default, work, fedora

– [taskwarrior][14], [vit][15], [timewarrior][16], [gnome-pomodoro][10], [gnome-calendar][17]/[evolution][18] for calendars

– [neomutt][19] with [msmtp][20] \+ [offlineimap][21] \+ [notmuch][22] for e-mail

– [vim][23] for *everything* possible – [vimrc link][24]

– [qutebrowser][25], [weechat][26], [zathura][27], [vimiv][28]

– syncthing + dropbox + git for syncing/version control

For research work:

– [NEST][29] \+ lots of python and [Gnuplot][30] for analysis, LaTeX for writing

  (stuff from NeuroFedora!)

– [inkscape][31] \+ [gimp][32] \+ [dia][33] \+ [freemind][34] for figures/mind mapping

– [jabref][35] for bibliography management

Other bits: – occasional gamer?

– [Oad][36] \+ [endless sky][37] \+ [openttd][38]!

--------------------------------------------------------------------------------

via: https://fedoramagazine.org/ankur-sinha-how-do-you-fedora/

作者：[climoiselle][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://fedoramagazine.org/author/climoiselle/
[b]: https://github.com/lujun9972
[1]: https://fedoramagazine.org/wp-content/uploads/2020/09/hdyf-asinha-816x346.png
[2]: https://fedoramagazine.org/tag/how-do-you-fedora/
[3]: https://fedoramagazine.org/submit-an-idea-or-tip/
[4]: https://en.wikipedia.org/wiki/Linux_user_group
[5]: https://www.imdb.com/title/tt0367110/
[6]: https://docs.fedoraproject.org/en-US/neurofedora/overview/
[7]: https://fedoramagazine.org/wp-content/uploads/2020/08/WhatsApp-Image-2020-08-28-at-3.27.16-PM-768x1024.jpeg
[8]: https://getfedora.org/en/workstation/
[9]: https://extensions.gnome.org/extension/517/caffeine/
[10]: https://github.com/codito/gnome-pomodoro/
[11]: https://docs.syncthing.net/
[12]: https://www.byobu.org/
[13]: https://github.com/tmux/tmux
[14]: https://taskwarrior.org/
[15]: https://github.com/scottkosty/vit
[16]: https://timewarrior.net/
[17]: https://wiki.gnome.org/Apps/Calendar
[18]: https://wiki.gnome.org/Apps/Evolution
[19]: https://neomutt.org/
[20]: https://marlam.de/msmtp/
[21]: http://www.offlineimap.org/
[22]: https://notmuchmail.org/
[23]: https://www.vim.org/
[24]: https://github.com/sanjayankur31/vimfiles
[25]: https://www.qutebrowser.org/
[26]: https://weechat.org/
[27]: https://pwmt.org/projects/zathura/
[28]: https://karlch.github.io/vimiv-qt/index.html
[29]: https://www.nest-simulator.org/
[30]: http://gnuplot.info/
[31]: https://inkscape.org/
[32]: https://www.gimp.org/
[33]: http://dia-installer.de/
[34]: http://freemind.sourceforge.net/wiki/index.php/Main_Page
[35]: http://www.jabref.org/
[36]: https://play0ad.com/
[37]: http://endless-sky.github.io/
[38]: https://www.openttd.org/
