[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How breaking my back led me to open source)
[#]: via: (https://opensource.com/article/20/9/breaking-back-open-source)
[#]: author: (Sara Kelly https://opensource.com/users/sarapk)

How breaking my back led me to open source
======
Open source gave a voice and a community to someone coping with the
aftermath of a major injury, and eventually led to a new career.
![Open source doctor.][1]

Recently, I noticed some unusual activity on my blog. A very old post about [how I broke my back][2] while living in London had a lot of hits. Was it yet another case of Internet spammers finding a new target for their lewd advertisements? I finally put two and two together when I read [the headlines][3] that British personality Simon Cowell had broken his back in a freak motorcycle accident. Aha. So, a little celebrity mishap had led to a renewed interest in my story. Not to worry, if my recovery is anything to go by, then Simon should be just fine, folks.

Breaking my back was a pivotal experience on many fronts. It scared the hell out of me. But the road to recovery helped me become a more resilient, courageous, and patient human being. Interestingly, it was this incident that also led me to the world of open source. Living with chronic pain is lonely, but I found my voice and a community via WordPress. Now, nearly eight years later, I'm working for the number one open source company in the world.

### Wiggle your toes

When I woke up in the trauma ward of Whitechapel Hospital back in 2011, I was tightly swaddled in white cotton, like an infant. Pitiful moans echoed around me, and I saw nurses scurrying to-and-fro. There was barely time to balk at my surroundings before a stern-looking doctor with a clipboard approached my cot. He skipped the niceties, and gravely informed me that I had broken my back.

My first reaction was to wiggle my toes as a cold sweat hit my face. Would I ever walk again?

"But doctor, I can feel my toes!" I cried, desperately hoping that would be the end of the nightmare.

I was curtly informed that breaking your back is not the same as a spinal injury. One is a case of broken bones, which can heal over time. The other means permanent disability. In my case, the L1 bone had shattered into small pieces which were resting scarily close to the spinal cord. The doctor recommended complex spinal surgery to collect the bone fragments and piece them back together with metal rods. However, until surgery occurred, I should not make any sudden movements in case the bones slipped and damaged the spinal cord.

It was five days before I underwent surgery, during which I was in a constant state of terror. I was afraid to move an inch lest I become wheelchair-bound. Lying in the same position for hours on end is painful. Even worse were the well-meaning nurses who needed to carefully maneuver me to change the bed sheets each morning. Those five days seemed like an eternity, but eventually, I had my surgery, and a few days later, I was discharged from the hospital.

### Learning to walk

Muscles waste away at an alarming rate. Broken back patients are encouraged to start moving as soon after surgery as possible for the best chance of recovery. During spinal surgery, most of the muscles in your back are spliced through so that the surgeons have room to focus on inserting titanium metal rods around the broken bones. So, when you wake up, you are starting from a position of zero muscle strength.

The day after my surgery, my first goal was to take two steps. The next day, it was ten steps. Then it was walking to the bathroom and back. By the time I left the hospital, I still couldn't walk more than 15 feet without assistance, but I continued to set myself small goals and started hydrotherapy to regain my mobility.

Funny enough, my pain only increased as I learned to walk again. Up until that point, I had avoided any serious reliance on drugs. But by the time I could take a shower independently, walk upstairs, or catch public transport with confidence, I was in utter agony.

### Chronic pain is a lonely place

It felt like thick, iron poles were constantly stabbing my right hip and knee. At first, the pain would creep on in the early afternoon, but eventually, it became constant chronic pain. The most difficult part was not knowing why it was happening. I was supposed to be getting better, so why was I hurting so badly?

Nobody explained to me what nerve pain is. Now I know it is a common side effect of any surgery and can be temporary or permanent. Back then, various disinterested doctors and physiotherapists put it down to me not walking correctly or simply complaining.

Being in constant pain, especially when nobody is listening, is incredibly lonely. For the next couple of years, I experimented with all sorts of medications, yoga, pilates, meditation, and even chiropractic treatments. Nothing would make the pain go away. I became heavily dependent on opiates, which caused other health problems such as constipation, insomnia, and mild hallucinations.

### Introducing WordPress

Just as I was giving in to depression, I was introduced to WordPress. A friend of mine had created their own personal blog, and they were posting creative articles about their life and opinions. Up until that time, I had thought the realm of websites was reserved for techie folks. I didn't have a clue about programming, let alone what a domain name was.

My friend insisted it was easy and invited me to post a guest blog on their site. I decided to share the story of my accident. Publishing the blog was cathartic—I needed that emotional release—and from a technical perspective, it was easy peasy. WordPress allowed me to format the text and add pictures with ease. Afterward, my friend informed me of the number of views my blog posting received, and I toyed with the idea of starting my own website.

### The doctor calls

A few weeks after publishing my first ever blog, I was going for a routine checkup at Whitechapel Hospital. Shortly after signing in at the reception counter, the original doctor—the one with the clipboard who had performed my spinal surgery, beckoned me into his office.

Gone was the serious expression and grouchy-looking eyebrows. The doctor actually looked happy to see me. As usual, he skipped the pleasantries and hastened to share that he had read my blog about breaking my back. I was shocked something I had posted had reached him! He went on to say how moved he was by my struggles, as well as concerned by some of the "remedies" I had tried. He promised he would do whatever he could to get to the bottom of my issue.

Well, long story short, the doctor eventually discovered the nerve pain I was experiencing was caused by the placement of two of the metal pins around my spine. I went in for a second spinal surgery to remove them, and ever since, I have been pain-free.

### I'm an open source believer

![What happens when you break your back][4]

Sara Kelly [[CC-BY-SA][5]]

That experience taught me about the power of communication, and it wasn't long before I became a WordPress ninja! I entrenched myself in the [WordPress community][6] and soaked up everything there is to know about [running a website][7], thanks to the amazing network of contributors who post hacks, how-to guides, and respond to troubleshooting forums.

[WordPress][8] is a completely free platform that anyone can use, study, and even change. I am a huge fan of their [mission statement][9], which reads: "We believe in democratizing publishing and the freedoms that come with open source." My own humble story is just one example of how having a voice made an impact. My original blog is long gone, but I have written subsequent stories about my recovery, which my doctor now shares with new patients, so they know what to expect after a broken back. Perhaps my story has even helped a celebrity like Simon? In any case, I like the idea that there are millions of people the world over, with their own struggles and aspirations, who can make a positive difference in the world by using free platforms like WordPress.

What can I say? When I got the phone call almost a year ago that Red Hat was hiring, it felt like destiny. It's only by working at Red Hat I've come to appreciate how the idea of "open" unlocks the world's potential. The principles of open source—from decision-making to management practices—are firmly embedded in Red Hat's culture. Now, I truly am an open source believer.

Besides its popularity, WordPress is also known for usability and an easy-to-develop environment.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/9/breaking-back-open-source

作者：[Sara Kelly][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/sarapk
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/osdc_520x292_opensourcedoctor.png?itok=fk79NwpC (Open source doctor.)
[2]: https://bossyflossie.com/recover-broken-back/
[3]: https://edition.cnn.com/2020/08/09/us/simon-cowell-bike-accident-trnd/index.html
[4]: https://opensource.com/sites/default/files/what_happens_if_you_break_your_back.jpg (What happens when you break your back)
[5]: https://creativecommons.org/licenses/by-sa/4.0/legalcode
[6]: https://make.wordpress.org/
[7]: https://opensource.com/article/20/4/updating-wordpress
[8]: http://wordpress.org
[9]: https://wordpress.org/about/
