[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Overcoming resistance to open management)
[#]: via: (https://opensource.com/open-organization/20/9/overcoming-resistance-open-management)
[#]: author: (Heidi Hess von Ludewig https://opensource.com/users/heidi-hess-von-ludewig)

Overcoming resistance to open management
======
In some organizations, a cultural aversion to openness is strong. How
can managers overcome it—and create a new sense of shared purpose on
their teams?
![Tug of war][1]

In this installment of our "[Managing with Open Values][2]" series, I chat again with Braxton, Director of Pricing for a nationwide U.S. insurance company and people manager.

In June 2018, Braxton reached out to Red Hatters in the Open Organization community. He wanted to learn more about how both he _and_ his team could work differently—using open values. We were happy to help. So I co-organized a workshop on [open organization principles][3] for Braxton and his team—and kept in touch afterward, so I could learn about his adventure in becoming more open.

In this second interview (which includes collaborators Tracy Guiliani, [industrial/organizational psychologist and expert in associate engagement][4], and [Bryan Behrenshausen][5]), we explored what it was like to learn firsthand about open source values, and how to use them to transform an organization. In particular, we discussed the value of feedback, managing resistance to using open values, and how the management practice of creating shared purpose caused unexpected benefits for a team with dissimilar roles. It's another enlightening conversation, one that allowed us to witness—directly—how someone transformed Open Organization community-driven workshop material into dynamic change with benefits for him, his team, and his organization.

One striking point to note is that the "journey to open" is complex and worthwhile. Braxton and his team must confront habituated cultural practices that constrict openness. To overcome this, they engage one habit at a time using community (what it means to be a member of an open team), collaboration (defining what each open values mean to them) and inclusivity (actively listening to dissenters and negotiating a solution or understanding). In other words, they _use_ open values to _create the use_ of open values among the team.

"Being open" can’t be mandatory; it’s important to actively manage conflicts within the team regarding the miscommunication or misunderstanding of open values.

Put another way: in order to _have_ open, you have to _be_ open. This is actually counterintuitive in conventional organizations. For example, Braxton articulates how "being open" can’t be mandatory; it’s important to actively manage conflicts within the team regarding the miscommunication or misunderstanding of open values. [Conflict, fortunately, is a necessary part of collaboration][6]; it's also the engine for negotiation and change if we allow it, so it's the natural place for translation and transition (i.e., growth) to occur. As Tracy points out during this conversation, when conflict is positive and well-managed, it becomes a force for developing support, increased trust, and psychological safety—which can all reinforce shared purpose.

Listen to the rest of this interview to learn:

  * How Braxton inspired shared purpose in through open values on his team, using consistent and regular feedback (including being open to negative feedback) 
  * How he found himself coming back to the theme of "transparency" to help the team develop specific open values, resulting in faster and clearer communication
  * The impact of resistance or late adopters to the open values among his team, the difference between misunderstanding and miscommunication, and the clarification of value to change—working through differences and conflict
  * Whether Braxton thinks he would have the same results from his team if he'd chosen to manage _without_ open values as his guides.



Listen to the interview with Braxton

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/20/9/overcoming-resistance-open-management

作者：[Heidi Hess von Ludewig][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/heidi-hess-von-ludewig
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/LIFE_information_wants_to_be.jpg?itok=keUyg1RH (Tug of war)
[2]: https://opensource.com/open-organization/managing-with-open-values
[3]: https://github.com/open-organization/open-org-definition
[4]: https://opensource.com/open-organization/20/5/commitment-engagement-org-psychology
[5]: https://opensource.com/users/bbehrens
[6]: https://opensource.com/open-organization/19/5/productive-arguments
