[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Still not dead: The mainframe hangs on, sustained by Linux and hybrid cloud)
[#]: via: (https://www.networkworld.com/article/3576290/still-not-dead-the-mainframe-hangs-on-sustained-by-linux-and-hybrid-cloud.html)
[#]: author: (Michael Cooney https://www.networkworld.com/author/Michael-Cooney/)

Still not dead: The mainframe hangs on, sustained by Linux and hybrid cloud
======
The mainframe—Linux alliance turns 20 this month and is proving to be more vital than ever, primarily in the form of Big Iron-based Red Hat OpenShift.
Thinkstock

The [mainframe][1] has been declared “dead”, “morphed” and “transformed” so many times over the years sometimes it’s sometimes hard to believe the Big Iron still has an identity in the enterprise world.

But clearly it does and in a major way, too. 

**[ Lessons on diversity in IT: [10 professional organizations focused on diversity in tech][2] • [Being Black in IT: 3 tech leaders share their stories][3] • [Gender gapped: The state of gender diversity in IT][4] • [Māori participation in IT][5]: diversity insights for CIOs everywhere • [IT snapshot: Ethnic diversity in the tech industry][6] ]**

Take recent news as an example: According to IBM, 75% of the top 20 global banks are running the newest z15 mainframe, and the IBM Systems Group reported a 68% gain in Q2 IBM Z revenue year-over-year.

At the heart of its current vitality is Linux—primarily in the form of Big Iron-based Red Hat OpenShift—and a variety of software such as IBM [Cloud Paks][7] and open source applications.  The Linux-mainframe marriage is celebrating 20 years this month, and while the incongruous mashup—certainly at the beginning anyway—has been a boon for the mainframe, by most accounts it still has plenty of good years ahead of it.

“For the first five or so years we really were just experimenting with what we could do with Linux and the mainframe but then the server-consolidation movement hit, and we knew we had something big,” said [Ross Mauri][8], the general manager for IBM Z.

“What really got us going was the big Wall Street financial companies who all had these Sun Solaris servers with big databases, and many decided to consolidate on the Z mainframe running Linux, and we were off and running,” he said.

[[Get regularly scheduled insights by signing up for Network World newsletters.]][9]

Another contributing factor in 2000 was Big Blue’s $1B investment in all things Linux, which was a huge move in getting the operating system and open-source software in general into the mainstream business market.

Since that time there have been numerous milestones in the mainframe’s Linux journey, including the introduction of a standalone box, the LinuxONE, five years ago, which is now at the heart of some of the world’s largest implementations.

### Red Hat to the rescue

The next chapter in the mainframe story began last year when [IBM bought Linux powerhouse Red Hat][10] for $34B, tying the massive transactional capacity, security and reliability of the Big Iron with Red Hat Open Shift and Red Hat Enterprise Linux.

IBM has also released Red Hat Ansible Certified Content for IBM Z and launched a new cloud-native development offering, [Wazi Workspaces][11], which lets developers apply industry-standard tools from IBM Z to multi-cloud platforms optimized for OpenShift.

Combine those moves with all of the open-source mainframe software work going on in the [Linux Foundation’s Open Mainframe Project][12] and customers now have a ton of development options for private or public cloud-based workloads.

“Clients no longer have to develop and work with proprietary tools, and the zOS is being brought completely into the modern application development world,” Mauri said.

Gartner recently wrote of that trend: “Now developers, testers, and infrastructure and operations staff have the capability to utilize the same tools which exist in the distributed world. Rocket Software, CA Technologies and IBM are supporting the [Open Mainframe Project Zowe][13], which is making adapting of open-source tools much easier.”

IBM calls Zowe an open source software framework that lets development and operations teams securely, manage, control, script and develop on the mainframe like any other cloud platform.

“From application development software, to complex DevOps orchestration engines, these traditional platforms are enjoying a resurgence of relevance in the data center that is making them accessible to all developers and testers. This change significantly reduces the issue of limited and old-fashioned development tools that previously contributed to the impetus to leave traditional platforms,” Gartner stated.

Going forward Mauri said he expects a number of key technologies will continue to make the mainframe a key cloud and compute player.

### Confidential Computing

One of those keys is an overarching security model called Confidential Computing which IBM broadly describes as a way to protect data, applications and processes at scale. It has rolled out a number products that adhere to the Confidential Computing mantra. For example, IBM’s Secure Execution for Linux software lets customers isolate and protect  large numbers of workloads from internal and external threats across a hybrid-cloud environment. Other packages let customers bolt-down containerized Kubernetes workloads or Red Hat OpenShift clusters, IBM says.

There is also a Linux Foundation project, the Confidential Computing Consortium, made up of  Alibaba, Arm, Baidu, IBM/Red Hat, Intel, Google Cloud and Microsoft that is pushing the concept industry wide.

“The organization aims to address data in use, enabling encrypted data to be processed in memory without exposing it to the rest of the system, reducing exposure to sensitive data and providing greater control and transparency for users,” the Consortium says on its website.  “This is among the very first industry-wide initiatives to address data in use, as current security approaches largely focus on data at rest or data in transit. The focus of the Confidential Computing Consortium is especially important as companies move more of their workloads to span multiple environments, from on premises to public cloud and to the edge.”

Mauri says IBM is on its fourth generation of Confidential Computing technology which will keep it out in front of other industry cloud players and give the company a strong security weapon for the foreseeable future.

“The vulnerability landscape is constantly changing, and organizations can be attacked across their IT systems. Add to that concerns around data privacy and regulations and you’ve got a full plate,” said Terri Cobb, lead alliance partner at Deloitte Consulting. Deloitte recently conducted a survey of business and IT decision makers with Forrester Consulting and found 80% of respondents are focused on modernizing mainframe toolsets in an effort to identify and prevent data breaches, and 73% are increasing their security footprint.

“Data protection and security are so critical, and mainframes remain one of the most secure and powerful platforms available when the right controls are in place,” Cobb said.

### Pay per use

Another direction IBM and the mainframe is moving is toward a more cloud-agile, consumption-based licensing model that lets customers pay only for what they consume, Mauri said. The company rolled out its Tailored Fit Pricing model in 2019 and has upwards of 80 customers onboard so far, Mauri said. It offers two consumption-based pricing models that can help customers cope with ever-changing workload and hence software costs.

Mauri said IBM expects to make hardware more consumption based in the future.

Predicting demand for IT services can be a major challenge, and in the era of hybrid and multicloud, everything is connected and workload patterns constantly change, Mauri wrote in a [blog][14] about the new pricing and services in 2019. “In this environment, managing demand for IT services can be a major challenge. As more customers shift to an enterprise IT model that incorporates on-premises, private cloud and public we’ve developed a simple cloud pricing model to drive the transformation forward.”

### ML/AI opportunities

Others say technologies such as machine learning and artificial intelligence will also drive future mainframe development.

“Data insights help drive actionable and profitable results—-but the pool of data is growing at astronomical rates. That’s where AI can make a difference, especially when it’s on a mainframe. Consider the amount of data that resides on a mainframe for an organization in the banking, manufacturing, healthcare, or insurance sectors. You’d never be able to make sense of it all without AI,” said Deloitte’s Cobb. As an example, Cobb said core banking operations can do more than simply execute large volumes of transactions.

“Banks need deep insights about customer needs, preferences, and intentions to compete effectively, along with speed and agility in sharing and acting on those insights. That’s easier said than done when data is constantly changing. Now if you can analyze data directly on the mainframe, you can get near real-time insights and action. That makes the mainframe an important participant in the AI/ML revolution,” Cobb said.

The mainframe environment isn’t without challenges going forward.

For example, there is a [growing market for moving mainframe applications off][15] of the Big Iron and onto cloud services. Large cloud players such as Amazon, Google and Microsoft are also involved in modernizing mainframe applications. For example, Google Cloud in February [bought mainframe cloud-migration service firm Cornerstone Technology][16] with an eye toward helping Big Iron customers move workloads to the private and public cloud. An ecosystem of mainframe modernization service providers such as [Astadia][17], [Asysco][18], [GTSoftware][19], LZLabs,  [Micro Focus][20] has also grown up.

### COBOL coders needed

Another challenge is finding and developing the right people to cultivate the mainframe environment.

“It was predicted mainframes would eventually cease to exist so colleges stopped offering courses focused on COBOL and other critical mainframe skills. As Baby Boomers retire, mainframe talent concerns are becoming a reality,” Cobb said.  

Deloitte’s survey found that 71% of respondents said their teams are understaffed, and 93% said its “moderately” to “extremely challenging” to acquire the right mainframe resources and skills, Cobb said.

“Many large companies are addressing this issue by hiring and developing college recruits, developing a mentoring program, creating an internship, or turning to third parties for support. Mainframes aren’t going anywhere—the talent pool needs to match the demand,” Cobb said.

While there are challenges in the future, Cobb said the consultancy’s survey showed customers are looking to _increase_ their investment in the mainframe with 91% of respondents identified as expanding their mainframe footprints as a moderate or critical priority in the next 12 months.

Join the Network World communities on [Facebook][21] and [LinkedIn][22] to comment on topics that are top of mind.

--------------------------------------------------------------------------------

via: https://www.networkworld.com/article/3576290/still-not-dead-the-mainframe-hangs-on-sustained-by-linux-and-hybrid-cloud.html

作者：[Michael Cooney][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.networkworld.com/author/Michael-Cooney/
[b]: https://github.com/lujun9972
[1]: https://www.networkworld.com/article/2231401/inside-ibm-s-game-changing-mainframe-moments.html
[2]: https://www.cio.com/article/3564791/10-professional-organizations-focused-on-diversity-in-tech.html
[3]: https://www.cio.com/article/3566069/being-black-in-it-3-tech-leaders-share-their-stories.html
[4]: https://www.cio.com/article/3532001/gender-gapped-the-state-of-gender-diversity-in-it.html
[5]: https://www.cio.com/article/3566098/maori-participation-in-it-insights-for-cios.html
[6]: https://www.computerworld.com/article/3567095/it-snapshot-ethnic-diversity-in-the-tech-industry.html
[7]: https://www.networkworld.com/article/3429596/ibm-fuses-its-software-with-red-hats-to-launch-hybrid-cloud-juggernaut.html
[8]: https://newsroom.ibm.com/Bringing-Linux-to-IBM-Z
[9]: https://www.networkworld.com/newsletters/signup.html
[10]: https://www.networkworld.com/article/3407746/will-ibms-acquisition-be-the-end-of-red-hat.html
[11]: https://www.ibm.com/products/wazi-for-red-hat-codeready-workspaces
[12]: https://www.openmainframeproject.org/
[13]: https://www.openmainframeproject.org/projects/zowe
[14]: https://www.ibm.com/blogs/systems/ibm-z-defines-the-future-of-hybrid-cloud/
[15]: https://www.networkworld.com/article/3567058/options-grow-for-migrating-mainframe-apps-to-the-cloud.html?utm_source=facebook&utm_content=content&utm_medium=social&utm_campaign=organic&fbclid=IwAR2JPUEItx11TeSqiIvgr3_HA4YQRv_U7imm4Z4WG-wCuir_WrrE2zmst5o
[16]: https://www.networkworld.com/article/3528451/google-cloud-moves-to-aid-mainframe-migration.html
[17]: https://www.astadia.com/blog/mainframe-migration-to-azure-in-5-steps
[18]: https://www.asysco.com/code-transformation/
[19]: https://www.gtsoftware.com/services/migration-services/
[20]: https://www.microfocus.com/en-us/home
[21]: https://www.facebook.com/NetworkWorld/
[22]: https://www.linkedin.com/company/network-world
