[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (What would a global open organization look like?)
[#]: via: (https://opensource.com/open-organization/20/9/global-open-organization)
[#]: author: (Ron McFarland https://opensource.com/users/ron-mcfarland)

What would a global open organization look like?
======
Solving global problems will require global collaboration. Working
openly is the best way forward.
![Pixelated globe][1]

In the [first article in this series][2], I presented four dimensions of globalization and explained how they relate to [open organization principles][3]. Then, in [the second part][4], I reviewed a history of globalization, one based on [Jeffrey D. Sachs][5]' book [The Ages of Globalization][6]. That piece tracked a history of gradually increasing openness—from the beginning of human civilization up to the start of the industrial revolution, which began around the beginning of the 1800s.

In this final installment of the series, I will continue my review of Sachs' book by examining two more recent historical settings, the Industrial Age and the Digital Age, to explain how open principles have shaped more recent trends in globalization—and how these principles will be integral to our global future.

### The Industrial Age (1800‒2000 CE): The urban, city growth, and machine setting

According to Sachs, around 1820, 85% of the global population was still involved in farming and lived at a subsistence level. Of them, 93% were relatively unconnected, living in rural areas.

Through the advent of industrial development, that all changed.

By 2000, about half the global population (46.7%) lived in urban areas, their average incomes soared, and average life expectancy had reached 67 years old (according to 2000‒2005 data). Living in an interconnected world among a web of nonstop data altered the relative isolation of village life—an illustration of the importance of building **communities** that are **inclusive**, **collaborate** deeply, are very open and **transparent** with each other, and support each other when there are unexpected challenges **(adaptable)**.

The Industrial Revolution began in 1776 with James Watt's invention of the steam engine in Scotland. Railroads and steamships began connecting the world. Large factories began bringing in people from the countryside. As the British economic historian E. A. Wrigley has written, this was a movement from an "organic economy" to an "energy-rich economy" in which we see a shift from a dependence on raw materials from vegetable or animal (including human manual labor) for energy to three main fossil fuels for energy (coal, petroleum and natural gas) that was deployed after 1800 (and then, just 100 years later, nuclear technology).

[Global GDP per capita][2] hadn't changed much until around 1780‒1830, when the steam engine sparked a wave of increase, according to economist [Nikolai Kondratiev][7]. From then, upward movements in GDP [have come in additional waves][8], Kondratiev says. The second wave arrived around 1830‒1880, with investments in railways and steel. The third (1880‒1930) came from electrification. Automobiles sparked the fourth wave around 1930‒1970. The fifth, information technologies, began around 2010. And now intelligent technology, including robotics and artificial intelligence, stands to spark another from 2010‒2050. All these investments have changed the environment in which we build communities, collaborate, share information and address challenges (they also created income inequality between regions—between Kondratiev's "energy rich" economies and others).

By the end of World War II (around 1945) many organizations had been established to promote what today we might call greater openness. Organizations like the [United Nations (UN)][9], the [International Monetary Fund (IMF)][10], [the World Bank][11], [the General Agreement on Tariffs and Trade (GATT)][12], [the Food and Agricultural Organization][13] and the [World Health Organization (WHO)][14] continue to promote various forms of global cooperation. The same is true of global philanthropic organizations and private foundations like the [Bill and Melinda Gate Foundation][15], [Greenpeace][16] and others. They will be more needed and must be strengthened in the years ahead.

### The Digital Age (Twenty-First Century): The connection and sustainability-challenge setting

We are only one-fifth of the way into the 21st Century. According to Sachs, globalized communities in this period will address different issues than those they've addressed up until now. Economic activity, jobs, lifestyles, and geopolitics will all gradually change. To address these changes, we can apply open organizational principles.

According to Sachs, these issues will be central to those changes.

**Drastic economic and financial inequality.** We must address the distribution of global wealth. Workers displaced by machines have seen their earnings stagnate or decline. These workers must be retrained and re-skilled with processes financed through taxation. This is equally true between developed and developing countries. Developed countries must provide some kind of managed support to developing countries as they transition in the years and decades ahead. These are global issues and should be addressed as such, Sachs says, or unmanageable global unrest and continued poverty will result.

Could we write a mission statement for humankind? If we could, open organization principles should be its backbone.

**A global environmental crisis.** "The world economy has increased roughly a hundredfold over the past two centuries: roughly ten times the population and ten times the GDP per capita," Sachs writes. "Yet the physical planet has remained constant, and the human impact on that environment has therefore intensified dramatically." Issues like climate change, the burning of fossil fuels, mass destruction of biodiversity, and the dire pollution of air, soils, freshwater and oceans must all be topics of _global_ conversation and collaboration, or we will watch our environment worsen, Sachs says.

**Increased chance of global war.** In Sachs' outline of historical periods, shifts in geopolitical power are often accompanied by war. That potential is once more a potential concern. This issue will require a great deal of open discussions between these nations.

### Governance through the ages

Let's take one more global look at [organizational governance through the ages][4]. According to Sachs, governance has become more global over time.

  * In the Paleolithic Age (70,000-10,000 BCE), there were strong bonds developed between nomadic clans, particularly "bands" of 25‒30 members within those clans.
  * In the Neolithic Age (10,000-3,000 BCE), through agricultural advancement, there was village life and local politics.
  * In the Equestrian Age (3,000-1,000 BCE), through animal domestication and travel by horses, states were formed and governed.
  * In the Classical Age (1,000 BCE-1500 CE), governance expanded to regional multi-ethnic empires through education and further information documentation.
  * In the Ocean Age (1500-1800 CE), through long-distance sea travel, larger global empire governance started.
  * In the Industrial Age (1800-2000 CE), the United Nations was formed and two dominant powers emerged (namely, the United Kingdom and the United States).
  * In the Digital Age (the 21st Century), shifting geopolitical conditions will prompt new developments in global organizational governance, particularly in a globally connected world in which China and the United States will play major roles.



Sachs notes that prosperity and longer life expectancy have resulted from increased global interconnectedness and organizational openness.

So how might we build the next generation of global, open organizations?

### An age of truly global collaboration

According to Professor Sachs, in order to get buy-in to address these issues, currently underrepresented regions will need a more powerful voice in the global community. Nations will not buy into potential changes unless they feel they are fully represented, participating in a true collaborative dialog. Configuring a global community attentive to members' needs is extremely important. Without ideal representation and talent in the room, very little can be achieved.

For example, to obtain stronger global buy-in, Sachs recommends one representative from each of eight major global regions in the United Nations (North America, South America, European Union, African Union, South Asia, East Asia, Commonwealth of Independent States, and Western Asia). A manageable team of eight people discussing global issues has a higher chance of success.

Also, Sachs recommends that Brazil, Germany, India, Indonesia, Japan, and Nigeria should be permanent members of the UN Security Council. Then, global issues can be more easily and seriously addressed. As is, he writes, the 193 individual member countries can do very little.

A successful development agenda (the community's purpose) requires inclusive partnerships at the global, regional, national and local levels. They have to be built upon a shared vision and shared goals with all human beings and the planet at the center. Furthermore, with an increase in urban populations, communities should be getting involved in not only issues within their area but globally as well. Here again, their representation and participation are required to get them to buy-in to anything agreed on.

In short, a globally viable open organization of member nations would be beneficial.

Here are two challenges such an organization could help address.

**Ending world poverty.** Sachs believes that in our generation we should see an end to world poverty—particularly if the global community works on supporting poorer communities, controlling disease globally, increasing school attendance, and improving infrastructure worldwide. Work on these issues have already begun in many places at a _national_ level (consider China's [Belt and Road initiative][17]), but it should be coordinated on a global scale.

**Promoting Literacy.** In the 1950s, global illiteracy (in any language) had been eliminated in most high-income countries, and yet the global illiteracy rate was still roughly 80% in developing countries. This gap made global collaboration and joint problem-solving difficult. Therefore, even though life expectancy in developed countries was then around 68 years of age, in developing countries it was only around 40 years of age. Open organization principles become very difficult to be adopted globally, or won't work at all worldwide, where such illiteracy is common. Multi-language education must be a priority. While English is the language of choice in most scientific, financial, or diplomatic discussions, it is not the most _spoken_ language (Chinese is). Foreign language learning, foreign language interpreting, and foreign language translation will become more important as well in the years ahead to promote global understanding, cooperation and collaboration.

### A shared identity

We all have identities formed in part by the groups in which we participate—sports teams, religious groups, regions, and nationalities. We tend to promote and support those that we identify with. So how might we develop an identity for a new, _global_ organization that welcomes open participation in solving global issues?

Could we write a mission statement for humankind?

If we could, [open organization principles][3] should be its backbone.

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/20/9/global-open-organization

作者：[Ron McFarland][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/ron-mcfarland
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/pixelated-world.png?itok=fHjM6m53 (Pixelated globe)
[2]: https://opensource.com/open-organization/20/7/globalization-history-open
[3]: https://theopenorganization.org/definition
[4]: https://opensource.com/open-organization/20/8/global-history-collaboration
[5]: https://en.wikipedia.org/wiki/Jeffrey_Sachs
[6]: https://cup.columbia.edu/book/the-ages-of-globalization/9780231193740
[7]: https://en.wikipedia.org/wiki/Nikolai_Kondratiev
[8]: https://ourworldindata.org/grapher/world-gdp-over-the-last-two-millennia
[9]: https://www.un.org/en/
[10]: https://www.imf.org/external/index.htm
[11]: https://www.worldbank.org/
[12]: https://en.wikipedia.org/wiki/General_Agreement_on_Tariffs_and_Trade#:~:text=The%20General%20Agreement%20on%20Tariffs,such%20as%20tariffs%20or%20quotas.
[13]: https://en.wikipedia.org/wiki/Food_and_Agriculture_Organization
[14]: https://www.who.int/
[15]: https://www.gatesfoundation.org/
[16]: https://opensource.com/tags/open-organization-greenpeace
[17]: https://www.beltroad-initiative.com/belt-and-road/
