[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Create a DevOps culture with open source principles)
[#]: via: (https://opensource.com/article/20/12/remote-devops)
[#]: author: (Will Kelly https://opensource.com/users/willkelly)

Create a DevOps culture with open source principles
======
Now that more workforces are remote, DevOps teams can maximize their
collaboration and productivity by following open source principles.
![Kanban-style organization action][1]

As this article goes online, DevOps teams are rounding the bend of eight months of remote work. Some teams were remote by design. Other teams had remote work forced on them. Now is an excellent time to take a refresher on what it means to be a high performing DevOps team that just works remotely.

Remember that people come before tools for a remote DevOps team. Here’s how you keep your people operating and feeling refreshed during these times.

### Fully remote vs. hybrid DevOps teams

We can split remote work into fully remote and hybrid working models. A fully remote working model means a DevOps team is geographically dispersed. The members have no desk lying empty back at the office with their name on it. However, COVID-19 restrictions have made every team a fully remote team, at least for the time being. A fully remote team’s benefits include increased agility and playing time zones to the advantage of your delivery cycle. The challenges of a new remote DevOps team run the gamut right now, depending on the level of support their organization had for remote workers pre-COVID.

In contrast, a hybrid DevOps team still maintains a presence in a corporate office. Core team members may have permanent seats inside a corporate office. Other team members may work from home or a satellite office full-time or part-time. COVID-19 restrictions add a new factor to hybrid teams because some companies may stagger returns to offices. A hybrid DevOps team’s benefits include having the best of both worlds. Team leadership can still maintain a face in the office. Their developers get the option to work where they’re the most productive.

The challenges of a hybrid DevOps team can range from communications to system access issues. There’s also the stress for the team members who draw the short straw to go back into the office first.

### Collaboration refresher

Collaboration is a well-regarded DevOps principle. Yet COVID-19 has put an additional strain on team collaboration. The best remote teams are always learning about collaboration and then pivoting and adjusting to make that collaboration better.

First-time remote workers sometimes present new silos and dilemmas for remote work. There’s a lot of discipline that comes with being a successful remote worker. You may have to coach your first-timers, at least in the beginning, on how to handle work from home distractions and how to best budget their time.

Standardize your workflows when it comes to document creation and review, source code collaboration, and other related tasks. Teams bring the workflows of the places they’ve worked at before. Besides that, team members are under stress right now. Do them a favor and document procedures with an eye toward eliminating complexity and ambiguity.

### Communications refresher

There’ll always be something to be said for drive-by conversations in an office hallway. There’ll be first-time workers who’ll adjust fine to remote work. Others will get lost in the shuffle. It’s up to DevOps teams to set expectations for communications, especially project reporting. Teams also need to learn the working styles of their managers and members to communicate effectively,

The best way to refresh your remote team’s communications is to remind your team of communications expectations.

### Fostering remote DevOps culture using open source principles

One way to recharge your remote DevOps culture is by implementing open source principles:

#### Community

Remote DevOps teams benefit from a sense of community just as any open source project does. There’s a lot of stress going on right now inside people’s homes. DevOps teams, by their high velocity, can feel their members’ pain acutely. As such, community is of the utmost importance to a DevOps team right now. Having a common purpose with the rest of their team and their employer can be a powerful distraction for some personality types who need to keep busy during times like these. Shared values can foster team cohesion. Being part of team goals can help people escape the stress of the home front.

#### Collaboration

Collaboration is both a DevOps and an open source principle. Working as a remote DevOps team during the current crisis taxes even the most experienced teams. Now is as good of a time as any to tap into the open source ethos to regain your collaboration mojo. Collaboration—during a pandemic or not—is about culture, not the latest tool or platform.

#### Transparency

Remote work in times of stress can strain communications, and it’s easy to miss information and forget about materials necessary for project success. Remote DevOps teams benefit from centralizing access to project information and materials so the team can do their best work. A central repository of materials offers transparency. Best of all, it’s open 24/7 and doesn’t have time zone limitations. Making information always accessible makes it easier for remote DevOps team members to build upon each other’s ideas and discoveries.

Transparency for remote DevOps teams is a powerful way to make more effective decisions and understand how decisions affect us all. Inspiration strikes everybody at different times. For example, think of the team member who can’t sleep one night and thus able to make a technical discovery that solves a problem for their customer or their team.

#### Inclusive meritocracy

Remote DevOps teams in crisis times should run as an inclusive meritocracy if they didn’t already run that way pre-COVID. Hopefully, some bureaucratic shackles are loosening now that most teams have been remote for eight months or more. We work best during a crisis when we intake all the good ideas, regardless of who it comes from. Successful work is a big calling card for your team as your stakeholders and customers are dealing with stress on the work and home fronts too.

#### Release early and often

Being out of the office provides a unique opportunity for some corporate cultures to get away from meetings for the sake of meetings and talking about work more than doing the actual work. When a remote DevOps team releases early and often, they prove the remote work model's validity and give stakeholders something real to see, rather than wireframes, presentation slides, and spreadsheets.

### Pivot and refresh

Successful remote teams know the need to be agile with more than just software delivery. It’s about the pivot and the refresh about how your team collaborates and communicates. Just as you stop to correct software delivery issues, you need to start doing the same with communications and collaboration.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/12/remote-devops

作者：[Will Kelly][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/willkelly
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/kanban_trello_organize_teams_520.png?itok=ObNjCpxt (Kanban-style organization action)
