[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (9 stories about switching to an open source alternative in 2020)
[#]: via: (https://opensource.com/article/20/12/open-source-alternatives)
[#]: author: (Jason Blais https://opensource.com/users/jasonblais)

9 stories about switching to an open source alternative in 2020
======
Ditch your proprietary software for open source solutions.
![Working from home at a laptop][1]

In 2020, as every year, new open source projects launched as alternatives to proprietary solutions. Here is a roundup of the top nine articles about open source alternatives that made the headlines in 2020 on Opensource.com.

### 7 alternatives to VS Code

Seth Kenlon gives an overview of [_7 open source alternatives to VS Code_][2], a code editor from Microsoft for Linux, Windows, and macOS. While Microsoft publishes VS Code's source code under the MIT License, "the version you download from Microsoft is not open source," Seth warns. If you prefer open source alternatives, make sure to check out Seth's article for his recommended alternatives, including VSCodium and Atom.

### Nextcloud instead of Google Suite

In [_Build your own open source alternative to Google Suite with Nextcloud_][3], Correspondent Don Watkins explains how Nextcloud has matured in recent years to become a true alternative to Google Drive and Microsoft 365. Don begins by reviewing how to get started with Nextcloud, then he outlines its key features, including the ability to "sync, share, and collaboratively view and edit files, as well as [share] calendars, contacts, email, chats, video calls, project management, [and] notes."

### 6 alternatives to Wunderlist

Wunderlist was a popular tool to track to-do lists, but when Microsoft announced it was shutting it down, many people began looking for alternatives. Jen Wike Huger does an excellent job summarizing [_6 open source alternatives to Wunderlist_][4], including OwnCloud, OpenTasks, and more. If you're still looking for a Wunderlist replacement or are just curious to know what is out there for tracking your to-do's, make sure to read Jen's article.

### Plausible Analytics instead of Google Analytics

In [_Transparent, open source alternative to Google Analytics_][5], Marko Saric describes Plausible Analytics as a "leaner, more transparent option [to Google Analytics], with the essential data you need but without all the privacy baggage." By "baggage," Marko means privacy policies, GDPR-consent prompts, and other things that come with Google Analytics. With Plausible Analytics, you don't need to worry about such privacy restrictions; the tool doesn't collect any personal data or use cookies and still provides accurate visitor statistics for your website.

### Mycroft instead of Alexa

Many people are wary about the private conversations their Apple, Google, and Amazon voice assistants may have access to. Those looking for a private option may want to explore Mycroft, [_A secure and private open source alternative to Alexa_][6]. Correspondent Steve Ovens describes Mycroft as the "open source alternative … [that] puts privacy at the forefront."

### HomeBank instead of Quicken

Quicken is a proprietary personal financial management tool—and you guessed it, there is an open source alternative for it. In [_How to use HomeBank for your open source alternative to Quicken_][7], Correspondent Jessica Cherry provides an overview of HomeBank and walks through how to install the software, create an account, and analyze your finances with the tool. If you're looking for an open source option to help manage your spending habits, make sure to read Jess' article about HomeBank.

### GoDBLedger instead of proprietary accounting software

Sean Darcy, an accountant frustrated by outdated accounting software solutions, decided to spend six months building GoDBLedger, an open source option to improve accountants' productivity. In [_Open source accounting software developed by accountants_][8], he outlines the challenges he faced with previous tools due to poor usability, unintuitive user experiences, and slow compilation that "involves a lot of human labor to achieve." He then demonstrates how GoDBLedger solves each of these challenges.

### 4 alternatives to Grammarly

Grammarly is one of the most popular tools to "check your writing for spelling, grammar, plagiarism, and style errors," writes Seth Kenlon. But instead of Grammarly, Seth uses open source options for each of these use cases. In [_Open source alternatives to Grammarly for word processing_][9], he describes the tool that works best for each of Grammarly's functionalities, such as Flyspell, a lightweight open source spell checker.

### 7 alternatives to StackOverflow or Quora

Instead of using StackOverflow or Quora as your knowledge-base Q&amp;A site, why not switch to an open source alternative? Correspondent Bryant Son walks through [_7 open source Q&amp;A platforms_][10], including Discourse, Vanilla, AskBot, and more. If you are looking for a new Q&amp;A platform, make sure to check out Bryant's article!

### Top open source alternatives in 2021?

Which open source alternatives do you think will make the headlines in 2021? Let us know in the comments.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/12/open-source-alternatives

作者：[Jason Blais][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jasonblais
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/wfh_work_home_laptop_work.png?itok=VFwToeMy (Working from home at a laptop)
[2]: https://opensource.com/article/20/6/open-source-alternatives-vs-code
[3]: https://opensource.com/article/20/7/nextcloud
[4]: https://opensource.com/article/20/5/alternatives-list
[5]: https://opensource.com/article/20/5/plausible-analytics
[6]: https://opensource.com/article/20/6/open-source-voice-assistant
[7]: https://opensource.com/article/20/2/open-source-homebank
[8]: https://opensource.com/article/20/7/godbledger
[9]: https://opensource.com/article/20/3/open-source-writing-tools
[10]: https://opensource.com/article/20/2/open-source-qa
