[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (9 insights from pivoting to remote work in 2020)
[#]: via: (https://opensource.com/article/20/12/remote-work)
[#]: author: (Dawn Parzych https://opensource.com/users/dawnparzych)

9 insights from pivoting to remote work in 2020
======
Remote work is now standard for many companies and workers. Here is a
roundup from this year's lessons learned in remote work.
![Selfcare, calm routine][1]

2020 was the year remote work became the norm. Due to the COVID-19 pandemic, people and companies shifted to "temporary" remote work, though many have now extended it indefinitely. As remote work will be the norm for the foreseeable future, here’s a review of some of the many articles published on Opensource.com regarding remote work practices, tools, and activities to manage this new normal.

### Tools

When shifting the way we work, we also need to look at the tools we use. Tools that work in person may not be as effective in a remote world. We need to look for new and different ways of sharing information. The articles below highlight some of the tools that come in handy for remote work.

#### [Top 10 open source tools for working from home][2]

We rely on tools on a daily basis. Working remotely requires adding new tools to our belt. Here, Seth shares his top 10 communication and collaboration tools. If you’re looking to up your collaboration game, check out this article for suggestions on:

  * Video conferencing and chat
  * Virtual whiteboards
  * Virtual notebooks
  * Shared documents, spreadsheets, and storage



#### [Is it possible to run a conference using only free software?][3]

Not only did employers and employees have to figure out how to support a remote workforce, but industry conferences and tradeshows had to be reimagined for the virtual world. The value in a conference isn’t only the talks; it’s also in the interaction with others, open spaces, and the hallway track. Zoe shares how the [Free Software Foundation][4] took LibrePlanet fully virtual using open source software and what they would improve upon for future events.

#### [How to set up a remote school environment for kids with Linux][5]

For those of you who have kids returning to remote learning from in-person learning, this one is for you. Alan shares how he took an unused computer to create a system suitable for full-time remote school. You don’t need the latest and greatest hardware due to the efficiency of the Linux operating system; even a 10-year-old laptop can get the job done.

### Activities

Whether you’re looking for a side project or something to do outside of work, the articles highlighted below may help motivate you to try something new.

#### [6 open source teaching tools for virtual classrooms][6]

The tools Mathias mentions aren’t just for virtual classrooms. Want to start a podcast? Create YouTube videos? How about live stream your coding adventures? These tools can help you get started—topics range from how to record with Open Broadcaster Studio to audio and video editing. If you’re looking for a new activity, check out the tools in this article for inspiration.

#### [5 open source activities while you work from home][7]

We all need a break from our computers. I’ve heard a lot of people talk about Zoom fatigue as they stare at a screen all day and then into the evenings for social gatherings, community events, or virtual classes. Seth’s article highlights several things you can do to take a break from the computer.

#### [Create web tutorials with Reveal.js and Git][8]

You might be thinking, "what does creating a web tutorial have to do with remote work?" Many in-person workshops, customer training, and internal trainings have also shifted online. With people working asynchronously, it can be impossible to find a single time convenient for everybody to participate. Creating a self-paced tutorial or workshop may be the answer. Here, Eric shares the process and tools he uses to create online self-paced workshops, including examples.

### Practices

We should always be looking for new ways of doing things. These articles share insights into how you can improve your teams’ operations. Sometimes a fresh idea or insight can break us out of a rut. What "new-to-you" suggestion can you incorporate into your daily work?

#### [7 ways not to manage your remote team][9]

Many of these articles focus on what an individual can do, which is good, but good remote practices start at the top. This article covers how NOT to manage a remote team. Matt’s insight is a must-read for anybody who is currently a manager or looking to move into a management role in 2021.

#### [Love or hate chat? 4 best practices for remote teams][10]

Every company (and every person, for that matter) has its own preference when it comes to chat. Chat doesn’t have to be synchronous; it can be effectively asynchronous, as long as everybody is aware of the expectations and norms. Jen discusses four areas where teams should define the rules of chat to ensure everybody’s needs surrounding chat-based communication are met.

#### [5 tips for working from home from a veteran remotee][11]

You may think that you're an expert after months of working remotely, but there is always still room to learn. And maybe some of the habits you initially put in place have now taken a back seat several months later. It’s time to look again at ways to improve your day-to-day. I’ve worked remotely for years, and I still found valuable tips in Birthe’s article on working remotely. The structure for the daily and weekly meetings is a great way to keep meetings focused and on track.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/12/remote-work

作者：[Dawn Parzych][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/dawnparzych
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/meditate_zen_wfh_outside_family_selfcare_520.png?itok=qoSXLqRw (Selfcare, calm routine)
[2]: https://opensource.com/article/20/3/open-source-working-home
[3]: https://opensource.com/article/20/5/conference-free-software
[4]: https://www.fsf.org/
[5]: https://opensource.com/article/20/4/school-home-linux
[6]: https://opensource.com/article/20/4/open-source-remote-teaching-tools
[7]: https://opensource.com/article/20/4/open-source-activities
[8]: https://opensource.com/article/20/4/create-web-tutorial-git
[9]: https://opensource.com/article/20/1/ways-not-manage-remote-team
[10]: https://opensource.com/article/20/4/chat-tools-best-practices
[11]: https://opensource.com/article/20/4/home-office-tips
