[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How open source provides students with real-world experience)
[#]: via: (https://opensource.com/article/21/2/open-source-student)
[#]: author: (Laura Novich https://opensource.com/users/laura-novich)

How open source provides students with real-world experience
======
Contributing to open source gives students the real-world experience
required to land a good job.
![Woman sitting in front of her computer][1]

In the movie _The Secret of My Success_, Brantley Foster (played by Michael J. Fox) expresses the exact thought that goes through every new graduate's mind: "How can I get any experience until I get a job that _gives_ me experience?"

The hardest thing to do when starting a new career is to get experience. Often this creates a paradox. How do you get work with no experience, and how do you get experience with no work?

In the open source software world, this conundrum is a bit less daunting because your experience is what you make of it. By working with open source projects sponsored by open source software (OSS) companies, you gain experience working on projects you like for companies that make you feel important, and then you use that experience to help find employment.

Most companies would never allow newbies to touch their intellectual property and collateral without signing a non-disclosure agreement (NDA) or going through some kind of training or security check. However, when your source code is open and anyone in the world can contribute to it (in addition to copy it and use it), this is no longer an issue. In fact, open source companies embrace their contributors and create communities where students can easily get their feet wet and find their way in coding, testing, and documentation. Most open source companies depend on the contributions of others to get work done. This means the contributors work for free simply because they want to. For students, it translates into an unpaid internship and getting some real-world experience.

At [Our Best Words][2], we decided to run a pilot project to see if our students could work in an open source documentation project and find the experience beneficial to jumpstarting their new careers in technical communication.

![GitLab screenshot][3]

(Laura Novich, [CC BY-SA 4.0][4])

I was the initiator and point of contact for the project, and I approached several companies. The company that gave us the most positive response was [GitLab][5]. GitLab is a company that creates software for Git repository management, issue tracking, and continuous integration/continuous delivery (CI/CD) pipeline management. Its software is used by hundreds of thousands of organizations worldwide, and in 2019, it announced it achieved $100 million in annual recurring revenue.

GitLab's [Mike Jang][6] connected me with [Marcin Sedlak-Jakubowski][7] and [Marcia Dias Ramos][8], who are located closer to OBW's offices in Israel. We met to hammer out the details, and everyone had their tasks to launch the pilot in mid-September. Mike, Marcia, and Marcin hand-picked 19 issues for the students to solve. Each issue was tagged _Tich-Tov-only_ for OBW students, and any contributor who was not an OBW student was not allowed to work on the issue.

To prepare the students, I held several demonstrations with GitLab. The students had never used the software before, and some were quite nervous. As the backbone of GitLab is Git, a software tool the students were already familiar with, it wasn't too hard to learn. Following the demonstrations, I sent the students a link to a Google Drive folder with tutorials, a FAQ, and other valuable resources.

The issues the students were assigned came from GitLab's documentation. The documentation is written in Markdown and is checked with a linter (a static code analysis tool) called Vale. The students' assignments were to fix issues that the Vale linter found. The changes included fixing spelling, grammar, usage, and voice. In some cases, entire pages had to be rewritten.

As I wanted this project to run smoothly and successfully, we decided to limit the pilot to seven of our 14 students. This allowed me to manage the project more closely and to make sure each student had only two to three issues to handle during the two-month time period of the project.

![GitLab repo][9]

(Laura Novich, [CC BY-SA 4.0][4])

The OBW students who were part of this project (with links to their GitLab profiles) were:

  * [Aaron Gorsuch][10]
  * [Anna Lester][11]
  * [Avi Chazen][12]
  * [Ela Greenberg][13]
  * [Rachel Gottesman][14]
  * [Stefanie Saffern][15]
  * [Talia Novich][16]



We worked mostly during September and October and wrapped up the project in November. Every issue the students had was put on a Kanban board. We had regular standup meetings, where we discussed what we were doing and any issues causing difficulty. There were many teachable moments where I would help with repository issues, troubleshooting merge requests, and helping the students understand technical writing theories in practice.

![Kanban board][17]

(Laura Novich, [CC BY-SA 4.0][4])

November came faster than we expected and looking back, the project ended way too quickly. About midway in, I collected feedback from Marcin, Marcia, and Mike, and they told me their experience was positive. They told us that once we were done, we could take on more issues than the original allotment assigned to the group, if we wanted.

One student, Rachel Gottesman, did just that. She completed 33 merge requests and helped rewrite pages of GitLab's documentation. She was so instrumental for the 13.7 release that [GitLab announced][18] that Rachel is the MVP for the release! We at OBW couldn't be more thrilled! _Congratulations, Rachel!_

![Rachel Gottesman's GitLab MVP award][19]

(Laura Novich, [CC BY-SA 4.0][4])

Rachel's name appears [on GitLab's MVP page][20].

We are gearing up for our new year and a new course. We plan to run this project again as part of our [Software Documentation for Technical Communication Professionals][21] course.

* * *

_This article originally appeared on [Our Best Words Blog][22] and is republished with permission._

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/open-source-student

作者：[Laura Novich][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/laura-novich
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/OSDC_women_computing_2.png?itok=JPlR5aCA (Woman sitting in front of her computer)
[2]: https://ourbestwords.com/
[3]: https://opensource.com/sites/default/files/uploads/gitlab.png (GitLab screenshot)
[4]: https://creativecommons.org/licenses/by-sa/4.0/
[5]: https://about.gitlab.com/
[6]: https://www.linkedin.com/in/mijang/
[7]: https://www.linkedin.com/in/marcin-sedlak-jakubowski-91143a124/
[8]: https://www.linkedin.com/in/marciadiasramos/
[9]: https://opensource.com/sites/default/files/uploads/gitlab_obw_repo.png (GitLab repo)
[10]: https://gitlab.com/aarongor
[11]: https://gitlab.com/Anna-Lester
[12]: https://gitlab.com/avichazen
[13]: https://gitlab.com/elagreenberg
[14]: https://gitlab.com/gottesman.rachelg
[15]: https://gitlab.com/stefaniesaffern
[16]: https://gitlab.com/TaliaNovich
[17]: https://opensource.com/sites/default/files/uploads/kanban.png (Kanban board)
[18]: https://release-13-7.about.gitlab-review.app/releases/2020/12/22/gitlab-13-7-released/
[19]: https://opensource.com/sites/default/files/uploads/rachelgottesmanmvp.png (Rachel Gottesman's GitLab MVP award)
[20]: https://about.gitlab.com/community/mvp/
[21]: https://ourbestwords.com/training-courses/skills-courses/
[22]: https://ourbestwords.com/topic/blog/
