[#]: subject: (Why Linux is critical to edge computing)
[#]: via: (https://opensource.com/article/21/2/linux-edge-computing)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Why Linux is critical to edge computing
======
Get the edge on Linux so you can get Linux on the edge.
![People work on a computer server with devices][1]

In 2021, there are more reasons why people love Linux than ever before. In this series, I'll share 21 different reasons to use Linux. Linux is the ideal operating system for experimenting with edge computing. 

[Edge computing][2] is a model of infrastructure design that places many "compute nodes" (a fancy word for a _server_) geographically closer to people who use them most frequently. It can be part of the open hybrid-cloud model, in which a centralized data center exists to do all the heavy lifting but is bolstered by smaller regional servers to perform high frequency—but usually less demanding—tasks. Because Linux is so important to cloud computing, it's an ideal technology to learn if you intend to manage or maintain modern IT systems.

Historically, a computer was a room-sized device hidden away in the bowels of a university or corporate head office. Client terminals in labs would connect to the computer and make requests for processing. It was a centralized system with access points scattered around the premises. As modern networked computing has evolved, this model has been mirrored unexpectedly. There are centralized data centers to provide serious processing power, with client computers scattered around so that users can connect. However, the centralized model makes less and less sense as demands for processing power and speed are ramping up, so the data centers are being augmented with distributed servers placed on the "edge" of the network, closer to the users who need them.

The "edge" of a network is partly an imaginary place because network boundaries don't exactly map to physical space. However, servers can be strategically placed within the topography of a network to reduce the latency of connecting with them and serve as a buffer to help mitigate overloading a data center.

### Diversity on the edge

This strategy is known as **edge computing**, and it's a vital part of a highly available cloud infrastructure. And as much as Linux thrives in data centers, it's even more welcome out on the edge, where servers and devices run locally relevant software on every variety of architecture. This is the space of the Internet of Things (IoT) and embedded systems. If you know Linux, you're probably ready to maintain most of these devices.

### Edge detection

When you hear about edge computing, you're hearing about a model of network and infrastructure design. There isn't just one edge, and that's the advantage. For it to be helpful, there need to be different edges for different industries, locations, and requirements. The edge of a public access network should be different than the edge of a major finance company, which should be different than your home automation system.

### Containers on the edge

While it's not exclusive to Linux, [container technology][3] is an important part of cloud and edge computing. Getting to know Linux and [Linux containers][4] helps you learn to install, modify, and maintain "serverless" applications. As processing demands increase, it's more important to understand containers, [Kubernetes][5] and [KubeEdge][6], pods, and other tools that are key to load balancing and reliability.

### Get the Linux edge

The cloud is largely a Linux platform. While there are great layers of abstraction, such as Kubernetes and OpenShift, when you need to understand the underlying technology, you benefit from a healthy dose of Linux knowledge. The best way to learn it is to use it, and [Linux is remarkably easy to try][7]. Get the edge on Linux so you can get Linux on the edge.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/2/linux-edge-computing

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/rh_003499_01_linux11x_cc.png?itok=XMDOouJR (People work on a computer server with devices)
[2]: https://www.redhat.com/en/topics/edge-computing
[3]: https://opensource.com/resources/what-are-linux-containers
[4]: https://opensource.com/article/18/11/behind-scenes-linux-containers
[5]: https://enterprisersproject.com/article/2017/10/how-explain-kubernetes-plain-english
[6]: https://opensource.com/article/21/1/kubeedge
[7]: https://opensource.com/article/21/2/try-linux
