[#]: subject: (Can We Recommend Linux for Gaming in 2021?)
[#]: via: (https://news.itsfoss.com/linux-for-gaming-opinion/)
[#]: author: (Ankush Das https://news.itsfoss.com/author/ankush/)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Can We Recommend Linux for Gaming in 2021?
======

You will often hear Linux enthusiasts praise about the improved gaming capabilities on Linux. Yes, we have come a long way considering the advancements made to support modern games on Linux desktop.

Even Lutris’ creator mentions in our interview that the [progress Linux has made in terms of gaming is simply incredible][1].

But, is it something to be hyped about? Can we recommend Linux to a gamer? Is Linux suitable for gaming?

In this article, I want to share a few things about gaming on a Linux system and share what I think about it.

### You Can Play Games on Linux: Yes!

If anyone’s ever told you that you cannot game on Linux, **that is not true**.

You can play a variety of games on Linux without any major hiccups. And, for the most part, it is playable and totally a good experience.

In fact, we have an ultimate guide for [Gaming on Linux][2] if you do not know where to start.

### Do I Need a Specific Linux Distro to Play Games?

Not really. It depends on how convenient you want the experience to be.

For instance, if you want a Linux distribution to work well with your graphics driver and get the latest hardware support, there’s something for that. Similarly, if you just want to play native Linux indie games with an integrated GPU, any Linux distro can work.

So, there are a few variables when choosing a Linux distribution for your gaming adventures.

Fret not, to help you out, we have a useful list of the [best Linux gaming distributions][3].

### Virtual Reality Games on Linux: Uh-Oh!

![][4]

I’m sure VR gaming is not something widely adopted yet. But, if you want the exciting experience on a VR headset, **choosing Linux as your preferred platform might be a bad idea**.

You do not have the necessary drivers or applications for a convenient experience on Linux. No distribution can help you solve this problem.

If you are curious, you can go through the details shed on the **state of virtual reality** in a blog post on [Boiling Steam][5] and an interesting experience with Valve’s VR headset on [GamingOnLinux][6].

I’ve linked those blog posts for reference but long story short — avoid Linux if you want to experience VR games (feel free to experiment if you have the time though).

### Can You Play Windows Exclusive Games on Linux?

Yes and No.

You can use [Steam Play to play Windows-only games][7], **but it has its share of issues**. Not every game works.

For instance, I end up using Windows to play [Forza Horizon 4][8]. If you love car simulation or racing games, this is a masterpiece that you may not want to miss.

Maybe we will see it working through Steam Play without issues in the near future, who knows?

So, it is safe to assume that you will encounter many similar games that may not work at all. That’s the bitter truth.

And, to know if the game works on Linux, head to [ProtonDB][9] and search for the game to see if it has a “**Gold**” status at the very least.

### Multiplayer Gaming With Anti-Cheat Engines: Does It Work?

![][10]

A huge chunk of gamers prefer playing multiplayer games like [Apex Legends][11], [Rainbow Six Siege][12], and [Fortnite][13].

However, some of those popular titles that rely on anti-cheat engines do not work on Linux yet. It is still something a work in progress and can be made possible in future Linux Kernel releases — just not yet.

Do note that multiplayer games like [CS:GO][14], Dota 2, Team Fortress 2, [Valheim][15], and several more offer native Linux support and works great!

### Would I Recommend Linux for Gaming?

![][4]

Considering that you can play a lot of Windows-specific games, native indie games, and a variety of AAA games with native Linux support, I can recommend a first-time user to try gaming on Linux.

But, that comes with a **caution** — I would suggest you to make a potential list of games that you want to play to make sure that it runs on Linux without any issues. In either case, you may end up wasting a lot of time troubleshooting with no results.

Not to forget, a big no to VR gaming on Linux, I believe.

And, if you want to explore all the latest and greatest titles, I will recommend you to stick to your Windows-powered gaming machine.

**While I should encourage more users to adopt Linux as a gaming platform, but I won’t be ignoring the practical side of why common consumers still prefer a Windows-powered machine to game on.**

_What do you think? Do you agree with my thoughts? Feel free to share what you feel in the comments below!_

#### Big Tech Websites Get Millions in Revenue, It's FOSS Got You!

If you like what we do here at It's FOSS, please consider making a donation to support our independent publication. Your support will help us keep publishing content focusing on desktop Linux and open source software.

I'm not interested

#### _Related_

  * [The Progress Linux has Made in Terms of Gaming is Simply Incredible: Lutris Creator][1]
  * ![][16] ![][17]


  * [Popular Game Titles Metro Exodus and Total War: Rome Remastered Releasing for Linux in April][18]
  * ![][16] ![][19]


  * [Good News for Linux Gamers! An Unofficial Epic Games Store Launcher for Linux is in Works][20]
  * ![][16] ![Heroic Games Launcher][21]



--------------------------------------------------------------------------------

via: https://news.itsfoss.com/linux-for-gaming-opinion/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://news.itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://news.itsfoss.com/lutris-creator-interview/
[2]: https://itsfoss.com/linux-gaming-guide/
[3]: https://itsfoss.com/linux-gaming-distributions/
[4]: data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzUyMScgd2lkdGg9Jzc4MCcgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJyB2ZXJzaW9uPScxLjEnLz4=
[5]: https://boilingsteam.com/the-state-of-virtual-reality-on-linux/
[6]: https://www.gamingonlinux.com/2020/08/my-experiences-of-valves-vr-on-linux
[7]: https://itsfoss.com/steam-play/
[8]: https://forzamotorsport.net/en-US/games/fh4
[9]: https://www.protondb.com/
[10]: data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzUyMCcgd2lkdGg9Jzc4MCcgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJyB2ZXJzaW9uPScxLjEnLz4=
[11]: https://www.ea.com/games/apex-legends
[12]: https://www.ubisoft.com/en-us/game/rainbow-six/siege
[13]: https://www.epicgames.com/fortnite/en-US/home
[14]: https://store.steampowered.com/app/730/CounterStrike_Global_Offensive/
[15]: https://store.steampowered.com/app/892970/Valheim/
[16]: data:image/svg+xml;base64,PHN2ZyBoZWlnaHQ9JzIwMCcgd2lkdGg9JzM1MCcgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJyB2ZXJzaW9uPScxLjEnLz4=
[17]: https://i0.wp.com/news.itsfoss.com/wp-content/uploads/2021/03/lutris-interview-ft.png?fit=1200%2C675&ssl=1&resize=350%2C200
[18]: https://news.itsfoss.com/metro-exodus-total-war-rome-linux/
[19]: https://i2.wp.com/news.itsfoss.com/wp-content/uploads/2021/03/metro-total-war-ft.png?fit=1200%2C675&ssl=1&resize=350%2C200
[20]: https://news.itsfoss.com/heroic-games-launcher/
[21]: https://i0.wp.com/news.itsfoss.com/wp-content/uploads/2021/01/heroic-games-launcher.jpg?fit=1200%2C675&ssl=1&resize=350%2C200
