[#]: subject: (Why transparency is critical to your open source project's security)
[#]: via: (https://opensource.com/article/21/6/security-transparency)
[#]: author: (Ana Jimenez Santamaria https://opensource.com/users/anajs)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Why transparency is critical to your open source project's security
======
A community's health and transparency are good measures of a project's
security.
![Lock][1]

The Biden Administration's recent [executive order on cybersecurity][2] aims to improve [security assurance][3] and the use of best practices. Transparency and project health are two factors that help to support security across the entire software industry—especially now.

### Software security is now open source software security

Because [92% of modern applications][4] contain open source components, improving software security generally means improving open source software security.

According to the Biden executive order:

> "The trust we place in our digital infrastructure should be proportional to how trustworthy and transparent that infrastructure is."

Transparency is a cornerstone of security assurance because it helps establish trust and confidence in the technology. Indeed, without transparency, trust and security evaporate. Therefore, one of the ways we can help improve security is by enhancing the transparency of our projects.

Transparency through open source can provide information about a project that allows users to assess its health in at least two ways:

  * **Cross-community environments:** Cross-team and community collaboration are keys to meeting constantly evolving security, privacy, and safety standards. Security is a complex process involving multiple teams across a single organization and multiple organizations (i.e., cross-community), given its open source nature.
  * **Public disclosure:** Transparency also enables organizations to quickly build and issue public security reports to identify potential threats and vulnerabilities.



### How to measure transparency to achieve security assurance

Open source should be in the DNA of every modern organization that wants to achieve a high level of transparency. However, transparency involves more than simply allowing access to code, products, designs, services, or APIs. Transparency is a **commitment to total clarity**.

Open source has evolved into a complex ecosystem of projects and organizations with different kinds of relationships. [Open source program offices][5] (OSPOs) enable companies, public institutions, governments, and other organizations to keep tabs on the size and health of their open source ecosystems. They take care of not only the projects the organization is using but also the ones it's releasing or contributing to.

One of the ways to measure transparency across open source ecosystems is by assessing the answers to the following questions about a community's health:

  * **How many maintainers are needed to keep the project sustainable?** The [Bus Factor][6] is a way to determine how many contributors a project can lose before it stalls. The metric (which hypothesizes what would happen if certain contributors got run over by a bus) calculates the smallest number of people who make 50% of contributions and visualizes the answer.
  * **Who are the core developers?** The [Onion Model][7] is an approach to identifying the most committed developers and the ones the project relies upon most.
  * **What organizations are involved in the software development process?** In addition to analyzing the number of companies whose employees make commits, issues, or code contributions, the [Elephant Factor][8] determines the minimum number of companies doing half of the work.
  * **Does the software have security certifications?** Possessing well-known security certifications, such as the [Core Infrastructure Initiative Best Practices Badge][9], indicates that open source projects follow best practices and meet required certification criteria.
  * **How active is the community?** There are various ways to assess whether a community is active. One way is to look at the community's reaction speed, including how fast issues are resolved vs. how many are ignored.



Most of these questions are part of the [CHAOSS metrics][10] definition. Community Health Analytics Open Source Software (CHAOSS) is a Linux Foundation project focused on creating a standard set of metrics and software to help define open source community health. Its GrimoireLab tool makes it [easier][11] for projects to analyze and report their community health metrics.

### Closing thoughts

Open source software [took over the world][12] a long time ago. The Biden administration's new executive order is another reason to take the open source ecosystem seriously, as both public entities and private companies rely upon it. But open source innovation has a unique methodology that doesn't follow traditional business processes. Using open source involves [investing in OSPOs][13] and measuring transparency by looking at a project's health based on its activity to achieve the required security assurance.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/6/security-transparency

作者：[Ana Jimenez Santamaria][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/anajs
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/security-lock-password.jpg?itok=KJMdkKum (Lock)
[2]: https://www.whitehouse.gov/briefing-room/presidential-actions/2021/05/12/executive-order-on-improving-the-nations-cybersecurity/
[3]: https://www.igi-global.com/dictionary/quantitative-security-assurance/70165
[4]: https://blog.tidelift.com/open-source-is-everywhere-survey-results-part-1
[5]: https://opensource.com/article/20/5/open-source-program-office
[6]: https://chaoss.community/metric-bus-factor/
[7]: https://chaoss.github.io/grimoirelab-sigils/common/onion_analysis/
[8]: https://chaoss.community/metric-elephant-factor/
[9]: https://chaoss.community/metric-cii-best-practices-badge/
[10]: https://chaoss.community/metrics/
[11]: https://opensource.com/article/21/6/health-metrics-cauldron
[12]: https://techcrunch.com/2019/01/12/how-open-source-software-took-over-the-world/
[13]: https://todogroup.org/guides/create-program/
