[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (LMMS: A Free & Open Source Digital Audio Workstation (DAW))
[#]: via: (https://itsfoss.com/lmms/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)

LMMS: A Free & Open Source Digital Audio Workstation (DAW)
======

_**In this week’s Linux application highlight, we take a look at a free and open-source DAW that helps make music with most of the essential features offered.**_

### LMMS: A Free &amp; Open Source Software To Help Make Music

[LMMS][1] is a cross-platform open source [DAW][2] hosted on [GitHub][3]. It is completely free to use and you do not need to purchase any kind of license to use it.

If you’re curious, there’s no specific full-form for “LMMS” acronym but you can consider it along the lines of “**Let’s Make Music**” or formerly known as “**Linux MultiMedia Studio**” as stated in one of their [official forum post][4] years back.

So, with the help of LMMS, you should be able to work on making music on Linux.

Of course, you should not expect a free DAW to replace a full-fledged professional DAW bundled with proprietary plugins – but for starters, it isn’t a bad one.

![][5]

If you’re used to other DAWs, it might take a while to get comfortable with the user interface. For instance, I’ve used [Studio One][6] and [Mixcraft][7] as a beginner – so the UI of LMMS looked different.

But, the good news is – you get a [detailed official documentation][8] of LMMS. So, if you have trouble learning how it works, simply refer to the official documentation available on their [website][1].

**Recommended Read:**

![][9]

#### [Best Audio Editors For Linux][10]

These awesome free and open source audio editors let you create awesome music in Linux. Check out the list of top Linux audio editors.

### Features of LMMS

![][11]

Just like any other DAW, you will find plugins, samples to use, instruments, and MIDI support. However, it is indeed a long list of features. So, instead of taking a whole day explaining it, let me highlight all the necessary features that LMMS provides.

  * Ability to add notes within the project without needing a separate note-taking app
  * Bundled free plugins to use
  * Note playback via MIDI or typing keyboard
  * MIDI Editor
  * Separate editor for instruments
  * Track Automation support
  * 64-bit VST instrument support (for wine-based VSTs)
  * Built-in synthesizers that include some popular emulators for Yamaha and Roland
  * Feature-rich audio plugins built-in
  * Demo projects to easily get started
  * Several samples included
  * Native multisample support for SoundFont (SF2), Giga (GIG) and Gravis UltraSound (GUS) formats for high-quality instrument patches and banks (only if it’s relevant for your work)
  * [LADSPA][12] plugin support
  * You will also find the essential delay/reverb/compressor/limiter and distortion tools built-in
  * Spectrum analyzer



You can find some extensive [documentation on using LMMS][8]. If you face any difficulties, LMMS also has its [own forum][13] where you can ask for help.

### Installing LMMS on Linux

![][14]

You can also find LMMS listed in the software center of your distribution- however, it might not feature the latest version.

To get the latest LMMS version, you can download the .**AppImage** file from the [official download page][15]. If you want to take a look at the latest or previous releases on GitHub, you can find those in their [releases][16] section.

If you want to use the AppImage file, you can refer to our guide on [using AppImage file][17].

You may also try [installing the Flatpak package][18] available on [Flathub][19].

[Download LMMS][15]

### My Thoughts On LMMS

![][20]

Even though this is a feature-rich free and open-source DAW – personally, I found the UX a little dull.

Of course, technically, it offers quite a lot of features and this could be useful for anyone who does not want to break their wallet to produce music. And, after all, it is an open-source solution.

If you want a full-fledged professional DAW using the VST plugins, you might just hold on to Windows/Mac (if you’re used to it) because you still need to utilize Wine on Linux in order to make sure that the 64-bit VSTs work.

**Wrapping Up**

That being said, I’m not a professional music producer – so feel free to explore LMMS on Linux and make the most out of it without spending a penny.

If you’ve used LMMS (or any similar DAW), let me know your thoughts in the comments below.

--------------------------------------------------------------------------------

via: https://itsfoss.com/lmms/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://lmms.io/
[2]: https://en.wikipedia.org/wiki/Digital_audio_workstation
[3]: https://github.com/LMMS/lmms
[4]: https://lmms.io/forum/viewtopic.php?t=5908
[5]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/01/lmms-screenshot.png?ssl=1
[6]: https://www.presonus.com/products/studio-one/
[7]: https://acoustica.com/mixcraft
[8]: https://docs.lmms.io/user-manual/
[9]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2019/01/linux-audio-editors.jpeg?fit=800%2C450&ssl=1
[10]: https://itsfoss.com/best-audio-editors-linux/
[11]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/01/lmms-project.png?ssl=1
[12]: https://www.ladspa.org/
[13]: https://lmms.io/forum/
[14]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/01/lmms-setup.jpg?ssl=1
[15]: https://lmms.io/download#linux
[16]: https://github.com/LMMS/lmms/releases
[17]: https://itsfoss.com/use-appimage-linux/
[18]: https://itsfoss.com/flatpak-guide/
[19]: https://flathub.org/apps/details/io.lmms.LMMS
[20]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/01/lmms-midi-editor.png?ssl=1
