[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (5 productivity apps for Linux)
[#]: via: (https://opensource.com/article/20/3/productivity-apps-linux-elementary)
[#]: author: (Scott Nesbitt https://opensource.com/users/scottnesbitt)

5 productivity apps for Linux
======
Get organized and accomplish more with these five productivity apps for
the Elementary Linux desktop.
![Person drinking a hat drink at the computer][1]

I've had a soft spot for [Elementary OS][2] since I first encountered it in 2013. A lot of that has to do with the distribution being very clean and simple.

Since 2013, I've recommended Elementary to people who I've helped [transition to Linux][3] from other operating systems. Some have stuck with it. Some who moved on to other Linux distributions told me that Elementary helped smooth the transition and gave them more confidence using Linux.

Like the distribution itself, many of the applications created specifically for Elementary OS are simple, clean, and useful. They can help boost your day-to-day productivity, too.

### About "pay-what-you-want" apps

Some apps in the Elementary AppCenter ask you to pay what you can. You're not obliged to pay to the full amount a developer asks for (or pay anything, for that matter). However, any money that changes hands goes to support the development of those apps.

Three of the applications in this article—Quilter, Notes-up, and Envelope—are pay-what-you-want. If you find an app useful, I encourage you to send some money the developer's way.

### Envelope

Managing your budget should be simple. More than a few people, though, struggle with the task. That's where [Envelope][4] can help. While Envelope doesn't pack the features of something like [GnuCash][5], it's good enough for most of us.

The app is built around the [envelope system][6] of personal and household budgeting. The first time you launch Envelope, you need to set up an account. You can do that manually, or you can import a [QIF][7] file containing financial information from another program.

![Adding an account in Envelope][8]

Either way, Envelope offers a set of categories (your envelopes). Add or delete categories as you see fit—for example, I don't own a car, so I deleted the Fuel category.

From there, add transactions. Those can be your expenses or your income. Or both.

![Entering a transaction in Envelope][9]

Envelope gives you an overview of your spending and income. To get a more focused view of your budget, you can report on the current or previous month or a specific range of dates.

### Notes-Up

[Notes-Up][10]'s look and feel are reminiscent of note-taking tools like [Standard Notes][11], Simplenote, and the macOS Notes app. If you use any of them, switching to Notes-Up will be smooth and painless. Regardless, Notes-Up is easy to learn and use.

![Notes-Up][12]

Create a note and start typing. Notes-Up supports Markdown, making it easy to add formatting to your notes.

![Taking notes in Notes-Up][13]

If your Markdown is rusty, you can click the buttons on the toolbar to add formatting like lists; bold, italics, and strikethrough; code blocks; images; and more. You can also export your notes as PDF or Markdown files.

Use Notes-Up for a while, and you'll wind up with a long list of notes. Organize them using _notebooks_. You can, for example, create personal, school, and work notebooks. On top of that, Notes-Up enables you to create sub-notebooks. Under my notebook for Opensource.com, for example, I have sub-notebooks for articles and the news roundups I curate.

Notebooks not your thing? Then use tags to add keywords to your notes to make them easier to sort.

### Yishu

I do as much of my work as I can in [plain text][14]. That includes my task list. For that, I turn to a handy command-line application called [Todo.txt][15].

If you aren't comfortable working at the command line, then [Yishu][16] is for you. It has Todo.txt's key features but graphically on the desktop.

![Yishu][17]

When you first fire up Yishu, it asks you to open an existing Todo.txt file. If you have one, open it. Otherwise, create a task. That also creates a new file for your tasks.

![Adding a task in Yishu][18]

Your options are limited: a description of the task and a priority. You can also add a due date in the format _YYYY-MM-DD_—for example, _2020-02-17_.

When you click **OK**, Yishu saves the file Todo.txt to your **/home** folder. That might not be where you want to store your tasks. You can tell Yishu to use another folder in its preferences.

### Reminduck

Chances are, your notifications and reminders are jarring. A piercing buzz, an annoying beep, a text box that appears when you least expect it. Why not add a bit of [calm][19] and a bit of whimsy to your reminders—with a duck?

That's the idea behind [Reminduck][20]. It's a simple and fun way to tell yourself it's time to do, well, anything.

Fire up the app and create a reminder. You can add a description, date, and time for the reminder to appear, and you can set it to repeat. Reminders can repeat after a number of minutes that you set or at specific times every day, week, or month.

![Reminduck][21]

You can set up more than one reminder. Reminduck organizes your reminders, and you can edit or delete them.

![Reminduck reminders][22]

When the reminder is triggered, a little message pops out of the notification area on the desktop along with a soft alert and an icon of a smiling duck.

![Reminduck notification][23]

### Quilter

It's easy enough to write with [Markdown][24] in a plain old text editor. Some folks, though, prefer to work with a dedicated Markdown editor. On the Elementary OS desktop, one option is [Quilter][25].

![Quilter][26]

Quilter is pretty basic. There's no toolbar to insert formatting; you have to add Markdown by hand. On the other hand, Quilter displays a running word count and an estimate of how long it will take to read what you're writing.

![Quilter][27]

The editor's options are few. There's a preview mode, and you can export your documents to PDF or HTML. The result of an export has the same look as a preview. That's not a bad thing.

Quilter's other options include the ability to change the line spacing and margins, set the editor's font, as well as enable syntax highlighting and spell checking. It also has a mode that you can use to focus on a single line or a single paragraph while you're writing.

### Final thoughts

Sometimes, the best tools to boost your productivity are simple ones. Applications like the five above focus on doing one thing and doing it well.

Envelope, Notes-Up, Yishu, Reminduck, and Quilter won't appeal to everyone. But if you use Elementary OS, give them a try. They can help you keep on track and do what you need to do.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/3/productivity-apps-linux-elementary

作者：[Scott Nesbitt][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/scottnesbitt
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/coffee_tea_laptop_computer_work_desk.png?itok=D5yMx_Dr (Person drinking a hat drink at the computer)
[2]: https://elementary.io
[3]: https://opensource.com/article/18/12/help-non-techies
[4]: https://nlaplante.github.io/envelope/
[5]: https://opensource.com/article/20/2/gnucash
[6]: https://en.wikipedia.org/wiki/Envelope_system
[7]: https://en.wikipedia.org/wiki/Quicken_Interchange_Format
[8]: https://opensource.com/sites/default/files/uploads/envelope-add-account.png (Adding an account in Envelope)
[9]: https://opensource.com/sites/default/files/uploads/envelope-entering-transaction.png (Entering a transaction in Envelope)
[10]: https://appcenter.elementary.io/com.github.philip-scott.notes-up/
[11]: https://opensource.com/article/18/12/taking-notes-standard-notes
[12]: https://opensource.com/sites/default/files/uploads/notes-up-main-window.png (Notes-Up)
[13]: https://opensource.com/sites/default/files/uploads/notes-up-taking-note.png (Taking notes in Notes-Up)
[14]: https://plaintextproject.online
[15]: https://opensource.com/article/20/1/open-source-to-do-list
[16]: https://appcenter.elementary.io/com.github.lainsce.yishu/
[17]: https://opensource.com/sites/default/files/uploads/yishu-task-list.png (Yishu)
[18]: https://opensource.com/sites/default/files/uploads/yishu-add-task.png (Adding a task in Yishu)
[19]: https://weeklymusings.net/weekly-musings-025
[20]: https://appcenter.elementary.io/com.github.matfantinel.reminduck/
[21]: https://opensource.com/sites/default/files/uploads/reminduck.png (Reminduck)
[22]: https://opensource.com/sites/default/files/uploads/remiunduck-reminders-list.png (Reminduck reminders)
[23]: https://opensource.com/sites/default/files/uploads/reminduck-notification.png (Reminduck notification)
[24]: https://opensource.com/article/19/8/markdown-beginners-cheat-sheet
[25]: https://appcenter.elementary.io/com.github.lainsce.quilter/
[26]: https://opensource.com/sites/default/files/uploads/quilter.png (Quilter)
[27]: https://opensource.com/sites/default/files/uploads/quilter-editing.png (Quilter)
