[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (Love or hate chat? 4 best practices for remote teams)
[#]: via: (https://opensource.com/article/20/4/chat-tools-best-practices)
[#]: author: (Jen Wike Huger https://opensource.com/users/jen-wike)

Love or hate chat? 4 best practices for remote teams
======
Plus, learn about a few open source alternatives for chat.
![Chat via email][1]

Chat is a part of most people's daily lives, especially if you work in tech, and especially if you work with teammates located in different parts of the world. It can be a great way to achieve these goals:

  * **to connect**; to share with teammates on a personal level
  * **to get work done**; to communicate with teammates about work in progress
  * **to share**; to give notes and feedback from experiences, meetings, and interactions outside of the group that may be relevant to your work or interests



I encourage you to explore [open source alternatives to chat][2] like [Mattermost][3], [Rocket.Chat][4], and [Riot][5].

### To chat or not to chat, that is the question

First, it's important to make time to have a discussion with each member of your team focused on answering whether they are comfortable with using a chat platform to keep in touch throughout the workday. Some people enjoy chat and see it as a vital part of their workday, getting things done and communicating with teammates who they rely on to get that work done and move forward with projects. Others struggle with chat as a way of getting work done and prefer to use it when they feel like having more casual conversations with teammates on topics less focused on work and more on social interaction and personal sharing. Some people wish chat would burn in a fire.

Gather these opinions and talk through these feelings with each person. You can do this as a group or one-on-one if that feels more appropriate.

Why? Because communication is important and always will be, and your team will find a way to chat no matter what you do. We're human, and need various levels and types of interaction with each other throughout our days and lives. And when it comes to our work colleagues, it's helpful to put some structure in place to guide your team.

### Best practices for team chat

If you have decided to use chat in some form, the next step is to place structure around when and how to use it and **not** use it. These best practices work well for teams who are working remotely and at home, as well as in the office.

**1\. Create rooms and threads to focus your conversations.**

My team has a room for each of our sub-teams who work on a particular project together. We also have an at-large room for all of us to banter and share.

Additionally, we use threads to focus on one topic at a time which is helpful when you have several to dozens of teammates in one room together. It helps conversations to continue and not stop prematurely because they were lost in the mix of other conversations.

**2\. Decide when your team will be signed in and available to talk.**

Is it throughout the workday (whatever hours those are for you), during a set timeframe, or as desired?

My team has set the expectation that they will be signed in and available to chat at some point during the workday **about work-related topics**, and that at that time they will check for and respond to messages that were sent to them while they were away. So, we are using it as an asynchronous way to communicate about work.

For us, asynchronous chat helps us plan and schedule each day how we see fit with the goal of being productive and serving our project in the best we can _that day_.

If a teammate does **not** plan on signing in and responding to messages one day, that is OK, and we set the expectation that they will send a message to let the team know. For my team, almost no communication is wrong (see guideline #4), but it should be communicated. We also review our schedules for the following week in a team meeting the week before so we know when someone will be away from their desk, not working, or blocking out a chunk of time for a project.

**3\. Decide when your teammates are responsible for responding (and when they are not).**

Use @ mentions if you want someone to see and respond to your question or comment in chat. Don't expect them to be watching every thread and conversation. 

And I would recommend that you take it a step further and define when teammates should be responsible for responding and when they should not. This type of decision is meant to free you and your teammates, not hold you down. The more you understand the expectations, the freer you are to operate within the same understood universe. When you are unsure of the rules, you may act and make decisions in fear or trepidation instead, like staying signed in to chat all day when you really just need to block it out to get something done.

Our team has decided that it's nice if you can respond in chat when you are mentioned, but if you don't that is OK. Perhaps you were AFK during that time and lost track of the notification. For us, if you definitely want a response to something from someone, send them an email. 

**4\. Communicate clearly and with kindness.**

The way we interpret messages when we are chatting via text is different than when we are chatting verbally, in-person or over video.

My team uses a lot of humor, emojis, and clear, concise messages to chat with each other.

We also hold weekly in-person or video conference meetings so that we can get to know each other better. The more you trust someone, the easier it is to give them the benefit of the doubt when you're confused by a message and the better you are at understanding what they are saying and what their intention is behind the text coming through to you.

### Signing off

What best practices does your team use? Do you love or hate chat, and why? 

For all kinds of teams today, chat is a special part of how we stay connected, working, and sharing with each other. Finding ways to do that in a healthy and committed way is part of everyone's responsibility.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/4/chat-tools-best-practices

作者：[Jen Wike Huger][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jen-wike
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/email_chat_communication_message.png?itok=LKjiLnQu (Chat via email)
[2]: https://opensource.com/alternatives/slack
[3]: https://mattermost.com/
[4]: https://rocket.chat/
[5]: https://riot.im/app/
