[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (8 open source video games to play)
[#]: via: (https://opensource.com/article/20/5/open-source-fps-games)
[#]: author: (Aman Gaur https://opensource.com/users/amangaur)

8 open source video games to play
======
These games are fun and free to play, a way to connect with friends, and
an opportunity to make an old favorite even better.
![Gaming on a grid with penguin pawns][1]

Video games are a big business. That's great for the industry's longevity—not to mention for all the people working in programming and graphics. But it can take a lot of work, time, and money to keep up with all the latest gaming crazes. If you feel like playing a few quick rounds of a video game without investing in a new console or game franchise, then you'll be happy to know that there are plenty of open source combat games you can download, play, share, and even modify (if you're inclined to programming) for free.

First-person shooters (FPS) are one of the most popular categories of video games. They are centered around the perspective of the protagonist (the player), and they often offer weapon-based advancement. As you get better at the game, you survive longer, you get better weapons, and you increase your power. FPS games have a distinct look and feel, which is reflected in the category's name: players see everything—their weapons and the game world—in first person, as if they're looking through their player character's eyes.

If you want to give one a try, check out the following eight great open source FPS games.

### Xonotic

![Xonotic][2]

[Xonotic][3] is a fast-paced, arena-based FPS game. It is a popular game in the open source world. One reason could be the fact that it has never been a mainstream game. It offers a variety of weapons and enemies that are thrown right at you mercilessly from the start. Demanding quick action and response, it is an experience that will keep you on the edge of your seats. The game is available under the GPLv3+ license.

### Wolfenstein Enemy Territory

![Wolfenstein Enemy Territory][4]

Wolfenstein has been a major franchise in gaming for many years. If you are a fan of gore and glory, then you've probably already heard of this game (if not, you'll love it once you try it). [Wolfenstein Enemy Territory][5] is an early iteration of the popular World War II game. It became free to play in 2003, and its [source code][6] is provided under the GPLv3. To play, however, you must own the game data (or recreate it yourself) separately (which remains under its original EULA).

### Doom

![Doom][7]

[Doom][8] is a wildly popular game that was also an early example of games on Linux—way back in 2004. There are many iterations of the game, many of which have been released as open source. The game is about acquiring a teleportation device that's been captured by demons, so the violence, while gory, is low on realism. The source code for the game was provided under the GPL, but many versions require that you own the game for the game assets. There are dozens of ports and adaptations, including [Freedoom][9] (with free assets), [Dhewm3][10], [RBDoom-3-BFG][11], and many more. Try a few and pick your favorite!

### Smokin' Guns

![Smokin' Guns][12]

If you're a fan of the Old West and six-shooters, this FPS is for you. From cowboys to gunslingers and with a captivating background score, [Smokin' Guns][13] has it all. It's a semi-realistic simulation of the old spaghetti western. On your way through the game, you face multiple enemies and get multiple weapons, so there's always the promise of excitement and danger around the corner. The game is free and open source under the terms of the GPLv2.

### Nexuiz

![Nexuiz][14]

[Nexuiz][15] (classic) is another great FPS that's free to play on multiple platforms. The game is based on the Quake engine and has been made open source under the GNU GPLv2. The game offers multiple modes, including online, LAN party, and bot training. The game features sophisticated weapons and fast action. It's brutal and exciting, with an objective: kill as many opponents as possible before they get you.

Note that the open source version of Nexuiz is not the same as the version built on CryEngine3 that is sold on Steam.

### .kkrieger

![kkrieger][16]

[.Kkrieger][17] was developed in 2004 by .theprodukkt, a German demogroup. The game was developed using an unreleased (at the time) engine known as Werkkzeug. This game might feel a little slow to many, but it still offers an intense experience. The approaching enemies are slow, but their sheer number makes it confusing to know which one to take down first. It's an onslaught, and you have to shoot through layers of enemies before you reach the final boss. It was released in a rather raw form on [GitHub][18] by its creators under a BSD license with some public domain components.

### Warsow

![Warsow][19]

If you've ever played Borderlands 2, then imagine [Warsow][20] as an arena-style Borderlands. The game is built on a modernized Quake II engine, and its plot takes a simple approach: Kill as many opponents as possible. The team with the most number of kills wins. Despite its simplicity, it features amazing weaponry and lots of great trick moves, like circle jumping, bunny hopping, double jumping, ramp sliding, and so on. It makes for an engaging multiplayer session, and it's been recognized by multiple online leagues as a worthy game for their competitions. Get the source code from [GitHub][21] or install the game from your software repository.

### World of Padman

![World of Padman][22]

[The World of Padman][23] may be the last game on this list, but it's one of the most unique. Designed by PadWorld Entertainment, World of Padman takes a different twist graphically and introduces you to quirky and whimsical characters in a colorful (albeit cartoonishly violent) world. It's based on the ioquake3 engine, and its unique style and uproarious gameplay have earned it a featured place in multiple gaming magazines. You can download the source code from [GitHub][24].

### Give one a shot

A game that becomes open source can act as a template for something great, whether it's a wholly open source version of an old classic, a remix of a beloved game, or an entirely new platform built on an old reliable engine.

Open source gaming is important for many reasons: it provides users with a fun diversion, a way to connect with friends, and an opportunity for programmers and designers to hack within an existing framework. If titles like Doom weren't made open source, a little bit of video game history would be lost. Instead, it endures and has the opportunity to grow even more.

Try an open source game, and watch your six.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/5/open-source-fps-games

作者：[Aman Gaur][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/amangaur
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/game_pawn_grid_linux.png?itok=4gERzRkg (Gaming on a grid with penguin pawns)
[2]: https://opensource.com/sites/default/files/uploads/xonotic.jpg (Xonotic)
[3]: https://www.xonotic.org/download/
[4]: https://opensource.com/sites/default/files/uploads/wolfensteinenemyterritory.jpg (Wolfenstein Enemy Territory)
[5]: https://www.splashdamage.com/games/wolfenstein-enemy-territory/
[6]: https://github.com/id-Software/Enemy-Territory
[7]: https://opensource.com/sites/default/files/uploads/doom.jpg (Doom)
[8]: https://github.com/id-Software/DOOM
[9]: https://freedoom.github.io/
[10]: https://dhewm3.org/
[11]: https://github.com/RobertBeckebans/RBDOOM-3-BFG/
[12]: https://opensource.com/sites/default/files/uploads/smokinguns.jpg (Smokin' Guns)
[13]: https://www.smokin-guns.org/downloads
[14]: https://opensource.com/sites/default/files/uploads/nexuiz.jpg (Nexuiz)
[15]: https://sourceforge.net/projects/nexuiz/
[16]: https://opensource.com/sites/default/files/uploads/kkrieger.jpg (kkrieger)
[17]: https://web.archive.org/web/20120204065621/http://www.theprodukkt.com/kkrieger
[18]: https://github.com/farbrausch/fr_public
[19]: https://opensource.com/sites/default/files/uploads/warsow.jpg (Warsow)
[20]: https://www.warsow.net/download
[21]: https://github.com/Warsow
[22]: https://opensource.com/sites/default/files/uploads/padman.jpg (World of Padman)
[23]: https://worldofpadman.net/en/
[24]: https://github.com/PadWorld-Entertainment
