[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (27 Super Cool Raspberry Pi Zero W Projects for DIY Enthusiasts)
[#]: via: (https://itsfoss.com/raspberry-pi-zero-projects/)
[#]: author: (Chinmay https://itsfoss.com/author/chinmay/)

27 Super Cool Raspberry Pi Zero W Projects for DIY Enthusiasts
======

The small form factor of the [Raspberry Pi Zero W][1] enables a new range of projects. In fact, a lot of people use the Pi Zero in the final version of the project after prototyping on a different full-sized Pi board. And, that’s because it consumes much less power compared to the flagship Pi boards and makes it ideal to build battery powered gadgets.

Preview | Product | Price |
---|---|---|---
![CanaKit Raspberry Pi Zero W \(Wireless\) Complete Starter Kit - 16 GB Edition][2] ![CanaKit Raspberry Pi Zero W \(Wireless\) Complete Starter Kit - 16 GB Edition][2] | [CanaKit Raspberry Pi Zero W (Wireless) Complete Starter Kit - 16 GB Edition][3] | $32.99[][4] | [Buy on Amazon][5]

After scouring [Instructables][6], [Reddit][7], [Hackaday][8], other maker oriented communities and my own experience with Pi, I have compiled a list of projects built around the Raspberry Pi Zero and the Raspberry Pi Zero W. The community is extremely innovative and all these projects make impressive use of various features of this maker board.

So, in addition to the awesome list of [Raspberry Pi Projects][9] that we covered earlier, here, we will be focusing on Raspberry Pi Zero!

### Top Creative Projects You Can Build With Raspberry Pi Zero

![][10]

Of course, you’re free to use some [Raspberry Pi Zero alternatives][11] and try the same project ideas mentioned below.

#### 1\. Portable Game Console

This is by far my favorite project built around the Raspberry Pi Zero, hence featured at the top. Today we have emulators for most of the retro games. This project puts the Pi Zero in the classic game-boy form factor. You can play most of your favorite retro games and you can play them anywhere.

This project is also beautifully documented in YouTube video(s) and on Instructables.

[Portable Game Console][12]

#### 2\. DIY Smart Speaker Powered by Alexa

Amazon’s Alexa has always been very tinkerer friendly and makers around the world have built all kinds of Alexa based devices. This project also adds RGB programmable LED’s to make it look a little more like the echo speaker.

[DIY Smart Speaker][13]

#### 3\. Home Network Music System

Getting a proper home music system setup is usually expensive. However, with the inexpensive Raspberry Pi Zero, you can utilize your MP3 collection to set up a home network music system.

This project uses the [PiDrive][14], PiDrive is basically a Raspberry Pi Zero W attached to a hard disk. Unfortunately, I think it has been discontinued but you can also build it using a normal Pi Zero W in different configurations. You can play local music or even stream from different services.

[Pi MusicBox][15]

#### 4\. Network Ad Blocker using Pi-Hole

This is something I personally use on a daily basis and it has completely changed my internet experience. If you’re someone who doesn’t want to see advertisements while you browse around online, an Ad blocker using Raspberry Pi would be exciting, right?

[Pi-Hole][16] on a Raspberry Pi can block all the ads on your entire network. Anyone on the network with an active Pi-Hole will have an ad-free experience. It also speeds up your internet experience since the bandwidth used by ads is freed up.

You can watch Linus’ video to get an idea or refer to the detailed post in Linus Tech Tips forums linked in the button below.

[Ad-Blocker using Pi Hole][17]

#### 5\. AirPlay Speaker using Raspberry Pi Zero

![][18]

AirPlay is a chromecast equivalent in the Apple ecosystem, you can cast media from your Apple devices to an AirPlay supported speaker.

This project is built very well with 3D printed parts and you can find detailed instructions for it.

[AirPlay Speaker][19]

#### 6\. DIY Google Home with a Bluetooth Speaker

![][20]

This is another nifty little project which is a tinkerer’s dream. Building your own smart speaker powered by the Google Assistant? Indeed, exciting!

Here, a Pi Zero is paired with a Bluetooth speaker, microphone and the Google Assistant SDK to achieve some functionalities. You can ask questions and do most of the things you can with the official Google Home device. This project does not handle the casting part of the Google Home experience though.

[DIY Google Home][21]

#### 7\. Pedal Pi – Raspberry Pi Zero Guitar Pedal

Pedal Pi is a programmable Lo-Fi guitar pedal built using the Pi Zero where you can program your own custom effects. The project is fully open source (including the hardware) as well. It goes to prove how versatile the Pi Zero can be.

It can be an incredibly fun experience for people who are makers and also into digital music.

[Pedal Pi][22]

#### 8\. ZeroBot – FPV Robot

There are a lot of different robots you can build using the Pi Zero. It is almost perfect for any kind of robot that you can think of building. It has ample amount of [GPIO][23], a decent processor, a camera interface and the choice of software stack and programming language.

The ZeroBot is an [FPV][24] bot which also has a camera and is able to transmit what it is seeing. It even features a completely 3D printed body.

You can find [detailed instructions here][25].

#### 9\. WiFi Security Camera

Raspberry Pi Zero W comes with a CSI connector where you can connect the camera module. This compatibility also lets you easily build a WiFi-powered CCTV camera(s) for your home at a very reasonable price compared to commercial products.

The [motionEyeOS][26] is a purposely built to convert your SBC (in this case the Pi Zero) to a surveillance system. You can find more information in the video above or head to the link below.

[WiFi Security Camera][27]

#### 10\. PIX-E GIF Camera

![][28]

GIF’s have taken over social media and all IM platforms. Just thinking of a dedicated GIF camera makes me chuckle. That’s exactly what this project is all about. I am very curious about how it would turn out with the new HQ camera which has a much better image quality.

This [project has been documented][29] really well with accompanying videos on Hackaday

[GIF Camera][29]

#### 11\. Wearable Timelapse Camera

One of the sleekest camera project I’ve seen, this is a wearable camera. You can take time-lapses, and videos from a first person’s perspective.

This is a project by Adafruit and is documented really well. Refer to the video above to get an idea or head to the link below.

[Wearable Timelapse Camera][30]

#### 12\. Telescope Camera

![][31]

Building a telescope camera is one of the most popular camera based applications for the Pi Zero. Makers around the world have taken amazing pictures with their DIY telescope cameras.

[Telescope Camera][32]

#### 13\. Kodi on Pi Zero

Kodi is one of the best open source [media server software][33] for making a media box for your TV. The amazing part is that it also runs on the Pi Zero W.

Now you can DIY an alternative to the Amazon Fire TV Stick.

[Kodi on Pi Zero][34]

#### 14\. OctoPrint – Wireless 3D Printing

![][35]

If you are into 3D printing, you would have heard about [OctoPrint][36] at some point. OctoPrint unlocks many feature comforts we enjoy with normal printers like sending print jobs directly from the computer to the 3D printer instead of using a micro SD card. You can also attach a webcam and monitor your prints and control all aspects of the printer.

OctoPrint is usually used with the bigger Pi’s but it can also be used with the Raspberry Pi Zero W with some soldering and mods. It is important to note that there is low WiFi interference when using the Pi Zero since it can impact prints. Here are some references talking about OctoPrint on Pi Zero to help you build it yourself:

  * [OctoPrint on Pi Zero][37]
  * [OctoPrint on Pi Zero (from Prusa 3D)][38]



#### 15\. Pirate Radio Station

This seems like quite a fun idea, you can actually make the Pi Zero W broadcast using FM.

It also happens to be a simple project and you don’t need many additional components either. You can be your own neighborhood RJ, do make sure to check out the legal aspects of a pirate radio station in your country.

[Pirate Radio Station][39]

#### 16\. IoT Smart Alarm Clock

![][40]

Here’s a project making something which might sound very trivial but nevertheless is super cool and underrated.

The freedom of being able to program your own alarm clock, automating it with scripts and making your life a little easier and fun (and still not waking up) sounds exciting!

[IoT Smart Alarm Clock][41]

#### 17\. Pi Zero Tesla Coil

This is the most unexpected yet an amazing project I’ve come across which uses the Pi Zero W.

It doesn’t get cooler than playing music on a [tesla coil][42] using the Pi. Make sure you watch the video.

[Tesla Coil with Pi Zero][43]

#### 18\. Network Performance Monitoring using Pi Zero

![][44]

If you like to keep tabs on your network, you should check out this project.

This is a [bandwidth monitor][45] built using the Pi Zero W that features a nifty little screen to display important stats.

[Bandwidth Monitor][45]

#### 19\. Pi Pod – Raspberry Pi Zero Music Player

![][46]

It’s 2020 and you might be thinking who would want a portable music player since mobile phones have replaced them almost entirely. But, there are always people (including myself) who would want a device dedicated to music and does not do anything else.

This project features the Raspberry Pi Zero W in another form and looks pretty neat. It’s called the **Pi Pod**.

You can also design your own 3D printable enclosure and customize every element of the music player.

[Pi Pod][47]

#### 20\. Raspberry Pi Drone

![][48]

The Pi Zero packs in enough features and processing power for it be at the heart of a drone. It is light weight, cheaper than some alternative drone specific boards too. You also get the freedom of using different firmware(s) or code one on your own.

There are also many open source designs available for the frame of the drone on [Thingiverse.][49]

[Pi Drone][50]

#### 21\. Internet Connected Info Display

The Pi Zero W is capable of connecting to the internet via WiFi, it also has all the GPIO and display outputs to make a highly functional device to display information from the internet.

The freedom of programming means that you can have the display show any information you need. Your google calendar events, stock prices and anything you can find on the internet.
Here are a couple of interesting projects which are built around this idea.

  1. [YouTube Subscriber Counter][51]
  2. [Raspberry Pi Internet Connected Information Display][52]



#### 22\. Raspberry Pi Pocket Projector

Ever since Texas Instruments came out with the mini projector evaluation board, a Raspberry Pi Zero based projector has been a very popular project.

If you can get your hands on the projector module, this can be a very interesting build. This is not a beginner-friendly project, but a tinkerer should feel right at home. You can find all the relevant details from the video above.

#### 23\. VPN Server

![][53]

In today’s world, extra care needs to be taken about companies barging into one’s privacy and using a VPN is becoming more and more commonplace.

Fret not, you can utilize the Raspberry Pi Zero W with [OpenVPN][54] to add an extra layer of security to your home network. This can be a great for small families where everyone in the house can be protected and don’t need to separate VPN subscriptions.

[VPN Server][55]

#### 24\. Weather Station

![][56]

This is a very cool project, a complete weather station which can display various weather metrics for the day and forecasts too. It even includes a 3D printed case which looks pretty sharp. The amazing part is that you can use the display to show things other than weather as well.

As I also noticed in another similar project on [Instructables][57], you may also tweak it with your own custom database and website.

[Weather Station][58]

#### 25\. Ambient Lighting System for TV

An ambient lighting system enhances the TV experience, this is another amazing project involving the Raspberry Pi Zero.

In real life this effect feels like a dynamic portrait mode applied to the screen and whatever is being shown on the screen, makes the experience a lot immersive.

GreatScott (a popular YouTuber) for content based around electronics and DIY shows you around with the project in the video above. You may also refer to the written instructions from the link below.

[Ambient Lighting System][59]

#### 26\. Wireless Network Printer

![][60]

The Pi Zero W is a great board to make any old printer free from being fixed to one computer and have the freedom of placing it anywhere.

This way print jobs can be sent from multiple computers, phones on the same network. This is a quality of life improvement which is highly underrated, even in households.

This project utilizes [CUPS][61] running on Pi Zero W to make your printer wireless.

[Wireless Network Printer][62]

#### 27\. Pi Zero Cluster

![][63]

You can pack in 10’s of these tiny computers together to have access to massive amounts of parallel processing. The GPU’s on these SBC’s can be utilized for challenging compute needs.

Regular Raspberry Pi’s have long been used to make clusters and Raspberry Pi based super computers consisting of 100’s – 1000’s of Pi’s. Since the introduction of the Pi Zero with it’s lower price and size, it is possible to put more of them into a small space.

There are many custom boards which are built to hold multiple Pi Zero’s.

[Pi Zero Cluster][64]

#### Closing Thoughts

The projects featured here are only a tip of the iceberg. You can find many more projects if you look around on the internet. The versatility of the Raspberry Pi Zero is unprecedented, combined with its affordability it is one of the most used SBC by makers and tinkerers around the world.

What did you build with the Raspberry Pi Zero ? Put it in the comments below along with your favorite projects.

--------------------------------------------------------------------------------

via: https://itsfoss.com/raspberry-pi-zero-projects/

作者：[Chinmay][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/chinmay/
[b]: https://github.com/lujun9972
[1]: https://itsfoss.com/raspberry-pi-zero-w/
[2]: https://i1.wp.com/m.media-amazon.com/images/I/517BwcAPmTL._SL160_.jpg?ssl=1
[3]: https://www.amazon.com/dp/B072N3X39J?tag=chmod7mediate-20&linkCode=ogi&th=1&psc=1 (CanaKit Raspberry Pi Zero W (Wireless) Complete Starter Kit - 16 GB Edition)
[4]: https://www.amazon.com/gp/prime/?tag=chmod7mediate-20 (Amazon Prime)
[5]: https://www.amazon.com/dp/B072N3X39J?tag=chmod7mediate-20&linkCode=ogi&th=1&psc=1 (Buy on Amazon)
[6]: https://www.instructables.com
[7]: https://www.reddit.com/r/raspberry_pi
[8]: https://hackaday.com
[9]: https://itsfoss.com/raspberry-pi-projects/
[10]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/10/raspberry-pi-zero-w-projects.png?resize=800%2C450&ssl=1
[11]: https://itsfoss.com/raspberry-pi-zero-alternatives/
[12]: https://www.instructables.com/DIY-Raspberry-Pi-Zero-Handheld-Game-Console/
[13]: https://www.instructables.com/Alexa-Assistant-With-a-10-Raspberry-Pi-Zero-W-and-/
[14]: https://www.raspberrypi.org/blog/meet-314gb-pidrive/
[15]: https://www.instructables.com/Raspberry-Pi-Home-Network-Music-System/
[16]: https://pi-hole.net/
[17]: https://linustechtips.com/main/topic/1094810-pi-hole-setup-tutorial/
[18]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-airplay-speaker.png?resize=800%2C578&ssl=1
[19]: https://www.hackster.io/fvdbosch/raspberry-pi-zero-airplay-speaker-d99feb
[20]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-google-home.png?resize=800%2C541&ssl=1
[21]: https://www.instructables.com/DIY-Google-Home-With-Bluetooth-Speaker-on-Raspberr/
[22]: https://www.instructables.com/Raspberry-Pi-Zero-Guitar-Pedal/
[23]: https://en.wikipedia.org/wiki/General-purpose_input/output
[24]: https://en.wikipedia.org/wiki/First-person_view_(radio_control)
[25]: https://hackaday.io/project/25092-zerobot-raspberry-pi-zero-fpv-robot
[26]: https://github.com/ccrisan/motioneyeos
[27]: https://maker.pro/raspberry-pi/projects/how-to-build-a-cctv-network-camera-with-raspberry-pi-zero-w-and-motionpie
[28]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-gif-camera.jpg?resize=800%2C633&ssl=1
[29]: https://hackaday.io/project/16358-pix-e-gif-camera
[30]: https://learn.adafruit.com/raspberry-pi-wearable-time-lapse-camera/overview
[31]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-telescope-camera.png?resize=800%2C555&ssl=1
[32]: https://www.instructables.com/Astrophotography-With-the-Raspberry-Pi-Zero/
[33]: https://itsfoss.com/best-linux-media-server/
[34]: https://dronebotworkshop.com/kodi-raspberry-pi/
[35]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/10/octoprint-logo.png?resize=515%2C421&ssl=1
[36]: https://octoprint.org
[37]: https://toglefritz.com/how-to-run-octoprint-on-a-raspberry-pi-zero/
[38]: https://help.prusa3d.com/en/article/octoprint-building-an-image-for-raspberry-pi-zero-w_2182
[39]: https://makezine.com/projects/pirate-radio-throwies/
[40]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-iot-clock.png?resize=800%2C472&ssl=1
[41]: https://hackaday.io/project/19230-iot-smart-alarm-clock
[42]: https://en.wikipedia.org/wiki/Tesla_coil
[43]: https://www.extremeelectronics.co.uk/electronic-tesla-coils/pi-zero-tesla-coil/
[44]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-network-performance.png?resize=800%2C432&ssl=1
[45]: https://www.instructables.com/Bandwidth-Monitor/
[46]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-pod-music-player.png?resize=743%2C542&ssl=1
[47]: https://www.raspberrypi.org/blog/pipod-pi-zero-music-player/
[48]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-zero-drone.png?resize=736%2C552&ssl=1
[49]: https://thingiverse.com
[50]: https://www.hackster.io/12590/pi0drone-a-200-smart-drone-with-the-pi-zero-4fec08?f=1
[51]: https://www.youtube.com/watch?v=afY_xHqQu-s
[52]: https://www.hackster.io/fvdbosch/raspberry-pi-zero-internet-connected-information-display-5cae96
[53]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-open-vpn.jpg?resize=800%2C296&ssl=1
[54]: https://openvpn.net/
[55]: https://circuitdigest.com/microcontroller-projects/turn-your-raspberry-pi-zero-in-to-a-vpn-server-using-openvpn
[56]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-zero-weather-station.png?resize=800%2C599&ssl=1
[57]: https://www.instructables.com/Complete-Raspberry-Pi-Weather-Station/
[58]: https://www.hackster.io/hartmut-wendt/raspberry-pi-based-weather-station-a9a7dd
[59]: https://www.instructables.com/Make-Your-Own-Ambient-Lighting-With-the-Raspberry-/
[60]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-wireless-printer.jpg?resize=800%2C450&ssl=1
[61]: https://www.cups.org/
[62]: https://maker.pro/raspberry-pi/projects/how-to-turn-a-usb-printer-into-a-wireless-printer-with-raspberry-pi-zero-w
[63]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2020/10/pi-zero-cluster.png?resize=800%2C531&ssl=1
[64]: https://magpi.raspberrypi.org/articles/clusterhat-review-cluster-hat-kit
