[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (3 ways Kubernetes optimizes your IT budget)
[#]: via: (https://opensource.com/article/20/12/it-budget-kubernetes)
[#]: author: (John Allen https://opensource.com/users/johnallen)

3 ways Kubernetes optimizes your IT budget
======
Automation is not only good for IT, it's also beneficial to your
company's bottom line.
![A dollar sign in a network][1]

Businesses all over the world are facing extraordinary challenges, and adapting to new ways of work is essential to their survival and progress. The importance of IT workers and systems can't be overstated; with companies looking for innovative ways to adjust, often with reduced resources, automation is increasingly central to day-to-day operations.

Many of these companies have turned to [Kubernetes][2] to ensure their products and services provide the best possible experience to users. Kubernetes is a container orchestration tool developed by Google. It's been open source since 2014, and over the past few years, a lot of tech success stories (including Netflix and hugely popular online games) have been built on using its tools to coordinate applications.

![Kubernetes microservices architecture][3]

Kubernetes' microservice architecture enhances performance by breaking complex apps into components. (John Allen, [CC BY-SA 4.0][4])

The Kubernetes system's essential role is to make hosting an application with containers manageable. Traditional monolith systems put an app's entire code in one place. In contrast, containers split that code into smaller microservices that perform specific tasks (e.g., controlling volume or processing a payment).

That might sound like a huge increase in workload, with thousands of containers needing separate maintenance. But Kubernetes enables a regular team of engineers to manage an enormous number of containers.

If you want to understand the system in detail, [_A beginner's guide to Kubernetes container orchestration_][5] details the what, how, and why of Kubernetes, and it is well worth checking out. From a purely budgeting perspective, though, there are some major benefits to Kubernetes that could maximize your IT resources.

### Automation

One of Kubernetes' key benefits is [automation][6], and this is closely linked to the system's utility as an orchestration tool. It can automate individual tasks, thereby streamlining your IT resources by reducing the need for human intervention, but orchestration is required to coordinate those tasks into an overall process.

Even if each task is perfectly automated, the overall process won't be effective unless those tasks are performed correctly _together_. Essentially, Kubernetes is the conductor that ensures the whole process works.

Since applications are based on consistently performing the same tasks as part of an overall process, automating each task—as well as the orchestration of those tasks—builds reliability into your infrastructure. This infrastructure is the basis of a good user experience and, therefore, of a strong product.

By automating much of the day-to-day running of your application, you can focus your IT budget on areas that maximize your return on investment and fund innovations to grow your business.

### Performance

Whether your product is a hugely popular online video game or part of the new wave of omnichannel contact center solutions, you need a guaranteed level of performance. The Kubernetes architecture is the key to its popularity, with several important features built in to ensure the performance of even the most complex processes.

![Kubernetes interface][7]

Kubernetes' interface makes monitoring performance easier. (John Allen, [CC BY-SA 4.0][4])

For example, good call-center software needs to run a huge number of processes to maximize customers' potential to reach their desired outcome. Guaranteeing the performance of each one of these elements is essential. Distributing the software's tasks among containers isolates each task. This means there is less that can go wrong, which simplifies the process of fixing errors or updating software. Compartmentalizing tasks, rather than running a monolith, puts less strain on your servers, thereby improving your hardware's efficiency.

In addition to reducing your IT budget by decreasing time spent on maintenance, this leads to a better user experience. This, in turn, has the potential to produce greater uptake and increased profitability.

### Maintenance

If your business relies on users' ability to interact with your application, you will understand the dread of being down for maintenance. Kubernetes can help eliminate many of the issues that lead to reduced availability. Monolith architecture maintenance requires an entire system to be taken down, fixed, tested, and re-deployed, which costs time and money and frustrates users. A microservices architecture allows issues to be isolated and resolved without downtime, meaning your app is always ready for use.

The mutability of Kubernetes means it can adapt to a variety of infrastructures across physical, virtual, cloud, and hybrid environments. The maintenance involved with building for Kubernetes (or transferring from monolith to container) adapts to the experience of developers looking to find the most effective solution.

With more and more people working from home, enabling workers to coordinate remotely on complex projects is essential. Videoconferencing and providing virtual phone numbers are highly effective ways of ensuring smooth project management. Knowing you're working within a system that can deal with a huge number of problems and provide practical solutions is also invaluable. Because Kubernetes is open source, it also benefits from shared knowledge that lets you implement performance-enhancing features as they are developed.

Naturally, implementing new infrastructure will incur upfront costs. However, the long-term benefits mean it's worth considering Kubernetes. Not only can your company optimize its existing budget and services, but you can also explore innovative new ways of growing. Switching to Kubernetes sooner rather than later may lead to improved performance, automated IT processes, lower maintenance, and happier users.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/12/it-budget-kubernetes

作者：[John Allen][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/johnallen
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/osdc_whitehurst_money.png?itok=ls-SOzM0 (A dollar sign in a network)
[2]: https://kubernetes.io/
[3]: https://opensource.com/sites/default/files/uploads/kubernetesarchitecture.jpg (Kubernetes microservices architecture)
[4]: https://creativecommons.org/licenses/by-sa/4.0/
[5]: https://opensource.com/article/20/6/container-orchestration
[6]: https://opensource.com/article/20/11/orchestration-vs-automation
[7]: https://opensource.com/sites/default/files/uploads/kubernetesui.jpg (Kubernetes interface)
