[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (The role of empathy in DevOps)
[#]: via: (https://opensource.com/article/20/12/empathy-devops)
[#]: author: (Will Kelly https://opensource.com/users/willkelly)

The role of empathy in DevOps
======
DevOps is all about people, and people need empathy to thrive and be
productive. Here's how to build it into your team.
![Teamwork starts with communication across silos][1]

DevOps teams dig in their heels for strength as they face stress and challenges at work and home. It’s not something covered in the [DevOps manifesto][2]. There’s also no software you can integrate into your toolchain to help either. What needs to happen is your DevOps teams need to put empathy before tools.

In his book, _[The DevOps Paradox][3]_, Viktor Farcic reasons, if DevOps is, at a fundamental level, about getting different teams to collaborate, you could say that DevOps is a discipline that promotes empathy.

### Recognizing DevOps is a people game

If you agree with Farcic, you see DevOps, at its roots, as a people game. When I was coming up in the tech industry as a technical writer, I realized that development and operations teams spoke different languages. They also had their own cultures. These differences were at the root of arguments between those teams.

"Over the last few decades, though, the notion that empathy cannot co-exist with critical thinking has been slowly diminishing, but not fast enough to have a widespread impact within our industry," according to _[InfoQ][4]_.

Empathy becomes part of the DevOps equation as you develop [more partnerships][5] across your software delivery and business organizations. The silos that arise during waterfall software development include those between software developers, security, and operations. Cultural stereotypes abound between departments. Some software developers are OK with breaking things. The security team is the department of "no." Operations teams want to maintain a pristine operational state, never taking risks, while abiding by their service level agreements (SLAs). Let’s not forget that business stakeholders may be out of touch with all those operations. Poking and jabbing at each other’s real or perceived competence is counterproductive. Talking to each other and learning the other team’s processes, appreciating what keeps them up at night, is a powerful step to understanding each other.

The cross-team relationships prevalent in DevOps make empathy necessary. There’s no room in a DevOps toolchain for the stereotypical animosity between developers, operations, and security. Keep your communications channels open. Encourage a culture where making mistakes is about learning and change, not recriminations.

### Practicing empathy in DevOps

Promoting empathy throughout the team is a must for DevOps managers. As a manager, you need to look for opportunities to embed technologists across your business units for one. Getting people to talk across teams is another crucial goal for managers. While DevOps aims to break down silos, it doesn’t mean that old rivalries from your pre-DevOps world will go away overnight.

Building empathy as a team isn’t about watching an online training video and clicking through a quiz to receive a PDF of a certificate of completion. It starts with relationship building. Look for opportunities to cross-train team members in other jobs. It’s not about preparing them to do the job; it’s about showing them the challenges their other team members face and facilitating knowledge transfer. Manage change in iterations and give your team—developers and sysadmins alike—a feedback channel where problems, challenges, and victories can get the ear of management and their team members.

Empathy powers productivity because it gives your team members a sense of safety, which is a feeling that may be in short supply right now for some team members. Empathy and a little understanding can take some pressure off team members, giving them some more fuel to focus on their tasks at hand.

### Providing empathy as a developer

You also must treat your customer conversations with empathy. Whether your DevOps team is serving internal or external customers, you’re bound to notice some personal and business changes in the customer. Leading organizations create value and show empathy in several ways: streamlining or simplifying the customer experience, reacting to the market and environmental changes in near real-time, and predicting customer needs ahead of time, according to _[The Enterprisers Project][6]_.

Other industry watchers see that developers with empathy are best prepared for the rise of artificial intelligence (AI) and empathy helps DevOps teams adjust to more agile forms of thinking.

### Empathy and remote DevOps during COVID-19

Providing empathy during this time starts with remembering that you don’t know what somebody is going through when the web conferencing camera is off. It’s something I’ve had to remind myself a bunch of times since the beginning of the pandemic.

The next steps for remote work are different for all of us. Some DevOps teams will return to their offices at some point in 2021. Some may find themselves in hybrid working arrangements while other groups may remain remote. Unfortunately, some DevOps teams may split up as their employers conduct layoffs, and lucky coworkers land new positions with other employers. As in our personal lives, each unique and developing work situation requires a measure of empathy to help steer the team through change.

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/12/empathy-devops

作者：[Will Kelly][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/willkelly
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/happy-team-sticker-laptop.png?itok=91K77IgE (Teamwork starts with communication across silos)
[2]: https://sites.google.com/a/jezhumble.net/devops-manifesto/
[3]: https://www.amazon.com/DevOps-Paradox-truth-about-people/dp/1789133637
[4]: https://www.infoq.com/articles/guide-empathy-boost-career/
[5]: https://enterprisersproject.com/article/2020/8/it-leadership-how-build-empathy
[6]: https://enterprisersproject.com/article/2020/7/customer-experience-how-develop-empathy
