[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 considerations for getting started with CI/CD in 2021)
[#]: via: (https://opensource.com/article/20/12/cicd)
[#]: author: (Jessica Cherry https://opensource.com/users/cherrybomb)

4 considerations for getting started with CI/CD in 2021
======
Build your continuous integration/continuous delivery adoption plan by
looking back at the top articles of 2020.
![Tips and gears turning][1]

In 2020, Opensource.com's articles about continuous integration and continuous delivery (CI/CD) aimed to help you rethink your infrastructure with continuous delivery. If you're new to the CI/CD way of doing things or you need a refresher, read on for summaries of the top four CI/CD articles of 2020.

### Success from the start

If you want to start working with CI/CD but don't know what it takes to be successful, Tonya Brown paves the way with [_8 CI/CD best practices to set you up for success_][2]. This great read covers various deployment pipeline examples and tools to get you moving. But wait, there's more! Tonya also covers CI/CD automation with version control, metrics alerting, and my personal favorite, infrastructure as code. There is even more information jam-packed into this article to get you on the road to success.

### Give it a try

Knowing the eight best practices is important, but what happens when you're ready to try CI/CD for yourself? In the introductory article [_Set up Minishift and run Jenkins on Linux_][3], Jessica Cherry presents a step-by-step setup to use Jenkins and create your first pipeline. This tutorial is a great place to start and test your first CI/CD project before jumping in feet-first on your own.

### Jenkins as code

If you're already familiar with Jenkins and CI/CD pipelines but want to run configuration as code, Kedar Vijay Kulkarni's article [_Getting started with Jenkins Configuration as Code_][4] is the read for you! This walkthrough shows you how to use a plugin to create Jenkins multibranch pipelines using YAML. In great detail, Kedar shows how to configure even more and manage Jenkins in the infrastructure-as-code way.

### What about testing?

Have you ever been curious about automated testing and how it can affect your team? In _[What you need to know about automation testing in CI/CD][5],_ Tonya Brown covers test automation and why it makes sense to automate testing in CI/CD. Tonya also covers what automation means to the testing teams, their needs, and what types of testing to automate. This detailed account of testing automation is a great place to start working towards better testing with automation and CI/CD.

### Final thoughts

If the new year brings you new challenges and your automation is limited, take a look back at these articles. If you're wondering what you need to get started, the answer is one computer and some reiterative things done manually. If you take just one step at a time using these great reads, you'll be automated in no time at all!

Do you have ideas for other articles we should cover in 2021? Please share your suggestions in the comments, or even consider [writing an article][6] about your own CI/CD journey!

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/12/cicd

作者：[Jessica Cherry][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/cherrybomb
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/gears_devops_learn_troubleshooting_lightbulb_tips_520.png?itok=HcN38NOk (Tips and gears turning)
[2]: https://opensource.com/article/20/5/cicd-best-practices
[3]: https://opensource.com/article/20/11/minishift-linux
[4]: https://opensource.com/article/20/4/jcasc-jenkins
[5]: https://opensource.com/article/20/7/automation-testing-cicd
[6]: https://opensource.com/how-submit-article
