[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (10 ways Ansible is for everyone)
[#]: via: (https://opensource.com/article/21/1/ansible)
[#]: author: (James Farrell https://opensource.com/users/jamesf)

10 ways Ansible is for everyone
======
Expand your knowledge and skills with the top 10 Ansible articles plus
five news summaries from 2020.
![gears and lightbulb to represent innovation][1]

Here we are again at the end of another year with a great set of articles about Ansible from Opensource.com. I thought it would be nice to review them in a series of progressively advancing topics. I hope to help stimulate the interest of people just getting started with Ansible. There were also a series of summary articles, which I've included for your casual follow-up.

### Ansible for beginners

The first five articles on this year's list are a really good place for Ansible neophytes to start. The first three articles were written by Opensource.com editor Seth Kenlon.

  * If you don't know much about Ansible, [_7 things you can do with Ansible right now_][2] is a great place to start. This is a nice primer that gathers links for managing hardware, cloud, containers, and more.
  * In [_What's the difference between orchestration and automation?_][3] you will learn some of the terms and baseline technologies that will help kick off your interest in Ansible.
  * [_How to install software with Ansible_][4] covers a few rudimentary concepts and some good Ansible habits, followed by simple examples on managing software packages on local and remote hosts.
  * In [_3 lessons I've learned writing Ansible playbooks_][5], set yourself right with good habits handed down by Jeff Geerling, a real Ansible veteran. Source control, documentation, testing, simplification, and optimization are the keys to automation success.
  * [_My first day using Ansible_][6] outlines Correspondent David Both's thought process for solving a repetitive development task. The article starts with a baseline of what Ansible needs and illustrates some simple plays and tasks.



### Ansible projects to try

Once you have the basics and some good habits, it's time to turn to more specific topics with concrete examples.

  * [_Manage your Raspberry Pi fleet with Ansible_][7] by Ken Fallon walks through an example of deploying and managing fleets of RPi units. It presents concepts of security and maintenance in constrained environments.
  * In _[Integrate your calendar with Ansible to avoid schedule conflicts][8],_ Nicolas Leiva quickly introduces how to use pre-tasks and conditionals to enforce execution blackout windows in your automation schedule.
  * Nicolas completes his calendar blackout concept in [_Create an Ansible module for integrating your Google Calendar_][9]. His article dives into writing a custom Ansible module in Go to achieve the desired calendar connection. Nicolas introduces different ways to structure and invoke Go programs and pass the required data to Ansible and receive the desired output.



### Elevate your Ansible skills

Kubernetes is a hot topic these days, and the following articles offer some great examples to learn new skills.

  * In [_Automate your container orchestration with Ansible modules for Kubernetes_][10], Seth Kenlon introduces the Ansible Kubernetes module, walks through a basic Minikube installation for testing, and presents some basic examples of the "k8s" module for pod control.
  * Jeff Geerling explains the concept of Helm Chart applications, Ansible collections, and executing a fun project to set up your own Minecraft server in a k8s cluster in [_Build a Kubernetes Minecraft server with Ansible's Helm modules_][11].



### Other Ansible news

This year, Mark Phillips delivered a series of "Ansible around the web" news articles covering a wide variety of Ansible topics. They are packed with links to interesting Ansible developments, ranging from basic tutorials, module writing, plugins, Kubernetes, video demonstrations, and Ansible community news. Check them all out—there are valuable nuggets to follow for all interests and skill levels!

  * [_Containers, networks, security, and more Ansible news_][12]
  * [_Tips for CI/CD pipelines and Windows users, and more Ansible news_][13]
  * [_Collections signal major shift in Ansible ecosystem, and more Ansible news_][14]
  * [_Ansible 101 videos with Jeff Geerling, and more Ansible news_][15]
  * [_Beginner guides, Windows, networking, and more Ansible news_][16]



### Have a happy 2021!

I hope your personal journey with Ansible is already underway and regularly enriched by content from Opensource.com. Tell us in the comments what you might like to learn about Ansible in the coming year, and if you have information to share, please consider [writing an article][17] for Opensource.com.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/1/ansible

作者：[James Farrell][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jamesf
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/innovation_lightbulb_gears_devops_ansible.png?itok=TSbmp3_M (gears and lightbulb to represent innovation)
[2]: https://opensource.com/article/20/9/ansible
[3]: https://opensource.com/article/20/11/orchestration-vs-automation
[4]: https://opensource.com/article/20/9/install-packages-ansible
[5]: https://opensource.com/article/20/1/ansible-playbooks-lessons
[6]: https://opensource.com/article/20/10/first-day-ansible
[7]: https://opensource.com/article/20/9/raspberry-pi-ansible
[8]: https://opensource.com/article/20/10/calendar-ansible
[9]: https://opensource.com/article/20/10/ansible-module-go
[10]: https://opensource.com/article/20/9/ansible-modules-kubernetes
[11]: https://opensource.com/article/20/10/kubernetes-minecraft-ansible
[12]: https://opensource.com/article/20/1/ansible-news-edition-six
[13]: https://opensource.com/article/20/2/ansible-news-edition-seven
[14]: https://opensource.com/article/20/3/ansible-news-edition-eight
[15]: https://opensource.com/article/20/4/ansible-news-edition-nine
[16]: https://opensource.com/article/20/5/ansible-news-edition-ten
[17]: https://opensource.com/how-submit-article
