[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (10 ways to advance your JavaScript journey in 2021)
[#]: via: (https://opensource.com/article/21/1/javascript)
[#]: author: (James Farrell https://opensource.com/users/jamesf)

10 ways to advance your JavaScript journey in 2021
======
JavaScript is a super-popular language, as evidenced by the 10 best
JavaScript articles from 2020.
![JavaScript in Vim][1]

Opensource.com publishes a wealth of information on a wide range of technical topics. Everyone has their favorite subjects to learn about, yet stories about the various programming languages seem to be of special interest to our readers.

JavaScript is undeniably a super-popular language. It is consistently among the top 10 most used and sought skills, especially since more than [90% of websites][2] use it in some capacity. The Node.js package manager [NPM][3] has more than 800,000 package offerings, further affirming JavaScript's popularity. Given this, I suspect many readers have some experience with this technology. Whether you're new to JavaScript or a seasoned user, Opensource.com has something relevant to you.

### Reasons for JavaScript's popularity

This year we saw a pair of introductory articles that I think give a nice explanation of JavaScript's popularity:

  * _[How JavaScript became a serious programming language][4]_ by Nimisha Mukherjee gives a brief history of how JavaScript came to be, mentioning a bit of nostalgia that seasoned users will remember.

  * Nimisha's follow up, [_4 reasons why JavaScript is so popular_][5], affirms the qualities that make JavaScript so successful: It caters to all skill levels, spans multiple platforms, has a great community, and supports a multitude of modern frameworks.




### Tools and frameworks

Two of JavaScript's defining qualities are the wealth of frameworks and tools available. Check out these articles for options that may help you start or improve your programming workflow.

  * In [_9 open source JavaScript frameworks for front-end web development_][6], Bryant Son dives into some of JavaScript's heavy hitters. Well-known frameworks like Angular and ReactJS are there, along with a surprising number of others that are great to know about.

  * If you are interested in ReactJS, Amit Dua's [_13 of the best React JavaScript frameworks_][7] offers a huge list of compatible frameworks to supercharge your application. Amit gives each framework a brief overview, including installation, initialization, and specific advantages.

  * In [_10 ReactJS tools to boost your web development skills_][8], Prayaag Kasundra shares a plethora of useful tools to help you bootstrap, design, and organize your ReactJS projects. Prayaag suggests learning these "must-have" utilities to boost your potential value to employers.

  * Hiren Dhadhuk summarizes his [_9 favorite open source tools for Node.js developers_][9]. Node.js is JavaScript's entry into server-side programming. Having direct control over both the frontend and backend helps streamline development productivity. This list of Node.js-specific productivity tools covers security, developer productivity, and build management.

  * Tejas Kaneriya's [_My favorite 10 Node.js projects_][10] outlines essential tools that help with Node.js projects. These include editors, testing tools, style/linting processors, and application frameworks. There are some great tools here to consider, with VSCode and Electron being two of my favorites.

  * In [_Use your favorite programming language to provision Infrastructure as Code_][11], Lee Briggs describes Pulumi, a cross-language Infrastructure as Code provisioning tool for creating project resources including containers and cloud services. Lee presents some basic provisioning examples centered around the TypeScript programming language.




### New features and upgrades

Last but not least is a pair of articles covering new JavaScript features and framework conversion.

  * Sumaira Ahmad's [_Streamline your JavaScript code with top-level await_][12] introduces the concept of asynchronous event processing by explaining callbacks, promises, and async/await. It explores a new JavaScript feature called "top-level await" to support module-level asynchronous initialization. Sumaira also provides an example of using top-level await functionality to construct a simple news-reading app.

  * Alex Vasylenko shares [_9 reasons I upgraded from AngularJS to Angular_][13]. Angular is a very popular framework with two active flavors: the original AngularJS and its more modern TypeScript successor, Angular. No (migration) pain, no gain—but the benefits to developers and end users seem well worth it.




### What did we miss?

It is clear from all of these lists that JavaScript has a rich and vibrant community of developers. Given the enormous number of projects and tools available, I'm sure we missed some gems. Comment below to share your ideas on what we should cover… or better yet, [write your own][14] article for Opensource.com to teach the rest of us about your favorite JavaScript tools, features, uses, and more!

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/1/javascript

作者：[James Farrell][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/jamesf
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/javascript_vim.jpg?itok=mqkAeakO (JavaScript in Vim)
[2]: https://w3techs.com/technologies/details/cp-javascript
[3]: https://www.npmjs.com/
[4]: https://opensource.com/article/20/10/history-javascript
[5]: https://opensource.com/article/20/11/javascript-popular
[6]: https://opensource.com/article/20/5/open-source-javascript-frameworks
[7]: https://opensource.com/article/20/1/react-javascript-frameworks
[8]: https://opensource.com/article/20/6/reactjs-tools
[9]: https://opensource.com/article/20/1/open-source-tools-nodejs
[10]: https://opensource.com/article/20/6/nodejs-projects
[11]: https://opensource.com/article/20/8/infrastructure-as-code-pulumi
[12]: https://opensource.com/article/20/11/top-level-await-javascript
[13]: https://opensource.com/article/20/8/upgrade-angular
[14]: https://opensource.com/how-submit-article
