[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (4 DevOps books to read this year)
[#]: via: (https://opensource.com/article/21/1/devops-books)
[#]: author: (Taz Brown https://opensource.com/users/heronthecli)

4 DevOps books to read this year
======
Curl up with a good book about DevOps this winter.
![Reading a book, selfcare][1]

We have just entered 2021, and DevOps will become much more relevant. It is smack dab in the spotlight given that the world is experiencing a pandemic and businesses are fighting to stay digitally relevant and competitive.

DevOps has actually has evolved quite nicely, like a fine wine. Here is why. There will be an increased focus on the human side of DevOps. It will be more about people and processes. I argue that DevOps will be reinvigorated. There will be less focus on the tools, automation, and orchestration and more about communication, collaboration, and a collective effort to remove bottlenecks and deliver the right results as efficiently as possible.

There will even be a push to BizDevOps where development, ops, and business will come together to improve quality so defects and deficiencies are mitigated, business agility, focus on businesses becoming more agile, leaner. DevOps is expanding into areas like AI, machine learning, embedded systems, and big data.

So DevOps is not going anywhere anytime soon. It will reinvent itself though.

Given the insurgence of COVID19, businesses will be highly dependent on their DevOps teams, expecting them to take their digital services into hyperdrive over the next year and likely beyond 2021. 

![DevOps books][2]

(Tonya Brown, [CC BY-SA 4.0][3])

The books are listed in the order I think you should read them. I share a little bit about each book, but I don't intend to give the book away or do the reading for you. I hope you enjoy the experience of reading these books and decide for yourself whether they were valuable to you. And after you do, please come back and let me know what you think in the comments.

### 1\. The DevOps Handbook

![DevOps Handbook cover][4]

_[The DevOps Handbook: How to Create World-Class Agility, Reliability, and Security in Technology Organizations][5]_ is considered the DevOps bible. It is written by Gene Kim, Jez Humble, Patrick Debois, and John Willis, and these great authors talk about the importance of integrating DevOps into organizations. The book describes how all types of organizations can employ DevOps and why it can help them gain a competitive advantage from an IT perspective.

The book talks about the core benefits of DevOps. It offers practical applications about how to adopt DevOps, including case studies about companies that have done it, then really dives into some of its principles and breaks down the practical understanding. Finally, you can take the principles, case studies, and examples, look at your current environment, and figure out the best ways to implement DevOps in your organization.

By reading this book, you will learn:

  * DevOps culture landscape
  * Value stream mapping in DevOps
  * Continuous integration and continuous delivery (CI/CD) pipelines
  * Principles of flow and rapid feedback
  * DevOps KPIs and metrics



### 2\. The Phoenix Project

![The Phoenix Project cover][6]

_[The Phoenix Project][7]_, by Gene Kim, Kevin Behr, and George Spafford, is a novel about a fictional company and its fictional employees that explains what DevOps really is. It is written in the same style as _[The Goal: A Process of Ongoing Improvement][8]_ by Eliyahu M. Goldratt.

_The Phoenix Project_ follows Bill, who was recently promoted into the role of VP at Parts Unlimited. He is assigned to turn around the company, which is in major trouble. Nothing is working, including the payment system. Bill is expected to come in and fix all of the company's problems.

Bill starts identifying the issues and implementing solutions. As time goes on, those solutions turn out to be DevOps.

In summary, the book:

  * Teaches a lesson in a novel form
  * Allows you to see problems without blame
  * Helps explain the core principles of DevOps



### 3\. Continuous Delivery

![Continuous Delivery cover][9]

The third book to read, _[Continuous Delivery: Reliable Software Releases Through Build, Test, and Deployment Automation][10]_, is by Jez Humble and David Farley. It goes through the entire CI/CD pipeline and issues where you are trying to connect A to B, B to C, C to D. It provides practical tips and strategies on overcoming obstacles and fixing issues.

The book discusses infrastructure management, virtualization, test, and deployment. It also gets into how to integrate and move things along effectively without problems when optimizing your environment.

Jez and David definitely get granular in the details. They get down to the nuts and bolts of getting software to users using agile methodologies and best practices. They also speak to establishing better collaboration among developers, testers, and operations.

### 4\. Effective DevOps

![Effective DevOps cover][11]

The fourth book to read is _[Effective DevOps: Building A Culture of Collaboration, Affinity, and Tooling at Scale][12]_ by Jennifer Davis &amp; Ryn Daniels.

DevOps is a state of mind. This book gets into DevOps culture: from empathy, to breaking down silos, to how people choose to act with and among each other, and how people work together to implement change and create great results. The book talks about strategies to accomplish these and especially about getting buy-in from leadership.

Here is what you will learn by reading this book:

  * Essential and advanced practices to create CI/CD pipelines
  * How to reduce risks, mitigate deployment errors, and increase delivery speed
  * Templates and scripts to automate your build and deployment procedures



### Final thoughts

Read these four books. You won't regret it! And when you're finished, move on to these honorable mentions.

  * _[The Unicorn Project][13]_ by Gene Kim
  * _[The Practice of Cloud System Administration: DevOps and SRE Practices for Web Services][14]_ by Thomas Limoncelli, Strata Chalup, and Christina Hogan
  * _[Site Reliability Engineering][15]_ by Betsy Beyer, Niall Richards, David Rensin, Ken Kawahara, and Stephen Thorne
  * _[Python for DevOps: Learn Ruthlessly Effective Automation][16]_ by Noah Gift, Kennedy Behrman, Alfredo Deza, and Grig Gheorghiu



--------------------------------------------------------------------------------

via: https://opensource.com/article/21/1/devops-books

作者：[Taz Brown][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/heronthecli
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/reading_book_selfcare_wfh_learning_education_520.png?itok=H6satV2u (Reading a book, selfcare)
[2]: https://opensource.com/sites/default/files/uploads/devopsbooks.jpg (DevOps books)
[3]: https://creativecommons.org/licenses/by-sa/4.0/
[4]: https://opensource.com/sites/default/files/uploads/devopshandbook.jpg (DevOps Handbook cover)
[5]: https://www.amazon.com/DevOps-Handbook-World-Class-Reliability-Organizations/dp/1942788002
[6]: https://opensource.com/sites/default/files/uploads/phoenixproject.jpg (The Phoenix Project cover)
[7]: https://www.amazon.com/Phoenix-Project-DevOps-Helping-Business/dp/1942788290
[8]: https://en.wikipedia.org/wiki/The_Goal_(novel)
[9]: https://opensource.com/sites/default/files/uploads/continuousdelivery.jpg (Continuous Delivery cover)
[10]: https://www.amazon.com/Continuous-Delivery-Deployment-Automation-Addison-Wesley/dp/0321601912
[11]: https://opensource.com/sites/default/files/uploads/effectivedevops.jpg (Effective DevOps cover)
[12]: https://www.amazon.com/Effective-DevOps-Building-Collaboration-Affinity/dp/1491926309
[13]: https://www.amazon.com/Unicorn-Project-Developers-Disruption-Thriving/dp/1942788762
[14]: https://www.amazon.com/Practice-Cloud-System-Administration-Practices/dp/032194318X
[15]: https://www.amazon.com/Site-Reliability-Engineering-Production-Systems/dp/149192912X
[16]: https://www.amazon.com/Python-DevOps-Ruthlessly-Effective-Automation/dp/149205769X
