[#]: subject: (5 useful Moodle plugins to engage students)
[#]: via: (https://opensource.com/article/21/3/moodle-plugins)
[#]: author: (Sergey Zarubin https://opensource.com/users/sergey-zarubin)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

5 useful Moodle plugins to engage students
======
Use plugins to give your e-learning platform new capabilities that
motivate students.
![Person reading a book and digital copy][1]

A good e-learning platform is important for education all over the world. Teachers need a way to hold classes, students need a friendly user interface to facilitate learning, and administrators need a way to monitor the educational system's effectiveness.

Moodle is an open source software package that allows you to create a private website with interactive online courses. It's helping people gather virtually, teach and learn from one another, and stay organized while doing it.

What makes Moodle unique is its high usability that can significantly increase with third-party solutions. If you visit the [Moodle plugins directory][2], you'll find over 1,700 plugins developed by the open source community.

Picking the best plugins for your learners might be a challenge with so many choices. To help get you started, here my top five plugins to add to your e-learning platform.

### Level up!

![Level up Moodle plugin][3]

Level up! Source: <https://levelup.plus/>

Motivating and engaging learners is one of the most difficult tasks for educators. The [Level up plugin][4] allows you to gamify the learning experience by attributing points to students for completing actions and allowing them to show progress and level up. This encourages your students to compete in a healthy atmosphere and be better learners.

What's more, you can take total control over the points your students earn, and they can unlock content when they reach a certain level. All of these features are available for free. If you are ready to pay, you can buy some extra functionality, such as individual rewards and team leaderboards.

### BigBlueButton

![BigBlueButton Moodle plugin][5]

BigBlueButton. Source: <https://bigbluebutton.org/>

[BigBlueButton][6] is probably the most well-known Moodle plugin. This open source videoconferencing solution allows educators to engage remote students with live online classes and group collaboration activities. It offers important features such as real-time screen sharing, audio and video calls, chat, emojis, and breakout rooms. This plugin also allows you to record your live sessions.

BigBlueButton enables you to create multiple activity links within any course, restrict your students from joining a session until you join, create a custom welcome message, manage your recordings, and more. All in all, BigBlueButton has everything you need to teach and participate in online classes.

### ONLYOFFICE

![ONLYOFFICE Moodle plugin][7]

ONLYOFFICE. Source: <https://www.onlyoffice.com/>

The [ONLYOFFICE plugin][8] allows learners and educators to create and edit text documents, spreadsheets, and presentations right in their browser. Without installing any additional apps, they can work with .docx, .xlsx, .pptx, .txt, and .csv files attached to their courses; open .pdf files for viewing; and apply advanced formatting and objects including autoshapes, tables, charts, equations, and more.

Moreover, ONLYFFICE makes it possible to co-edit documents in real time, which means several users can simultaneously work on the same document. Different permission rights (full access, commenting, reviewing, read-only, and form filling) make it easier to manage access to your documents flexibly.

### Global Chat

![Global Chat Moodle plugin][9]

Global Chat. Source: <https://moodle.org/plugins/block_gchat>

The [Global Chat plugin][10] allows educators and learners to communicate in real time via Moodle. The plugin provides a list of all the users in your courses, and when you click a user's name, it opens a chat window at the bottom of the page so that you can communicate.

With this easy-to-use tool, you don't need to open a separate window to start an online conversation. You can change between web pages, and your conversations will always remain open.

### Custom certificate

![Custom certificate Moodle plugin][11]

Custom certificate. Source: <https://moodle.org/plugins/mod_customcert>

Another effective way to engage students is to offer certificates as a reward for course completion. The promise of a completion certificate helps keep students on track and committed to their training.

The [Custom certificate plugin][12] allows you to generate fully customizable PDF certificates in your web browser. Importantly, the plugin is compatible with GDPR requirements, and the certificates have unique verification codes, so you can use them for authentic accreditation.

### Oodles of Moodle plugins

These are my top five favorite Moodle plugins. You can try them out by [signing up for an account][13] on Moodle.org, or you can host your own installation (or talk to your systems administrator or IT staff to set one up for you).

If these plugins aren't the right options for your learning goals, take a look at the many other plugins available. If you find a good one, leave a comment and tell everyone about it!

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/3/moodle-plugins

作者：[Sergey Zarubin][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/sergey-zarubin
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/read_book_guide_tutorial_teacher_student_apaper.png?itok=_GOufk6N (Person reading a book and digital copy)
[2]: https://moodle.org/plugins/
[3]: https://opensource.com/sites/default/files/uploads/gamification.png (Level up Moodle plugin)
[4]: https://moodle.org/plugins/block_xp
[5]: https://opensource.com/sites/default/files/uploads/bigbluebutton.png (BigBlueButton Moodle plugin)
[6]: https://moodle.org/plugins/mod_bigbluebuttonbn
[7]: https://opensource.com/sites/default/files/uploads/onlyoffice_editors.png (ONLYOFFICE Moodle plugin)
[8]: https://github.com/logicexpertise/moodle-mod_onlyoffice
[9]: https://opensource.com/sites/default/files/uploads/global_chat.png (Global Chat Moodle plugin)
[10]: https://moodle.org/plugins/block_gchat
[11]: https://opensource.com/sites/default/files/uploads/certificate.png (Custom certificate Moodle plugin)
[12]: https://moodle.org/plugins/mod_customcert
[13]: https://moodle.com/getstarted/
