[#]: subject: (6 open source tools for wedding planning)
[#]: via: (https://opensource.com/article/21/3/open-source-wedding-planning)
[#]: author: (Jessica Cherry https://opensource.com/users/cherrybomb)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

6 open source tools for wedding planning
======
Create the event of your dreams with open source software.
![Outdoor wedding sign][1]

If I were to say I had planned on writing this article a year or so ago, I would be wrong. So, I'll give you a small amount of backstory about how this came to be.

On March 21st, I will be "getting married." I put that in quotes because I got married in Las Vegas on March 21, 2019. But I'm getting married again because my mom, who told us to elope, decided she was wrong and wanted a real wedding. So here I am, planning a wedding.

![Vegas wedding][2]

(Jess Cherry, [CC BY-SA 4.0][3])

Planning hasn't been smooth. We have moved the event twice due to the pandemic. My wedding planner got pregnant in the middle of it all, and since she's due in March, everything is now in my lap. About three-quarters of our invitations did not make it to their destinations because of weird mail issues, so we're sorting out our guests by text messages.

But all of my poor luck has led to this, a moment when I can share my list of open source tools that are helping me survive wedding planning, even at the last minute.

### Budgeting this whole thing

Let's talk about budgets. As seems to be typical, mine went above and beyond what I'd originally allocated. I chose [HomeBank][4], which I wrote about last year, so I am familiar with it.

I put all my wedding expenses in HomeBank as debts so that I could show my overall basic costs (not counting all the extra stuff I bought for the most expensive party I will ever throw). Once they are marked as debts, I can add a transaction and an income to it to pay for everything and keep track of what I owe.

Here's an example of what such a budgeting might look like in HomeBank.

![HomeBank][5]

(Jess Cherry, [CC BY-SA 4.0][3])

### Keep track of invitations and guests

I did not have a proper guest list at the outset, so I needed a way to manage my guests. I went with [LibreOffice Calc][6], because everyone needs sheets with counts and plans. Here is an example of what I ended up with. I used it to tally up numbers, so I could move on to planning how many tables I needed at the party. I summed the number of guests at the bottom of Column B to get the total.

![LibreOffice Calc][7]

(Jess Cherry, [CC BY-SA 4.0][3])

### Table time

Certain venues, like mine, require you to provide table arrangements a month before the event so that they can be prepared for the right amount of settings and silverware. And drinks, because that's important to have for dancing and whatnot.

The venue gave me a PDF for my table setup, but I decided to use [LibreOffice Draw][8] instead because I had an extra table I didn't need, and my counts were off due to our original guest list dropping considerably. But here's my drawing of where I want the tables to be (including the table I tossed due to our lower number of guests).

![LibreOffice Draw][9]

(Jess Cherry, [CC BY-SA 4.0][3])

### How about a timeline?

One of the major pieces of event planning is having a timeline for the day to make sure everything goes according to plan. Spoiler alert: I can promise mine won't. I asked Opensource.com's productivity expert [Kevin Sonney][10] for help finding something to help me outline the big day and the rehearsal dinner the day before.

I have two problems. One, I need to share the timeline with multiple people. Two, those people do not do computers for a living, like we do, so a heavily command-line option wouldn't work. I selected something Kevin wrote about in his [productivity article series][11] this year: KDE Plasma Kontact's [KOrganizer][12] using the timeline mode. I stacked an entire day into one timeline and produced this fancy set of blocks. (Don't mind this looking weird; it's a first draft.)

![KOrganizer][13]

(Jess Cherry, [CC BY-SA 4.0][3])

I also suggest keeping everything on your to-do lists inside KOrganizer, so you don't get lost while you're working through everything. Best of all, if you need to export all of this information and put it somewhere like a popular, regularly used application (e.g., Google, because well, it's Google), it exports and imports well.

### Open source wedding tools for the pandemic

OK, so before we all rush to judgment on this, I am aware we're still in the middle of a pandemic. The wedding planning started forever ago, and guess when the pandemic started. March… It all started in March of last year. That should tell you exactly how my plans have been going.

In case you are wondering about my backup plan (since nearly three-quarters of the original guest list can't attend), the plan is to livestream this show. This leads me to two different conversations. One, I believe this is the future of weddings because it's cool to show everyone in your life this amazing moment, so from now on, wedding planners will have to add this to their services list, pandemic or not.

Two, how can I achieve this goal of livestreaming the whole event? That's easy: I have a laptop and a camera, the DJ has clip-on microphones, and a bunch of cool people write about livestreaming all the time. [Seth Kenlon][14] wrote an entire article on [live streaming with OBS][15], so I can just walk through everything about a week before and share it out. If I decide to edit and publish the video, [Don Watkins][16] gave a great walkthrough of [Kaltura][17] to get me through the post-wedding things.

### Final thoughts

If you are good with open source software and organizing, you can be the wedding planner of anyone's dreams, or you can just plan your own wedding and stay organized. I would give bonus points to anyone who can get all of this running on a [Raspberry Pi 400][18] because that would be the easiest way to have everything with you in a package that's smaller than a laptop.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/3/open-source-wedding-planning

作者：[Jessica Cherry][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/cherrybomb
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/wedding-sign.jpg?itok=e3zagA4b (Outdoor wedding sign)
[2]: https://opensource.com/sites/default/files/uploads/wedding.jpg (Vegas wedding)
[3]: https://creativecommons.org/licenses/by-sa/4.0/
[4]: https://opensource.com/article/20/2/open-source-homebank
[5]: https://opensource.com/sites/default/files/uploads/homebank.png (HomeBank)
[6]: https://www.libreoffice.org/discover/calc/
[7]: https://opensource.com/sites/default/files/uploads/libreofficecalc.png (LibreOffice Calc)
[8]: https://www.libreoffice.org/discover/draw/
[9]: https://opensource.com/sites/default/files/uploads/libreofficedraw.png (LibreOffice Draw)
[10]: https://opensource.com/users/ksonney
[11]: https://opensource.com/article/21/1/kde-kontact
[12]: https://kontact.kde.org/components/korganizer.html
[13]: https://opensource.com/sites/default/files/uploads/kontact-korganizer.png (KOrganizer)
[14]: https://opensource.com/users/seth
[15]: https://opensource.com/article/20/4/open-source-live-stream
[16]: https://opensource.com/users/don-watkins
[17]: https://opensource.com/article/18/9/kaltura-video-editing
[18]: https://www.raspberrypi.org/products/raspberry-pi-400/
