[#]: subject: (6 WordPress plugins for restaurants and retailers)
[#]: via: (https://opensource.com/article/21/3/wordpress-plugins-retail)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

6 WordPress plugins for restaurants and retailers
======
The end of the pandemic won't be the end of curbside pickup, delivery,
and other shopping conveniences, so set your website up for success with
these plugins.
![An open for business sign.][1]

The pandemic changed how many people prefer to do business—probably permanently. Restaurants and other local retail establishments can no longer rely on walk-in trade, as they always have. Online ordering of food and other items has become the norm and the expectation. It is unlikely consumers will turn their backs on the convenience of e-commerce once the pandemic is over.

WordPress is a great platform for getting your business' message out to consumers and ensuring you're meeting their e-commerce needs. And its ecosystem of plugins extends the platform to increase its usefulness to you and your customers.

The six open source plugins described below will help you create a WordPress site that meets your customers' preferences for online shopping, curbside pickup, and delivery, and build your brand and your customer base—now and post-pandemic.

### E-commerce

![WooCommerce][2]

WooCommerce (Don Watkins, [CC BY-SA 4.0][3])

[WooCommerce][4] says it is the most popular e-commerce plugin for the WordPress platform. Its website says: "Our core platform is free, flexible, and amplified by a global community. The freedom of open source means you retain full ownership of your store's content and data forever." The plugin, which is under active development, enables you to create enticing web storefronts. It was created by WordPress developer [Automattic][5] and is released under the GPLv3.

### Order, delivery, and pickup

![Curbside Pickup][6]

Curbside Pickup (Don Watkins, [CC BY-SA 4.0][3])

[Curbside Pickup][7] is a complete system to manage your curbside pickup experience. It's ideal for any restaurant, library, retailer, or other organization that offers curbside pickup for purchases. The plugin, which is licensed GPLv3, works with any theme that supports WooCommerce.

![Food Store][8]

[Food Store][9]

If you're looking for an online food delivery and pickup system, [Food Store][9] could meet your needs. It extends WordPress' core functions and capabilities to convert your brick-and-mortar restaurant into a food-ordering hub. The plugin, licensed under GPLv2, is under active development with over 1,000 installations.

![RestroPress][10]

[RestroPress][11]

[RestroPress][11] is another option to add a food-ordering system to your website. The GPLv2-licensed plugin has over 4,000 installations and supports payment through PayPal, Amazon, and cash on delivery.

![RestaurantPress][12]

[RestaurantPress][13]

If you want to post the menu for your restaurant, bar, or cafe online, try [RestaurantPress][13]. According to its website, the plugin, which is available under a GPLv2 license, "provides modern responsive menu templates that adapt to any devices," according to its website. It has over 2,000 installations and integrates with WooCommerce.

### Communications

![Corona Virus \(COVID-19\) Banner & Live Data][14]

Corona Virus (COVID-19) Banner &amp; Live Data (Don Watkins, [CC BY-SA 4.0][3])

You can keep your customers informed about COVID-19 policies with the [Corona Virus Banner &amp; Live Data][15] plugin. It adds a simple banner with live coronavirus information to your website. It has over 6,000 active installations and is open source under GPLv2.

![MailPoet][16]

MailPoet (Don Watkins, [CC BY-SA 4.0][3])

As rules and restrictions change rapidly, an email newsletter is a great way to keep your customers informed. The [MailPoet][17] WordPress plugin makes it easy to manage and email information about new offerings, hours, and more. Through MailPoet, website visitors can subscribe to your newsletter, which you can create and send with WordPress. It has over 300,000 installations and is open source under GPLv2.

### Prepare for the post-pandemic era

Pandemic-driven lockdowns made online shopping, curbside pickup, and home delivery necessities, but these shopping trends are not going anywhere. As the pandemic subsides, restrictions will ease, and we will start shopping, dining, and doing business in person more. Still, consumers have come to appreciate the ease and convenience of e-commerce, even for small local restaurants and stores, and these plugins will help your WordPress site meet their needs.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/3/wordpress-plugins-retail

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/open_business_sign_store.jpg?itok=g4QibRqg (An open for business sign.)
[2]: https://opensource.com/sites/default/files/pictures/woocommerce.png (WooCommerce)
[3]: https://creativecommons.org/licenses/by-sa/4.0/
[4]: https://wordpress.org/plugins/woocommerce/
[5]: https://automattic.com/
[6]: https://opensource.com/sites/default/files/pictures/curbsidepickup.png (Curbside Pickup)
[7]: https://wordpress.org/plugins/curbside-pickup/
[8]: https://opensource.com/sites/default/files/pictures/food-store.png (Food Store)
[9]: https://wordpress.org/plugins/food-store/
[10]: https://opensource.com/sites/default/files/pictures/restropress.png (RestroPress)
[11]: https://wordpress.org/plugins/restropress/
[12]: https://opensource.com/sites/default/files/pictures/restaurantpress.png (RestaurantPress)
[13]: https://wordpress.org/plugins/restaurantpress/
[14]: https://opensource.com/sites/default/files/pictures/covid19updatebanner.png (Corona Virus (COVID-19) Banner & Live Data)
[15]: https://wordpress.org/plugins/corona-virus-covid-19-banner/
[16]: https://opensource.com/sites/default/files/pictures/mailpoet1.png (MailPoet)
[17]: https://wordpress.org/plugins/mailpoet/
