[#]: subject: (New ways to learn about open organizations)
[#]: via: (https://opensource.com/open-organization/21/6/celebrate-sixth-anniversary)
[#]: author: (Laura Hilliger https://opensource.com/users/laurahilliger)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

New ways to learn about open organizations
======
Celebrate the Open Organization community's sixth anniversary by getting
involved in two exciting new projects.
![][1]

The Open Organization community celebrates its sixth anniversary on June 02. That's six years of articles ([hundreds][2]), books (an [evolving series][3]), conversations ([always inspiring][4]), teaching (we [love it][5]), and learning. We're so proud to be a vibrant community of open experts and leaders working to bring [open principles][6] to organizations large and small. In fact, many of the [Open Organization Ambassadors][7] have made careers out of helping others become more open, and our community remains dedicated to helping leaders across various industries integrate open mindsets and behaviors into their communities and contexts.

[Last year][8] was a period of [growth][9] and [renewal][10] for the Open Organization project. And this year, we're building on that momentum. Today, we're proud to introduce two new initiatives—and, of course, invite you to participate.

### Turn on, tune in, open up

First, we're excited to announce a brand new venue for our community's work: [OpenOrgTV][11]. It's more than a new platform. It's an experiment in another medium: video.

On our channel, we'll be hosting all kinds of conversations—from in-depth book reviews to community roundtables. To get started, check out the "[Open Leadership Conversations][12]" series, which features interviews with insightful leaders offering their perspectives on what it means to lead according to open principles. Or watch "[Ask the Ambassadors][13]," our Q&amp;A-style write-in show starring community experts answering _your_ questions about organizational culture and design. Want to be part of the show? Submit your questions to community members in our [new dedicated forum][14].

All month long, we'll be featuring introductions to the [Open Organization Ambassadors][15], so you can finally see the faces and hear the voices behind the stories, case studies, and interviews you've been reading for years.

### Defining open leadership

Since we released it several years ago, the [Open Organization Definition][16] has become a guiding framework for organizations looking to better understand the nature of open organizational culture and design (and we've done lots to [teach others about it][17]). Over time, we even developed [a maturity model][18] that operationalizes the definition, so organizations can assess their own levels of openness and make concrete plans to become even _more_ open.

Now we think it's time to take that work a step further.

But the Open Organization community is more than any combination of platforms, tools, or projects. It's people, all working enthusiastically together to help spread open principles and practices.

Inspired by our own experience, pre-existing frameworks from open organizations like [Red Hat][19] and [Mozilla][20], years of studying and interviewing open leaders in the field, and a desire to better understand how open leadership _really_ works, we're pleased to unveil an early draft of a brand new document: the Open Leadership Definition.

This document outlines the mindsets and behaviors unique to the kinds of leaders who build open organizations and make them places where open-minded people can grow and thrive. It builds on the Open Organization Definition, explaining how open leaders embody and champion open organization characteristics—like transparency, inclusivity, adaptability, collaboration, and community.

And we're keen to share it with the world.

Beginning today (and continuing for the next two weeks), we're collecting _your_ insights and comments on our draft document. We're eager to hear your ideas, and will take them _en masse_ or in snippets. You can comment on individual parts of the document, or the entire thing. Just see the links below. We look forward to hearing from you.

* * *

####

![Open Leadership Definition word cloud][21]

_Open Leadership Definition word cloud by Laura Hiliger (CC BY-SA)_

#### The Open Leadership Definition

[Open Leadership: Introduction][22]

[Open Leadership: Transparency][23]

[Open Leadership: Inclusivity][24]

[Open Leadership: Adaptability][25]

[Open Leadership: Collaboration][26]

[Open Leadership: Community][27]

[Read the entire thing][28] in our shared folder.

* * *

### Let's connect

And of course, you can still find our community in all the usual places like:

  * [Our project website][29], your portal to the entire Open Organization project and community
  * [Our conversation hub][4], where you can interact with community members, ask questions, learn about new projects, find resources, and help others
  * [Our GitHub organization][30], where we're always working on new materials in the open and invite you to join us
  * [Our publication channel at Opensource.com][2], where we're publishing the latest analyses, case studies, interviews, and resources for practitioners in various regions and industries
  * Our [Twitter][31] and [LinkedIn][32] platforms, where we're sharing our latest updates and fostering new conversations



But the Open Organization community is more than any combination of platforms, tools, or projects. It's _people_, all working enthusiastically together to help spread open principles and practices. Those people are what makes our community so great.

That's been the case for six years now. And it always will be.

### By the numbers

![][33]

_Infographic via Jen Kelchner_

--------------------------------------------------------------------------------

via: https://opensource.com/open-organization/21/6/celebrate-sixth-anniversary

作者：[Laura Hilliger][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/laurahilliger
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/openorg_sixth_anniversary.png?itok=3RWyEk5S
[2]: https://opensource.com/open-organization
[3]: https://theopenorganization.org/books
[4]: https://www.theopenorganization.community/
[5]: https://www.youtube.com/watch?v=Snf6vICDbzw&list=PLLIYDJHuxOkaPEH76mIJe-HHplsiSAVej
[6]: https://theopenorganization.org/definition
[7]: https://theopenorganization.org/about
[8]: https://opensource.com/open-organization/20/6/scaling-energetic-community
[9]: https://opensource.com/open-organization/20/7/evolving-project-governance
[10]: https://opensource.com/open-organization/20/8/open-community-rebrands
[11]: http://theopenorganization.tv
[12]: https://www.youtube.com/watch?v=07YBs0ss9rU&list=PLLIYDJHuxOkYDTLbKRjcd9THTFtpnK8lh
[13]: https://www.youtube.com/watch?v=ukkZMYqRuUQ&list=PLLIYDJHuxOkY1gDbOFLDxGxwwmxeOATrI
[14]: https://www.theopenorganization.community/c/ask-community/19
[15]: http://theopenorganization.org/roster/
[16]: https://theopenorganization.org/definition/
[17]: https://youtu.be/NYngFYGgxro
[18]: https://github.com/open-organization/open-org-maturity-model
[19]: https://github.com/red-hat-people-team/red-hat-multiplier
[20]: https://mozilla.github.io/open-leadership-framework/framework/#the-open-leadership-framework
[21]: https://opensource.com/sites/default/files/images/open-org/open_leadership_word_cloud.png (Open Leadership Definition word cloud)
[22]: https://docs.google.com/document/d/1blmf94ED_p4BHGv0luU_XrU26aF7tCzV6WTmh_v-PDY/edit?usp=sharing
[23]: https://docs.google.com/document/d/14ssBBL0h2vxU0WZoMnWs6eo_8oRfJhnAr5yr-fAiLGU/edit?usp=sharing
[24]: https://docs.google.com/document/d/1lRutADes5E0mcwtc6GR_Qw06PuJLc9-wUK5W1Gcf_BA/edit?usp=sharing
[25]: https://docs.google.com/document/d/1RcwWTpkT42bgkf6EPiECt8LyAJ1XZjNGhzk0cQuBB7c/edit?usp=sharing
[26]: https://docs.google.com/document/d/1hTvnpqQkOc76-0UJbV6tAvRxOE--bdt96mqGmAKGqiI/edit?usp=sharing
[27]: https://docs.google.com/document/d/1Zl1smi-4jDZNNWd0oNY8qRH-GDi9q5VfvgyZ7YLkvm4/edit?usp=sharing
[28]: https://drive.google.com/drive/folders/1e1N_0p5lJEwAo_s6hQ3OK0KaJIfc7fgF?usp=sharing
[29]: http://theopenorganization.org/
[30]: https://github.com/open-organization
[31]: https://twitter.com/openorgproject
[32]: https://www.linkedin.com/company/the-open-organization/
[33]: https://opensource.com/sites/default/files/images/open-org/openorgproject_6_anniversary_stats.png
