[#]: subject: (5 handy guides to open source for teachers)
[#]: via: (https://opensource.com/article/21/6/open-source-guides-teachers)
[#]: author: (Seth Kenlon https://opensource.com/users/seth)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

5 handy guides to open source for teachers
======
To help you get the most out of your summer, but also satiate the real
need to plan for the coming school year, we've collected some of our
favorite concise guides to help you plan.
![Looking at a map][1]

For some teachers, summer is here and thus a long (hopefully, relaxing) break. All the teachers I know are proud lifelong learners, though, and at the end of the summer break there's a new school year awaiting. To help you get the most out of your summer, but also satiate the real need to plan for the coming school year, we've collected some of our favorite _concise_ guides to help you plan.

### How to make your school pandemic-ready

By going [all-in on Linux][2], teacher Robert Maynord ensured his school was ready for remote learning—even before it needed to be. We still don't know what the rest of the year has in store, but if there's anything that the pandemic has shown the world, it's that [digital transformation][3] (the integration of digital technology into all areas of education) is not only possible, but beneficial to both teachers and students. You may not have the authority to change the way your classroom operates on a technological level, but there are lots of small changes you can make to create a more agile learning experience for your pupils.

### The ultimate guide to open source for teachers

With this article, you can learn how to [incorporate open source principles][4] in your classroom. Open source is about more than just technology. It's about sharing knowledge, collaborating, working together toward a common goal. You can transform your classroom into a shared space where students learn from each other just as much as they do from you. Read it, put it into practice, and encourage it.

### 8 WordPress plugins for virtual classrooms

The WordPress web platform is a powerful tool for building websites. In the classroom, [it can serve as a great tool][5] to teach both web technology and creative or academic writing. It can also be used to enable remote learning, or to integrate everyday schoolwork with the digital realm. Gain the most benefit from WordPress for educational purposes by mastering its many [add-on features][6].

### Teach kids Python (interactive gaming)

Open source tools can help anyone get started learning Python in an easy and fun way—making games. Of course, Python is a big topic, but we have a curriculum to take you from installing Python, taking your first steps with code with simple text and "turtle" drawing games, all the way to intermediate game development.

  1. Start out by installing Python and getting used to how code works in our [Python 101 article.][7] This article alone can probably serve as the basis for two or three distinct classroom lessons.
  2. If you're familiar with [Jupyter][8], then learn to [program a simple game with Python and Jupyter][9].
  3. You can also learn [game development with this free Python ebook][10], which teaches you how to use Git, Python, and PyGame. Once you've learned the basics, check out [this collection of cool creations from the book's "playtesters"][11].



If Python is too advanced for you or your students, take a look at [Twine][12], a simple HTML-based interactive storytelling tool.

### Teach kids the Raspberry Pi (programming)

This article in our guide to [getting started with the Raspberry Pi][13] explores resources for helping kids learn to program. The Raspberry Pi has the unique quality of costing only $35 USD, while also being a full-powered Linux computer that can be used for anything from basic Python lessons to actual webservers, so it's full of potential for education. It's a reasonable goal to have a Pi per child in your classroom, or you can have a single Pi for the classroom to explore together (Linux is a multi-user OS, so with the right setup all of your students can use one Pi at the same time until you sell their parents or your principle on the value of purchasing more).

### Learn together

Part of an open classroom is being brave enough to learn alongside your students. As a teacher, you might be used to having all the answers, but the digital world is ever-changing and evolving. Don't be afraid to learn Python, Linux, the Raspberry Pi, and anything else _with_ your students. Work together to learn new fundamentals, new tricks, and new ways of solving problems. Open source is a proven and successful methodology, so don't just teach it—make it happen in your classroom.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/6/open-source-guides-teachers

作者：[Seth Kenlon][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/seth
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/tips_map_guide_ebook_help_troubleshooting_lightbulb_520.png?itok=L0BQHgjr (Looking at a map)
[2]: https://opensource.com/article/21/5/linux-school-servers
[3]: https://enterprisersproject.com/what-is-digital-transformation
[4]: https://opensource.com/article/20/7/open-source-teachers
[5]: https://opensource.com/article/20/3/wordpress-education
[6]: https://opensource.com/article/20/5/wordpress-plugins-education
[7]: https://opensource.com/article/17/10/python-101
[8]: https://opensource.com/article/18/3/getting-started-jupyter-notebooks
[9]: https://opensource.com/article/20/5/python-games
[10]: https://opensource.com/article/20/10/learn-python-ebook
[11]: https://github.com/MakerBox-NZ?q=pygame&type=&language=&sort=
[12]: https://opensource.com/article/18/2/twine-gaming
[13]: https://opensource.com/article/19/3/teach-kids-program-raspberry-pi
