[#]: subject: (8 books open source technologists should read this summer)
[#]: via: (https://opensource.com/article/21/6/2021-opensourcecom-summer-reading-list)
[#]: author: (Joshua Allen Holm https://opensource.com/users/holmja)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

8 books open source technologists should read this summer
======
The 2021 Opensource.com summer reading list features eight recommended
books for you to kick back, relax, and learn by reading.
![Reading a book, selfcare][1]

Welcome to the 2021 Opensource.com summer reading list. This year's list contains eight wonderful book recommendations from members of the Opensource.com community. From classics like Frank Herbert's _Dune_ and a new translation of _Beowulf_ to non-fiction books about the history of tech industry culture, this list has books for readers with different tastes and interests.

Each recommendation provides valuable insight into why the person who recommended the book thinks it is worth reading. As always, the book selections and reviews shared by my peers are insightful and inspiring. I always learn so much from what they share, and I always enjoy seeing what new and interesting books I will invariably add to my "to read" list. I hope that you will also find something to add to your "to read" pile.

Enjoy!

* * *

## [Beowulf: A New Translation][2]

[![Beowulf book cover][3]][2]

**by Maria Dahvana Headley** (recommendation written by [Kevin Sonney][4])

From the first line, you know this isn't the same "Beowulf" you slogged through in grade school.

> Bro! Tell me we still know how to speak of kings!

Before I fell into the IT field, I was an English major with a deep, abiding love of _Beowulf_. It can be difficult to read, and (at least here in the United States) it is required reading in high school, but many people remember it as a boring read where the language and structure get in the way of the story. In this translation, Headley puts the story first while maintaining a modern translation that is accurate in structure and meaning with the original text. From the opening "Bro!" to the occasional (and appropriate!) vulgarity, to the description of the "Hashtag: Blessed" Queen, readers will find themselves hanging on every line to find out what happens next. Headley's translation, more than any other, is also a joy to read out loud, just as it was for the bards who told it in the mead halls and longhouses of long ago.

This is a well-researched, well-written, and most importantly, engaging translation of one of the most important historical works of English literature. Headley makes _Beowulf_ FUN to read, and the reader gets immersed in the story, just like the listeners did over their drinks and meals long ago.

## [Competing on Internet Time: Lessons From Netscape and Its Battle With Microsoft][5]

[![Competing on Internet Time book cover][6]][5]

**by Michael A. Cusumano and David B. Yoffie** (recommendation written by [Gaurav Kamathe][7])

If you are reading this right now, chances are you are using a web browser. In fact, if you use a computer today in any form, can you imagine computing without a web browser? We spend the majority of time in it today—doing work, connecting with friends, surfing the web, watching movies, playing music, finding directions, ordering food, etc. Sure, apps have replaced some of these functions on mobile devices; however, the browser has in many ways become the operating system when it comes to the internet and the web.

There was a time when the web was taking root, and browsers were not mainstream. Few people could have imagined the potential of the web and the impact it would have on humankind. The browser is what made the web truly accessible to everybody, beyond just the technically savvy. If you are curious about what went into developing this exciting technology, the company that created it, and the battles it had to fight along the way against a mighty adversary, well, then keep reading.

_Competing on Internet Time_ traces events between the years 1994 and 1998. It mostly revolves around two companies: Netscape (today known as Mozilla), then a new, up and coming startup with a radical new product (the web browser) that came out of nowhere and grew rapidly to capture 90% of the browser market, and Microsoft, a well-known giant (even then) known for its dominance in the operating system market. The authors interviewed many key figures at both companies and provided their analysis of the events that transpired. This book is an interesting read from both a technology and a business standpoint. It goes in-depth on business strategy, decision-making, the benefits of speed, technology choice, and, more importantly, the culture of these two diverse organizations.

One key takeaway from the book is how Netscape truly embraced and utilized the internet as a competitive advantage at a time when other companies, including Microsoft, had ignored it for too long. Another takeaway is that Netscape, being the smaller of the two, had the advantage of flexibility, allowing it to introduce new products rapidly. A third lesson is how Microsoft fully utilized its operating system-market monopoly to beat Netscape at its browser game. Netscape tried to counter this by becoming a champion of cross-platform technology and introducing and pushing open standards to keep Microsoft on its back foot. In the face of stiff competition, Netscape turned its business strategy and went from being just a browser company and made forays into intranet, extranet, and enterprise software markets, ultimately losing this battle. All of this and more happened in a span of just four (internet) years.

## [Dune][8]

* * *

* * *

* * *

**[![Dune book cover][9]][8]**

* * *

**by Frank Herbert** (recommendation written by [Matthew Broberg][10])

My first review of _Dune_ was that it was an inventive, solid read. That was [not received well][11] by friends on Twitter. On reflection, I don't think that assessment does it justice. _Dune_ is an exceptionally influential piece of art from the mid-1960s that interweaves futuristic cultures, empires, and religions. It also plays with timelines. Every chapter weaves the future in as the present unfolds. The layers of foreshadowing while the world of Arrakis comes into focus are a joy to read.

I have since finished the second book in the series and plan to go on to the third. This world is massive, thoughtful, and feels as modern as it is timeless.

## [Hacking Diversity: The Politics of Inclusion in Open Technology Cultures][12]

* * *

* * *

* * *

**[![Hacking Diversity book cover][13]][12]**

* * *

**by Christina Dunbar-Hester** (recommendation written by [Bryan Behrenshausen][14])

What motivates this critical anthropology of open source technology communities isn't the question: _Why aren't open source communities more diverse?_ or even _How do we involve more underrepresented minorities in open source?_ Instead, Dunbar-Hester seeks answers to a more complex question: _How do the ways open source communities discuss diversity and inclusion inadvertently constrain their ability to make these communities more inclusive and diverse?_

By embedding herself inside various open technology communities—visiting their makerspaces, attending their meetups, listening at their conferences—Dunbar-Hester offers numerous insights that help readers understand how well-meaning and good-faith diversity, equity, and inclusion initiatives might produce results antithetical to their own aspirations. If you're at all interested in making open source communities more welcoming and inclusive, you'll want to read this book.

## [Letters to a New Developer: What I Wish I Had Known When Starting My Development Career][15]

* * *

* * *

* * *

**[![Letters to a New Developer book cover][16]][15]**

* * *

**by Dan Moore** (recommendation written by [Joshua Allen Holm][17])

If you found yourself entering (or re-entering) the job market during the last year, you found that much of the traditional mentoring structure for starting a new job was seriously disrupted. It is harder to get solid career advice when meetups and meetings are virtual, so, as an alternative, I suggest reading _Letters to a New Developer: What I Wish I Had Known When Starting My Development Career._

The book is divided into 10 chapters, covering Your First Month, Questions, Writing, Tools to Learn, Practices, Understanding the Business, Learning, Mistakes, Your Career, and Community. Each chapter begins with a brief introduction followed by a series of letters addressed to the reader about the chapter's subject. The letters are all interesting and engaging to read.

Having almost the entire book in epistolary format makes this book feel more personal than other career guidance books. After a year of being disconnected because of COVID-19, the human touch of the letter-based approach makes this book a pleasure to read. No book, not even one as excellent as _Letters to a New Developer,_ can replace a few good human mentors who can adjust their advice to specific circumstances, but this is a solid alternative to having ready access to a mentor in the next cubicle.

I highly recommend picking up a copy, even if you do not think you need career advice. There are many insightful things in _Letters to a New Developer_ that would benefit even someone well-established in their career.

## [The All-Consuming World][18]

* * *

* * *

* * *

**[![The All-Consuming World book cover][19]][18]**

* * *

**by Cassandra Khaw** (recommendation written by [Kevin Sonney][4])
Release date: September 7, 2021; review based on an advance review copy

Khaw, author of the Lovecraftian _Hammers on Bone_ and the hilarious and visceral _Rupert Wong: Canibal Chef_ series, brings her distinctive style to a far-future space cyberpunk thriller. In _The All-Consuming World_, a band of criminals comes out of retirement to return to the mythical planet that once almost destroyed them. Khaw excels at writing realistic, messy characters whose flaws are their greatest strengths. At times visceral and profane, Khaw builds a complex universe with complex people, where those people can be artificial intelligences, rogue hackers, cyborgs, clones, heavily modified humans, and more.

_The All-Consuming World_ is a fast, violent, and complex ride from the opening heist onward. Khaw adds her voice to the amazing array of recent modern cyberpunk authors with her unique combination of style, wit, and mayhem. This book may not be for everyone, but I enjoyed the heck out of it.

## [The Language Lover's Puzzle Book: Lexical Perplexities and Cracking Conundrums From Across the Globe][20]

* * *

* * *

* * *

**[![The Language Lover's Puzzle Book cover][21]][20]**

* * *

**by Alex Bellos** (recommendation written by [Joshua Allen Holm][17])

Are you a word nerd? Do you love puzzles? If the answer to both those questions is "yes," then _The Language Lover's Puzzle Book_ is the book for you. This book explores interesting facts about language through a series of puzzles and anecdotes.

Each of the book's 10 chapters covers different aspects of language like numbers and familial relations. You will find puzzles about ancient languages, like Babylonian and Egyptian, modern languages, and even constructed languages like [Dothraki][22]. Each puzzle is a brain teaser that makes you think about how languages work. The puzzles vary in difficulty, but each presents an interesting challenge for the reader to solve.

A book full of complex puzzles about languages certainly has a niche audience; still, the anecdotes contained within are interesting enough to make _The Language Lover's Puzzle Book_ something enjoyable even to a reader not interested in solving the puzzles for themselves. Solving the puzzles is very much the point of the book, but the information in the book is still fascinating and informative, even to readers who do not want to challenge themselves with puzzle solving.

You can watch Alex Bellos' [talk at the Royal Institution][23] for a preview of the puzzles and anecdotes contained in _The Language Lover's Puzzle Book_.

This review was based on the UK edition of _The Language Lover's Puzzle Book_. A [US edition][24] with the title _The Language Lover's Puzzle Book: Perple_ing Le_ical Patterns to Unmi_ and Ve_ing Synta_ to Outfo__ is due out in November and available now for preorder.

## [Understanding the Digital World: What You Need to Know about Computers, the Internet, Privacy, and Security, Second Edition][25]

* * *

* * *

* * *

**[![Understanding the Digital World book cover][26]][25]**

* * *

**by Brian W. Kernighan** (recommendation written by [Jim Hall][27])

I loved reading _Understanding the Digital World_. While it's listed as a textbook on Amazon, I didn't find it an "academic" text. It's almost a casual introduction to technology, from basic ideas such as "what is a computer" and "analog versus digital" to more advanced topics including mobile devices, internet communication, artificial intelligence, and cryptography.

Kernighan introduces each topic in a conversational way, so you don't feel like you're stepping up to a more advanced topic. Rather, it's a natural progression or flow from one topic to the next.

I especially appreciated his demonstration of the Toy Computer, a hypothetical computer model you can experiment with in a web browser. With the Toy, Kernighan explains the fundamentals of Assembly programming without getting lost in the details of macro assembly and specific registers. I found this an approachable way to discuss the topic.

I also appreciated Kernighan's discussion about operating systems further into the book. Kernighan explains this technical concept in clear terms, breaking down the components into easily understood sections.

_Understanding the Digital World_ would make a great gift for anyone interested in technology at almost any age level.

* * *

Not seeing something that piques your interest? Check out our previous lists for more suggestions:

  * [2020 Opensource.com summer reading list][28]
  * [2019 Opensource.com summer reading list][29]
  * [2018 Open Organization summer reading list][30]
  * [2016 Opensource.com summer reading list][31]
  * [2015 Opensource.com summer reading list][32]
  * [2014 Opensource.com summer reading list][33]
  * [2013 Opensource.com summer reading list][34]
  * [2012 Opensource.com summer reading list][35]
  * [2011 Opensource.com summer reading list][36]
  * [2010 Opensource.com summer reading list][37]



--------------------------------------------------------------------------------

via: https://opensource.com/article/21/6/2021-opensourcecom-summer-reading-list

作者：[Joshua Allen Holm][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/holmja
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/reading_book_selfcare_wfh_learning_education_520.png?itok=H6satV2u (Reading a book, selfcare)
[2]: https://us.macmillan.com/books/9780374110031
[3]: https://opensource.com/sites/default/files/uploads/beowulf.jpg (Beowulf book cover)
[4]: https://opensource.com/users/ksonney
[5]: https://www.simonandschuster.com/books/Competing-On-Internet-Time/David-B-Yoffie/9780684831121
[6]: https://opensource.com/sites/default/files/uploads/competing_on_internet_time.jpg (Competing on Internet Time book cover)
[7]: https://opensource.com/users/gkamathe
[8]: https://dunenovels.com/dune/
[9]: https://opensource.com/sites/default/files/uploads/dune.jpg (Dune book cover)
[10]: https://opensource.com/users/mbbroberg
[11]: https://twitter.com/mbbroberg/status/1372323276802961408
[12]: https://press.princeton.edu/books/hardcover/9780691182070/hacking-diversity
[13]: https://opensource.com/sites/default/files/uploads/hacking_diversity.jpg (Hacking Diversity book cover)
[14]: https://opensource.com/users/bbehrens
[15]: https://letterstoanewdeveloper.com/the-book/
[16]: https://opensource.com/sites/default/files/uploads/letters_to_a_new_developer_150.jpg (Letters to a New Developer book cover)
[17]: https://opensource.com/users/holmja
[18]: https://www.erewhonbooks.com/books/the-all-consuming-world-cassandra-khaw
[19]: https://opensource.com/sites/default/files/uploads/the_all-consuming_world.jpg (The All-Consuming World book cover)
[20]: https://www.alexbellos.com/language
[21]: https://opensource.com/sites/default/files/uploads/the_language_lover_s_puzzle_book.jpg (The Language Lover's Puzzle Book cover)
[22]: https://en.wikipedia.org/wiki/Dothraki_language
[23]: https://www.youtube.com/watch?v=2NLquktkdqk
[24]: https://www.amazon.com/dp/B08WK5X45V/
[25]: https://press.princeton.edu/books/hardcover/9780691219097/understanding-the-digital-world
[26]: https://opensource.com/sites/default/files/uploads/understanding_the_digital_world.jpg (Understanding the Digital World book cover)
[27]: https://opensource.com/users/jim-hall
[28]: https://opensource.com/article/20/6/summer-reading-list
[29]: https://opensource.com/article/19/6/summer-reading-list
[30]: https://opensource.com/open-organization/18/6/summer-reading-2018
[31]: https://opensource.com/life/16/6/2016-summer-reading-list
[32]: https://opensource.com/life/15/6/2015-summer-reading-list
[33]: https://opensource.com/life/14/6/annual-reading-list-2014
[34]: https://opensource.com/life/13/6/summer-reading-list-2013
[35]: https://opensource.com/life/12/7/your-2012-open-source-summer-reading
[36]: https://opensource.com/life/11/7/summer-reading-list
[37]: https://opensource.com/life/10/8/open-books-opensourcecom-summer-reading-list
