[#]: subject: (How to Make LibreOffice Look Like Microsoft Office)
[#]: via: (https://www.debugpoint.com/2021/06/libreoffice-like-microsoft-office/)
[#]: author: (Arindam https://www.debugpoint.com/author/admin1/)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

How to Make LibreOffice Look Like Microsoft Office
======
We made an attempt to make the LibreOffice suite look like Microsoft
Office. Is it possible? Let’s find out.
[LibreOffice][1] is a free and open-source office productivity suite that provides you a complete collection of applications. It consists of a Word processor (Writer), a spreadsheet program (Calc), Presentation (Impress), and a drawing program (Draw). It also gives you a stand-alone database system LibreOffice Base while LibreOffice Math is a program that helps students, researchers to write formulas and equations.

While, the widely used [Microsoft Office][2] is a paid office productivity suite that gives you excellent programs to perform almost all tasks related to study, office, and enterprise usage.

Both of the programs are different but their objective is the same in terms of functionality. Due to its popularity, Microsoft office is used widely and well known to the users. However, there are many users who prefer the free LibreOffice for their work and activities. Adopting LibreOffice sometimes difficult compared to Microsoft Office – although most of the menu items, tools are the same.

That said, if you can make LibreOffice look like Microsoft Office, then it is much easier for first-time users to adopt – mostly coming from Microsoft Office background. The look and feel play a big part in users’ minds including their muscle memory and familiarity of colors, menu items.

Of course, you can not make it exactly like Microsoft Office because of different icons, fonts, etc. However, you can make it look up to a certain amount.

### Make LibreOffice Look Like Microsoft Office

_This guide is prepared in LibreOffice 7.2 (dev) version._

#### 1\. User Interface changes

LibreOffice has a “Ribbon” style toolbar called Tabbed Bar. Although it comes with many options of the toolbar (see below). For this guide, I have used the Tabbed bar option.

  * Open LibreOffice and go to `Menu > View > User Interface`.
  * Select `Tabbed` from the UI Section.



![tabbed bar option][3]

  * Click on Apply to All. LibreOffice also provides an option to apply the toolbar type-specific to Writer or Calc. If you want a different toolbar type, you can choose that way. But I would recommend using the Apply to All to make it consistent.


  * Now you should have the Microsoft Office-style Ribbon. Although they are not exactly the same, you get the feel of it.



#### 2\. Microsoft Office Icons for LibreOffice

The Icons in the toolbar play a big part in your workflow. LibreOffice provides some nice icons for your toolbar. The best ones are the –

  * Karasa Jaga
  * Colibre
  * Elementary



For this guide, we will use [Office 2013 icon set][4] which is developed by an author. It is available in Devian Art.

  * Go to the below link and download the LibreOffice extension file (*.oxt). For the newer versions of LibreOffice, you need to use extension files to install icon sets.



[download office 2013 icon sets for libreoffice][5]

  * After download, double click the .oxt file to open. Or, press CTRL+ALT+E to open the Extension Manager and select the downloaded .oxt file using the Add button. Close the window once done.



![Import icon sets in Extension Manager][6]

  * Now go to `Tools > Options > View`. From the Icon style choose Office 2013.


  * Change the icon size via `Icon Size > Notebookbar > Large`. If you feel the icons are small, you can change them. However, I feel to make it more Office-like, the large settings work better.



![Change icons in Options][7]

And, that’s it. Your LibreOffice installation should look like this.

[][8]

SEE ALSO:   LibreOffice 7.2 - New Features and Release Details

![Making LibreOffice look like Microsoft Office in KDE Plasma][9]

![Making LibreOffice look like Microsoft Office in Windows 10][10]

![Making LibreOffice look like Microsoft Office in GNOME][11]

Remember, if you are using Ubuntu, KDE Plasma, or any Linux distribution, the looks may be different. But in my opinion, it looks closer to Microsoft Office in KDE Plasma than GNOME. LibreOffice doesn’t look good in GTK based systems at the moment.

In Windows, however, it looks better because it uses system font, color palette.

These are some settings that you can use, however, you can play around with more customizations, icons, and themes as you wish. If you fancy dark mode in LibreOffice, you may want to read our tutorial – [how to enable dark mode in LibreOffice][12].

### Closing Notes

Microsoft Office is undoubtedly the market leader in the Office productivity space. There is a reason for it, it comes with decades of development, and it’s not a free product. In fact, the latest Office 365 Home usage price is around ~7 USD per month for 3 to 4 devices. Which is a bit pricy if you ask me.

Whereas LibreOffice is free and community developed headed by The Document Foundation. Hence, the development is slower and features arrive late. It is not trying to be Microsoft Office but gives millions of users, schools, non-profits, colleges, students an opportunity to work and learn using a free office suite.

Hence, it is beneficial if it can mimic the basic look and feel to make it like Microsoft Office to increase LibreOffice adoption. And I hope this guide serves a little purpose in that direction.

[_Link: Official Feature comparison between LibreOffice and Microsoft Office._][13]

* * *

--------------------------------------------------------------------------------

via: https://www.debugpoint.com/2021/06/libreoffice-like-microsoft-office/

作者：[Arindam][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.debugpoint.com/author/admin1/
[b]: https://github.com/lujun9972
[1]: http://libreoffice.com
[2]: http://office.com
[3]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/tabbed-bar-option.jpg
[4]: https://www.deviantart.com/charliecnr/art/Office-2013-theme-for-LibreOffice-512127527
[5]: https://www.deviantart.com/users/outgoing?https://1drv.ms/u/s!ArgKmgFcmBYHhSQkPfyMZRnXX5LJ
[6]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/Import-icon-sets-in-Extension-Manager.jpg
[7]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/Change-icons-in-Options-1024x574.jpg
[8]: https://www.debugpoint.com/2021/05/libreoffice-7-2/
[9]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/Making-LibreOffice-look-like-Microsoft-Office-in-KDE-Plasma-1024x441.jpg
[10]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/Making-LibreOffice-look-like-Microsoft-Office-in-Windows-10-1024x554.jpg
[11]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/Making-LibreOffice-look-like-Microsoft-Office-in-GNOME-1024x498.jpg
[12]: https://www.debugpoint.com/2020/01/how-to-enable-dark-mode-libreoffice/
[13]: https://wiki.documentfoundation.org/Feature_Comparison:_LibreOffice_-_Microsoft_Office
