[#]: subject: (9 Features in Brave Search That Make it a Great Google Search Alternative)
[#]: via: (https://itsfoss.com/brave-search-features/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

9 Features in Brave Search That Make it a Great Google Search Alternative
======

Brave Search is an ambitious initiative by Brave Software based on the open-source project [Tailcat][1], which tries to take on the big tech by introducing the ability to search anonymously. Brave Search itself is [not open source at the moment][2].

Of course, there are various other [private search engines][3] available out there trying to offer a privacy-focused experience. Even though not every service proves to be better than Google (regarding features), Brave Search seems to be a compelling choice when considering Brave Browser as a successful open-source replacement to Google Chrome.

Here, let me highlight a few features in Brave Search that makes it an interesting alternative to Google Search.

### Top 9 Brave Search Features

Brave Search does a few things better than Google and those are worth highlighting as unique feature offerings that sets it apart.

Brave Search is in beta at the time of writing this article. If you notice something different with your experience, there are chances that they may have made an improvement/change. Let me know in the comments below if that’s the case.

#### 1\. Anonymous Search

![][4]

Google tracks your search queries, keeps a log of your history (unless you manually delete it or disable recording your activity). Not just the basics, but your IP address and the website you visit from the search result is also recorded in the process.

In contrast, Brave Search does not track the IP, or the search queries made using their search portal.

You stay completely anonymous, along with your search history being private only to yourself.

This could eliminate the need of using a [secure VPN service][5] to keep your Internet search activity private.

#### 2\. Ad-Free Version (Coming Soon)

![][6]

All the private search engines include advertisements to make money (which is fair). The advertisements used by Google Search include trackers when you click on it, which is not the case with privacy-focused search engines.

But Brave Search tries to go a little further by offering a choice to the users.

It is a feature that has been planned for addition, but it is worth mentioning. If you want to get rid of the ads, you can opt for the paid version of the search engine where you can explore the web ad-free.

I think that’s a win-win for both Brave and you as a user. They do not lose on making revenue and you get to experience a truly ad-free search engine.

#### 3\. Community Curated Search Rankings (Coming Soon)

Users can help spot the quality of a web resource better than an algorithm often.

So, Brave Search aims to work on a community-curated search ranking system, which will be open to all when it is available.

This should improve the collaborative approach of exploring the web, which should be an impressive feature of Brave Search.

#### 4\. Independent Index with No Search Algorithm

![][7]

With most of the other search engines, there’s an algorithm in place to make sure that only the high-quality web pages rank above the rest. Brave Search does not have any special algorithm controlling the search rankings.

And yes, that is a feature in a world where everything depends on algorithms.

Sometimes that algorithm ends up being biased by ranking plagiarism content first, low-quality web pages, along with a few other issues.

Without any special search algorithm, Brave search uses its own Index to fetch results as per your queries.

#### 5\. Private Local and Global Search Results

![][8]

No matter what region you choose for the search results, you get an additional option to filter your results based on your locality (IP address).

Brave explains that the IP address is stored locally on your device and is used to serve you the local feed of results – which sounds useful.

![][9]

#### 6\. Transparency in Search Results

![][10]

The web is a vast network. Therefore, to keep the search result quality resourceful, Brave Search fetches some search results anonymously from Google and Bing (which is often less than 10% in my tests).

For the rest of the results, Brave Search relies on its independent index. Brave Search also displays the percent of its independent search index used for your search.

The more users start using Brave Search, the more independent the search results will become. So that’s a good thing.

Considering not all search engines reveal a lot about their search results, Transparency, as a principle, can be a feature to compare with when choosing a search engine.

![][11]

#### [Brave: Open Source Web Browser That Blocks Ads and Tracking By Default][12]

An open source web browser that blocks ads and tracking. A good choice if you are looking for a privacy focused web browser. Here’s how to install Brave on Linux.

#### 7\. A Refreshing User Interface

While every other Google search alternative tries to offer a familiar experience, Brave Search is actually refreshing to look at (in my opinion).

![][13]

The user interface looks well-thought and offers a modern, clean experience. Don’t you think?

I like how DuckDuckGo simplifies things, but Brave certainly makes it up for a better user experience that looks unique and clean.

#### 8\. No Anti-Competitive Nature

Unlike some other search engines (especially, Google) do not suggest anything else explicitly, except their own products and services in their search results.

That’s fair but potentially also anti-competitive, being the most popular search engine. They do have their reasons which we don’t have to talk about here, but giving a shout-out to your competitors is something new businesses/services are adopting.

![][14]

And Brave Search does an excellent jobat that. While you scroll through the search results, you will find a choice to use other search engines for your search query.

#### 9\. Dark Mode &amp; Tweaks

Yes, the dark mode is an important feature (sigh).

![][15]

And from the settings available in Brave Search, you can **turn on the dark mode**, **set links to open in a new tab,** and **control the language** (soon).

![][16]

### Wrapping Up

Brave Search is an interesting private search engine that aims to tackle the Big Tech by offering something new. It should be seamless user experience when [using Brave Browser][12] along with it, but you can use it on any browser without any limitations.

I like what I see here, what do you think? Let me know your thoughts in the comments below.

--------------------------------------------------------------------------------

via: https://itsfoss.com/brave-search-features/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://www.tailcat.com
[2]: https://www.reddit.com/r/brave_browser/comments/o5qknc/announcement_brave_search_beta_now_available_in/h2p3q22?utm_source=share&utm_medium=web2x&context=3
[3]: https://itsfoss.com/privacy-search-engines/
[4]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-anonymous.png?resize=800%2C530&ssl=1
[5]: https://itsfoss.com/best-vpn-linux/
[6]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/06/paid-no-ads-brave.png?resize=800%2C450&ssl=1
[7]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-sample.png?resize=800%2C586&ssl=1
[8]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-local-global-search.png?resize=800%2C228&ssl=1
[9]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-anonymous-local-results.png?resize=800%2C589&ssl=1
[10]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-transparency.png?resize=800%2C654&ssl=1
[11]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/09/brave-browser-1-e1573731875389.jpeg?resize=150%2C150&ssl=1
[12]: https://itsfoss.com/brave-web-browser/
[13]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-ui.png?resize=800%2C590&ssl=1
[14]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-competitors.png?resize=800%2C502&ssl=1
[15]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-dark-mode.png?resize=800%2C573&ssl=1
[16]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/06/brave-search-settings.png?resize=483%2C389&ssl=1
