[#]: subject: (Windows 11 System Requirement is Turning Heads. Time to migrate to Linux?)
[#]: via: (https://www.debugpoint.com/2021/06/windows-11-system-requirement/)
[#]: author: (Arindam https://www.debugpoint.com/author/admin1/)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Windows 11 System Requirement is Turning Heads. Time to migrate to Linux?
======
Microsoft announced Windows 11 at the official online event. Here’s in
this post we brief the Windows 11 system requirement and give you
thinking points on whether you should permanently migrate to Linux.
There are many debates and discussions going around after the announcement of Windows 11 from Microsoft. Many are “blown away” by the look and feel of the customization option that it brings, little they know that it might be “[inspired][1]” by other operating systems.

![Windows 11 Desktop][2]

Here’s a quick recap of visible features –

  * New Start Menu, Taskbar, and Search Bar
  * New Animations are added while moving and dragging the windows. Even Opening a new window, closing, and minimize tap have different animation than earlier versions of Windows.
  * Featured add to perform multitask with windows like split-screen, creating groups of various task windows, etc.
  * Touch controls are improved significantly.
  * New sounds are added in this version. After the release of Windows 10 in 2015, no significant changes were made in the sounds. But in Windows 11, you will see various new sound options.
  * You will have access to dark mode also.
  * Rounded Corners: Pointy corners will not be available in Windows 11. Corners of various bars will be made round.
  * New icons are added which will make it more attractive than the earlier versions.
  * Various new Widgets are added in this version.
  * You can run Android apps via Windows 11 store



### Windows 11 System Requirement

  * Processor – 1 gigahertz (GHz) or faster with 2 or more cores on a compatible 64-bit processor or System on a Chip (SoC)
  * Memory – 4 GB RAM
  * Storage – 64 GB or larger storage device
  * System firmware – UEFI, Secure Boot capable
  * TPM Trusted Platform Module (TPM) version 2.0
  * Graphics card DirectX 12 compatible graphics / WDDM 2.x
Display &gt;9” with HD Resolution (720p)
  * Internet connection Microsoft account and internet connectivity required for setup for Windows 11 Home



Looking at the specification, you might have noticed a couple of interesting items. Windows 11 recommends your system should have TPM a.k.a Trusted Platform Module (TPM) version 2.0. Trusted Platform Module (TPM) technology is designed to provide hardware-based, security-related functions. A TPM chip is a secure crypto-processor that is designed to carry out cryptographic operations. The chip includes multiple physical security mechanisms to make it tamper-resistant, and malicious software is unable to tamper with the security functions of the TPM.

And this is why Microsoft boasts about Windows 11 being more secure.

Not all the hardware that is available today has a TPM chip. And worse is, many may force to buy new hardware as well. As a thumb rule, if you have bought any Laptop, Desktop 2017 onwards, you should be fine.

[][1]

SEE ALSO:   Windows 11 Look Inspired by KDE Plasma and GNOME?

### Internet Required for set up?

From an end-user perspective, this is not a good idea at all. This forces everyone to create a Microsoft account for the initial setup. Think about millions of users who probably buy Laptops for basic usage, and now they required to create an account, with OneDrive and other online “BS”. And you end up consuming more data, give away your data, and so on.

This move is completely unnecessary from the Microsoft side. Internet connectivity should be optional and not mandatory for setting up your computer which you bought with a price.

### Should you be moving to Linux?

Yes, of course. Linux can run super-fast in all newer and older hardware. There are plenty of versions of the Linux operating system with a nice-looking desktop out there that you can easily install and use. You do not need to shell out additional money just to experience fancy Windows 11.

Linux has many variants which cater to different people with a variety of tastes. You do not need to settle for only one look and feel and functionality. You have the freedom to choose.

You do not need to buy expensive Antivirus which is recommended for Windows operating system. Linux doesn’t get a virus that easily as it is designed in a different way, and not that popular. So, you are protected on that front and save more money.

Linux updates are much faster due to stability and the small size of updates. Hence you save money on your data plan as well.

And, you save thousands of hours by not looking at this:

![The Never ending wait which becomes part of your life][3]

### Closing Notes

Benchmarking a certain set of hardware as “old” is completely subjective in terms of software. You can easily run Debian, or Lubuntu in ten-year-old or more hardware for basic tasks. If someone tells you that your hardware is old, doesn’t make it so. Windows 11 may compel some users to think about their personal hardware strategy in the longer term. It is a market leader in the Desktop operating system and it is a business model for them and OEMs. Fair enough. But if you are a Windows user and reading this, I would recommend you to start experimenting with simple and friendly Linux distributions such as [Linux Mint][4], right now. So that you have options to choose from and have control over your spending in the longer run.

Cheers.

* * *

--------------------------------------------------------------------------------

via: https://www.debugpoint.com/2021/06/windows-11-system-requirement/

作者：[Arindam][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.debugpoint.com/author/admin1/
[b]: https://github.com/lujun9972
[1]: https://www.debugpoint.com/2021/06/windows-11-inspiration-linux-kde-plasma/
[2]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/Windows-11-Desktop-1024x575.jpg
[3]: https://www.debugpoint.com/blog/wp-content/uploads/2021/06/The-Never-ending-wait-which-becomes-part-of-your-life.jpg
[4]: https://www.debugpoint.com/2021/02/cinnamon-arch-linux-install/
