[#]: subject: (Explore waterways with this open source nautical navigation tool)
[#]: via: (https://opensource.com/article/21/7/open-source-nautical-navigation)
[#]: author: (Don Watkins https://opensource.com/users/don-watkins)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Explore waterways with this open source nautical navigation tool
======
Whether you're sailing down a local river or setting out on the open
seas, keep track of your nautical location with OpenCPN.
![Boat helm at sunset for navigation][1]

If you're traveling by boat down your local waterway or sailing around the world, you can bring great navigation software with you and maintain your commitment to open source software. [OpenCPN][2] is free and open source software developed by sailors. It serves as the primary navigation interface for vessels with full-time helm-visible navigational suites. The software is written in C and released under a [GPLv2 license][3].

### Install OpenCPN

OpenCPN can be installed on Linux, macOS, or Windows. Packages are available for [Fedora][4], [Ubuntu][5], and [Raspberry Pi][6]. I installed OpenCPN on my Linux laptop using [Flatpak][7]. For macOS and Windows, you can download and install packages from the [OpenCPN website][8].

There's also an [Android app][9] version available from the Google Play store.

### Use OpenCPN

Once it's installed, launch OpenCPN to try it out. The main menu bar is located on the left.

The first choice from the top is **Options**. Here, you can select how the program appears in the display and what units of measurement of speed, distance, and depth to use. You also can set how latitude and longitude are displayed in [decimal degrees][10].

![OpenCPN map showing latitude and longitude measurements][11]

(Don Watkins, [CC BY-SA 4.0][12])

### Get charts

OpenCPN doesn't come preinstalled with charts. Which charts you choose to install are generally determined by your location and, potentially, your destination.

Many free [charts are available][13], including those from the US NOAA Office of Coast Survey, Marinha Do Brasil (which includes parts of Antarctica), East Asia Hydrographic Commission, many sources of inland European waterway charts, and many other sources. The chart page also links to commercial sources, should you require them.

### Learn more

The project provides an excellent [quickstart guide][14] to make it easy for new users.

The OpenCPN project also has excellent [documentation][15] to guide you through the installation and setup process. It provides step-by-step directions for first use and [installing charts][16]. The program also comes with a list of [supplementary software][17] you can use with it.

OpenCPN is available in 20 languages. There are lots of how-to videos available on [Vimeo][18] and [YouTube][19] to help you become familiar with the software.

![OpenCPN map of Long Island and Nantucket Sounds][20]

(Don Watkins, [CC BY-SA 4.0][12])

### Get involved

David S. Register is the lead developer for the project. He originally developed OpenCPN in 2009 for his own use. Other folks expressed an interest in his software, and now there are thousands of users and more than 40 active developers worldwide.

You can [get involved][21] with the project by consulting its excellent [developer documentation][22].

Take a look at two open source applications that bring the far reaches of space a little bit closer.

--------------------------------------------------------------------------------

via: https://opensource.com/article/21/7/open-source-nautical-navigation

作者：[Don Watkins][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/don-watkins
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/boat-helm-sunset.jpg?itok=g1MYhF_s (Boat helm at sunset)
[2]: https://opencpn.org/
[3]: https://github.com/OpenCPN/OpenCPN/blob/master/COPYING.gplv2
[4]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:opencpn_installation:fedora
[5]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:opencpn_installation:ubuntu_ppa
[6]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:opencpn_installation:raspberrypi_rpi2
[7]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:opencpn_installation:flatpak
[8]: https://opencpn.org/OpenCPN/info/downloadopencpn.html
[9]: https://www.bigdumboat.com/aocpn/cpnapp.html
[10]: http://wiki.gis.com/wiki/index.php/Decimal_degrees
[11]: https://opensource.com/sites/default/files/uploads/opencpn-map.png (OpenCPN map showing latitude and longitude measurements)
[12]: https://creativecommons.org/licenses/by-sa/4.0/
[13]: https://opencpn.org/OpenCPN/info/chartsource.html
[14]: https://opencpn.org/OpenCPN/info/quickstart.html
[15]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:opencpn_installation
[16]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:opencpn_user_manual:getting_started:chart_installation
[17]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:supplementary_hardware
[18]: https://vimeo.com/user17026077/videos
[19]: https://www.youtube.com/results?search_query=OpenCPN
[20]: https://opensource.com/sites/default/files/uploads/opencpn-map2.png (OpenCPN map of Long Island and Nantucket Sounds)
[21]: https://github.com/OpenCPN/OpenCPN
[22]: https://opencpn.org/wiki/dokuwiki/doku.php?id=opencpn:developer_manual
