[#]: subject: (Ubuntu 21.10 Impish Indri – New Features and Release Date)
[#]: via: (https://www.debugpoint.com/2021/07/ubuntu-21-10/)
[#]: author: (Arindam https://www.debugpoint.com/author/admin1/)
[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Ubuntu 21.10 Impish Indri – New Features and Release Date
======
Final release of 2021, Ubuntu 21.10 Impish Indri development is in
progress. In this post, we sum up the new features known so far and
planned release dates.
This post includes information about ongoing development. The information may change frequently, and this page is regularly updated until the final release.

This page contains the following topics –

  * [Ubuntu 21.10 – Code name history][1]
  * [New Features in desktop flavor][2]
  * [Ubuntu Official flavor information][3]
  * [Release schedule][4]
  * [Daily-build .ISO download][5]
  * [Canary build .ISO download][6]



Before we list out the features, you should remember that, we are at a very early stage of the development considering October as of publishing this. And the final pieces may change as we move closer to the final release.

Historically, October releases are somewhat quieter but impactful. They create the base for next LTS in every alternate year. So having said that, this is an important release due to many factors.

### The Code Name

Following the trend, Ubuntu 21.10 is code named “impish indri” as we are at “I” based names. The “Indri” refers to _“babakoto, is one of the largest living lemurs, with a head-and-body length of about 64–72 cm and a weight of between 6 to 9.5 kg. It has a black and white coat and maintains an upright posture when climbing or clinging” (from Wikipedia)_. Well, the final mascot is yet to be revealed.

So, all the packages and repo is tagged with “impish” for this version of Ubuntu.

Let’s take a look at other new features.

### Ubuntu 21.10 New Features

![Ubuntu 21.10 Desktop \(daily build\)][7]

  * Ubuntu 21.10 would feature **Linux Kernel 5.14**. This is currently in development and will be released before the feature freeze.


  * If you are wondering of about GNOME, well yes, Ubuntu 21.10 features [GNOME 40 desktop][8] – but with a twist. The **GNOME 40** version brings some fundamental changes to GNOME desktop, which you are already aware of by now. But with the usual left fixed dock! So, the customized GNOME 40 with left fixed doc, eliminates the bottom dock of vanilla GNOME 40.


  * So, initially it would feel a bit strange with have **left fixed dock** with horizontal workspaces, overview and scrolling. But it would be interesting to observe user reactions and feedback once it releases.


  * Version wise, this release would feature **GNOME 40.3** (it’s due by July 2021).


  * A brand **new Desktop Installer** which would replace the decade old Ubiquity. This is created in collaboration with Google in Flutter and gives a nice and easy way of installing Ubuntu. We covered more about this installer in detail when it was launched. You can read the coverage [here][9].



![New Installer – Ubuntu 21.10][10]

  * The new installer is still in Canary build and not arrived in daily build as of publishing this. And when I tested, it has many bugs which are simple ones. I hope they would be sorted out before final release.


  * The default theme would be set to **Yaru Light**. As per the Ubuntu team, it is difficult to maintain a mixed theme with both and dark and light together.


  * In the prior Ubuntu 21.04, the Wayland display server is made default. In this release, **NVIDIA** driver users also would be able to Wayland, hopefully.


  * With the **wallpaper** competition is back, we expect a stunning default wallpaper with “Indri” mascot. Already there are beautiful wallpapers submitted by the community, and they look promising.


  * The applications and packages sees their respective version upgrades in this release. Here’s a quick summary.


  1. Firefox 89
  2. LibreOffice 7.1 (I am still hopeful whether [LibreOffice 7.2][11] is an option)
  3. Thunderbird 78.12



### Official Flavors

The official Ubuntu desktop flavors would have their respective version upgrades. Here’s a quick update.

  * Xubuntu with Xfce 4.16
  * Ubuntu MATE with MATE 1.24
  * Kubuntu with KDE Plasma 5.22 (I don’t think Plasma 5.23 would be ready before BETA)



### Ubuntu 21.10 Release Date

Ubuntu 21.10 releases on October 14, 2021. Here is the schedule of this release.

  * **Feature Freeze**: August 19, 2021
  * **Beta Release**: September 23, 2021
  * **Final Releas**e: October 14, 2021



### Daily Build Downloads for Ubuntu 21.10

Default desktop image .ISO for daily build is available in below link. The following images are unstable so, do not use this as your serious work. Try for testing only.

[download ubuntu 21.10 daily build – GNOME][12]

#### Other flavors

Ubuntu Flavor | Link for Daily build .iso image (64 bit)
---|---
Ubuntu 21.10 Desktop (GNOME) | <https://cdimage.ubuntu.com/daily-live/current/>
Xubuntu 21.10 | <https://cdimage.ubuntu.com/xubuntu/daily-live/current/>
Ubuntu MATE 21.10 | <https://cdimage.ubuntu.com/ubuntu-mate/daily-live/current/>
Ubuntu Kylin 21.10 | <https://cdimage.ubuntu.com/ubuntukylin/daily-live/current/>
Lubuntu 21.10 | <https://cdimage.ubuntu.com/lubuntu/daily-live/current/>
Kubuntu 21.10 | <https://cdimage.ubuntu.com/kubuntu/daily-live/current/>
Ubuntu Budgie 21.10 | <https://cdimage.ubuntu.com/ubuntu-budgie/daily-live/current/>

### Untested Canary build

The daily canary build can be downloaded from the below link. This is super unstable and did not pass automatic testing. So, unless absolutely necessary, do not use this .iso.

<http://cdimage.ubuntu.com/daily-canary/pending/>

### Closing Notes

I am specifically interested on the new desktop installer. Because it gives a repair option and a brand-new way of installing Ubuntu. We know there are many powerful installers out there like Calamares – but it would be interesting to see Ubuntu’s new Flutter based app. And the adaptation of GNOME 40 is really a thing to observe with more users.

I will keep this post updated with the latest info when available with details.

  * _[Official change log and schedule][13]_
  * _[Launchpad source][14]_



* * *

--------------------------------------------------------------------------------

via: https://www.debugpoint.com/2021/07/ubuntu-21-10/

作者：[Arindam][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://www.debugpoint.com/author/admin1/
[b]: https://github.com/lujun9972
[1]: tmp.Bd5zVlb4BJ#code-name
[2]: tmp.Bd5zVlb4BJ#new-features
[3]: tmp.Bd5zVlb4BJ#official-flavors
[4]: tmp.Bd5zVlb4BJ#release-schedule
[5]: tmp.Bd5zVlb4BJ#daily-build-download
[6]: tmp.Bd5zVlb4BJ#canary-build-download
[7]: https://www.debugpoint.com/blog/wp-content/uploads/2021/07/Ubuntu-21.10-Desktop-daily-build-1024x535.jpeg
[8]: https://www.debugpoint.com/2021/03/gnome-40-release/
[9]: https://www.debugpoint.com/2021/02/new-ubuntu-desktop-installer/
[10]: https://www.debugpoint.com/blog/wp-content/uploads/2021/07/New-Installer-Ubuntu-21.10.jpeg
[11]: https://www.debugpoint.com/2021/05/libreoffice-7-2/
[12]: https://cdimage.ubuntu.com/daily-live/current/
[13]: https://discourse.ubuntu.com/t/impish-indri-release-schedule/18540
[14]: https://launchpad.net/ubuntu/impish
