[#]: subject: (Up for a Challenge? Try These ‘Advanced’ Linux Distros [Not Based on Debian, Arch or Red Hat])
[#]: via: (https://itsfoss.com/advanced-linux-distros/)
[#]: author: (Abhishek Prakash https://itsfoss.com/author/abhishek/)
[#]: collector: (lujun9972)
[#]: translator: (zepoch)
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )

Up for a Challenge? Try These ‘Advanced’ Linux Distros [Not Based on Debian, Arch or Red Hat]
======

There are hundreds of Linux distributions. Some are for general purpose usage, while some are specifically tailored for education, robotics, hacking, gaming and what not.

You’ll notice that most of them originate from Debian/Ubuntu, Arch and Red Hat/Fedora. If you like distrohopping and experiment with a range of distributions, you may soon get ‘bored’ out of it. Most Linux distributions would feel too similar after a point and apart from a few visual changes here and there, you won’t get a different experience.

Does that sound familiar? If yes, let me list some advanced, independent, Linux distributions to test your expertise.

### Advanced Linux distributions for experts

![][1]

You may argue against the use of term “expert” here. After all, ‘expert Linux users’ don’t necessarily need to use advanced Linux distributions. They can easily utilize their expertise on [beginner-friendly distributions like Linux Mint][2].

The term expert here is intended for people who won’t easily get overwhelmed when they are taken out of their comfort zone and land in an unfamiliar environment.

Alright then. Let’s see which distributions you can use to test your expertise on.

#### NixOS

![NixOS Linux illustration][3]

[NixOS][4] is a unique distribution in the terms of how it approaches everything from the kernel to configuration to applications.

NixOS is built on top of the Nix package manager and everything from the kernel to configuration is based on it. All packages are kept in isolation from each other.

It ensures that installing or upgrading one package does not break other packages. You can also easily roll back to previous versions.

The isolation feature also helps you in trying new tools without hesitation, creating development environments and more.

Sounds good enough to give it a try? You call, truly.

#### Void Linux

![Void Linux illustration][5]

[Void Linux][6] is another independent Linux distribution which was implemented from scratch. It is a rolling release distribution but it focuses on stability rather than being bleeding edge like Arch Linux.

Void Linux has its own XBPS package management system for installing and removing software with option to build packages from sources (from XBPS source packages collection).

Another thing that sets Void Linux apart from the crowd of other distribution is its use of [runit][7] as init system instead of systemd.

Can Void Linux fill the void in your distrohopping life? Find it out yourself.

#### Slackware

![Slackware Linux illustration][8]

The oldest active Linux distribution, [Slackware][9], can surely be counted as an expert Linux distribution.

Which is amusing because once upon a time, many new Linux users started their Linux journey with Slackware. But that was back in the mid-90s and it is safe to assume that those newbies have turned into veteran with their neck beard touching the ground.

Originally, Slackware was based on Softlanding Linux System (SLS), one of the earliest Linux distributions in 1992.

Slackware is an advanced Linux distribution with aim to produce the most “UNIX-like” Linux distribution out there.

No slacking here. Be ready to use the command line extensively in Slackware.

#### Gentoo

![Gentoo Linux illustration][10]

[Gentoo Linux][11] is named after the fast swimming Gentoo penguin. It reflects the speed optimization capabilities of Gentoo Linux.

How? It’s software distribution system, Portage, gives it extreme configurability and performance. Portage keeps a collection of build scripts for the packages and it automatically builds a custom version of package based on end user’s preference and optimized for end user’s hardware.

This ‘build’ stuff is why there are many jokes and meme in Linux-verse about compiling everything in Gentoo.

Can you catch up with the Gentoo?

#### Clear Linux

![Clear Linux illustration][12]

[Clear Linux][13] is not your general purpose desktop Linux distribution. It is an open source, rolling release distribution, created from the ground up by Intel and obviously, it is highly tuned for Intel platforms.

Clear Linux OS primarily targets professionals in the field of IT, DevOps, Cloud/Container deployments, and AI.

The package management is done through [swupd][14] but unlike regular package managers, versioning happens at the individual file level. This means that it generates an entirely new OS version when any software change takes place in the system.

Is it clear enough to try Clear Linux?

#### Linux From Scratch

![Linux From Scratch illustration][15]

If you think installing Arch Linux was a challenge, try [Linux From Scratch][16] (LFS). As the name suggests, here you ~~get~~ have to do everything from scratch.

From installing to using, you do everything at a low level and that’s the beauty of it. You are not installing a pre-compiled Linux distribution here. You build your own customized Linux system entirely from the source code.

It is often suggested to use Linux From Scratch to learn the core functioning of the Linux and it is indeed a learning experience.

Still scratching your head about Linux From Scratch? You can [read it][17][s][17] [documentation in book format][17].

#### Conclusion

There are a few more independent Linux distributions. Mageia and Solus are two of the relatively more popular ones. I did not include them in this list because I consider them more friendly and not as complicated to use as others on the list. Feel free to disagree with me in the comments.

It is your turn now. Have you used any advanced Linux distributions ever? Was it in the past or are you still using it?

--------------------------------------------------------------------------------

via: https://itsfoss.com/advanced-linux-distros/

作者：[Abhishek Prakash][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/abhishek/
[b]: https://github.com/lujun9972
[1]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/07/advanced-linux-distros.png?resize=800%2C450&ssl=1
[2]: https://itsfoss.com/best-linux-beginners/
[3]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/07/nix-os.png?resize=800%2C350&ssl=1
[4]: https://nixos.org/
[5]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/07/void-linux.png?resize=800%2C350&ssl=1
[6]: https://voidlinux.org/
[7]: http://smarden.org/runit/
[8]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2021/07/slackware.png?resize=800%2C350&ssl=1
[9]: http://www.slackware.com/
[10]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/07/gentoo-linux.png?resize=800%2C350&ssl=1
[11]: https://www.gentoo.org/
[12]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2021/07/clear-linux.png?resize=800%2C350&ssl=1
[13]: https://clearlinux.org/
[14]: https://docs.01.org/clearlinux/latest/guides/clear/swupd.html#swupd-guide
[15]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2021/07/linux-from-scratch.png?resize=800%2C350&ssl=1
[16]: https://www.linuxfromscratch.org/
[17]: https://www.linuxfromscratch.org/lfs/read.html
