[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (The real impact of canceling PyCon due to COVID-19)
[#]: via: (https://opensource.com/article/20/5/pycon-covid-19)
[#]: author: (Matthew Broberg https://opensource.com/users/mbbroberg)

The real impact of canceling PyCon due to COVID-19
======
An interview with Ewa Jodlowska on how the Python Software Foundation is
responding to the cancelation of in-person events.
![A dollar sign in a network][1]

The Python Software Foundation (PSF) had to [cancel its popular PyCon US][2] event in response to COVID-19. I interviewed [Ewa Jodlowska][3], Executive Director of the PSF, to talk about the experience and see what we all can learn, and how we can be supportive of the non-profit that supports one of my favorite programming languages.

### The impact on PSF employees

I asked Jodlowska "how have you had to adjust your work in light of COVID-19?"

In her response, the day-to-day didn't sound like much of a change. PSF staff "have always worked remotely." The organization practices a [fully remote work][4] culture and doesn’t have an office. The small staff of seven employees is well versed in collaborating outside of an office.

Familiarity aside, the emotional impact of needing to cancel an event they put a year’s worth of planning into hurt.

> **"We all believe in what we do. Which is particularly why we’re such a great small team. So it really impacted us emotionally and mentally. And it continues to."**

We spoke about how the team is reliving what the days would have looked like if PyCon wasn't interrupted by COVID-19–keynotes would start _now_, the sponsor booths would be in full motion right _now_–and just how emotionally taxing it all was. Throughout the discussion, Jodlowska always came back to recognizing the staff for their resiliency and energy to pivot the event online.

### The cascading impact of event cancellation

Jodlowska has been incredibly transparent about the experience. In her March 31st [article on the financial outcome][5], she outlines it clearly: the Python Software Foundation would take a hit from the event cancelation. 

Jodlowska notes that part of the challenge is that PyCon accounts for too much of the organization’s financial health. About 63% of the 2020 revenue was projected to come from the show. While that number is down from the [2017 estimate of 80%][6], it’s still a concern when in-person events will remain limited to keep attendees safe during the COVID-19 outbreak.

> **"We don’t want to rely on one event**–**or events in general**–**to operate and provide community support."**

The PSF board of directors is hard at work to look into the diversification of funding. In the meantime, PyCon remains essential to sustainability running the organization.

### Community support makes all the difference

It's at this point that Jodlowska again recognizes the incredible work of the PSF staff. They quickly pivoted the vision of the event, and the community of attendees, sponsors, and speakers were all supportive of the move.

> **"[We] have been brought to tears many times by the generosity of our sponsors and our individual donors."**

Jodlowska noted that the generosity of so many resulted in reducing the financial impact on the PSF. An incredible amount of Individual attendees are donating their registration costs to the PSF. They are also showing up across social media sites to participate in their own distributed virtual experience of PyCon. 

Another important part of the community, the corporate sponsors of the show, are also showing up to support the non-profit. Many sponsors had already canceled physical presence at the show before the event was officially moved online. Some of them were kind enough, as Jodlowska noted, to donate the cost of sponsorship to the PSF. In a huge turn of events, the list of sponsors **grew** as the online event came together.

> **[M]any sponsors have opted into participating in PyCon 2020 online. Because of this we have decreased the amount needed from our reserve by 77%! The PSF will now only need $141,713 from its financial reserve to get through 2020.**

For more on the data side, see Jodlowska’s article _[Thank you to donors &amp; sponsors][7]_.

Support in all its forms led to the conference feeling like it is well on its way. Some sponsors are even moving to a virtual booth experience.

> Since our sponsors can’t be with you in person, we’ve created a place to provide their content online - <https://t.co/oGDz3jNZWD>. [#PyCon2020][8] Gold Sponsor Weekly Python Exercise shared this video to introduce you to their offerings: <https://t.co/6VFF8AwMEK>.
>
> — PyCon US (@pycon) [April 18, 2020][9]

Maybe most impressively, many speakers and tutorial instructors made the effort of recording their sessions. That’s helped PyCon to [gradually unfold online][10] with incredible educational content. The audience is still able to interact as well: YouTube comments are open for moderation so speakers can interact with their audience.

Lastly, there remains an army of volunteers who shifted their in-person plans online and continue to help in any way possible.

### Some of the surprising positives from this difficult change

While it is without a doubt a challenging time for the organization, Jodlowska noted a number of positives that are unfolding due to this move to virtual.

To start, the staff of the PSF “have never been closer,” as they bond over the experience and spend more time getting to know each other through weekly video calls and baking competitions.

Jodlowska was inspired to get involved in another open source effort, [FOSS responders][11], who are helping organizations respond to the cancelation of events due to COVID-19. (If you’ve been affected as well, they are there to help.)

The generosity mentioned above is a silver lining to the experience and encouraging to the hardworking team that uplifts the popular Python programming language.

There is also a broader impact on participation in PyCon. While the final numbers are not in yet, an international audience has access to all of PyCon as it unfolds, which gives the entire world a chance to be part of an excellent event [I got to attend][12] last year. On the development side, Jodlowska mentioned that the [core-dev team][13] that maintains Python, who would normally meet in person, shifted to a virtual meeting. As a result of that shift, some participants got to attend that otherwise would not have had the opportunity to join in person.

### How you can help the Python Software Foundation

I reached out to Jodlowska because I am impressed with and supportive of their mission to support the Python community. If you want to support them as well, you have options:

  * Become a [free or supporting member][14] of the PSF to get involved in our future.
  * [Sign up for the PSF’s free newsletter][15] to stay up to date.
  * [Donate][16] directly to the PSF (and thank you to those that already have).
  * Ask your employer to [sponsor the PSF][17].
  * Ask your employer if they match donations to 501(c)(3) non-profits, and ask for your donations to the PSF to be matched.



Last but not least, participate in PyCon over the next few weeks. You can learn from all kinds of smart people on a range of topics like [Matt Harrison][18]’s [Hands-on Python for Programmers][19] that guides attendees through analyzing COVID-19 data to [Katie McLaughlin][20]’s thoughtful talk on [What is deployment, anyway?][21]

Be sure to [review the full][10] list and engage with the amazing lineup of speakers.

* * *

_Are you part of a non-profit looking to connect with your open source community at this time of social distancing? Let me know at matt @ opensource.com._

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/5/pycon-covid-19

作者：[Matthew Broberg][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mbbroberg
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/osdc_whitehurst_money.png?itok=ls-SOzM0 (A dollar sign in a network)
[2]: https://pycon.blogspot.com/2020/03/pycon-us-2020-in-pittsburgh.html
[3]: https://www.python.org/psf/records/staff/
[4]: https://opensource.com/tags/wfh
[5]: http://pyfound.blogspot.com/2020/03/psfs-projected-2020-financial-outcome.html
[6]: https://www.youtube.com/watch?v=79AIzbjLzdk
[7]: http://pyfound.blogspot.com/2020/04/thank-you-to-donors-sponsors.html
[8]: https://twitter.com/hashtag/PyCon2020?src=hash&ref_src=twsrc%5Etfw
[9]: https://twitter.com/pycon/status/1251563142641000455?ref_src=twsrc%5Etfw
[10]: https://us.pycon.org/2020/online/
[11]: https://fossresponders.com/
[12]: https://opensource.com/article/19/5/jupyterlab-python-developers-magic
[13]: https://devguide.python.org/coredev/
[14]: https://www.python.org/psf/membership/
[15]: https://www.python.org/psf/newsletter/
[16]: https://www.python.org/psf/donations/
[17]: https://www.python.org/psf/sponsorship/
[18]: https://us.pycon.org/2020/speaker/profile/454/
[19]: https://youtu.be/fuJcSNUMrW0
[20]: https://opensource.com/users/glasnt
[21]: https://youtu.be/8vstov3Y7uE
