[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: url: ( )
[#]: subject: (How young people can help fight COVID-19 with code)
[#]: via: (https://opensource.com/article/20/4/covid19-hackathon)
[#]: author: (Melissa Sasi https://opensource.com/users/mesassi)

How young people can help fight COVID-19 with code
======
Youth developers are invited to submit ideas by April 15 to counter the
educational, informational, social, and health challenges uncovered by
the COVID-19 pandemic.
![woman on laptop sitting at the window][1]

More than 91% of students around the world are impacted by school closures due to COVID-19, and most governments have temporarily closed academic institutions. That's nearly [1.6 billion young people in 188 countries][2]. Also, most of the learning platforms available online today aren't practical, engaging, or interactive, and lack true virtual collaboration.

This big and wicked challenge got me thinking about how these circumstances are impacting my children, their friends, and my passions of empowering youth, fostering tech entrepreneurship, and inspiring under-represented communities to find their purpose through building digital skills. These all came together in [CodeTheCurve][3], "a global, virtual hackathon for students, educators, teachers, and the research community to build tech skills, entrepreneurial spirit, and professional competencies to build digital creativity and cooperation to mobilize the world."

We hope you'll want to participate, but you need to act fast: the deadline to submit proposals is April 15.

### My story

The passions mentioned above stem from a deeply personal journey: My children and I are victims of parental kidnapping, and access to the internet and digital literacy are my pathways to being a mother from afar. My children, Zahra (age 13), Zahran (15), and Youmna (18), are safe and healthy, and we are frequently connected. They're living the same life youth all over the world are living these days, trying to social distance and remain in good health while figuring out this school thing (or lack thereof)—only one of my children has access to formal virtual learning during to COVID-19 school closures. The other two, without school-driven online learning options, tend to stay up all night playing Fortnight and making TikTok videos.

I have always been passionate about digital inclusion and empowering the world through computer science, and the effects of COVID-19 have increased my desire to make a difference. About four years ago, I created a non-profit organization, [MentorNations][4], to inspire youth and the world via technology. My non-profit has taught tens of thousands of young people in 12 countries to code. In my work at IBM as a developer advocate, I focus on empowering early-stage entrepreneurs, developers, and students with access to tech skills, professional development, and entrepreneurial thinking. My major focus areas include inspiring students to discover their career potential in enterprise computing while recognizing that we are all ANDs and not ORs.

Teaching the next generation about the power of collaboration, teamwork, problem-solving, and critical thinking that happen through open source code and principles empowers them to be creators and innovators who focus on solving relevant and real-world problems.

Looking through the lens of my children, my non-profit work, my roles within a variety of United Nations Task Forces, and my position as IEEE Chair over the Digital Skills Working Group, I wondered, _**what can I do to make a difference with open source technology?**_ So I reached out to my network, and the world responded in a much bigger way than I had ever imagined.

### CodeTheCurve

In response, we launched UNESCO's [CodeTheCurve][3] hackathon in collaboration with 14 partners, including UN EQUALS, SAP, iHackOnline, Angel Hack, Internet Society, and YPO. Participants are invited to bring their open source ideas to combat the current and future environment and challenges relating to COVID-19. This initiative is centered around youth empowerment, gender inclusion, and making the world a better place for our communities, including for people we may not directly encounter daily.

CodeTheCurve is for anyone above the age of 16. To ensure gender, age, and experience diversity, teams must include a developer or data scientist (early-stage chops are fine); at least one person under the age of 25; and at least one male and one female. The 40 teams selected to participate in CodeTheCurve will have access to more than 80 business and technical mentors (experts!) from around the world to help turn their ideas into reality.

My vision for this hackathon is to train young talent; enable them with free, online resources and access to real people with real answers; and encourage the creation of real-world problem solving in real-time. The results of the hackathon, I hope, will be open source utilities and information that can be used, in some way, to combat COVID-19.

#### Week-long learning, bootcamp, and hacking experience

CodeTheCurve is a three-day virtual hackathon experience guided by expert business and technical mentors. Before the hackathon proper, participants begin with two days of self-paced, online learning from content curated by CodeTheCurve collaborators, followed by a two-day, instructor-led learning journey where the 40 selected teams will collaborate in virtual breakout rooms with activity kits, hands-on computing resources in machine learning, and expert-guided plenary sessions.

#### CodeTheCurve hackathon themes

CodeTheCurve includes three themes:

  * Education
  * Information and data management
  * Current and post-COVID-19 health and social issues



#### Professional development, entrepreneurship, and hands-on open source skills

The 40 teams will be empowered with expert-guided, engaging activities, including the following skill-building opportunities:

  * **Hand-on tech skills**
    * Using Jupyter Notebooks for data science
    * Data protection, privacy, security, and encryption
    * Machine learning and artificial intelligence
    * Architectural diagrams and frameworks
    * Technical roadmaps
  * **Professional development**
    * Design thinking
    * Personal branding
    * Communication skills
    * How not to feel like an imposter
    * Conflict resolution
    * Working in global, virtual teams
    * Media literacy
    * Ethics in machine learning and artificial intelligence
  * **Entrepreneurship**
    * Problem statements
    * Mission and vision statements
    * Value propositions
    * Audience and target markets
    * Business model canvassing
    * Pitch decks
    * Pitch practice



### April 15: CodeTheCurve deadline

Did I mention that the initial application deadline is April 15? Here's the full timeline:

  * Video submission deadline: **April 15**
  * 40 selected teams announced: **April 20**
  * Learning resources for pre-collaboration: **April 20-21**
  * Instructor-led learning: **April 22-23**
  * Hacking: **April 24-26**
  * CodeTheCurve winners announced: **April 30**



#### Prizes. Prizes. Prizes.

Prizes include free access to [IBM LinuxONE Community Cloud][5] for one year, free training courses from SAP, four pitch opportunities at IBM and SAP events, free access to enterprise-grade IBM Z and its machine learning suite for six months, and one-on-one technical and business mentorship for a full year with industry experts.

### How to apply

Interested in applying? Know someone who should apply? Simply [submit a video][6] of your **amazing** open source idea, the problem you're trying to solve, and who you expect to reach.

If you'd like to learn more, here are some other articles about CodeTheCurve:

  * [UN News CodeTheCurve article][7]
  * [UNESCO CodeTheCurve blog][8]
  * [Forbes CodeTheCurve article][9]
  * [IBM CodeTheCurve blog][10]



I cannot wait to see all the amazing open source ideas the world brings our way!

--------------------------------------------------------------------------------

via: https://opensource.com/article/20/4/covid19-hackathon

作者：[Melissa Sasi][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://opensource.com/users/mesassi
[b]: https://github.com/lujun9972
[1]: https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/lenovo-thinkpad-laptop-window-focus.png?itok=g0xPm2kD (young woman working on a laptop)
[2]: https://en.unesco.org/covid19/educationresponse
[3]: https://www.codethecurve.org/
[4]: https://mentornations.org/
[5]: https://developer.ibm.com/linuxone/
[6]: http://ibm.biz/codethecurve-apply
[7]: https://news.un.org/en/story/2020/04/1061142
[8]: http://ibm.biz/unesco-pr
[9]: https://www.forbes.com/sites/danielnewman/2020/04/10/digital-transformation-for-good-shines-as-we-fight-covid-19/#78d51a4c4946
[10]: http://ibm.biz/codethecurve
